import { LCDS } from '@cloudbase/cals';
import typia from 'typia';
interface IComponentConfig extends LCDS.IComponent {
    /** json 补全提示可有可无 */
    $schema?: string;
    /** @deprecated no meant to be public */
    configMeta?: LCDS.IComponent['meta'] & {
        docsUrl?: `http://${string}` | `https://${string}`;
        shortcut?: {
            props?: string[];
            extra?: Record<'container', {
                'x-component': string;
                'x-component-props': string[];
                'x-index': number;
            }>;
        };
        /** @deprecated 没用了 */
        recommendTypes?: {
            name: unknown;
        };
        contextData?: unknown;
    };
    meta?: LCDS.IComponent['meta'] & {
        categoryOrder?: number;
        platforms: unknown;
        /** @deprecated 没用了 */
        recommendTypes?: {
            name: unknown;
        };
        selectableBlock?: {
            events: LCDS.IEvent[];
        };
    };
    /**
     * 这个组件没有对应的 mp 实现 直接用原生的标签
     */
    mpOrigin?: string;
}
export declare const check: (input: any) => typia.IValidation<IComponentConfig>;
export {};
//# sourceMappingURL=checker.d.ts.map