"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.check = void 0;
const typia_1 = __importDefault(require("typia"));
const check = (input) => {
    const errors = [];
    const __is = (input, _exceptionable = true) => {
        const $is_custom = typia_1.default.createValidateEquals.is_custom;
        const $join = typia_1.default.createValidateEquals.join;
        const $io0 = (input, _exceptionable = true) => (undefined === input.$schema || "string" === typeof input.$schema) && (undefined === input.configMeta || "object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) && $io1(input.configMeta, true && _exceptionable)) && (undefined === input.meta || "object" === typeof input.meta && null !== input.meta && $io21(input.meta, true && _exceptionable)) && (undefined === input.mpOrigin || "string" === typeof input.mpOrigin) && (undefined === input.name || "string" === typeof input.name && 214 >= input.name.length && 1 <= input.name.length) && true && (undefined === input.events || Array.isArray(input.events) && $is_custom("default", "array", "[]", input.events) && input.events.every((elem, _index1) => "object" === typeof elem && null !== elem && $io26(elem, true && _exceptionable))) && (undefined === input.classes || Array.isArray(input.classes) && input.classes.every((elem, _index2) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io28(elem, true && _exceptionable))) && true && (undefined === input.methods || Array.isArray(input.methods) && $is_custom("default", "array", "[]", input.methods) && input.methods.every((elem, _index3) => "object" === typeof elem && null !== elem && $io29(elem, true && _exceptionable))) && (undefined === input.compConfig || "object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) && $io30(input.compConfig, true && _exceptionable)) && (undefined === input.platforms || Array.isArray(input.platforms) && input.platforms.every((elem, _index4) => "string" === typeof elem)) && true && (undefined === input.isContainer || "boolean" === typeof input.isContainer) && (undefined === input.defaultStyles || "object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) && $io31(input.defaultStyles, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$schema", "configMeta", "meta", "mpOrigin", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer", "defaultStyles"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io1 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.componentName || "string" === typeof input.componentName) && (undefined === input.title || "string" === typeof input.title) && (undefined === input.description || "string" === typeof input.description) && (undefined === input.icon || "string" === typeof input.icon) && (undefined === input.category || "string" === typeof input.category) && (undefined === input.componentOrder || "number" === typeof input.componentOrder && 1 <= input.componentOrder && 10000 >= input.componentOrder) && (undefined === input.platform || Array.isArray(input.platform) && input.platform.every((elem, _index5) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.visible || Array.isArray(input.visible) && input.visible.every((elem, _index6) => "APP" === elem || "COMPONENT" === elem)) && (undefined === input.templates || Array.isArray(input.templates) && input.templates.every((elem, _index7) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io2(elem, true && _exceptionable))) && (undefined === input.deprecated || "boolean" === typeof input.deprecated) && (undefined === input.renderMode || Array.isArray(input.renderMode) && input.renderMode.every((elem, _index8) => "object" === typeof elem && null !== elem && $io3(elem, true && _exceptionable))) && (undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl))) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io5(input.shortcut, true && _exceptionable)) && (undefined === input.contextData || "object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) && $io9(input.contextData, true && _exceptionable)) && (undefined === input.positionConstraint || "object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) && $io10(input.positionConstraint, true && _exceptionable)) && (undefined === input.keyWords || Array.isArray(input.keyWords) && input.keyWords.every((elem, _index9) => "string" === typeof elem)) && (undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips) && (undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips) && (undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll) && (undefined === input.validate || Array.isArray(input.validate) && input.validate.every((elem, _index10) => "object" === typeof elem && null !== elem && $io13(elem, true && _exceptionable))) && (undefined === input.inlineStyleForm || "object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) && $iu0(input.inlineStyleForm, true && _exceptionable)) && (undefined === input.group || "object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) && $io18(input.group, true && _exceptionable)) && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io20(input.recommendTypes, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "recommendTypes"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io2 = (input, _exceptionable = true) => (undefined === input.to || "string" === typeof input.to) && (undefined === input.when || "string" === typeof input.when) && (undefined === input.body || "string" === typeof input.body) && (undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["to", "when", "body", "autoSelectPath"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io3 = (input, _exceptionable = true) => "string" === typeof input.component && ("update" === input.renderType || "replace" === input.renderType) && (undefined === input.props || "object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) && $io4(input.props, true && _exceptionable)) && (undefined === input.materialName || "string" === typeof input.materialName) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io4 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "string" === typeof value;
            return false;
        });
        const $io5 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index11) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && $io6(input.extra, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io6 = (input, _exceptionable = true) => "object" === typeof input.container && null !== input.container && $io7(input.container, true && _exceptionable) && Object.keys(input).every(key => {
            if (["container"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io7 = (input, _exceptionable = true) => "string" === typeof input["x-component"] && (Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index12) => "string" === typeof elem)) && "number" === typeof input["x-index"] && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io8 = (input, _exceptionable = true) => "container" === input["x-component"] && (undefined === input["x-component-props"] || Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index13) => "string" === typeof elem)) && (undefined === input["x-index"] || "number" === typeof input["x-index"]) && (undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"]) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io9 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io10 = (input, _exceptionable = true) => (undefined === input.allowChildren || Array.isArray(input.allowChildren) && input.allowChildren.every((elem, _index14) => "object" === typeof elem && null !== elem && $io11(elem, true && _exceptionable))) && (undefined === input.allowParent || Array.isArray(input.allowParent) && input.allowParent.every((elem, _index15) => "object" === typeof elem && null !== elem && $io12(elem, true && _exceptionable))) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["allowChildren", "allowParent"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io11 = (input, _exceptionable = true) => "string" === typeof input.componentType && (undefined === input.recursive || "boolean" === typeof input.recursive) && (undefined === input.tip || "string" === typeof input.tip) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io12 = (input, _exceptionable = true) => "string" === typeof input.componentType && "boolean" === typeof input.recursive && (undefined === input.tip || "string" === typeof input.tip) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io13 = (input, _exceptionable = true) => "string" === typeof input.rule && (undefined === input.options || "object" === typeof input.options && null !== input.options && $io14(input.options, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["rule", "options"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io14 = (input, _exceptionable = true) => "string" === typeof input.title && "string" === typeof input.description && "string" === typeof input.type && (undefined === input.name || "string" === typeof input.name) && (undefined === input.label || "string" === typeof input.label) && (undefined === input.tooltip || "string" === typeof input.tooltip) && (undefined === input.version || "string" === typeof input.version) && (undefined === input.allowFailure || "boolean" === typeof input.allowFailure) && (undefined === input.matchedSelectedPlatform || Array.isArray(input.matchedSelectedPlatform) && input.matchedSelectedPlatform.every((elem, _index16) => "h5" === elem || "miniprogram" === elem || "pc" === elem)) && (undefined === input.matchedPublishedPlatform || Array.isArray(input.matchedPublishedPlatform) && input.matchedPublishedPlatform.every((elem, _index17) => "miniprogram" === elem || "web" === elem || "all" === elem)) && true && (undefined === input.action || "object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) && $io9(input.action, true && _exceptionable)) && Object.keys(input).every(key => {
            if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io15 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io16(value, true && _exceptionable);
            return false;
        });
        const $io16 = (input, _exceptionable = true) => "boolean" === typeof input.visible && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["visible"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io17 = (input, _exceptionable = true) => true === input.$blockedAll && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$blockedAll"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io18 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io19(value, true && _exceptionable);
            return false;
        });
        const $io19 = (input, _exceptionable = true) => "number" === typeof input["x-index"] && "boolean" === typeof input.expand && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-index", "expand"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io20 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io21 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.componentName || "string" === typeof input.componentName) && (undefined === input.title || "string" === typeof input.title) && (undefined === input.description || "string" === typeof input.description) && (undefined === input.icon || "string" === typeof input.icon) && (undefined === input.category || "string" === typeof input.category) && (undefined === input.componentOrder || "number" === typeof input.componentOrder && 1 <= input.componentOrder && 10000 >= input.componentOrder) && (undefined === input.platform || Array.isArray(input.platform) && input.platform.every((elem, _index18) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.visible || Array.isArray(input.visible) && input.visible.every((elem, _index19) => "APP" === elem || "COMPONENT" === elem)) && (undefined === input.templates || Array.isArray(input.templates) && input.templates.every((elem, _index20) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io2(elem, true && _exceptionable))) && (undefined === input.deprecated || "boolean" === typeof input.deprecated) && (undefined === input.renderMode || Array.isArray(input.renderMode) && input.renderMode.every((elem, _index21) => "object" === typeof elem && null !== elem && $io3(elem, true && _exceptionable))) && (undefined === input.docsUrl || "string" === typeof input.docsUrl) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io22(input.shortcut, true && _exceptionable)) && (undefined === input.contextData || "object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) && $io9(input.contextData, true && _exceptionable)) && (undefined === input.positionConstraint || "object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) && $io10(input.positionConstraint, true && _exceptionable)) && (undefined === input.keyWords || Array.isArray(input.keyWords) && input.keyWords.every((elem, _index22) => "string" === typeof elem)) && (undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips) && (undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips) && (undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll) && (undefined === input.validate || Array.isArray(input.validate) && input.validate.every((elem, _index23) => "object" === typeof elem && null !== elem && $io13(elem, true && _exceptionable))) && (undefined === input.inlineStyleForm || "object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) && $iu0(input.inlineStyleForm, true && _exceptionable)) && (undefined === input.group || "object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) && $io18(input.group, true && _exceptionable)) && (undefined === input.categoryOrder || "number" === typeof input.categoryOrder) && true && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io24(input.recommendTypes, true && _exceptionable)) && (undefined === input.selectableBlock || "object" === typeof input.selectableBlock && null !== input.selectableBlock && $io25(input.selectableBlock, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "categoryOrder", "platforms", "recommendTypes", "selectableBlock"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io22 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index24) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) && $io23(input.extra, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io23 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io24 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io25 = (input, _exceptionable = true) => Array.isArray(input.events) && input.events.every((elem, _index25) => "object" === typeof elem && null !== elem && $io26(elem, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["events"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io26 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.title && (undefined === input.description || "string" === typeof input.description) && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index26) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.detail || "object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) && $io27(input.detail, true && _exceptionable)) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io27 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io28 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.selector || "string" === typeof input.selector) && (undefined === input.description || "string" === typeof input.description) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "selector", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io29 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.label && true && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index27) => "string" === typeof elem)) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io30 = (input, _exceptionable = true) => (undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer) && (undefined === input.componentType || "string" === typeof input.componentType) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["isDataContainer", "componentType"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io31 = (input, _exceptionable = true) => (undefined === input.accentColor || "string" === typeof input.accentColor) && (undefined === input.alignContent || "string" === typeof input.alignContent) && (undefined === input.alignItems || "string" === typeof input.alignItems) && (undefined === input.alignSelf || "string" === typeof input.alignSelf) && (undefined === input.alignTracks || "string" === typeof input.alignTracks) && (undefined === input.animationDelay || "string" === typeof input.animationDelay) && (undefined === input.animationDirection || "string" === typeof input.animationDirection) && (undefined === input.animationDuration || "string" === typeof input.animationDuration) && (undefined === input.animationFillMode || "string" === typeof input.animationFillMode) && (undefined === input.animationIterationCount || "string" === typeof input.animationIterationCount || "number" === typeof input.animationIterationCount) && (undefined === input.animationName || "string" === typeof input.animationName) && (undefined === input.animationPlayState || "string" === typeof input.animationPlayState) && (undefined === input.animationTimeline || "string" === typeof input.animationTimeline) && (undefined === input.animationTimingFunction || "string" === typeof input.animationTimingFunction) && (undefined === input.appearance || "-moz-initial" === input.appearance || "inherit" === input.appearance || "initial" === input.appearance || "revert" === input.appearance || "revert-layer" === input.appearance || "unset" === input.appearance || "auto" === input.appearance || "none" === input.appearance || "button" === input.appearance || "checkbox" === input.appearance || "listbox" === input.appearance || "menulist" === input.appearance || "meter" === input.appearance || "progress-bar" === input.appearance || "push-button" === input.appearance || "radio" === input.appearance || "searchfield" === input.appearance || "slider-horizontal" === input.appearance || "square-button" === input.appearance || "textarea" === input.appearance || "menulist-button" === input.appearance || "textfield" === input.appearance) && (undefined === input.aspectRatio || "string" === typeof input.aspectRatio) && (undefined === input.backdropFilter || "string" === typeof input.backdropFilter) && (undefined === input.backfaceVisibility || "-moz-initial" === input.backfaceVisibility || "inherit" === input.backfaceVisibility || "initial" === input.backfaceVisibility || "revert" === input.backfaceVisibility || "revert-layer" === input.backfaceVisibility || "unset" === input.backfaceVisibility || "hidden" === input.backfaceVisibility || "visible" === input.backfaceVisibility) && (undefined === input.backgroundAttachment || "string" === typeof input.backgroundAttachment) && (undefined === input.backgroundBlendMode || "string" === typeof input.backgroundBlendMode) && (undefined === input.backgroundClip || "string" === typeof input.backgroundClip) && (undefined === input.backgroundColor || "string" === typeof input.backgroundColor) && (undefined === input.backgroundImage || "string" === typeof input.backgroundImage) && (undefined === input.backgroundOrigin || "string" === typeof input.backgroundOrigin) && (undefined === input.backgroundPositionX || "string" === typeof input.backgroundPositionX || "number" === typeof input.backgroundPositionX) && (undefined === input.backgroundPositionY || "string" === typeof input.backgroundPositionY || "number" === typeof input.backgroundPositionY) && (undefined === input.backgroundRepeat || "string" === typeof input.backgroundRepeat) && (undefined === input.backgroundSize || "string" === typeof input.backgroundSize || "number" === typeof input.backgroundSize) && (undefined === input.blockOverflow || "string" === typeof input.blockOverflow) && (undefined === input.blockSize || "string" === typeof input.blockSize || "number" === typeof input.blockSize) && (undefined === input.borderBlockColor || "string" === typeof input.borderBlockColor) && (undefined === input.borderBlockEndColor || "string" === typeof input.borderBlockEndColor) && (undefined === input.borderBlockEndStyle || "-moz-initial" === input.borderBlockEndStyle || "inherit" === input.borderBlockEndStyle || "initial" === input.borderBlockEndStyle || "revert" === input.borderBlockEndStyle || "revert-layer" === input.borderBlockEndStyle || "unset" === input.borderBlockEndStyle || "none" === input.borderBlockEndStyle || "hidden" === input.borderBlockEndStyle || "dashed" === input.borderBlockEndStyle || "dotted" === input.borderBlockEndStyle || "double" === input.borderBlockEndStyle || "groove" === input.borderBlockEndStyle || "inset" === input.borderBlockEndStyle || "outset" === input.borderBlockEndStyle || "ridge" === input.borderBlockEndStyle || "solid" === input.borderBlockEndStyle) && (undefined === input.borderBlockEndWidth || "string" === typeof input.borderBlockEndWidth || "number" === typeof input.borderBlockEndWidth) && (undefined === input.borderBlockStartColor || "string" === typeof input.borderBlockStartColor) && (undefined === input.borderBlockStartStyle || "-moz-initial" === input.borderBlockStartStyle || "inherit" === input.borderBlockStartStyle || "initial" === input.borderBlockStartStyle || "revert" === input.borderBlockStartStyle || "revert-layer" === input.borderBlockStartStyle || "unset" === input.borderBlockStartStyle || "none" === input.borderBlockStartStyle || "hidden" === input.borderBlockStartStyle || "dashed" === input.borderBlockStartStyle || "dotted" === input.borderBlockStartStyle || "double" === input.borderBlockStartStyle || "groove" === input.borderBlockStartStyle || "inset" === input.borderBlockStartStyle || "outset" === input.borderBlockStartStyle || "ridge" === input.borderBlockStartStyle || "solid" === input.borderBlockStartStyle) && (undefined === input.borderBlockStartWidth || "string" === typeof input.borderBlockStartWidth || "number" === typeof input.borderBlockStartWidth) && (undefined === input.borderBlockStyle || "-moz-initial" === input.borderBlockStyle || "inherit" === input.borderBlockStyle || "initial" === input.borderBlockStyle || "revert" === input.borderBlockStyle || "revert-layer" === input.borderBlockStyle || "unset" === input.borderBlockStyle || "none" === input.borderBlockStyle || "hidden" === input.borderBlockStyle || "dashed" === input.borderBlockStyle || "dotted" === input.borderBlockStyle || "double" === input.borderBlockStyle || "groove" === input.borderBlockStyle || "inset" === input.borderBlockStyle || "outset" === input.borderBlockStyle || "ridge" === input.borderBlockStyle || "solid" === input.borderBlockStyle) && (undefined === input.borderBlockWidth || "string" === typeof input.borderBlockWidth || "number" === typeof input.borderBlockWidth) && (undefined === input.borderBottomColor || "string" === typeof input.borderBottomColor) && (undefined === input.borderBottomLeftRadius || "string" === typeof input.borderBottomLeftRadius || "number" === typeof input.borderBottomLeftRadius) && (undefined === input.borderBottomRightRadius || "string" === typeof input.borderBottomRightRadius || "number" === typeof input.borderBottomRightRadius) && (undefined === input.borderBottomStyle || "-moz-initial" === input.borderBottomStyle || "inherit" === input.borderBottomStyle || "initial" === input.borderBottomStyle || "revert" === input.borderBottomStyle || "revert-layer" === input.borderBottomStyle || "unset" === input.borderBottomStyle || "none" === input.borderBottomStyle || "hidden" === input.borderBottomStyle || "dashed" === input.borderBottomStyle || "dotted" === input.borderBottomStyle || "double" === input.borderBottomStyle || "groove" === input.borderBottomStyle || "inset" === input.borderBottomStyle || "outset" === input.borderBottomStyle || "ridge" === input.borderBottomStyle || "solid" === input.borderBottomStyle) && (undefined === input.borderBottomWidth || "string" === typeof input.borderBottomWidth || "number" === typeof input.borderBottomWidth) && (undefined === input.borderCollapse || "-moz-initial" === input.borderCollapse || "inherit" === input.borderCollapse || "initial" === input.borderCollapse || "revert" === input.borderCollapse || "revert-layer" === input.borderCollapse || "unset" === input.borderCollapse || "collapse" === input.borderCollapse || "separate" === input.borderCollapse) && (undefined === input.borderEndEndRadius || "string" === typeof input.borderEndEndRadius || "number" === typeof input.borderEndEndRadius) && (undefined === input.borderEndStartRadius || "string" === typeof input.borderEndStartRadius || "number" === typeof input.borderEndStartRadius) && (undefined === input.borderImageOutset || "string" === typeof input.borderImageOutset || "number" === typeof input.borderImageOutset) && (undefined === input.borderImageRepeat || "string" === typeof input.borderImageRepeat) && (undefined === input.borderImageSlice || "string" === typeof input.borderImageSlice || "number" === typeof input.borderImageSlice) && (undefined === input.borderImageSource || "string" === typeof input.borderImageSource) && (undefined === input.borderImageWidth || "string" === typeof input.borderImageWidth || "number" === typeof input.borderImageWidth) && (undefined === input.borderInlineColor || "string" === typeof input.borderInlineColor) && (undefined === input.borderInlineEndColor || "string" === typeof input.borderInlineEndColor) && (undefined === input.borderInlineEndStyle || "-moz-initial" === input.borderInlineEndStyle || "inherit" === input.borderInlineEndStyle || "initial" === input.borderInlineEndStyle || "revert" === input.borderInlineEndStyle || "revert-layer" === input.borderInlineEndStyle || "unset" === input.borderInlineEndStyle || "none" === input.borderInlineEndStyle || "hidden" === input.borderInlineEndStyle || "dashed" === input.borderInlineEndStyle || "dotted" === input.borderInlineEndStyle || "double" === input.borderInlineEndStyle || "groove" === input.borderInlineEndStyle || "inset" === input.borderInlineEndStyle || "outset" === input.borderInlineEndStyle || "ridge" === input.borderInlineEndStyle || "solid" === input.borderInlineEndStyle) && (undefined === input.borderInlineEndWidth || "string" === typeof input.borderInlineEndWidth || "number" === typeof input.borderInlineEndWidth) && (undefined === input.borderInlineStartColor || "string" === typeof input.borderInlineStartColor) && (undefined === input.borderInlineStartStyle || "-moz-initial" === input.borderInlineStartStyle || "inherit" === input.borderInlineStartStyle || "initial" === input.borderInlineStartStyle || "revert" === input.borderInlineStartStyle || "revert-layer" === input.borderInlineStartStyle || "unset" === input.borderInlineStartStyle || "none" === input.borderInlineStartStyle || "hidden" === input.borderInlineStartStyle || "dashed" === input.borderInlineStartStyle || "dotted" === input.borderInlineStartStyle || "double" === input.borderInlineStartStyle || "groove" === input.borderInlineStartStyle || "inset" === input.borderInlineStartStyle || "outset" === input.borderInlineStartStyle || "ridge" === input.borderInlineStartStyle || "solid" === input.borderInlineStartStyle) && (undefined === input.borderInlineStartWidth || "string" === typeof input.borderInlineStartWidth || "number" === typeof input.borderInlineStartWidth) && (undefined === input.borderInlineStyle || "-moz-initial" === input.borderInlineStyle || "inherit" === input.borderInlineStyle || "initial" === input.borderInlineStyle || "revert" === input.borderInlineStyle || "revert-layer" === input.borderInlineStyle || "unset" === input.borderInlineStyle || "none" === input.borderInlineStyle || "hidden" === input.borderInlineStyle || "dashed" === input.borderInlineStyle || "dotted" === input.borderInlineStyle || "double" === input.borderInlineStyle || "groove" === input.borderInlineStyle || "inset" === input.borderInlineStyle || "outset" === input.borderInlineStyle || "ridge" === input.borderInlineStyle || "solid" === input.borderInlineStyle) && (undefined === input.borderInlineWidth || "string" === typeof input.borderInlineWidth || "number" === typeof input.borderInlineWidth) && (undefined === input.borderLeftColor || "string" === typeof input.borderLeftColor) && (undefined === input.borderLeftStyle || "-moz-initial" === input.borderLeftStyle || "inherit" === input.borderLeftStyle || "initial" === input.borderLeftStyle || "revert" === input.borderLeftStyle || "revert-layer" === input.borderLeftStyle || "unset" === input.borderLeftStyle || "none" === input.borderLeftStyle || "hidden" === input.borderLeftStyle || "dashed" === input.borderLeftStyle || "dotted" === input.borderLeftStyle || "double" === input.borderLeftStyle || "groove" === input.borderLeftStyle || "inset" === input.borderLeftStyle || "outset" === input.borderLeftStyle || "ridge" === input.borderLeftStyle || "solid" === input.borderLeftStyle) && (undefined === input.borderLeftWidth || "string" === typeof input.borderLeftWidth || "number" === typeof input.borderLeftWidth) && (undefined === input.borderRightColor || "string" === typeof input.borderRightColor) && (undefined === input.borderRightStyle || "-moz-initial" === input.borderRightStyle || "inherit" === input.borderRightStyle || "initial" === input.borderRightStyle || "revert" === input.borderRightStyle || "revert-layer" === input.borderRightStyle || "unset" === input.borderRightStyle || "none" === input.borderRightStyle || "hidden" === input.borderRightStyle || "dashed" === input.borderRightStyle || "dotted" === input.borderRightStyle || "double" === input.borderRightStyle || "groove" === input.borderRightStyle || "inset" === input.borderRightStyle || "outset" === input.borderRightStyle || "ridge" === input.borderRightStyle || "solid" === input.borderRightStyle) && (undefined === input.borderRightWidth || "string" === typeof input.borderRightWidth || "number" === typeof input.borderRightWidth) && (undefined === input.borderSpacing || "string" === typeof input.borderSpacing || "number" === typeof input.borderSpacing) && (undefined === input.borderStartEndRadius || "string" === typeof input.borderStartEndRadius || "number" === typeof input.borderStartEndRadius) && (undefined === input.borderStartStartRadius || "string" === typeof input.borderStartStartRadius || "number" === typeof input.borderStartStartRadius) && (undefined === input.borderTopColor || "string" === typeof input.borderTopColor) && (undefined === input.borderTopLeftRadius || "string" === typeof input.borderTopLeftRadius || "number" === typeof input.borderTopLeftRadius) && (undefined === input.borderTopRightRadius || "string" === typeof input.borderTopRightRadius || "number" === typeof input.borderTopRightRadius) && (undefined === input.borderTopStyle || "-moz-initial" === input.borderTopStyle || "inherit" === input.borderTopStyle || "initial" === input.borderTopStyle || "revert" === input.borderTopStyle || "revert-layer" === input.borderTopStyle || "unset" === input.borderTopStyle || "none" === input.borderTopStyle || "hidden" === input.borderTopStyle || "dashed" === input.borderTopStyle || "dotted" === input.borderTopStyle || "double" === input.borderTopStyle || "groove" === input.borderTopStyle || "inset" === input.borderTopStyle || "outset" === input.borderTopStyle || "ridge" === input.borderTopStyle || "solid" === input.borderTopStyle) && (undefined === input.borderTopWidth || "string" === typeof input.borderTopWidth || "number" === typeof input.borderTopWidth) && (undefined === input.bottom || "string" === typeof input.bottom || "number" === typeof input.bottom) && (undefined === input.boxDecorationBreak || "-moz-initial" === input.boxDecorationBreak || "inherit" === input.boxDecorationBreak || "initial" === input.boxDecorationBreak || "revert" === input.boxDecorationBreak || "revert-layer" === input.boxDecorationBreak || "unset" === input.boxDecorationBreak || "clone" === input.boxDecorationBreak || "slice" === input.boxDecorationBreak) && (undefined === input.boxShadow || "string" === typeof input.boxShadow) && (undefined === input.boxSizing || "-moz-initial" === input.boxSizing || "inherit" === input.boxSizing || "initial" === input.boxSizing || "revert" === input.boxSizing || "revert-layer" === input.boxSizing || "unset" === input.boxSizing || "border-box" === input.boxSizing || "content-box" === input.boxSizing) && (undefined === input.breakAfter || "all" === input.breakAfter || "-moz-initial" === input.breakAfter || "inherit" === input.breakAfter || "initial" === input.breakAfter || "revert" === input.breakAfter || "revert-layer" === input.breakAfter || "unset" === input.breakAfter || "auto" === input.breakAfter || "left" === input.breakAfter || "right" === input.breakAfter || "always" === input.breakAfter || "avoid" === input.breakAfter || "avoid-column" === input.breakAfter || "avoid-page" === input.breakAfter || "avoid-region" === input.breakAfter || "column" === input.breakAfter || "page" === input.breakAfter || "recto" === input.breakAfter || "region" === input.breakAfter || "verso" === input.breakAfter) && (undefined === input.breakBefore || "all" === input.breakBefore || "-moz-initial" === input.breakBefore || "inherit" === input.breakBefore || "initial" === input.breakBefore || "revert" === input.breakBefore || "revert-layer" === input.breakBefore || "unset" === input.breakBefore || "auto" === input.breakBefore || "left" === input.breakBefore || "right" === input.breakBefore || "always" === input.breakBefore || "avoid" === input.breakBefore || "avoid-column" === input.breakBefore || "avoid-page" === input.breakBefore || "avoid-region" === input.breakBefore || "column" === input.breakBefore || "page" === input.breakBefore || "recto" === input.breakBefore || "region" === input.breakBefore || "verso" === input.breakBefore) && (undefined === input.breakInside || "-moz-initial" === input.breakInside || "inherit" === input.breakInside || "initial" === input.breakInside || "revert" === input.breakInside || "revert-layer" === input.breakInside || "unset" === input.breakInside || "auto" === input.breakInside || "avoid" === input.breakInside || "avoid-column" === input.breakInside || "avoid-page" === input.breakInside || "avoid-region" === input.breakInside) && (undefined === input.captionSide || "-moz-initial" === input.captionSide || "inherit" === input.captionSide || "initial" === input.captionSide || "revert" === input.captionSide || "revert-layer" === input.captionSide || "unset" === input.captionSide || "bottom" === input.captionSide || "top" === input.captionSide || "block-end" === input.captionSide || "block-start" === input.captionSide || "inline-end" === input.captionSide || "inline-start" === input.captionSide) && (undefined === input.caretColor || "string" === typeof input.caretColor) && (undefined === input.clear || "-moz-initial" === input.clear || "inherit" === input.clear || "initial" === input.clear || "revert" === input.clear || "revert-layer" === input.clear || "unset" === input.clear || "both" === input.clear || "none" === input.clear || "left" === input.clear || "right" === input.clear || "inline-end" === input.clear || "inline-start" === input.clear) && (undefined === input.clipPath || "string" === typeof input.clipPath) && (undefined === input.color || "string" === typeof input.color) && (undefined === input.colorAdjust || "-moz-initial" === input.colorAdjust || "inherit" === input.colorAdjust || "initial" === input.colorAdjust || "revert" === input.colorAdjust || "revert-layer" === input.colorAdjust || "unset" === input.colorAdjust || "economy" === input.colorAdjust || "exact" === input.colorAdjust) && (undefined === input.colorScheme || "string" === typeof input.colorScheme) && (undefined === input.columnCount || "string" === typeof input.columnCount || "number" === typeof input.columnCount) && (undefined === input.columnFill || "-moz-initial" === input.columnFill || "inherit" === input.columnFill || "initial" === input.columnFill || "revert" === input.columnFill || "revert-layer" === input.columnFill || "unset" === input.columnFill || "auto" === input.columnFill || "balance" === input.columnFill || "balance-all" === input.columnFill) && (undefined === input.columnGap || "string" === typeof input.columnGap || "number" === typeof input.columnGap) && (undefined === input.columnRuleColor || "string" === typeof input.columnRuleColor) && (undefined === input.columnRuleStyle || "string" === typeof input.columnRuleStyle) && (undefined === input.columnRuleWidth || "string" === typeof input.columnRuleWidth || "number" === typeof input.columnRuleWidth) && (undefined === input.columnSpan || "all" === input.columnSpan || "-moz-initial" === input.columnSpan || "inherit" === input.columnSpan || "initial" === input.columnSpan || "revert" === input.columnSpan || "revert-layer" === input.columnSpan || "unset" === input.columnSpan || "none" === input.columnSpan) && (undefined === input.columnWidth || "string" === typeof input.columnWidth || "number" === typeof input.columnWidth) && (undefined === input.contain || "string" === typeof input.contain) && (undefined === input.content || "string" === typeof input.content) && (undefined === input.contentVisibility || "-moz-initial" === input.contentVisibility || "inherit" === input.contentVisibility || "initial" === input.contentVisibility || "revert" === input.contentVisibility || "revert-layer" === input.contentVisibility || "unset" === input.contentVisibility || "auto" === input.contentVisibility || "hidden" === input.contentVisibility || "visible" === input.contentVisibility) && (undefined === input.counterIncrement || "string" === typeof input.counterIncrement) && (undefined === input.counterReset || "string" === typeof input.counterReset) && (undefined === input.counterSet || "string" === typeof input.counterSet) && (undefined === input.cursor || "string" === typeof input.cursor) && (undefined === input.direction || "-moz-initial" === input.direction || "inherit" === input.direction || "initial" === input.direction || "revert" === input.direction || "revert-layer" === input.direction || "unset" === input.direction || "ltr" === input.direction || "rtl" === input.direction) && (undefined === input.display || "string" === typeof input.display) && (undefined === input.emptyCells || "-moz-initial" === input.emptyCells || "inherit" === input.emptyCells || "initial" === input.emptyCells || "revert" === input.emptyCells || "revert-layer" === input.emptyCells || "unset" === input.emptyCells || "hide" === input.emptyCells || "show" === input.emptyCells) && (undefined === input.filter || "string" === typeof input.filter) && (undefined === input.flexBasis || "string" === typeof input.flexBasis || "number" === typeof input.flexBasis) && (undefined === input.flexDirection || "-moz-initial" === input.flexDirection || "inherit" === input.flexDirection || "initial" === input.flexDirection || "revert" === input.flexDirection || "revert-layer" === input.flexDirection || "unset" === input.flexDirection || "column" === input.flexDirection || "column-reverse" === input.flexDirection || "row" === input.flexDirection || "row-reverse" === input.flexDirection) && (undefined === input.flexGrow || "string" === typeof input.flexGrow || "number" === typeof input.flexGrow) && (undefined === input.flexShrink || "string" === typeof input.flexShrink || "number" === typeof input.flexShrink) && (undefined === input.flexWrap || "-moz-initial" === input.flexWrap || "inherit" === input.flexWrap || "initial" === input.flexWrap || "revert" === input.flexWrap || "revert-layer" === input.flexWrap || "unset" === input.flexWrap || "nowrap" === input.flexWrap || "wrap" === input.flexWrap || "wrap-reverse" === input.flexWrap) && (undefined === input.float || "-moz-initial" === input.float || "inherit" === input.float || "initial" === input.float || "revert" === input.float || "revert-layer" === input.float || "unset" === input.float || "none" === input.float || "left" === input.float || "right" === input.float || "inline-end" === input.float || "inline-start" === input.float) && (undefined === input.fontFamily || "string" === typeof input.fontFamily) && (undefined === input.fontFeatureSettings || "string" === typeof input.fontFeatureSettings) && (undefined === input.fontKerning || "-moz-initial" === input.fontKerning || "inherit" === input.fontKerning || "initial" === input.fontKerning || "revert" === input.fontKerning || "revert-layer" === input.fontKerning || "unset" === input.fontKerning || "auto" === input.fontKerning || "normal" === input.fontKerning || "none" === input.fontKerning) && (undefined === input.fontLanguageOverride || "string" === typeof input.fontLanguageOverride) && (undefined === input.fontOpticalSizing || "-moz-initial" === input.fontOpticalSizing || "inherit" === input.fontOpticalSizing || "initial" === input.fontOpticalSizing || "revert" === input.fontOpticalSizing || "revert-layer" === input.fontOpticalSizing || "unset" === input.fontOpticalSizing || "auto" === input.fontOpticalSizing || "none" === input.fontOpticalSizing) && (undefined === input.fontSize || "string" === typeof input.fontSize || "number" === typeof input.fontSize) && (undefined === input.fontSizeAdjust || "string" === typeof input.fontSizeAdjust || "number" === typeof input.fontSizeAdjust) && (undefined === input.fontSmooth || "string" === typeof input.fontSmooth || "number" === typeof input.fontSmooth) && (undefined === input.fontStretch || "string" === typeof input.fontStretch) && (undefined === input.fontStyle || "string" === typeof input.fontStyle) && (undefined === input.fontSynthesis || "string" === typeof input.fontSynthesis) && (undefined === input.fontVariant || "string" === typeof input.fontVariant) && (undefined === input.fontVariantAlternates || "string" === typeof input.fontVariantAlternates) && (undefined === input.fontVariantCaps || "-moz-initial" === input.fontVariantCaps || "inherit" === input.fontVariantCaps || "initial" === input.fontVariantCaps || "revert" === input.fontVariantCaps || "revert-layer" === input.fontVariantCaps || "unset" === input.fontVariantCaps || "normal" === input.fontVariantCaps || "small-caps" === input.fontVariantCaps || "all-petite-caps" === input.fontVariantCaps || "all-small-caps" === input.fontVariantCaps || "petite-caps" === input.fontVariantCaps || "titling-caps" === input.fontVariantCaps || "unicase" === input.fontVariantCaps) && (undefined === input.fontVariantEastAsian || "string" === typeof input.fontVariantEastAsian) && (undefined === input.fontVariantLigatures || "string" === typeof input.fontVariantLigatures) && (undefined === input.fontVariantNumeric || "string" === typeof input.fontVariantNumeric) && (undefined === input.fontVariantPosition || "-moz-initial" === input.fontVariantPosition || "inherit" === input.fontVariantPosition || "initial" === input.fontVariantPosition || "revert" === input.fontVariantPosition || "revert-layer" === input.fontVariantPosition || "unset" === input.fontVariantPosition || "normal" === input.fontVariantPosition || "sub" === input.fontVariantPosition || "super" === input.fontVariantPosition) && (undefined === input.fontVariationSettings || "string" === typeof input.fontVariationSettings) && (undefined === input.fontWeight || "string" === typeof input.fontWeight || "number" === typeof input.fontWeight) && (undefined === input.forcedColorAdjust || "-moz-initial" === input.forcedColorAdjust || "inherit" === input.forcedColorAdjust || "initial" === input.forcedColorAdjust || "revert" === input.forcedColorAdjust || "revert-layer" === input.forcedColorAdjust || "unset" === input.forcedColorAdjust || "auto" === input.forcedColorAdjust || "none" === input.forcedColorAdjust) && (undefined === input.gridAutoColumns || "string" === typeof input.gridAutoColumns || "number" === typeof input.gridAutoColumns) && (undefined === input.gridAutoFlow || "string" === typeof input.gridAutoFlow) && (undefined === input.gridAutoRows || "string" === typeof input.gridAutoRows || "number" === typeof input.gridAutoRows) && (undefined === input.gridColumnEnd || "string" === typeof input.gridColumnEnd || "number" === typeof input.gridColumnEnd) && (undefined === input.gridColumnStart || "string" === typeof input.gridColumnStart || "number" === typeof input.gridColumnStart) && (undefined === input.gridRowEnd || "string" === typeof input.gridRowEnd || "number" === typeof input.gridRowEnd) && (undefined === input.gridRowStart || "string" === typeof input.gridRowStart || "number" === typeof input.gridRowStart) && (undefined === input.gridTemplateAreas || "string" === typeof input.gridTemplateAreas) && (undefined === input.gridTemplateColumns || "string" === typeof input.gridTemplateColumns || "number" === typeof input.gridTemplateColumns) && (undefined === input.gridTemplateRows || "string" === typeof input.gridTemplateRows || "number" === typeof input.gridTemplateRows) && (undefined === input.hangingPunctuation || "string" === typeof input.hangingPunctuation) && (undefined === input.height || "string" === typeof input.height || "number" === typeof input.height) && (undefined === input.hyphenateCharacter || "string" === typeof input.hyphenateCharacter) && (undefined === input.hyphens || "-moz-initial" === input.hyphens || "inherit" === input.hyphens || "initial" === input.hyphens || "revert" === input.hyphens || "revert-layer" === input.hyphens || "unset" === input.hyphens || "auto" === input.hyphens || "none" === input.hyphens || "manual" === input.hyphens) && (undefined === input.imageOrientation || "string" === typeof input.imageOrientation) && (undefined === input.imageRendering || "-moz-initial" === input.imageRendering || "inherit" === input.imageRendering || "initial" === input.imageRendering || "revert" === input.imageRendering || "revert-layer" === input.imageRendering || "unset" === input.imageRendering || "auto" === input.imageRendering || "-moz-crisp-edges" === input.imageRendering || "-webkit-optimize-contrast" === input.imageRendering || "crisp-edges" === input.imageRendering || "pixelated" === input.imageRendering) && (undefined === input.imageResolution || "string" === typeof input.imageResolution) && (undefined === input.initialLetter || "string" === typeof input.initialLetter || "number" === typeof input.initialLetter) && (undefined === input.inlineSize || "string" === typeof input.inlineSize || "number" === typeof input.inlineSize) && (undefined === input.inputSecurity || "-moz-initial" === input.inputSecurity || "inherit" === input.inputSecurity || "initial" === input.inputSecurity || "revert" === input.inputSecurity || "revert-layer" === input.inputSecurity || "unset" === input.inputSecurity || "auto" === input.inputSecurity || "none" === input.inputSecurity) && (undefined === input.inset || "string" === typeof input.inset || "number" === typeof input.inset) && (undefined === input.insetBlock || "string" === typeof input.insetBlock || "number" === typeof input.insetBlock) && (undefined === input.insetBlockEnd || "string" === typeof input.insetBlockEnd || "number" === typeof input.insetBlockEnd) && (undefined === input.insetBlockStart || "string" === typeof input.insetBlockStart || "number" === typeof input.insetBlockStart) && (undefined === input.insetInline || "string" === typeof input.insetInline || "number" === typeof input.insetInline) && (undefined === input.insetInlineEnd || "string" === typeof input.insetInlineEnd || "number" === typeof input.insetInlineEnd) && (undefined === input.insetInlineStart || "string" === typeof input.insetInlineStart || "number" === typeof input.insetInlineStart) && (undefined === input.isolation || "-moz-initial" === input.isolation || "inherit" === input.isolation || "initial" === input.isolation || "revert" === input.isolation || "revert-layer" === input.isolation || "unset" === input.isolation || "auto" === input.isolation || "isolate" === input.isolation) && (undefined === input.justifyContent || "string" === typeof input.justifyContent) && (undefined === input.justifyItems || "string" === typeof input.justifyItems) && (undefined === input.justifySelf || "string" === typeof input.justifySelf) && (undefined === input.justifyTracks || "string" === typeof input.justifyTracks) && (undefined === input.left || "string" === typeof input.left || "number" === typeof input.left) && (undefined === input.letterSpacing || "string" === typeof input.letterSpacing || "number" === typeof input.letterSpacing) && (undefined === input.lineBreak || "-moz-initial" === input.lineBreak || "inherit" === input.lineBreak || "initial" === input.lineBreak || "revert" === input.lineBreak || "revert-layer" === input.lineBreak || "unset" === input.lineBreak || "auto" === input.lineBreak || "normal" === input.lineBreak || "strict" === input.lineBreak || "anywhere" === input.lineBreak || "loose" === input.lineBreak) && (undefined === input.lineHeight || "string" === typeof input.lineHeight || "number" === typeof input.lineHeight) && (undefined === input.lineHeightStep || "string" === typeof input.lineHeightStep || "number" === typeof input.lineHeightStep) && (undefined === input.listStyleImage || "string" === typeof input.listStyleImage) && (undefined === input.listStylePosition || "-moz-initial" === input.listStylePosition || "inherit" === input.listStylePosition || "initial" === input.listStylePosition || "revert" === input.listStylePosition || "revert-layer" === input.listStylePosition || "unset" === input.listStylePosition || "inside" === input.listStylePosition || "outside" === input.listStylePosition) && (undefined === input.listStyleType || "string" === typeof input.listStyleType) && (undefined === input.marginBlock || "string" === typeof input.marginBlock || "number" === typeof input.marginBlock) && (undefined === input.marginBlockEnd || "string" === typeof input.marginBlockEnd || "number" === typeof input.marginBlockEnd) && (undefined === input.marginBlockStart || "string" === typeof input.marginBlockStart || "number" === typeof input.marginBlockStart) && (undefined === input.marginBottom || "string" === typeof input.marginBottom || "number" === typeof input.marginBottom) && (undefined === input.marginInline || "string" === typeof input.marginInline || "number" === typeof input.marginInline) && (undefined === input.marginInlineEnd || "string" === typeof input.marginInlineEnd || "number" === typeof input.marginInlineEnd) && (undefined === input.marginInlineStart || "string" === typeof input.marginInlineStart || "number" === typeof input.marginInlineStart) && (undefined === input.marginLeft || "string" === typeof input.marginLeft || "number" === typeof input.marginLeft) && (undefined === input.marginRight || "string" === typeof input.marginRight || "number" === typeof input.marginRight) && (undefined === input.marginTop || "string" === typeof input.marginTop || "number" === typeof input.marginTop) && (undefined === input.maskBorderMode || "-moz-initial" === input.maskBorderMode || "inherit" === input.maskBorderMode || "initial" === input.maskBorderMode || "revert" === input.maskBorderMode || "revert-layer" === input.maskBorderMode || "unset" === input.maskBorderMode || "alpha" === input.maskBorderMode || "luminance" === input.maskBorderMode) && (undefined === input.maskBorderOutset || "string" === typeof input.maskBorderOutset || "number" === typeof input.maskBorderOutset) && (undefined === input.maskBorderRepeat || "string" === typeof input.maskBorderRepeat) && (undefined === input.maskBorderSlice || "string" === typeof input.maskBorderSlice || "number" === typeof input.maskBorderSlice) && (undefined === input.maskBorderSource || "string" === typeof input.maskBorderSource) && (undefined === input.maskBorderWidth || "string" === typeof input.maskBorderWidth || "number" === typeof input.maskBorderWidth) && (undefined === input.maskClip || "string" === typeof input.maskClip) && (undefined === input.maskComposite || "string" === typeof input.maskComposite) && (undefined === input.maskImage || "string" === typeof input.maskImage) && (undefined === input.maskMode || "string" === typeof input.maskMode) && (undefined === input.maskOrigin || "string" === typeof input.maskOrigin) && (undefined === input.maskPosition || "string" === typeof input.maskPosition || "number" === typeof input.maskPosition) && (undefined === input.maskRepeat || "string" === typeof input.maskRepeat) && (undefined === input.maskSize || "string" === typeof input.maskSize || "number" === typeof input.maskSize) && (undefined === input.maskType || "-moz-initial" === input.maskType || "inherit" === input.maskType || "initial" === input.maskType || "revert" === input.maskType || "revert-layer" === input.maskType || "unset" === input.maskType || "alpha" === input.maskType || "luminance" === input.maskType) && (undefined === input.mathStyle || "-moz-initial" === input.mathStyle || "inherit" === input.mathStyle || "initial" === input.mathStyle || "revert" === input.mathStyle || "revert-layer" === input.mathStyle || "unset" === input.mathStyle || "normal" === input.mathStyle || "compact" === input.mathStyle) && (undefined === input.maxBlockSize || "string" === typeof input.maxBlockSize || "number" === typeof input.maxBlockSize) && (undefined === input.maxHeight || "string" === typeof input.maxHeight || "number" === typeof input.maxHeight) && (undefined === input.maxInlineSize || "string" === typeof input.maxInlineSize || "number" === typeof input.maxInlineSize) && (undefined === input.maxLines || "string" === typeof input.maxLines || "number" === typeof input.maxLines) && (undefined === input.maxWidth || "string" === typeof input.maxWidth || "number" === typeof input.maxWidth) && (undefined === input.minBlockSize || "string" === typeof input.minBlockSize || "number" === typeof input.minBlockSize) && (undefined === input.minHeight || "string" === typeof input.minHeight || "number" === typeof input.minHeight) && (undefined === input.minInlineSize || "string" === typeof input.minInlineSize || "number" === typeof input.minInlineSize) && (undefined === input.minWidth || "string" === typeof input.minWidth || "number" === typeof input.minWidth) && (undefined === input.mixBlendMode || "-moz-initial" === input.mixBlendMode || "inherit" === input.mixBlendMode || "initial" === input.mixBlendMode || "revert" === input.mixBlendMode || "revert-layer" === input.mixBlendMode || "unset" === input.mixBlendMode || "normal" === input.mixBlendMode || "color" === input.mixBlendMode || "color-burn" === input.mixBlendMode || "color-dodge" === input.mixBlendMode || "darken" === input.mixBlendMode || "difference" === input.mixBlendMode || "exclusion" === input.mixBlendMode || "hard-light" === input.mixBlendMode || "hue" === input.mixBlendMode || "lighten" === input.mixBlendMode || "luminosity" === input.mixBlendMode || "multiply" === input.mixBlendMode || "overlay" === input.mixBlendMode || "saturation" === input.mixBlendMode || "screen" === input.mixBlendMode || "soft-light" === input.mixBlendMode || "plus-lighter" === input.mixBlendMode) && (undefined === input.motionDistance || "string" === typeof input.motionDistance || "number" === typeof input.motionDistance) && (undefined === input.motionPath || "string" === typeof input.motionPath) && (undefined === input.motionRotation || "string" === typeof input.motionRotation) && (undefined === input.objectFit || "-moz-initial" === input.objectFit || "inherit" === input.objectFit || "initial" === input.objectFit || "revert" === input.objectFit || "revert-layer" === input.objectFit || "unset" === input.objectFit || "none" === input.objectFit || "contain" === input.objectFit || "cover" === input.objectFit || "fill" === input.objectFit || "scale-down" === input.objectFit) && (undefined === input.objectPosition || "string" === typeof input.objectPosition || "number" === typeof input.objectPosition) && (undefined === input.offsetAnchor || "string" === typeof input.offsetAnchor || "number" === typeof input.offsetAnchor) && (undefined === input.offsetDistance || "string" === typeof input.offsetDistance || "number" === typeof input.offsetDistance) && (undefined === input.offsetPath || "string" === typeof input.offsetPath) && (undefined === input.offsetRotate || "string" === typeof input.offsetRotate) && (undefined === input.offsetRotation || "string" === typeof input.offsetRotation) && (undefined === input.opacity || "string" === typeof input.opacity || "number" === typeof input.opacity) && (undefined === input.order || "string" === typeof input.order || "number" === typeof input.order) && (undefined === input.orphans || "string" === typeof input.orphans || "number" === typeof input.orphans) && (undefined === input.outlineColor || "string" === typeof input.outlineColor) && (undefined === input.outlineOffset || "string" === typeof input.outlineOffset || "number" === typeof input.outlineOffset) && (undefined === input.outlineStyle || "string" === typeof input.outlineStyle) && (undefined === input.outlineWidth || "string" === typeof input.outlineWidth || "number" === typeof input.outlineWidth) && (undefined === input.overflowAnchor || "-moz-initial" === input.overflowAnchor || "inherit" === input.overflowAnchor || "initial" === input.overflowAnchor || "revert" === input.overflowAnchor || "revert-layer" === input.overflowAnchor || "unset" === input.overflowAnchor || "auto" === input.overflowAnchor || "none" === input.overflowAnchor) && (undefined === input.overflowBlock || "-moz-initial" === input.overflowBlock || "inherit" === input.overflowBlock || "initial" === input.overflowBlock || "revert" === input.overflowBlock || "revert-layer" === input.overflowBlock || "unset" === input.overflowBlock || "auto" === input.overflowBlock || "hidden" === input.overflowBlock || "visible" === input.overflowBlock || "scroll" === input.overflowBlock || "clip" === input.overflowBlock) && (undefined === input.overflowClipBox || "-moz-initial" === input.overflowClipBox || "inherit" === input.overflowClipBox || "initial" === input.overflowClipBox || "revert" === input.overflowClipBox || "revert-layer" === input.overflowClipBox || "unset" === input.overflowClipBox || "content-box" === input.overflowClipBox || "padding-box" === input.overflowClipBox) && (undefined === input.overflowClipMargin || "string" === typeof input.overflowClipMargin || "number" === typeof input.overflowClipMargin) && (undefined === input.overflowInline || "-moz-initial" === input.overflowInline || "inherit" === input.overflowInline || "initial" === input.overflowInline || "revert" === input.overflowInline || "revert-layer" === input.overflowInline || "unset" === input.overflowInline || "auto" === input.overflowInline || "hidden" === input.overflowInline || "visible" === input.overflowInline || "scroll" === input.overflowInline || "clip" === input.overflowInline) && (undefined === input.overflowWrap || "-moz-initial" === input.overflowWrap || "inherit" === input.overflowWrap || "initial" === input.overflowWrap || "revert" === input.overflowWrap || "revert-layer" === input.overflowWrap || "unset" === input.overflowWrap || "normal" === input.overflowWrap || "anywhere" === input.overflowWrap || "break-word" === input.overflowWrap) && (undefined === input.overflowX || "-moz-initial" === input.overflowX || "inherit" === input.overflowX || "initial" === input.overflowX || "revert" === input.overflowX || "revert-layer" === input.overflowX || "unset" === input.overflowX || "auto" === input.overflowX || "hidden" === input.overflowX || "visible" === input.overflowX || "scroll" === input.overflowX || "clip" === input.overflowX || "-moz-hidden-unscrollable" === input.overflowX) && (undefined === input.overflowY || "-moz-initial" === input.overflowY || "inherit" === input.overflowY || "initial" === input.overflowY || "revert" === input.overflowY || "revert-layer" === input.overflowY || "unset" === input.overflowY || "auto" === input.overflowY || "hidden" === input.overflowY || "visible" === input.overflowY || "scroll" === input.overflowY || "clip" === input.overflowY || "-moz-hidden-unscrollable" === input.overflowY) && (undefined === input.overscrollBehaviorBlock || "-moz-initial" === input.overscrollBehaviorBlock || "inherit" === input.overscrollBehaviorBlock || "initial" === input.overscrollBehaviorBlock || "revert" === input.overscrollBehaviorBlock || "revert-layer" === input.overscrollBehaviorBlock || "unset" === input.overscrollBehaviorBlock || "auto" === input.overscrollBehaviorBlock || "none" === input.overscrollBehaviorBlock || "contain" === input.overscrollBehaviorBlock) && (undefined === input.overscrollBehaviorInline || "-moz-initial" === input.overscrollBehaviorInline || "inherit" === input.overscrollBehaviorInline || "initial" === input.overscrollBehaviorInline || "revert" === input.overscrollBehaviorInline || "revert-layer" === input.overscrollBehaviorInline || "unset" === input.overscrollBehaviorInline || "auto" === input.overscrollBehaviorInline || "none" === input.overscrollBehaviorInline || "contain" === input.overscrollBehaviorInline) && (undefined === input.overscrollBehaviorX || "-moz-initial" === input.overscrollBehaviorX || "inherit" === input.overscrollBehaviorX || "initial" === input.overscrollBehaviorX || "revert" === input.overscrollBehaviorX || "revert-layer" === input.overscrollBehaviorX || "unset" === input.overscrollBehaviorX || "auto" === input.overscrollBehaviorX || "none" === input.overscrollBehaviorX || "contain" === input.overscrollBehaviorX) && (undefined === input.overscrollBehaviorY || "-moz-initial" === input.overscrollBehaviorY || "inherit" === input.overscrollBehaviorY || "initial" === input.overscrollBehaviorY || "revert" === input.overscrollBehaviorY || "revert-layer" === input.overscrollBehaviorY || "unset" === input.overscrollBehaviorY || "auto" === input.overscrollBehaviorY || "none" === input.overscrollBehaviorY || "contain" === input.overscrollBehaviorY) && (undefined === input.paddingBlock || "string" === typeof input.paddingBlock || "number" === typeof input.paddingBlock) && (undefined === input.paddingBlockEnd || "string" === typeof input.paddingBlockEnd || "number" === typeof input.paddingBlockEnd) && (undefined === input.paddingBlockStart || "string" === typeof input.paddingBlockStart || "number" === typeof input.paddingBlockStart) && (undefined === input.paddingBottom || "string" === typeof input.paddingBottom || "number" === typeof input.paddingBottom) && (undefined === input.paddingInline || "string" === typeof input.paddingInline || "number" === typeof input.paddingInline) && (undefined === input.paddingInlineEnd || "string" === typeof input.paddingInlineEnd || "number" === typeof input.paddingInlineEnd) && (undefined === input.paddingInlineStart || "string" === typeof input.paddingInlineStart || "number" === typeof input.paddingInlineStart) && (undefined === input.paddingLeft || "string" === typeof input.paddingLeft || "number" === typeof input.paddingLeft) && (undefined === input.paddingRight || "string" === typeof input.paddingRight || "number" === typeof input.paddingRight) && (undefined === input.paddingTop || "string" === typeof input.paddingTop || "number" === typeof input.paddingTop) && (undefined === input.pageBreakAfter || "-moz-initial" === input.pageBreakAfter || "inherit" === input.pageBreakAfter || "initial" === input.pageBreakAfter || "revert" === input.pageBreakAfter || "revert-layer" === input.pageBreakAfter || "unset" === input.pageBreakAfter || "auto" === input.pageBreakAfter || "left" === input.pageBreakAfter || "right" === input.pageBreakAfter || "always" === input.pageBreakAfter || "avoid" === input.pageBreakAfter || "recto" === input.pageBreakAfter || "verso" === input.pageBreakAfter) && (undefined === input.pageBreakBefore || "-moz-initial" === input.pageBreakBefore || "inherit" === input.pageBreakBefore || "initial" === input.pageBreakBefore || "revert" === input.pageBreakBefore || "revert-layer" === input.pageBreakBefore || "unset" === input.pageBreakBefore || "auto" === input.pageBreakBefore || "left" === input.pageBreakBefore || "right" === input.pageBreakBefore || "always" === input.pageBreakBefore || "avoid" === input.pageBreakBefore || "recto" === input.pageBreakBefore || "verso" === input.pageBreakBefore) && (undefined === input.pageBreakInside || "-moz-initial" === input.pageBreakInside || "inherit" === input.pageBreakInside || "initial" === input.pageBreakInside || "revert" === input.pageBreakInside || "revert-layer" === input.pageBreakInside || "unset" === input.pageBreakInside || "auto" === input.pageBreakInside || "avoid" === input.pageBreakInside) && (undefined === input.paintOrder || "string" === typeof input.paintOrder) && (undefined === input.perspective || "string" === typeof input.perspective || "number" === typeof input.perspective) && (undefined === input.perspectiveOrigin || "string" === typeof input.perspectiveOrigin || "number" === typeof input.perspectiveOrigin) && (undefined === input.placeContent || "string" === typeof input.placeContent) && (undefined === input.pointerEvents || "all" === input.pointerEvents || "-moz-initial" === input.pointerEvents || "inherit" === input.pointerEvents || "initial" === input.pointerEvents || "revert" === input.pointerEvents || "revert-layer" === input.pointerEvents || "unset" === input.pointerEvents || "auto" === input.pointerEvents || "none" === input.pointerEvents || "visible" === input.pointerEvents || "fill" === input.pointerEvents || "stroke" === input.pointerEvents || "painted" === input.pointerEvents || "visibleFill" === input.pointerEvents || "visiblePainted" === input.pointerEvents || "visibleStroke" === input.pointerEvents) && (undefined === input.position || "-moz-initial" === input.position || "inherit" === input.position || "initial" === input.position || "revert" === input.position || "revert-layer" === input.position || "unset" === input.position || "fixed" === input.position || "-webkit-sticky" === input.position || "absolute" === input.position || "relative" === input.position || "static" === input.position || "sticky" === input.position) && (undefined === input.printColorAdjust || "-moz-initial" === input.printColorAdjust || "inherit" === input.printColorAdjust || "initial" === input.printColorAdjust || "revert" === input.printColorAdjust || "revert-layer" === input.printColorAdjust || "unset" === input.printColorAdjust || "economy" === input.printColorAdjust || "exact" === input.printColorAdjust) && (undefined === input.quotes || "string" === typeof input.quotes) && (undefined === input.resize || "-moz-initial" === input.resize || "inherit" === input.resize || "initial" === input.resize || "revert" === input.resize || "revert-layer" === input.resize || "unset" === input.resize || "both" === input.resize || "none" === input.resize || "block" === input.resize || "inline" === input.resize || "horizontal" === input.resize || "vertical" === input.resize) && (undefined === input.right || "string" === typeof input.right || "number" === typeof input.right) && (undefined === input.rotate || "string" === typeof input.rotate) && (undefined === input.rowGap || "string" === typeof input.rowGap || "number" === typeof input.rowGap) && (undefined === input.rubyAlign || "-moz-initial" === input.rubyAlign || "inherit" === input.rubyAlign || "initial" === input.rubyAlign || "revert" === input.rubyAlign || "revert-layer" === input.rubyAlign || "unset" === input.rubyAlign || "space-around" === input.rubyAlign || "space-between" === input.rubyAlign || "center" === input.rubyAlign || "start" === input.rubyAlign) && (undefined === input.rubyMerge || "-moz-initial" === input.rubyMerge || "inherit" === input.rubyMerge || "initial" === input.rubyMerge || "revert" === input.rubyMerge || "revert-layer" === input.rubyMerge || "unset" === input.rubyMerge || "auto" === input.rubyMerge || "collapse" === input.rubyMerge || "separate" === input.rubyMerge) && (undefined === input.rubyPosition || "string" === typeof input.rubyPosition) && (undefined === input.scale || "string" === typeof input.scale || "number" === typeof input.scale) && (undefined === input.scrollBehavior || "-moz-initial" === input.scrollBehavior || "inherit" === input.scrollBehavior || "initial" === input.scrollBehavior || "revert" === input.scrollBehavior || "revert-layer" === input.scrollBehavior || "unset" === input.scrollBehavior || "auto" === input.scrollBehavior || "smooth" === input.scrollBehavior) && (undefined === input.scrollMargin || "string" === typeof input.scrollMargin || "number" === typeof input.scrollMargin) && (undefined === input.scrollMarginBlock || "string" === typeof input.scrollMarginBlock || "number" === typeof input.scrollMarginBlock) && (undefined === input.scrollMarginBlockEnd || "string" === typeof input.scrollMarginBlockEnd || "number" === typeof input.scrollMarginBlockEnd) && (undefined === input.scrollMarginBlockStart || "string" === typeof input.scrollMarginBlockStart || "number" === typeof input.scrollMarginBlockStart) && (undefined === input.scrollMarginBottom || "string" === typeof input.scrollMarginBottom || "number" === typeof input.scrollMarginBottom) && (undefined === input.scrollMarginInline || "string" === typeof input.scrollMarginInline || "number" === typeof input.scrollMarginInline) && (undefined === input.scrollMarginInlineEnd || "string" === typeof input.scrollMarginInlineEnd || "number" === typeof input.scrollMarginInlineEnd) && (undefined === input.scrollMarginInlineStart || "string" === typeof input.scrollMarginInlineStart || "number" === typeof input.scrollMarginInlineStart) && (undefined === input.scrollMarginLeft || "string" === typeof input.scrollMarginLeft || "number" === typeof input.scrollMarginLeft) && (undefined === input.scrollMarginRight || "string" === typeof input.scrollMarginRight || "number" === typeof input.scrollMarginRight) && (undefined === input.scrollMarginTop || "string" === typeof input.scrollMarginTop || "number" === typeof input.scrollMarginTop) && (undefined === input.scrollPadding || "string" === typeof input.scrollPadding || "number" === typeof input.scrollPadding) && (undefined === input.scrollPaddingBlock || "string" === typeof input.scrollPaddingBlock || "number" === typeof input.scrollPaddingBlock) && (undefined === input.scrollPaddingBlockEnd || "string" === typeof input.scrollPaddingBlockEnd || "number" === typeof input.scrollPaddingBlockEnd) && (undefined === input.scrollPaddingBlockStart || "string" === typeof input.scrollPaddingBlockStart || "number" === typeof input.scrollPaddingBlockStart) && (undefined === input.scrollPaddingBottom || "string" === typeof input.scrollPaddingBottom || "number" === typeof input.scrollPaddingBottom) && (undefined === input.scrollPaddingInline || "string" === typeof input.scrollPaddingInline || "number" === typeof input.scrollPaddingInline) && (undefined === input.scrollPaddingInlineEnd || "string" === typeof input.scrollPaddingInlineEnd || "number" === typeof input.scrollPaddingInlineEnd) && (undefined === input.scrollPaddingInlineStart || "string" === typeof input.scrollPaddingInlineStart || "number" === typeof input.scrollPaddingInlineStart) && (undefined === input.scrollPaddingLeft || "string" === typeof input.scrollPaddingLeft || "number" === typeof input.scrollPaddingLeft) && (undefined === input.scrollPaddingRight || "string" === typeof input.scrollPaddingRight || "number" === typeof input.scrollPaddingRight) && (undefined === input.scrollPaddingTop || "string" === typeof input.scrollPaddingTop || "number" === typeof input.scrollPaddingTop) && (undefined === input.scrollSnapAlign || "string" === typeof input.scrollSnapAlign) && (undefined === input.scrollSnapMargin || "string" === typeof input.scrollSnapMargin || "number" === typeof input.scrollSnapMargin) && (undefined === input.scrollSnapMarginBottom || "string" === typeof input.scrollSnapMarginBottom || "number" === typeof input.scrollSnapMarginBottom) && (undefined === input.scrollSnapMarginLeft || "string" === typeof input.scrollSnapMarginLeft || "number" === typeof input.scrollSnapMarginLeft) && (undefined === input.scrollSnapMarginRight || "string" === typeof input.scrollSnapMarginRight || "number" === typeof input.scrollSnapMarginRight) && (undefined === input.scrollSnapMarginTop || "string" === typeof input.scrollSnapMarginTop || "number" === typeof input.scrollSnapMarginTop) && (undefined === input.scrollSnapStop || "-moz-initial" === input.scrollSnapStop || "inherit" === input.scrollSnapStop || "initial" === input.scrollSnapStop || "revert" === input.scrollSnapStop || "revert-layer" === input.scrollSnapStop || "unset" === input.scrollSnapStop || "normal" === input.scrollSnapStop || "always" === input.scrollSnapStop) && (undefined === input.scrollSnapType || "string" === typeof input.scrollSnapType) && (undefined === input.scrollbarColor || "string" === typeof input.scrollbarColor) && (undefined === input.scrollbarGutter || "string" === typeof input.scrollbarGutter) && (undefined === input.scrollbarWidth || "-moz-initial" === input.scrollbarWidth || "inherit" === input.scrollbarWidth || "initial" === input.scrollbarWidth || "revert" === input.scrollbarWidth || "revert-layer" === input.scrollbarWidth || "unset" === input.scrollbarWidth || "auto" === input.scrollbarWidth || "none" === input.scrollbarWidth || "thin" === input.scrollbarWidth) && (undefined === input.shapeImageThreshold || "string" === typeof input.shapeImageThreshold || "number" === typeof input.shapeImageThreshold) && (undefined === input.shapeMargin || "string" === typeof input.shapeMargin || "number" === typeof input.shapeMargin) && (undefined === input.shapeOutside || "string" === typeof input.shapeOutside) && (undefined === input.tabSize || "string" === typeof input.tabSize || "number" === typeof input.tabSize) && (undefined === input.tableLayout || "-moz-initial" === input.tableLayout || "inherit" === input.tableLayout || "initial" === input.tableLayout || "revert" === input.tableLayout || "revert-layer" === input.tableLayout || "unset" === input.tableLayout || "auto" === input.tableLayout || "fixed" === input.tableLayout) && (undefined === input.textAlign || "-moz-initial" === input.textAlign || "inherit" === input.textAlign || "initial" === input.textAlign || "revert" === input.textAlign || "revert-layer" === input.textAlign || "unset" === input.textAlign || "center" === input.textAlign || "end" === input.textAlign || "start" === input.textAlign || "left" === input.textAlign || "right" === input.textAlign || "justify" === input.textAlign || "match-parent" === input.textAlign) && (undefined === input.textAlignLast || "-moz-initial" === input.textAlignLast || "inherit" === input.textAlignLast || "initial" === input.textAlignLast || "revert" === input.textAlignLast || "revert-layer" === input.textAlignLast || "unset" === input.textAlignLast || "auto" === input.textAlignLast || "center" === input.textAlignLast || "end" === input.textAlignLast || "start" === input.textAlignLast || "left" === input.textAlignLast || "right" === input.textAlignLast || "justify" === input.textAlignLast) && (undefined === input.textCombineUpright || "string" === typeof input.textCombineUpright) && (undefined === input.textDecorationColor || "string" === typeof input.textDecorationColor) && (undefined === input.textDecorationLine || "string" === typeof input.textDecorationLine) && (undefined === input.textDecorationSkip || "string" === typeof input.textDecorationSkip) && (undefined === input.textDecorationSkipInk || "all" === input.textDecorationSkipInk || "-moz-initial" === input.textDecorationSkipInk || "inherit" === input.textDecorationSkipInk || "initial" === input.textDecorationSkipInk || "revert" === input.textDecorationSkipInk || "revert-layer" === input.textDecorationSkipInk || "unset" === input.textDecorationSkipInk || "auto" === input.textDecorationSkipInk || "none" === input.textDecorationSkipInk) && (undefined === input.textDecorationStyle || "-moz-initial" === input.textDecorationStyle || "inherit" === input.textDecorationStyle || "initial" === input.textDecorationStyle || "revert" === input.textDecorationStyle || "revert-layer" === input.textDecorationStyle || "unset" === input.textDecorationStyle || "dashed" === input.textDecorationStyle || "dotted" === input.textDecorationStyle || "double" === input.textDecorationStyle || "solid" === input.textDecorationStyle || "wavy" === input.textDecorationStyle) && (undefined === input.textDecorationThickness || "string" === typeof input.textDecorationThickness || "number" === typeof input.textDecorationThickness) && (undefined === input.textDecorationWidth || "string" === typeof input.textDecorationWidth || "number" === typeof input.textDecorationWidth) && (undefined === input.textEmphasisColor || "string" === typeof input.textEmphasisColor) && (undefined === input.textEmphasisPosition || "string" === typeof input.textEmphasisPosition) && (undefined === input.textEmphasisStyle || "string" === typeof input.textEmphasisStyle) && (undefined === input.textIndent || "string" === typeof input.textIndent || "number" === typeof input.textIndent) && (undefined === input.textJustify || "-moz-initial" === input.textJustify || "inherit" === input.textJustify || "initial" === input.textJustify || "revert" === input.textJustify || "revert-layer" === input.textJustify || "unset" === input.textJustify || "auto" === input.textJustify || "none" === input.textJustify || "inter-character" === input.textJustify || "inter-word" === input.textJustify) && (undefined === input.textOrientation || "-moz-initial" === input.textOrientation || "inherit" === input.textOrientation || "initial" === input.textOrientation || "revert" === input.textOrientation || "revert-layer" === input.textOrientation || "unset" === input.textOrientation || "mixed" === input.textOrientation || "sideways" === input.textOrientation || "upright" === input.textOrientation) && (undefined === input.textOverflow || "string" === typeof input.textOverflow) && (undefined === input.textRendering || "-moz-initial" === input.textRendering || "inherit" === input.textRendering || "initial" === input.textRendering || "revert" === input.textRendering || "revert-layer" === input.textRendering || "unset" === input.textRendering || "auto" === input.textRendering || "geometricPrecision" === input.textRendering || "optimizeLegibility" === input.textRendering || "optimizeSpeed" === input.textRendering) && (undefined === input.textShadow || "string" === typeof input.textShadow) && (undefined === input.textSizeAdjust || "string" === typeof input.textSizeAdjust) && (undefined === input.textTransform || "-moz-initial" === input.textTransform || "inherit" === input.textTransform || "initial" === input.textTransform || "revert" === input.textTransform || "revert-layer" === input.textTransform || "unset" === input.textTransform || "none" === input.textTransform || "full-width" === input.textTransform || "capitalize" === input.textTransform || "full-size-kana" === input.textTransform || "lowercase" === input.textTransform || "uppercase" === input.textTransform) && (undefined === input.textUnderlineOffset || "string" === typeof input.textUnderlineOffset || "number" === typeof input.textUnderlineOffset) && (undefined === input.textUnderlinePosition || "string" === typeof input.textUnderlinePosition) && (undefined === input.top || "string" === typeof input.top || "number" === typeof input.top) && (undefined === input.touchAction || "string" === typeof input.touchAction) && (undefined === input.transform || "string" === typeof input.transform) && (undefined === input.transformBox || "-moz-initial" === input.transformBox || "inherit" === input.transformBox || "initial" === input.transformBox || "revert" === input.transformBox || "revert-layer" === input.transformBox || "unset" === input.transformBox || "border-box" === input.transformBox || "content-box" === input.transformBox || "fill-box" === input.transformBox || "stroke-box" === input.transformBox || "view-box" === input.transformBox) && (undefined === input.transformOrigin || "string" === typeof input.transformOrigin || "number" === typeof input.transformOrigin) && (undefined === input.transformStyle || "-moz-initial" === input.transformStyle || "inherit" === input.transformStyle || "initial" === input.transformStyle || "revert" === input.transformStyle || "revert-layer" === input.transformStyle || "unset" === input.transformStyle || "flat" === input.transformStyle || "preserve-3d" === input.transformStyle) && (undefined === input.transitionDelay || "string" === typeof input.transitionDelay) && (undefined === input.transitionDuration || "string" === typeof input.transitionDuration) && (undefined === input.transitionProperty || "string" === typeof input.transitionProperty) && (undefined === input.transitionTimingFunction || "string" === typeof input.transitionTimingFunction) && (undefined === input.translate || "string" === typeof input.translate || "number" === typeof input.translate) && (undefined === input.unicodeBidi || "-moz-initial" === input.unicodeBidi || "inherit" === input.unicodeBidi || "initial" === input.unicodeBidi || "revert" === input.unicodeBidi || "revert-layer" === input.unicodeBidi || "unset" === input.unicodeBidi || "normal" === input.unicodeBidi || "isolate" === input.unicodeBidi || "-moz-isolate" === input.unicodeBidi || "-moz-isolate-override" === input.unicodeBidi || "-moz-plaintext" === input.unicodeBidi || "-webkit-isolate" === input.unicodeBidi || "-webkit-isolate-override" === input.unicodeBidi || "-webkit-plaintext" === input.unicodeBidi || "bidi-override" === input.unicodeBidi || "embed" === input.unicodeBidi || "isolate-override" === input.unicodeBidi || "plaintext" === input.unicodeBidi) && (undefined === input.userSelect || "all" === input.userSelect || "-moz-initial" === input.userSelect || "inherit" === input.userSelect || "initial" === input.userSelect || "revert" === input.userSelect || "revert-layer" === input.userSelect || "unset" === input.userSelect || "auto" === input.userSelect || "none" === input.userSelect || "contain" === input.userSelect || "text" === input.userSelect || "-moz-none" === input.userSelect || "element" === input.userSelect) && (undefined === input.verticalAlign || "string" === typeof input.verticalAlign || "number" === typeof input.verticalAlign) && (undefined === input.visibility || "-moz-initial" === input.visibility || "inherit" === input.visibility || "initial" === input.visibility || "revert" === input.visibility || "revert-layer" === input.visibility || "unset" === input.visibility || "hidden" === input.visibility || "visible" === input.visibility || "collapse" === input.visibility) && (undefined === input.whiteSpace || "-moz-initial" === input.whiteSpace || "inherit" === input.whiteSpace || "initial" === input.whiteSpace || "revert" === input.whiteSpace || "revert-layer" === input.whiteSpace || "unset" === input.whiteSpace || "normal" === input.whiteSpace || "nowrap" === input.whiteSpace || "-moz-pre-wrap" === input.whiteSpace || "break-spaces" === input.whiteSpace || "pre" === input.whiteSpace || "pre-line" === input.whiteSpace || "pre-wrap" === input.whiteSpace) && (undefined === input.widows || "string" === typeof input.widows || "number" === typeof input.widows) && (undefined === input.width || "string" === typeof input.width || "number" === typeof input.width) && (undefined === input.willChange || "string" === typeof input.willChange) && (undefined === input.wordBreak || "-moz-initial" === input.wordBreak || "inherit" === input.wordBreak || "initial" === input.wordBreak || "revert" === input.wordBreak || "revert-layer" === input.wordBreak || "unset" === input.wordBreak || "normal" === input.wordBreak || "break-word" === input.wordBreak || "break-all" === input.wordBreak || "keep-all" === input.wordBreak) && (undefined === input.wordSpacing || "string" === typeof input.wordSpacing || "number" === typeof input.wordSpacing) && (undefined === input.wordWrap || "-moz-initial" === input.wordWrap || "inherit" === input.wordWrap || "initial" === input.wordWrap || "revert" === input.wordWrap || "revert-layer" === input.wordWrap || "unset" === input.wordWrap || "normal" === input.wordWrap || "break-word" === input.wordWrap) && (undefined === input.writingMode || "-moz-initial" === input.writingMode || "inherit" === input.writingMode || "initial" === input.writingMode || "revert" === input.writingMode || "revert-layer" === input.writingMode || "unset" === input.writingMode || "horizontal-tb" === input.writingMode || "sideways-lr" === input.writingMode || "sideways-rl" === input.writingMode || "vertical-lr" === input.writingMode || "vertical-rl" === input.writingMode) && (undefined === input.zIndex || "string" === typeof input.zIndex || "number" === typeof input.zIndex) && (undefined === input.zoom || "string" === typeof input.zoom || "number" === typeof input.zoom) && (undefined === input.all || "-moz-initial" === input.all || "inherit" === input.all || "initial" === input.all || "revert" === input.all || "revert-layer" === input.all || "unset" === input.all) && (undefined === input.animation || "string" === typeof input.animation || "number" === typeof input.animation) && (undefined === input.background || "string" === typeof input.background || "number" === typeof input.background) && (undefined === input.backgroundPosition || "string" === typeof input.backgroundPosition || "number" === typeof input.backgroundPosition) && (undefined === input.border || "string" === typeof input.border || "number" === typeof input.border) && (undefined === input.borderBlock || "string" === typeof input.borderBlock || "number" === typeof input.borderBlock) && (undefined === input.borderBlockEnd || "string" === typeof input.borderBlockEnd || "number" === typeof input.borderBlockEnd) && (undefined === input.borderBlockStart || "string" === typeof input.borderBlockStart || "number" === typeof input.borderBlockStart) && (undefined === input.borderBottom || "string" === typeof input.borderBottom || "number" === typeof input.borderBottom) && (undefined === input.borderColor || "string" === typeof input.borderColor) && (undefined === input.borderImage || "string" === typeof input.borderImage || "number" === typeof input.borderImage) && (undefined === input.borderInline || "string" === typeof input.borderInline || "number" === typeof input.borderInline) && (undefined === input.borderInlineEnd || "string" === typeof input.borderInlineEnd || "number" === typeof input.borderInlineEnd) && (undefined === input.borderInlineStart || "string" === typeof input.borderInlineStart || "number" === typeof input.borderInlineStart) && (undefined === input.borderLeft || "string" === typeof input.borderLeft || "number" === typeof input.borderLeft) && (undefined === input.borderRadius || "string" === typeof input.borderRadius || "number" === typeof input.borderRadius) && (undefined === input.borderRight || "string" === typeof input.borderRight || "number" === typeof input.borderRight) && (undefined === input.borderStyle || "string" === typeof input.borderStyle) && (undefined === input.borderTop || "string" === typeof input.borderTop || "number" === typeof input.borderTop) && (undefined === input.borderWidth || "string" === typeof input.borderWidth || "number" === typeof input.borderWidth) && (undefined === input.columnRule || "string" === typeof input.columnRule || "number" === typeof input.columnRule) && (undefined === input.columns || "string" === typeof input.columns || "number" === typeof input.columns) && (undefined === input.flex || "string" === typeof input.flex || "number" === typeof input.flex) && (undefined === input.flexFlow || "string" === typeof input.flexFlow) && (undefined === input.font || "string" === typeof input.font) && (undefined === input.gap || "string" === typeof input.gap || "number" === typeof input.gap) && (undefined === input.grid || "string" === typeof input.grid) && (undefined === input.gridArea || "string" === typeof input.gridArea || "number" === typeof input.gridArea) && (undefined === input.gridColumn || "string" === typeof input.gridColumn || "number" === typeof input.gridColumn) && (undefined === input.gridRow || "string" === typeof input.gridRow || "number" === typeof input.gridRow) && (undefined === input.gridTemplate || "string" === typeof input.gridTemplate) && (undefined === input.lineClamp || "string" === typeof input.lineClamp || "number" === typeof input.lineClamp) && (undefined === input.listStyle || "string" === typeof input.listStyle) && (undefined === input.margin || "string" === typeof input.margin || "number" === typeof input.margin) && (undefined === input.mask || "string" === typeof input.mask || "number" === typeof input.mask) && (undefined === input.maskBorder || "string" === typeof input.maskBorder || "number" === typeof input.maskBorder) && (undefined === input.motion || "string" === typeof input.motion || "number" === typeof input.motion) && (undefined === input.offset || "string" === typeof input.offset || "number" === typeof input.offset) && (undefined === input.outline || "string" === typeof input.outline || "number" === typeof input.outline) && (undefined === input.overflow || "string" === typeof input.overflow) && (undefined === input.overscrollBehavior || "string" === typeof input.overscrollBehavior) && (undefined === input.padding || "string" === typeof input.padding || "number" === typeof input.padding) && (undefined === input.placeItems || "string" === typeof input.placeItems) && (undefined === input.placeSelf || "string" === typeof input.placeSelf) && (undefined === input.textDecoration || "string" === typeof input.textDecoration || "number" === typeof input.textDecoration) && (undefined === input.textEmphasis || "string" === typeof input.textEmphasis) && (undefined === input.transition || "string" === typeof input.transition) && (undefined === input.MozAnimationDelay || "string" === typeof input.MozAnimationDelay) && (undefined === input.MozAnimationDirection || "string" === typeof input.MozAnimationDirection) && (undefined === input.MozAnimationDuration || "string" === typeof input.MozAnimationDuration) && (undefined === input.MozAnimationFillMode || "string" === typeof input.MozAnimationFillMode) && (undefined === input.MozAnimationIterationCount || "string" === typeof input.MozAnimationIterationCount || "number" === typeof input.MozAnimationIterationCount) && (undefined === input.MozAnimationName || "string" === typeof input.MozAnimationName) && (undefined === input.MozAnimationPlayState || "string" === typeof input.MozAnimationPlayState) && (undefined === input.MozAnimationTimingFunction || "string" === typeof input.MozAnimationTimingFunction) && (undefined === input.MozAppearance || "-moz-initial" === input.MozAppearance || "inherit" === input.MozAppearance || "initial" === input.MozAppearance || "revert" === input.MozAppearance || "revert-layer" === input.MozAppearance || "unset" === input.MozAppearance || "none" === input.MozAppearance || "button" === input.MozAppearance || "checkbox" === input.MozAppearance || "listbox" === input.MozAppearance || "menulist" === input.MozAppearance || "radio" === input.MozAppearance || "searchfield" === input.MozAppearance || "menulist-button" === input.MozAppearance || "textfield" === input.MozAppearance || "-moz-mac-unified-toolbar" === input.MozAppearance || "-moz-win-borderless-glass" === input.MozAppearance || "-moz-win-browsertabbar-toolbox" === input.MozAppearance || "-moz-win-communications-toolbox" === input.MozAppearance || "-moz-win-communicationstext" === input.MozAppearance || "-moz-win-exclude-glass" === input.MozAppearance || "-moz-win-glass" === input.MozAppearance || "-moz-win-media-toolbox" === input.MozAppearance || "-moz-win-mediatext" === input.MozAppearance || "-moz-window-button-box" === input.MozAppearance || "-moz-window-button-box-maximized" === input.MozAppearance || "-moz-window-button-close" === input.MozAppearance || "-moz-window-button-maximize" === input.MozAppearance || "-moz-window-button-minimize" === input.MozAppearance || "-moz-window-button-restore" === input.MozAppearance || "-moz-window-frame-bottom" === input.MozAppearance || "-moz-window-frame-left" === input.MozAppearance || "-moz-window-frame-right" === input.MozAppearance || "-moz-window-titlebar" === input.MozAppearance || "-moz-window-titlebar-maximized" === input.MozAppearance || "button-arrow-down" === input.MozAppearance || "button-arrow-next" === input.MozAppearance || "button-arrow-previous" === input.MozAppearance || "button-arrow-up" === input.MozAppearance || "button-bevel" === input.MozAppearance || "button-focus" === input.MozAppearance || "caret" === input.MozAppearance || "checkbox-container" === input.MozAppearance || "checkbox-label" === input.MozAppearance || "checkmenuitem" === input.MozAppearance || "dualbutton" === input.MozAppearance || "groupbox" === input.MozAppearance || "listitem" === input.MozAppearance || "menuarrow" === input.MozAppearance || "menubar" === input.MozAppearance || "menucheckbox" === input.MozAppearance || "menuimage" === input.MozAppearance || "menuitem" === input.MozAppearance || "menuitemtext" === input.MozAppearance || "menulist-text" === input.MozAppearance || "menulist-textfield" === input.MozAppearance || "menupopup" === input.MozAppearance || "menuradio" === input.MozAppearance || "menuseparator" === input.MozAppearance || "meterbar" === input.MozAppearance || "meterchunk" === input.MozAppearance || "progressbar" === input.MozAppearance || "progressbar-vertical" === input.MozAppearance || "progresschunk" === input.MozAppearance || "progresschunk-vertical" === input.MozAppearance || "radio-container" === input.MozAppearance || "radio-label" === input.MozAppearance || "radiomenuitem" === input.MozAppearance || "range" === input.MozAppearance || "range-thumb" === input.MozAppearance || "resizer" === input.MozAppearance || "resizerpanel" === input.MozAppearance || "scale-horizontal" === input.MozAppearance || "scale-vertical" === input.MozAppearance || "scalethumb-horizontal" === input.MozAppearance || "scalethumb-vertical" === input.MozAppearance || "scalethumbend" === input.MozAppearance || "scalethumbstart" === input.MozAppearance || "scalethumbtick" === input.MozAppearance || "scrollbarbutton-down" === input.MozAppearance || "scrollbarbutton-left" === input.MozAppearance || "scrollbarbutton-right" === input.MozAppearance || "scrollbarbutton-up" === input.MozAppearance || "scrollbarthumb-horizontal" === input.MozAppearance || "scrollbarthumb-vertical" === input.MozAppearance || "scrollbartrack-horizontal" === input.MozAppearance || "scrollbartrack-vertical" === input.MozAppearance || "separator" === input.MozAppearance || "sheet" === input.MozAppearance || "spinner" === input.MozAppearance || "spinner-downbutton" === input.MozAppearance || "spinner-textfield" === input.MozAppearance || "spinner-upbutton" === input.MozAppearance || "splitter" === input.MozAppearance || "statusbar" === input.MozAppearance || "statusbarpanel" === input.MozAppearance || "tab" === input.MozAppearance || "tab-scroll-arrow-back" === input.MozAppearance || "tab-scroll-arrow-forward" === input.MozAppearance || "tabpanel" === input.MozAppearance || "tabpanels" === input.MozAppearance || "textfield-multiline" === input.MozAppearance || "toolbar" === input.MozAppearance || "toolbarbutton" === input.MozAppearance || "toolbarbutton-dropdown" === input.MozAppearance || "toolbargripper" === input.MozAppearance || "toolbox" === input.MozAppearance || "tooltip" === input.MozAppearance || "treeheader" === input.MozAppearance || "treeheadercell" === input.MozAppearance || "treeheadersortarrow" === input.MozAppearance || "treeitem" === input.MozAppearance || "treeline" === input.MozAppearance || "treetwisty" === input.MozAppearance || "treetwistyopen" === input.MozAppearance || "treeview" === input.MozAppearance) && (undefined === input.MozBackfaceVisibility || "-moz-initial" === input.MozBackfaceVisibility || "inherit" === input.MozBackfaceVisibility || "initial" === input.MozBackfaceVisibility || "revert" === input.MozBackfaceVisibility || "revert-layer" === input.MozBackfaceVisibility || "unset" === input.MozBackfaceVisibility || "hidden" === input.MozBackfaceVisibility || "visible" === input.MozBackfaceVisibility) && (undefined === input.MozBorderBottomColors || "string" === typeof input.MozBorderBottomColors) && (undefined === input.MozBorderEndColor || "string" === typeof input.MozBorderEndColor) && (undefined === input.MozBorderEndStyle || "-moz-initial" === input.MozBorderEndStyle || "inherit" === input.MozBorderEndStyle || "initial" === input.MozBorderEndStyle || "revert" === input.MozBorderEndStyle || "revert-layer" === input.MozBorderEndStyle || "unset" === input.MozBorderEndStyle || "none" === input.MozBorderEndStyle || "hidden" === input.MozBorderEndStyle || "dashed" === input.MozBorderEndStyle || "dotted" === input.MozBorderEndStyle || "double" === input.MozBorderEndStyle || "groove" === input.MozBorderEndStyle || "inset" === input.MozBorderEndStyle || "outset" === input.MozBorderEndStyle || "ridge" === input.MozBorderEndStyle || "solid" === input.MozBorderEndStyle) && (undefined === input.MozBorderEndWidth || "string" === typeof input.MozBorderEndWidth || "number" === typeof input.MozBorderEndWidth) && (undefined === input.MozBorderLeftColors || "string" === typeof input.MozBorderLeftColors) && (undefined === input.MozBorderRightColors || "string" === typeof input.MozBorderRightColors) && (undefined === input.MozBorderStartColor || "string" === typeof input.MozBorderStartColor) && (undefined === input.MozBorderStartStyle || "-moz-initial" === input.MozBorderStartStyle || "inherit" === input.MozBorderStartStyle || "initial" === input.MozBorderStartStyle || "revert" === input.MozBorderStartStyle || "revert-layer" === input.MozBorderStartStyle || "unset" === input.MozBorderStartStyle || "none" === input.MozBorderStartStyle || "hidden" === input.MozBorderStartStyle || "dashed" === input.MozBorderStartStyle || "dotted" === input.MozBorderStartStyle || "double" === input.MozBorderStartStyle || "groove" === input.MozBorderStartStyle || "inset" === input.MozBorderStartStyle || "outset" === input.MozBorderStartStyle || "ridge" === input.MozBorderStartStyle || "solid" === input.MozBorderStartStyle) && (undefined === input.MozBorderTopColors || "string" === typeof input.MozBorderTopColors) && (undefined === input.MozBoxSizing || "-moz-initial" === input.MozBoxSizing || "inherit" === input.MozBoxSizing || "initial" === input.MozBoxSizing || "revert" === input.MozBoxSizing || "revert-layer" === input.MozBoxSizing || "unset" === input.MozBoxSizing || "border-box" === input.MozBoxSizing || "content-box" === input.MozBoxSizing) && (undefined === input.MozColumnCount || "string" === typeof input.MozColumnCount || "number" === typeof input.MozColumnCount) && (undefined === input.MozColumnFill || "-moz-initial" === input.MozColumnFill || "inherit" === input.MozColumnFill || "initial" === input.MozColumnFill || "revert" === input.MozColumnFill || "revert-layer" === input.MozColumnFill || "unset" === input.MozColumnFill || "auto" === input.MozColumnFill || "balance" === input.MozColumnFill || "balance-all" === input.MozColumnFill) && (undefined === input.MozColumnGap || "string" === typeof input.MozColumnGap || "number" === typeof input.MozColumnGap) && (undefined === input.MozColumnRuleColor || "string" === typeof input.MozColumnRuleColor) && (undefined === input.MozColumnRuleStyle || "string" === typeof input.MozColumnRuleStyle) && (undefined === input.MozColumnRuleWidth || "string" === typeof input.MozColumnRuleWidth || "number" === typeof input.MozColumnRuleWidth) && (undefined === input.MozColumnWidth || "string" === typeof input.MozColumnWidth || "number" === typeof input.MozColumnWidth) && (undefined === input.MozContextProperties || "string" === typeof input.MozContextProperties) && (undefined === input.MozFontFeatureSettings || "string" === typeof input.MozFontFeatureSettings) && (undefined === input.MozFontLanguageOverride || "string" === typeof input.MozFontLanguageOverride) && (undefined === input.MozHyphens || "-moz-initial" === input.MozHyphens || "inherit" === input.MozHyphens || "initial" === input.MozHyphens || "revert" === input.MozHyphens || "revert-layer" === input.MozHyphens || "unset" === input.MozHyphens || "auto" === input.MozHyphens || "none" === input.MozHyphens || "manual" === input.MozHyphens) && (undefined === input.MozImageRegion || "string" === typeof input.MozImageRegion) && (undefined === input.MozMarginEnd || "string" === typeof input.MozMarginEnd || "number" === typeof input.MozMarginEnd) && (undefined === input.MozMarginStart || "string" === typeof input.MozMarginStart || "number" === typeof input.MozMarginStart) && (undefined === input.MozOrient || "-moz-initial" === input.MozOrient || "inherit" === input.MozOrient || "initial" === input.MozOrient || "revert" === input.MozOrient || "revert-layer" === input.MozOrient || "unset" === input.MozOrient || "block" === input.MozOrient || "inline" === input.MozOrient || "horizontal" === input.MozOrient || "vertical" === input.MozOrient) && (undefined === input.MozOsxFontSmoothing || "string" === typeof input.MozOsxFontSmoothing || "number" === typeof input.MozOsxFontSmoothing) && (undefined === input.MozPaddingEnd || "string" === typeof input.MozPaddingEnd || "number" === typeof input.MozPaddingEnd) && (undefined === input.MozPaddingStart || "string" === typeof input.MozPaddingStart || "number" === typeof input.MozPaddingStart) && (undefined === input.MozPerspective || "string" === typeof input.MozPerspective || "number" === typeof input.MozPerspective) && (undefined === input.MozPerspectiveOrigin || "string" === typeof input.MozPerspectiveOrigin || "number" === typeof input.MozPerspectiveOrigin) && (undefined === input.MozStackSizing || "-moz-initial" === input.MozStackSizing || "inherit" === input.MozStackSizing || "initial" === input.MozStackSizing || "revert" === input.MozStackSizing || "revert-layer" === input.MozStackSizing || "unset" === input.MozStackSizing || "ignore" === input.MozStackSizing || "stretch-to-fit" === input.MozStackSizing) && (undefined === input.MozTabSize || "string" === typeof input.MozTabSize || "number" === typeof input.MozTabSize) && (undefined === input.MozTextBlink || "-moz-initial" === input.MozTextBlink || "inherit" === input.MozTextBlink || "initial" === input.MozTextBlink || "revert" === input.MozTextBlink || "revert-layer" === input.MozTextBlink || "unset" === input.MozTextBlink || "none" === input.MozTextBlink || "blink" === input.MozTextBlink) && (undefined === input.MozTextSizeAdjust || "string" === typeof input.MozTextSizeAdjust) && (undefined === input.MozTransformOrigin || "string" === typeof input.MozTransformOrigin || "number" === typeof input.MozTransformOrigin) && (undefined === input.MozTransformStyle || "-moz-initial" === input.MozTransformStyle || "inherit" === input.MozTransformStyle || "initial" === input.MozTransformStyle || "revert" === input.MozTransformStyle || "revert-layer" === input.MozTransformStyle || "unset" === input.MozTransformStyle || "flat" === input.MozTransformStyle || "preserve-3d" === input.MozTransformStyle) && (undefined === input.MozTransitionDelay || "string" === typeof input.MozTransitionDelay) && (undefined === input.MozTransitionDuration || "string" === typeof input.MozTransitionDuration) && (undefined === input.MozTransitionProperty || "string" === typeof input.MozTransitionProperty) && (undefined === input.MozTransitionTimingFunction || "string" === typeof input.MozTransitionTimingFunction) && (undefined === input.MozUserFocus || "-moz-initial" === input.MozUserFocus || "inherit" === input.MozUserFocus || "initial" === input.MozUserFocus || "revert" === input.MozUserFocus || "revert-layer" === input.MozUserFocus || "unset" === input.MozUserFocus || "normal" === input.MozUserFocus || "none" === input.MozUserFocus || "ignore" === input.MozUserFocus || "select-after" === input.MozUserFocus || "select-all" === input.MozUserFocus || "select-before" === input.MozUserFocus || "select-menu" === input.MozUserFocus || "select-same" === input.MozUserFocus) && (undefined === input.MozUserModify || "-moz-initial" === input.MozUserModify || "inherit" === input.MozUserModify || "initial" === input.MozUserModify || "revert" === input.MozUserModify || "revert-layer" === input.MozUserModify || "unset" === input.MozUserModify || "read-only" === input.MozUserModify || "read-write" === input.MozUserModify || "write-only" === input.MozUserModify) && (undefined === input.MozUserSelect || "all" === input.MozUserSelect || "-moz-initial" === input.MozUserSelect || "inherit" === input.MozUserSelect || "initial" === input.MozUserSelect || "revert" === input.MozUserSelect || "revert-layer" === input.MozUserSelect || "unset" === input.MozUserSelect || "auto" === input.MozUserSelect || "none" === input.MozUserSelect || "contain" === input.MozUserSelect || "text" === input.MozUserSelect || "-moz-none" === input.MozUserSelect || "element" === input.MozUserSelect) && (undefined === input.MozWindowDragging || "-moz-initial" === input.MozWindowDragging || "inherit" === input.MozWindowDragging || "initial" === input.MozWindowDragging || "revert" === input.MozWindowDragging || "revert-layer" === input.MozWindowDragging || "unset" === input.MozWindowDragging || "drag" === input.MozWindowDragging || "no-drag" === input.MozWindowDragging) && (undefined === input.MozWindowShadow || "-moz-initial" === input.MozWindowShadow || "inherit" === input.MozWindowShadow || "initial" === input.MozWindowShadow || "revert" === input.MozWindowShadow || "revert-layer" === input.MozWindowShadow || "unset" === input.MozWindowShadow || "none" === input.MozWindowShadow || "default" === input.MozWindowShadow || "menu" === input.MozWindowShadow || "sheet" === input.MozWindowShadow || "tooltip" === input.MozWindowShadow) && (undefined === input.msAccelerator || "-moz-initial" === input.msAccelerator || "inherit" === input.msAccelerator || "initial" === input.msAccelerator || "revert" === input.msAccelerator || "revert-layer" === input.msAccelerator || "unset" === input.msAccelerator || "false" === input.msAccelerator || "true" === input.msAccelerator) && (undefined === input.msAlignSelf || "string" === typeof input.msAlignSelf) && (undefined === input.msBlockProgression || "-moz-initial" === input.msBlockProgression || "inherit" === input.msBlockProgression || "initial" === input.msBlockProgression || "revert" === input.msBlockProgression || "revert-layer" === input.msBlockProgression || "unset" === input.msBlockProgression || "bt" === input.msBlockProgression || "lr" === input.msBlockProgression || "rl" === input.msBlockProgression || "tb" === input.msBlockProgression) && (undefined === input.msContentZoomChaining || "-moz-initial" === input.msContentZoomChaining || "inherit" === input.msContentZoomChaining || "initial" === input.msContentZoomChaining || "revert" === input.msContentZoomChaining || "revert-layer" === input.msContentZoomChaining || "unset" === input.msContentZoomChaining || "none" === input.msContentZoomChaining || "chained" === input.msContentZoomChaining) && (undefined === input.msContentZoomLimitMax || "string" === typeof input.msContentZoomLimitMax) && (undefined === input.msContentZoomLimitMin || "string" === typeof input.msContentZoomLimitMin) && (undefined === input.msContentZoomSnapPoints || "string" === typeof input.msContentZoomSnapPoints) && (undefined === input.msContentZoomSnapType || "-moz-initial" === input.msContentZoomSnapType || "inherit" === input.msContentZoomSnapType || "initial" === input.msContentZoomSnapType || "revert" === input.msContentZoomSnapType || "revert-layer" === input.msContentZoomSnapType || "unset" === input.msContentZoomSnapType || "none" === input.msContentZoomSnapType || "mandatory" === input.msContentZoomSnapType || "proximity" === input.msContentZoomSnapType) && (undefined === input.msContentZooming || "-moz-initial" === input.msContentZooming || "inherit" === input.msContentZooming || "initial" === input.msContentZooming || "revert" === input.msContentZooming || "revert-layer" === input.msContentZooming || "unset" === input.msContentZooming || "none" === input.msContentZooming || "zoom" === input.msContentZooming) && (undefined === input.msFilter || "string" === typeof input.msFilter) && (undefined === input.msFlexDirection || "-moz-initial" === input.msFlexDirection || "inherit" === input.msFlexDirection || "initial" === input.msFlexDirection || "revert" === input.msFlexDirection || "revert-layer" === input.msFlexDirection || "unset" === input.msFlexDirection || "column" === input.msFlexDirection || "column-reverse" === input.msFlexDirection || "row" === input.msFlexDirection || "row-reverse" === input.msFlexDirection) && (undefined === input.msFlexPositive || "string" === typeof input.msFlexPositive || "number" === typeof input.msFlexPositive) && (undefined === input.msFlowFrom || "string" === typeof input.msFlowFrom) && (undefined === input.msFlowInto || "string" === typeof input.msFlowInto) && (undefined === input.msGridColumns || "string" === typeof input.msGridColumns || "number" === typeof input.msGridColumns) && (undefined === input.msGridRows || "string" === typeof input.msGridRows || "number" === typeof input.msGridRows) && (undefined === input.msHighContrastAdjust || "-moz-initial" === input.msHighContrastAdjust || "inherit" === input.msHighContrastAdjust || "initial" === input.msHighContrastAdjust || "revert" === input.msHighContrastAdjust || "revert-layer" === input.msHighContrastAdjust || "unset" === input.msHighContrastAdjust || "auto" === input.msHighContrastAdjust || "none" === input.msHighContrastAdjust) && (undefined === input.msHyphenateLimitChars || "string" === typeof input.msHyphenateLimitChars || "number" === typeof input.msHyphenateLimitChars) && (undefined === input.msHyphenateLimitLines || "string" === typeof input.msHyphenateLimitLines || "number" === typeof input.msHyphenateLimitLines) && (undefined === input.msHyphenateLimitZone || "string" === typeof input.msHyphenateLimitZone || "number" === typeof input.msHyphenateLimitZone) && (undefined === input.msHyphens || "-moz-initial" === input.msHyphens || "inherit" === input.msHyphens || "initial" === input.msHyphens || "revert" === input.msHyphens || "revert-layer" === input.msHyphens || "unset" === input.msHyphens || "auto" === input.msHyphens || "none" === input.msHyphens || "manual" === input.msHyphens) && (undefined === input.msImeAlign || "-moz-initial" === input.msImeAlign || "inherit" === input.msImeAlign || "initial" === input.msImeAlign || "revert" === input.msImeAlign || "revert-layer" === input.msImeAlign || "unset" === input.msImeAlign || "auto" === input.msImeAlign || "after" === input.msImeAlign) && (undefined === input.msJustifySelf || "string" === typeof input.msJustifySelf) && (undefined === input.msLineBreak || "-moz-initial" === input.msLineBreak || "inherit" === input.msLineBreak || "initial" === input.msLineBreak || "revert" === input.msLineBreak || "revert-layer" === input.msLineBreak || "unset" === input.msLineBreak || "auto" === input.msLineBreak || "normal" === input.msLineBreak || "strict" === input.msLineBreak || "anywhere" === input.msLineBreak || "loose" === input.msLineBreak) && (undefined === input.msOrder || "string" === typeof input.msOrder || "number" === typeof input.msOrder) && (undefined === input.msOverflowStyle || "-moz-initial" === input.msOverflowStyle || "inherit" === input.msOverflowStyle || "initial" === input.msOverflowStyle || "revert" === input.msOverflowStyle || "revert-layer" === input.msOverflowStyle || "unset" === input.msOverflowStyle || "auto" === input.msOverflowStyle || "none" === input.msOverflowStyle || "-ms-autohiding-scrollbar" === input.msOverflowStyle || "scrollbar" === input.msOverflowStyle) && (undefined === input.msOverflowX || "-moz-initial" === input.msOverflowX || "inherit" === input.msOverflowX || "initial" === input.msOverflowX || "revert" === input.msOverflowX || "revert-layer" === input.msOverflowX || "unset" === input.msOverflowX || "auto" === input.msOverflowX || "hidden" === input.msOverflowX || "visible" === input.msOverflowX || "scroll" === input.msOverflowX || "clip" === input.msOverflowX || "-moz-hidden-unscrollable" === input.msOverflowX) && (undefined === input.msOverflowY || "-moz-initial" === input.msOverflowY || "inherit" === input.msOverflowY || "initial" === input.msOverflowY || "revert" === input.msOverflowY || "revert-layer" === input.msOverflowY || "unset" === input.msOverflowY || "auto" === input.msOverflowY || "hidden" === input.msOverflowY || "visible" === input.msOverflowY || "scroll" === input.msOverflowY || "clip" === input.msOverflowY || "-moz-hidden-unscrollable" === input.msOverflowY) && (undefined === input.msScrollChaining || "-moz-initial" === input.msScrollChaining || "inherit" === input.msScrollChaining || "initial" === input.msScrollChaining || "revert" === input.msScrollChaining || "revert-layer" === input.msScrollChaining || "unset" === input.msScrollChaining || "none" === input.msScrollChaining || "chained" === input.msScrollChaining) && (undefined === input.msScrollLimitXMax || "string" === typeof input.msScrollLimitXMax || "number" === typeof input.msScrollLimitXMax) && (undefined === input.msScrollLimitXMin || "string" === typeof input.msScrollLimitXMin || "number" === typeof input.msScrollLimitXMin) && (undefined === input.msScrollLimitYMax || "string" === typeof input.msScrollLimitYMax || "number" === typeof input.msScrollLimitYMax) && (undefined === input.msScrollLimitYMin || "string" === typeof input.msScrollLimitYMin || "number" === typeof input.msScrollLimitYMin) && (undefined === input.msScrollRails || "-moz-initial" === input.msScrollRails || "inherit" === input.msScrollRails || "initial" === input.msScrollRails || "revert" === input.msScrollRails || "revert-layer" === input.msScrollRails || "unset" === input.msScrollRails || "none" === input.msScrollRails || "railed" === input.msScrollRails) && (undefined === input.msScrollSnapPointsX || "string" === typeof input.msScrollSnapPointsX) && (undefined === input.msScrollSnapPointsY || "string" === typeof input.msScrollSnapPointsY) && (undefined === input.msScrollSnapType || "-moz-initial" === input.msScrollSnapType || "inherit" === input.msScrollSnapType || "initial" === input.msScrollSnapType || "revert" === input.msScrollSnapType || "revert-layer" === input.msScrollSnapType || "unset" === input.msScrollSnapType || "none" === input.msScrollSnapType || "mandatory" === input.msScrollSnapType || "proximity" === input.msScrollSnapType) && (undefined === input.msScrollTranslation || "-moz-initial" === input.msScrollTranslation || "inherit" === input.msScrollTranslation || "initial" === input.msScrollTranslation || "revert" === input.msScrollTranslation || "revert-layer" === input.msScrollTranslation || "unset" === input.msScrollTranslation || "none" === input.msScrollTranslation || "vertical-to-horizontal" === input.msScrollTranslation) && (undefined === input.msScrollbar3dlightColor || "string" === typeof input.msScrollbar3dlightColor) && (undefined === input.msScrollbarArrowColor || "string" === typeof input.msScrollbarArrowColor) && (undefined === input.msScrollbarBaseColor || "string" === typeof input.msScrollbarBaseColor) && (undefined === input.msScrollbarDarkshadowColor || "string" === typeof input.msScrollbarDarkshadowColor) && (undefined === input.msScrollbarFaceColor || "string" === typeof input.msScrollbarFaceColor) && (undefined === input.msScrollbarHighlightColor || "string" === typeof input.msScrollbarHighlightColor) && (undefined === input.msScrollbarShadowColor || "string" === typeof input.msScrollbarShadowColor) && (undefined === input.msTextAutospace || "-moz-initial" === input.msTextAutospace || "inherit" === input.msTextAutospace || "initial" === input.msTextAutospace || "revert" === input.msTextAutospace || "revert-layer" === input.msTextAutospace || "unset" === input.msTextAutospace || "none" === input.msTextAutospace || "ideograph-alpha" === input.msTextAutospace || "ideograph-numeric" === input.msTextAutospace || "ideograph-parenthesis" === input.msTextAutospace || "ideograph-space" === input.msTextAutospace) && (undefined === input.msTextCombineHorizontal || "string" === typeof input.msTextCombineHorizontal) && (undefined === input.msTextOverflow || "string" === typeof input.msTextOverflow) && (undefined === input.msTouchAction || "string" === typeof input.msTouchAction) && (undefined === input.msTouchSelect || "-moz-initial" === input.msTouchSelect || "inherit" === input.msTouchSelect || "initial" === input.msTouchSelect || "revert" === input.msTouchSelect || "revert-layer" === input.msTouchSelect || "unset" === input.msTouchSelect || "none" === input.msTouchSelect || "grippers" === input.msTouchSelect) && (undefined === input.msTransform || "string" === typeof input.msTransform) && (undefined === input.msTransformOrigin || "string" === typeof input.msTransformOrigin || "number" === typeof input.msTransformOrigin) && (undefined === input.msTransitionDelay || "string" === typeof input.msTransitionDelay) && (undefined === input.msTransitionDuration || "string" === typeof input.msTransitionDuration) && (undefined === input.msTransitionProperty || "string" === typeof input.msTransitionProperty) && (undefined === input.msTransitionTimingFunction || "string" === typeof input.msTransitionTimingFunction) && (undefined === input.msUserSelect || "-moz-initial" === input.msUserSelect || "inherit" === input.msUserSelect || "initial" === input.msUserSelect || "revert" === input.msUserSelect || "revert-layer" === input.msUserSelect || "unset" === input.msUserSelect || "none" === input.msUserSelect || "text" === input.msUserSelect || "element" === input.msUserSelect) && (undefined === input.msWordBreak || "-moz-initial" === input.msWordBreak || "inherit" === input.msWordBreak || "initial" === input.msWordBreak || "revert" === input.msWordBreak || "revert-layer" === input.msWordBreak || "unset" === input.msWordBreak || "normal" === input.msWordBreak || "break-word" === input.msWordBreak || "break-all" === input.msWordBreak || "keep-all" === input.msWordBreak) && (undefined === input.msWrapFlow || "-moz-initial" === input.msWrapFlow || "inherit" === input.msWrapFlow || "initial" === input.msWrapFlow || "revert" === input.msWrapFlow || "revert-layer" === input.msWrapFlow || "unset" === input.msWrapFlow || "auto" === input.msWrapFlow || "end" === input.msWrapFlow || "start" === input.msWrapFlow || "both" === input.msWrapFlow || "clear" === input.msWrapFlow || "maximum" === input.msWrapFlow) && (undefined === input.msWrapMargin || "string" === typeof input.msWrapMargin || "number" === typeof input.msWrapMargin) && (undefined === input.msWrapThrough || "-moz-initial" === input.msWrapThrough || "inherit" === input.msWrapThrough || "initial" === input.msWrapThrough || "revert" === input.msWrapThrough || "revert-layer" === input.msWrapThrough || "unset" === input.msWrapThrough || "none" === input.msWrapThrough || "wrap" === input.msWrapThrough) && (undefined === input.msWritingMode || "-moz-initial" === input.msWritingMode || "inherit" === input.msWritingMode || "initial" === input.msWritingMode || "revert" === input.msWritingMode || "revert-layer" === input.msWritingMode || "unset" === input.msWritingMode || "horizontal-tb" === input.msWritingMode || "sideways-lr" === input.msWritingMode || "sideways-rl" === input.msWritingMode || "vertical-lr" === input.msWritingMode || "vertical-rl" === input.msWritingMode) && (undefined === input.WebkitAlignContent || "string" === typeof input.WebkitAlignContent) && (undefined === input.WebkitAlignItems || "string" === typeof input.WebkitAlignItems) && (undefined === input.WebkitAlignSelf || "string" === typeof input.WebkitAlignSelf) && (undefined === input.WebkitAnimationDelay || "string" === typeof input.WebkitAnimationDelay) && (undefined === input.WebkitAnimationDirection || "string" === typeof input.WebkitAnimationDirection) && (undefined === input.WebkitAnimationDuration || "string" === typeof input.WebkitAnimationDuration) && (undefined === input.WebkitAnimationFillMode || "string" === typeof input.WebkitAnimationFillMode) && (undefined === input.WebkitAnimationIterationCount || "string" === typeof input.WebkitAnimationIterationCount || "number" === typeof input.WebkitAnimationIterationCount) && (undefined === input.WebkitAnimationName || "string" === typeof input.WebkitAnimationName) && (undefined === input.WebkitAnimationPlayState || "string" === typeof input.WebkitAnimationPlayState) && (undefined === input.WebkitAnimationTimingFunction || "string" === typeof input.WebkitAnimationTimingFunction) && (undefined === input.WebkitAppearance || "-moz-initial" === input.WebkitAppearance || "inherit" === input.WebkitAppearance || "initial" === input.WebkitAppearance || "revert" === input.WebkitAppearance || "revert-layer" === input.WebkitAppearance || "unset" === input.WebkitAppearance || "none" === input.WebkitAppearance || "button" === input.WebkitAppearance || "checkbox" === input.WebkitAppearance || "listbox" === input.WebkitAppearance || "menulist" === input.WebkitAppearance || "meter" === input.WebkitAppearance || "progress-bar" === input.WebkitAppearance || "push-button" === input.WebkitAppearance || "radio" === input.WebkitAppearance || "searchfield" === input.WebkitAppearance || "slider-horizontal" === input.WebkitAppearance || "square-button" === input.WebkitAppearance || "textarea" === input.WebkitAppearance || "menulist-button" === input.WebkitAppearance || "textfield" === input.WebkitAppearance || "button-bevel" === input.WebkitAppearance || "caret" === input.WebkitAppearance || "listitem" === input.WebkitAppearance || "menulist-text" === input.WebkitAppearance || "menulist-textfield" === input.WebkitAppearance || "-apple-pay-button" === input.WebkitAppearance || "default-button" === input.WebkitAppearance || "inner-spin-button" === input.WebkitAppearance || "media-controls-background" === input.WebkitAppearance || "media-controls-fullscreen-background" === input.WebkitAppearance || "media-current-time-display" === input.WebkitAppearance || "media-enter-fullscreen-button" === input.WebkitAppearance || "media-exit-fullscreen-button" === input.WebkitAppearance || "media-fullscreen-button" === input.WebkitAppearance || "media-mute-button" === input.WebkitAppearance || "media-overlay-play-button" === input.WebkitAppearance || "media-play-button" === input.WebkitAppearance || "media-seek-back-button" === input.WebkitAppearance || "media-seek-forward-button" === input.WebkitAppearance || "media-slider" === input.WebkitAppearance || "media-sliderthumb" === input.WebkitAppearance || "media-time-remaining-display" === input.WebkitAppearance || "media-toggle-closed-captions-button" === input.WebkitAppearance || "media-volume-slider" === input.WebkitAppearance || "media-volume-slider-container" === input.WebkitAppearance || "media-volume-sliderthumb" === input.WebkitAppearance || "progress-bar-value" === input.WebkitAppearance || "searchfield-cancel-button" === input.WebkitAppearance || "searchfield-decoration" === input.WebkitAppearance || "searchfield-results-button" === input.WebkitAppearance || "searchfield-results-decoration" === input.WebkitAppearance || "slider-vertical" === input.WebkitAppearance || "sliderthumb-horizontal" === input.WebkitAppearance || "sliderthumb-vertical" === input.WebkitAppearance) && (undefined === input.WebkitBackdropFilter || "string" === typeof input.WebkitBackdropFilter) && (undefined === input.WebkitBackfaceVisibility || "-moz-initial" === input.WebkitBackfaceVisibility || "inherit" === input.WebkitBackfaceVisibility || "initial" === input.WebkitBackfaceVisibility || "revert" === input.WebkitBackfaceVisibility || "revert-layer" === input.WebkitBackfaceVisibility || "unset" === input.WebkitBackfaceVisibility || "hidden" === input.WebkitBackfaceVisibility || "visible" === input.WebkitBackfaceVisibility) && (undefined === input.WebkitBackgroundClip || "string" === typeof input.WebkitBackgroundClip) && (undefined === input.WebkitBackgroundOrigin || "string" === typeof input.WebkitBackgroundOrigin) && (undefined === input.WebkitBackgroundSize || "string" === typeof input.WebkitBackgroundSize || "number" === typeof input.WebkitBackgroundSize) && (undefined === input.WebkitBorderBeforeColor || "string" === typeof input.WebkitBorderBeforeColor) && (undefined === input.WebkitBorderBeforeStyle || "string" === typeof input.WebkitBorderBeforeStyle) && (undefined === input.WebkitBorderBeforeWidth || "string" === typeof input.WebkitBorderBeforeWidth || "number" === typeof input.WebkitBorderBeforeWidth) && (undefined === input.WebkitBorderBottomLeftRadius || "string" === typeof input.WebkitBorderBottomLeftRadius || "number" === typeof input.WebkitBorderBottomLeftRadius) && (undefined === input.WebkitBorderBottomRightRadius || "string" === typeof input.WebkitBorderBottomRightRadius || "number" === typeof input.WebkitBorderBottomRightRadius) && (undefined === input.WebkitBorderImageSlice || "string" === typeof input.WebkitBorderImageSlice || "number" === typeof input.WebkitBorderImageSlice) && (undefined === input.WebkitBorderTopLeftRadius || "string" === typeof input.WebkitBorderTopLeftRadius || "number" === typeof input.WebkitBorderTopLeftRadius) && (undefined === input.WebkitBorderTopRightRadius || "string" === typeof input.WebkitBorderTopRightRadius || "number" === typeof input.WebkitBorderTopRightRadius) && (undefined === input.WebkitBoxDecorationBreak || "-moz-initial" === input.WebkitBoxDecorationBreak || "inherit" === input.WebkitBoxDecorationBreak || "initial" === input.WebkitBoxDecorationBreak || "revert" === input.WebkitBoxDecorationBreak || "revert-layer" === input.WebkitBoxDecorationBreak || "unset" === input.WebkitBoxDecorationBreak || "clone" === input.WebkitBoxDecorationBreak || "slice" === input.WebkitBoxDecorationBreak) && (undefined === input.WebkitBoxReflect || "string" === typeof input.WebkitBoxReflect || "number" === typeof input.WebkitBoxReflect) && (undefined === input.WebkitBoxShadow || "string" === typeof input.WebkitBoxShadow) && (undefined === input.WebkitBoxSizing || "-moz-initial" === input.WebkitBoxSizing || "inherit" === input.WebkitBoxSizing || "initial" === input.WebkitBoxSizing || "revert" === input.WebkitBoxSizing || "revert-layer" === input.WebkitBoxSizing || "unset" === input.WebkitBoxSizing || "border-box" === input.WebkitBoxSizing || "content-box" === input.WebkitBoxSizing) && (undefined === input.WebkitClipPath || "string" === typeof input.WebkitClipPath) && (undefined === input.WebkitColumnCount || "string" === typeof input.WebkitColumnCount || "number" === typeof input.WebkitColumnCount) && (undefined === input.WebkitColumnFill || "-moz-initial" === input.WebkitColumnFill || "inherit" === input.WebkitColumnFill || "initial" === input.WebkitColumnFill || "revert" === input.WebkitColumnFill || "revert-layer" === input.WebkitColumnFill || "unset" === input.WebkitColumnFill || "auto" === input.WebkitColumnFill || "balance" === input.WebkitColumnFill || "balance-all" === input.WebkitColumnFill) && (undefined === input.WebkitColumnGap || "string" === typeof input.WebkitColumnGap || "number" === typeof input.WebkitColumnGap) && (undefined === input.WebkitColumnRuleColor || "string" === typeof input.WebkitColumnRuleColor) && (undefined === input.WebkitColumnRuleStyle || "string" === typeof input.WebkitColumnRuleStyle) && (undefined === input.WebkitColumnRuleWidth || "string" === typeof input.WebkitColumnRuleWidth || "number" === typeof input.WebkitColumnRuleWidth) && (undefined === input.WebkitColumnSpan || "all" === input.WebkitColumnSpan || "-moz-initial" === input.WebkitColumnSpan || "inherit" === input.WebkitColumnSpan || "initial" === input.WebkitColumnSpan || "revert" === input.WebkitColumnSpan || "revert-layer" === input.WebkitColumnSpan || "unset" === input.WebkitColumnSpan || "none" === input.WebkitColumnSpan) && (undefined === input.WebkitColumnWidth || "string" === typeof input.WebkitColumnWidth || "number" === typeof input.WebkitColumnWidth) && (undefined === input.WebkitFilter || "string" === typeof input.WebkitFilter) && (undefined === input.WebkitFlexBasis || "string" === typeof input.WebkitFlexBasis || "number" === typeof input.WebkitFlexBasis) && (undefined === input.WebkitFlexDirection || "-moz-initial" === input.WebkitFlexDirection || "inherit" === input.WebkitFlexDirection || "initial" === input.WebkitFlexDirection || "revert" === input.WebkitFlexDirection || "revert-layer" === input.WebkitFlexDirection || "unset" === input.WebkitFlexDirection || "column" === input.WebkitFlexDirection || "column-reverse" === input.WebkitFlexDirection || "row" === input.WebkitFlexDirection || "row-reverse" === input.WebkitFlexDirection) && (undefined === input.WebkitFlexGrow || "string" === typeof input.WebkitFlexGrow || "number" === typeof input.WebkitFlexGrow) && (undefined === input.WebkitFlexShrink || "string" === typeof input.WebkitFlexShrink || "number" === typeof input.WebkitFlexShrink) && (undefined === input.WebkitFlexWrap || "-moz-initial" === input.WebkitFlexWrap || "inherit" === input.WebkitFlexWrap || "initial" === input.WebkitFlexWrap || "revert" === input.WebkitFlexWrap || "revert-layer" === input.WebkitFlexWrap || "unset" === input.WebkitFlexWrap || "nowrap" === input.WebkitFlexWrap || "wrap" === input.WebkitFlexWrap || "wrap-reverse" === input.WebkitFlexWrap) && (undefined === input.WebkitFontFeatureSettings || "string" === typeof input.WebkitFontFeatureSettings) && (undefined === input.WebkitFontKerning || "-moz-initial" === input.WebkitFontKerning || "inherit" === input.WebkitFontKerning || "initial" === input.WebkitFontKerning || "revert" === input.WebkitFontKerning || "revert-layer" === input.WebkitFontKerning || "unset" === input.WebkitFontKerning || "auto" === input.WebkitFontKerning || "normal" === input.WebkitFontKerning || "none" === input.WebkitFontKerning) && (undefined === input.WebkitFontSmoothing || "string" === typeof input.WebkitFontSmoothing || "number" === typeof input.WebkitFontSmoothing) && (undefined === input.WebkitFontVariantLigatures || "string" === typeof input.WebkitFontVariantLigatures) && (undefined === input.WebkitHyphenateCharacter || "string" === typeof input.WebkitHyphenateCharacter) && (undefined === input.WebkitHyphens || "-moz-initial" === input.WebkitHyphens || "inherit" === input.WebkitHyphens || "initial" === input.WebkitHyphens || "revert" === input.WebkitHyphens || "revert-layer" === input.WebkitHyphens || "unset" === input.WebkitHyphens || "auto" === input.WebkitHyphens || "none" === input.WebkitHyphens || "manual" === input.WebkitHyphens) && (undefined === input.WebkitInitialLetter || "string" === typeof input.WebkitInitialLetter || "number" === typeof input.WebkitInitialLetter) && (undefined === input.WebkitJustifyContent || "string" === typeof input.WebkitJustifyContent) && (undefined === input.WebkitLineBreak || "-moz-initial" === input.WebkitLineBreak || "inherit" === input.WebkitLineBreak || "initial" === input.WebkitLineBreak || "revert" === input.WebkitLineBreak || "revert-layer" === input.WebkitLineBreak || "unset" === input.WebkitLineBreak || "auto" === input.WebkitLineBreak || "normal" === input.WebkitLineBreak || "strict" === input.WebkitLineBreak || "anywhere" === input.WebkitLineBreak || "loose" === input.WebkitLineBreak) && (undefined === input.WebkitLineClamp || "string" === typeof input.WebkitLineClamp || "number" === typeof input.WebkitLineClamp) && (undefined === input.WebkitMarginEnd || "string" === typeof input.WebkitMarginEnd || "number" === typeof input.WebkitMarginEnd) && (undefined === input.WebkitMarginStart || "string" === typeof input.WebkitMarginStart || "number" === typeof input.WebkitMarginStart) && (undefined === input.WebkitMaskAttachment || "string" === typeof input.WebkitMaskAttachment) && (undefined === input.WebkitMaskBoxImageOutset || "string" === typeof input.WebkitMaskBoxImageOutset || "number" === typeof input.WebkitMaskBoxImageOutset) && (undefined === input.WebkitMaskBoxImageRepeat || "string" === typeof input.WebkitMaskBoxImageRepeat) && (undefined === input.WebkitMaskBoxImageSlice || "string" === typeof input.WebkitMaskBoxImageSlice || "number" === typeof input.WebkitMaskBoxImageSlice) && (undefined === input.WebkitMaskBoxImageSource || "string" === typeof input.WebkitMaskBoxImageSource) && (undefined === input.WebkitMaskBoxImageWidth || "string" === typeof input.WebkitMaskBoxImageWidth || "number" === typeof input.WebkitMaskBoxImageWidth) && (undefined === input.WebkitMaskClip || "string" === typeof input.WebkitMaskClip) && (undefined === input.WebkitMaskComposite || "string" === typeof input.WebkitMaskComposite) && (undefined === input.WebkitMaskImage || "string" === typeof input.WebkitMaskImage) && (undefined === input.WebkitMaskOrigin || "string" === typeof input.WebkitMaskOrigin) && (undefined === input.WebkitMaskPosition || "string" === typeof input.WebkitMaskPosition || "number" === typeof input.WebkitMaskPosition) && (undefined === input.WebkitMaskPositionX || "string" === typeof input.WebkitMaskPositionX || "number" === typeof input.WebkitMaskPositionX) && (undefined === input.WebkitMaskPositionY || "string" === typeof input.WebkitMaskPositionY || "number" === typeof input.WebkitMaskPositionY) && (undefined === input.WebkitMaskRepeat || "string" === typeof input.WebkitMaskRepeat) && (undefined === input.WebkitMaskRepeatX || "-moz-initial" === input.WebkitMaskRepeatX || "inherit" === input.WebkitMaskRepeatX || "initial" === input.WebkitMaskRepeatX || "revert" === input.WebkitMaskRepeatX || "revert-layer" === input.WebkitMaskRepeatX || "unset" === input.WebkitMaskRepeatX || "no-repeat" === input.WebkitMaskRepeatX || "repeat" === input.WebkitMaskRepeatX || "round" === input.WebkitMaskRepeatX || "space" === input.WebkitMaskRepeatX) && (undefined === input.WebkitMaskRepeatY || "-moz-initial" === input.WebkitMaskRepeatY || "inherit" === input.WebkitMaskRepeatY || "initial" === input.WebkitMaskRepeatY || "revert" === input.WebkitMaskRepeatY || "revert-layer" === input.WebkitMaskRepeatY || "unset" === input.WebkitMaskRepeatY || "no-repeat" === input.WebkitMaskRepeatY || "repeat" === input.WebkitMaskRepeatY || "round" === input.WebkitMaskRepeatY || "space" === input.WebkitMaskRepeatY) && (undefined === input.WebkitMaskSize || "string" === typeof input.WebkitMaskSize || "number" === typeof input.WebkitMaskSize) && (undefined === input.WebkitMaxInlineSize || "string" === typeof input.WebkitMaxInlineSize || "number" === typeof input.WebkitMaxInlineSize) && (undefined === input.WebkitOrder || "string" === typeof input.WebkitOrder || "number" === typeof input.WebkitOrder) && (undefined === input.WebkitOverflowScrolling || "-moz-initial" === input.WebkitOverflowScrolling || "inherit" === input.WebkitOverflowScrolling || "initial" === input.WebkitOverflowScrolling || "revert" === input.WebkitOverflowScrolling || "revert-layer" === input.WebkitOverflowScrolling || "unset" === input.WebkitOverflowScrolling || "auto" === input.WebkitOverflowScrolling || "touch" === input.WebkitOverflowScrolling) && (undefined === input.WebkitPaddingEnd || "string" === typeof input.WebkitPaddingEnd || "number" === typeof input.WebkitPaddingEnd) && (undefined === input.WebkitPaddingStart || "string" === typeof input.WebkitPaddingStart || "number" === typeof input.WebkitPaddingStart) && (undefined === input.WebkitPerspective || "string" === typeof input.WebkitPerspective || "number" === typeof input.WebkitPerspective) && (undefined === input.WebkitPerspectiveOrigin || "string" === typeof input.WebkitPerspectiveOrigin || "number" === typeof input.WebkitPerspectiveOrigin) && (undefined === input.WebkitPrintColorAdjust || "-moz-initial" === input.WebkitPrintColorAdjust || "inherit" === input.WebkitPrintColorAdjust || "initial" === input.WebkitPrintColorAdjust || "revert" === input.WebkitPrintColorAdjust || "revert-layer" === input.WebkitPrintColorAdjust || "unset" === input.WebkitPrintColorAdjust || "economy" === input.WebkitPrintColorAdjust || "exact" === input.WebkitPrintColorAdjust) && (undefined === input.WebkitRubyPosition || "string" === typeof input.WebkitRubyPosition) && (undefined === input.WebkitScrollSnapType || "string" === typeof input.WebkitScrollSnapType) && (undefined === input.WebkitShapeMargin || "string" === typeof input.WebkitShapeMargin || "number" === typeof input.WebkitShapeMargin) && (undefined === input.WebkitTapHighlightColor || "string" === typeof input.WebkitTapHighlightColor) && (undefined === input.WebkitTextCombine || "string" === typeof input.WebkitTextCombine) && (undefined === input.WebkitTextDecorationColor || "string" === typeof input.WebkitTextDecorationColor) && (undefined === input.WebkitTextDecorationLine || "string" === typeof input.WebkitTextDecorationLine) && (undefined === input.WebkitTextDecorationSkip || "string" === typeof input.WebkitTextDecorationSkip) && (undefined === input.WebkitTextDecorationStyle || "-moz-initial" === input.WebkitTextDecorationStyle || "inherit" === input.WebkitTextDecorationStyle || "initial" === input.WebkitTextDecorationStyle || "revert" === input.WebkitTextDecorationStyle || "revert-layer" === input.WebkitTextDecorationStyle || "unset" === input.WebkitTextDecorationStyle || "dashed" === input.WebkitTextDecorationStyle || "dotted" === input.WebkitTextDecorationStyle || "double" === input.WebkitTextDecorationStyle || "solid" === input.WebkitTextDecorationStyle || "wavy" === input.WebkitTextDecorationStyle) && (undefined === input.WebkitTextEmphasisColor || "string" === typeof input.WebkitTextEmphasisColor) && (undefined === input.WebkitTextEmphasisPosition || "string" === typeof input.WebkitTextEmphasisPosition) && (undefined === input.WebkitTextEmphasisStyle || "string" === typeof input.WebkitTextEmphasisStyle) && (undefined === input.WebkitTextFillColor || "string" === typeof input.WebkitTextFillColor) && (undefined === input.WebkitTextOrientation || "-moz-initial" === input.WebkitTextOrientation || "inherit" === input.WebkitTextOrientation || "initial" === input.WebkitTextOrientation || "revert" === input.WebkitTextOrientation || "revert-layer" === input.WebkitTextOrientation || "unset" === input.WebkitTextOrientation || "mixed" === input.WebkitTextOrientation || "sideways" === input.WebkitTextOrientation || "upright" === input.WebkitTextOrientation) && (undefined === input.WebkitTextSizeAdjust || "string" === typeof input.WebkitTextSizeAdjust) && (undefined === input.WebkitTextStrokeColor || "string" === typeof input.WebkitTextStrokeColor) && (undefined === input.WebkitTextStrokeWidth || "string" === typeof input.WebkitTextStrokeWidth || "number" === typeof input.WebkitTextStrokeWidth) && (undefined === input.WebkitTextUnderlinePosition || "string" === typeof input.WebkitTextUnderlinePosition) && (undefined === input.WebkitTouchCallout || "-moz-initial" === input.WebkitTouchCallout || "inherit" === input.WebkitTouchCallout || "initial" === input.WebkitTouchCallout || "revert" === input.WebkitTouchCallout || "revert-layer" === input.WebkitTouchCallout || "unset" === input.WebkitTouchCallout || "none" === input.WebkitTouchCallout || "default" === input.WebkitTouchCallout) && (undefined === input.WebkitTransform || "string" === typeof input.WebkitTransform) && (undefined === input.WebkitTransformOrigin || "string" === typeof input.WebkitTransformOrigin || "number" === typeof input.WebkitTransformOrigin) && (undefined === input.WebkitTransformStyle || "-moz-initial" === input.WebkitTransformStyle || "inherit" === input.WebkitTransformStyle || "initial" === input.WebkitTransformStyle || "revert" === input.WebkitTransformStyle || "revert-layer" === input.WebkitTransformStyle || "unset" === input.WebkitTransformStyle || "flat" === input.WebkitTransformStyle || "preserve-3d" === input.WebkitTransformStyle) && (undefined === input.WebkitTransitionDelay || "string" === typeof input.WebkitTransitionDelay) && (undefined === input.WebkitTransitionDuration || "string" === typeof input.WebkitTransitionDuration) && (undefined === input.WebkitTransitionProperty || "string" === typeof input.WebkitTransitionProperty) && (undefined === input.WebkitTransitionTimingFunction || "string" === typeof input.WebkitTransitionTimingFunction) && (undefined === input.WebkitUserModify || "-moz-initial" === input.WebkitUserModify || "inherit" === input.WebkitUserModify || "initial" === input.WebkitUserModify || "revert" === input.WebkitUserModify || "revert-layer" === input.WebkitUserModify || "unset" === input.WebkitUserModify || "read-only" === input.WebkitUserModify || "read-write" === input.WebkitUserModify || "read-write-plaintext-only" === input.WebkitUserModify) && (undefined === input.WebkitUserSelect || "all" === input.WebkitUserSelect || "-moz-initial" === input.WebkitUserSelect || "inherit" === input.WebkitUserSelect || "initial" === input.WebkitUserSelect || "revert" === input.WebkitUserSelect || "revert-layer" === input.WebkitUserSelect || "unset" === input.WebkitUserSelect || "auto" === input.WebkitUserSelect || "none" === input.WebkitUserSelect || "contain" === input.WebkitUserSelect || "text" === input.WebkitUserSelect || "-moz-none" === input.WebkitUserSelect || "element" === input.WebkitUserSelect) && (undefined === input.WebkitWritingMode || "-moz-initial" === input.WebkitWritingMode || "inherit" === input.WebkitWritingMode || "initial" === input.WebkitWritingMode || "revert" === input.WebkitWritingMode || "revert-layer" === input.WebkitWritingMode || "unset" === input.WebkitWritingMode || "horizontal-tb" === input.WebkitWritingMode || "sideways-lr" === input.WebkitWritingMode || "sideways-rl" === input.WebkitWritingMode || "vertical-lr" === input.WebkitWritingMode || "vertical-rl" === input.WebkitWritingMode) && (undefined === input.MozAnimation || "string" === typeof input.MozAnimation || "number" === typeof input.MozAnimation) && (undefined === input.MozBorderImage || "string" === typeof input.MozBorderImage || "number" === typeof input.MozBorderImage) && (undefined === input.MozColumnRule || "string" === typeof input.MozColumnRule || "number" === typeof input.MozColumnRule) && (undefined === input.MozColumns || "string" === typeof input.MozColumns || "number" === typeof input.MozColumns) && (undefined === input.MozTransition || "string" === typeof input.MozTransition) && (undefined === input.msContentZoomLimit || "string" === typeof input.msContentZoomLimit) && (undefined === input.msContentZoomSnap || "string" === typeof input.msContentZoomSnap) && (undefined === input.msFlex || "string" === typeof input.msFlex || "number" === typeof input.msFlex) && (undefined === input.msScrollLimit || "string" === typeof input.msScrollLimit) && (undefined === input.msScrollSnapX || "string" === typeof input.msScrollSnapX) && (undefined === input.msScrollSnapY || "string" === typeof input.msScrollSnapY) && (undefined === input.msTransition || "string" === typeof input.msTransition) && (undefined === input.WebkitAnimation || "string" === typeof input.WebkitAnimation || "number" === typeof input.WebkitAnimation) && (undefined === input.WebkitBorderBefore || "string" === typeof input.WebkitBorderBefore || "number" === typeof input.WebkitBorderBefore) && (undefined === input.WebkitBorderImage || "string" === typeof input.WebkitBorderImage || "number" === typeof input.WebkitBorderImage) && (undefined === input.WebkitBorderRadius || "string" === typeof input.WebkitBorderRadius || "number" === typeof input.WebkitBorderRadius) && (undefined === input.WebkitColumnRule || "string" === typeof input.WebkitColumnRule || "number" === typeof input.WebkitColumnRule) && (undefined === input.WebkitColumns || "string" === typeof input.WebkitColumns || "number" === typeof input.WebkitColumns) && (undefined === input.WebkitFlex || "string" === typeof input.WebkitFlex || "number" === typeof input.WebkitFlex) && (undefined === input.WebkitFlexFlow || "string" === typeof input.WebkitFlexFlow) && (undefined === input.WebkitMask || "string" === typeof input.WebkitMask || "number" === typeof input.WebkitMask) && (undefined === input.WebkitMaskBoxImage || "string" === typeof input.WebkitMaskBoxImage || "number" === typeof input.WebkitMaskBoxImage) && (undefined === input.WebkitTextEmphasis || "string" === typeof input.WebkitTextEmphasis) && (undefined === input.WebkitTextStroke || "string" === typeof input.WebkitTextStroke || "number" === typeof input.WebkitTextStroke) && (undefined === input.WebkitTransition || "string" === typeof input.WebkitTransition) && (undefined === input.azimuth || "string" === typeof input.azimuth && $is_custom("deprecated", "string", "", input.azimuth)) && (undefined === input.boxAlign || "-moz-initial" === input.boxAlign || "inherit" === input.boxAlign || "initial" === input.boxAlign || "revert" === input.boxAlign || "revert-layer" === input.boxAlign || "unset" === input.boxAlign || "stretch" === input.boxAlign || "center" === input.boxAlign || "end" === input.boxAlign || "start" === input.boxAlign || "baseline" === input.boxAlign) && (undefined === input.boxDirection || "-moz-initial" === input.boxDirection || "inherit" === input.boxDirection || "initial" === input.boxDirection || "revert" === input.boxDirection || "revert-layer" === input.boxDirection || "unset" === input.boxDirection || "normal" === input.boxDirection || "reverse" === input.boxDirection) && (undefined === input.boxFlex || "string" === typeof input.boxFlex && $is_custom("deprecated", "string", "", input.boxFlex) || "number" === typeof input.boxFlex && $is_custom("deprecated", "number", "", input.boxFlex)) && (undefined === input.boxFlexGroup || "string" === typeof input.boxFlexGroup && $is_custom("deprecated", "string", "", input.boxFlexGroup) || "number" === typeof input.boxFlexGroup && $is_custom("deprecated", "number", "", input.boxFlexGroup)) && (undefined === input.boxLines || "-moz-initial" === input.boxLines || "inherit" === input.boxLines || "initial" === input.boxLines || "revert" === input.boxLines || "revert-layer" === input.boxLines || "unset" === input.boxLines || "multiple" === input.boxLines || "single" === input.boxLines) && (undefined === input.boxOrdinalGroup || "string" === typeof input.boxOrdinalGroup && $is_custom("deprecated", "string", "", input.boxOrdinalGroup) || "number" === typeof input.boxOrdinalGroup && $is_custom("deprecated", "number", "", input.boxOrdinalGroup)) && (undefined === input.boxOrient || "-moz-initial" === input.boxOrient || "inherit" === input.boxOrient || "initial" === input.boxOrient || "revert" === input.boxOrient || "revert-layer" === input.boxOrient || "unset" === input.boxOrient || "horizontal" === input.boxOrient || "vertical" === input.boxOrient || "block-axis" === input.boxOrient || "inline-axis" === input.boxOrient) && (undefined === input.boxPack || "-moz-initial" === input.boxPack || "inherit" === input.boxPack || "initial" === input.boxPack || "revert" === input.boxPack || "revert-layer" === input.boxPack || "unset" === input.boxPack || "center" === input.boxPack || "end" === input.boxPack || "start" === input.boxPack || "justify" === input.boxPack) && (undefined === input.clip || "string" === typeof input.clip && $is_custom("deprecated", "string", "", input.clip)) && (undefined === input.gridColumnGap || "string" === typeof input.gridColumnGap && $is_custom("deprecated", "string", "", input.gridColumnGap) || "number" === typeof input.gridColumnGap && $is_custom("deprecated", "number", "", input.gridColumnGap)) && (undefined === input.gridGap || "string" === typeof input.gridGap && $is_custom("deprecated", "string", "", input.gridGap) || "number" === typeof input.gridGap && $is_custom("deprecated", "number", "", input.gridGap)) && (undefined === input.gridRowGap || "string" === typeof input.gridRowGap && $is_custom("deprecated", "string", "", input.gridRowGap) || "number" === typeof input.gridRowGap && $is_custom("deprecated", "number", "", input.gridRowGap)) && (undefined === input.imeMode || "-moz-initial" === input.imeMode || "inherit" === input.imeMode || "initial" === input.imeMode || "revert" === input.imeMode || "revert-layer" === input.imeMode || "unset" === input.imeMode || "auto" === input.imeMode || "normal" === input.imeMode || "active" === input.imeMode || "disabled" === input.imeMode || "inactive" === input.imeMode) && (undefined === input.offsetBlock || "string" === typeof input.offsetBlock && $is_custom("deprecated", "string", "", input.offsetBlock) || "number" === typeof input.offsetBlock && $is_custom("deprecated", "number", "", input.offsetBlock)) && (undefined === input.offsetBlockEnd || "string" === typeof input.offsetBlockEnd && $is_custom("deprecated", "string", "", input.offsetBlockEnd) || "number" === typeof input.offsetBlockEnd && $is_custom("deprecated", "number", "", input.offsetBlockEnd)) && (undefined === input.offsetBlockStart || "string" === typeof input.offsetBlockStart && $is_custom("deprecated", "string", "", input.offsetBlockStart) || "number" === typeof input.offsetBlockStart && $is_custom("deprecated", "number", "", input.offsetBlockStart)) && (undefined === input.offsetInline || "string" === typeof input.offsetInline && $is_custom("deprecated", "string", "", input.offsetInline) || "number" === typeof input.offsetInline && $is_custom("deprecated", "number", "", input.offsetInline)) && (undefined === input.offsetInlineEnd || "string" === typeof input.offsetInlineEnd && $is_custom("deprecated", "string", "", input.offsetInlineEnd) || "number" === typeof input.offsetInlineEnd && $is_custom("deprecated", "number", "", input.offsetInlineEnd)) && (undefined === input.offsetInlineStart || "string" === typeof input.offsetInlineStart && $is_custom("deprecated", "string", "", input.offsetInlineStart) || "number" === typeof input.offsetInlineStart && $is_custom("deprecated", "number", "", input.offsetInlineStart)) && (undefined === input.scrollSnapCoordinate || "string" === typeof input.scrollSnapCoordinate && $is_custom("deprecated", "string", "", input.scrollSnapCoordinate) || "number" === typeof input.scrollSnapCoordinate && $is_custom("deprecated", "number", "", input.scrollSnapCoordinate)) && (undefined === input.scrollSnapDestination || "string" === typeof input.scrollSnapDestination && $is_custom("deprecated", "string", "", input.scrollSnapDestination) || "number" === typeof input.scrollSnapDestination && $is_custom("deprecated", "number", "", input.scrollSnapDestination)) && (undefined === input.scrollSnapPointsX || "string" === typeof input.scrollSnapPointsX && $is_custom("deprecated", "string", "", input.scrollSnapPointsX)) && (undefined === input.scrollSnapPointsY || "string" === typeof input.scrollSnapPointsY && $is_custom("deprecated", "string", "", input.scrollSnapPointsY)) && (undefined === input.scrollSnapTypeX || "-moz-initial" === input.scrollSnapTypeX || "inherit" === input.scrollSnapTypeX || "initial" === input.scrollSnapTypeX || "revert" === input.scrollSnapTypeX || "revert-layer" === input.scrollSnapTypeX || "unset" === input.scrollSnapTypeX || "none" === input.scrollSnapTypeX || "mandatory" === input.scrollSnapTypeX || "proximity" === input.scrollSnapTypeX) && (undefined === input.scrollSnapTypeY || "-moz-initial" === input.scrollSnapTypeY || "inherit" === input.scrollSnapTypeY || "initial" === input.scrollSnapTypeY || "revert" === input.scrollSnapTypeY || "revert-layer" === input.scrollSnapTypeY || "unset" === input.scrollSnapTypeY || "none" === input.scrollSnapTypeY || "mandatory" === input.scrollSnapTypeY || "proximity" === input.scrollSnapTypeY) && (undefined === input.scrollbarTrackColor || "string" === typeof input.scrollbarTrackColor && $is_custom("deprecated", "string", "", input.scrollbarTrackColor)) && (undefined === input.KhtmlBoxAlign || "-moz-initial" === input.KhtmlBoxAlign || "inherit" === input.KhtmlBoxAlign || "initial" === input.KhtmlBoxAlign || "revert" === input.KhtmlBoxAlign || "revert-layer" === input.KhtmlBoxAlign || "unset" === input.KhtmlBoxAlign || "stretch" === input.KhtmlBoxAlign || "center" === input.KhtmlBoxAlign || "end" === input.KhtmlBoxAlign || "start" === input.KhtmlBoxAlign || "baseline" === input.KhtmlBoxAlign) && (undefined === input.KhtmlBoxDirection || "-moz-initial" === input.KhtmlBoxDirection || "inherit" === input.KhtmlBoxDirection || "initial" === input.KhtmlBoxDirection || "revert" === input.KhtmlBoxDirection || "revert-layer" === input.KhtmlBoxDirection || "unset" === input.KhtmlBoxDirection || "normal" === input.KhtmlBoxDirection || "reverse" === input.KhtmlBoxDirection) && (undefined === input.KhtmlBoxFlex || "string" === typeof input.KhtmlBoxFlex && $is_custom("deprecated", "string", "", input.KhtmlBoxFlex) || "number" === typeof input.KhtmlBoxFlex && $is_custom("deprecated", "number", "", input.KhtmlBoxFlex)) && (undefined === input.KhtmlBoxFlexGroup || "string" === typeof input.KhtmlBoxFlexGroup && $is_custom("deprecated", "string", "", input.KhtmlBoxFlexGroup) || "number" === typeof input.KhtmlBoxFlexGroup && $is_custom("deprecated", "number", "", input.KhtmlBoxFlexGroup)) && (undefined === input.KhtmlBoxLines || "-moz-initial" === input.KhtmlBoxLines || "inherit" === input.KhtmlBoxLines || "initial" === input.KhtmlBoxLines || "revert" === input.KhtmlBoxLines || "revert-layer" === input.KhtmlBoxLines || "unset" === input.KhtmlBoxLines || "multiple" === input.KhtmlBoxLines || "single" === input.KhtmlBoxLines) && (undefined === input.KhtmlBoxOrdinalGroup || "string" === typeof input.KhtmlBoxOrdinalGroup && $is_custom("deprecated", "string", "", input.KhtmlBoxOrdinalGroup) || "number" === typeof input.KhtmlBoxOrdinalGroup && $is_custom("deprecated", "number", "", input.KhtmlBoxOrdinalGroup)) && (undefined === input.KhtmlBoxOrient || "-moz-initial" === input.KhtmlBoxOrient || "inherit" === input.KhtmlBoxOrient || "initial" === input.KhtmlBoxOrient || "revert" === input.KhtmlBoxOrient || "revert-layer" === input.KhtmlBoxOrient || "unset" === input.KhtmlBoxOrient || "horizontal" === input.KhtmlBoxOrient || "vertical" === input.KhtmlBoxOrient || "block-axis" === input.KhtmlBoxOrient || "inline-axis" === input.KhtmlBoxOrient) && (undefined === input.KhtmlBoxPack || "-moz-initial" === input.KhtmlBoxPack || "inherit" === input.KhtmlBoxPack || "initial" === input.KhtmlBoxPack || "revert" === input.KhtmlBoxPack || "revert-layer" === input.KhtmlBoxPack || "unset" === input.KhtmlBoxPack || "center" === input.KhtmlBoxPack || "end" === input.KhtmlBoxPack || "start" === input.KhtmlBoxPack || "justify" === input.KhtmlBoxPack) && (undefined === input.KhtmlLineBreak || "-moz-initial" === input.KhtmlLineBreak || "inherit" === input.KhtmlLineBreak || "initial" === input.KhtmlLineBreak || "revert" === input.KhtmlLineBreak || "revert-layer" === input.KhtmlLineBreak || "unset" === input.KhtmlLineBreak || "auto" === input.KhtmlLineBreak || "normal" === input.KhtmlLineBreak || "strict" === input.KhtmlLineBreak || "anywhere" === input.KhtmlLineBreak || "loose" === input.KhtmlLineBreak) && (undefined === input.KhtmlOpacity || "string" === typeof input.KhtmlOpacity && $is_custom("deprecated", "string", "", input.KhtmlOpacity) || "number" === typeof input.KhtmlOpacity && $is_custom("deprecated", "number", "", input.KhtmlOpacity)) && (undefined === input.KhtmlUserSelect || "all" === input.KhtmlUserSelect || "-moz-initial" === input.KhtmlUserSelect || "inherit" === input.KhtmlUserSelect || "initial" === input.KhtmlUserSelect || "revert" === input.KhtmlUserSelect || "revert-layer" === input.KhtmlUserSelect || "unset" === input.KhtmlUserSelect || "auto" === input.KhtmlUserSelect || "none" === input.KhtmlUserSelect || "contain" === input.KhtmlUserSelect || "text" === input.KhtmlUserSelect || "-moz-none" === input.KhtmlUserSelect || "element" === input.KhtmlUserSelect) && (undefined === input.MozBackgroundClip || "string" === typeof input.MozBackgroundClip && $is_custom("deprecated", "string", "", input.MozBackgroundClip)) && (undefined === input.MozBackgroundInlinePolicy || "-moz-initial" === input.MozBackgroundInlinePolicy || "inherit" === input.MozBackgroundInlinePolicy || "initial" === input.MozBackgroundInlinePolicy || "revert" === input.MozBackgroundInlinePolicy || "revert-layer" === input.MozBackgroundInlinePolicy || "unset" === input.MozBackgroundInlinePolicy || "clone" === input.MozBackgroundInlinePolicy || "slice" === input.MozBackgroundInlinePolicy) && (undefined === input.MozBackgroundOrigin || "string" === typeof input.MozBackgroundOrigin && $is_custom("deprecated", "string", "", input.MozBackgroundOrigin)) && (undefined === input.MozBackgroundSize || "string" === typeof input.MozBackgroundSize && $is_custom("deprecated", "string", "", input.MozBackgroundSize) || "number" === typeof input.MozBackgroundSize && $is_custom("deprecated", "number", "", input.MozBackgroundSize)) && (undefined === input.MozBinding || "string" === typeof input.MozBinding && $is_custom("deprecated", "string", "", input.MozBinding)) && (undefined === input.MozBorderRadius || "string" === typeof input.MozBorderRadius && $is_custom("deprecated", "string", "", input.MozBorderRadius) || "number" === typeof input.MozBorderRadius && $is_custom("deprecated", "number", "", input.MozBorderRadius)) && (undefined === input.MozBorderRadiusBottomleft || "string" === typeof input.MozBorderRadiusBottomleft && $is_custom("deprecated", "string", "", input.MozBorderRadiusBottomleft) || "number" === typeof input.MozBorderRadiusBottomleft && $is_custom("deprecated", "number", "", input.MozBorderRadiusBottomleft)) && (undefined === input.MozBorderRadiusBottomright || "string" === typeof input.MozBorderRadiusBottomright && $is_custom("deprecated", "string", "", input.MozBorderRadiusBottomright) || "number" === typeof input.MozBorderRadiusBottomright && $is_custom("deprecated", "number", "", input.MozBorderRadiusBottomright)) && (undefined === input.MozBorderRadiusTopleft || "string" === typeof input.MozBorderRadiusTopleft && $is_custom("deprecated", "string", "", input.MozBorderRadiusTopleft) || "number" === typeof input.MozBorderRadiusTopleft && $is_custom("deprecated", "number", "", input.MozBorderRadiusTopleft)) && (undefined === input.MozBorderRadiusTopright || "string" === typeof input.MozBorderRadiusTopright && $is_custom("deprecated", "string", "", input.MozBorderRadiusTopright) || "number" === typeof input.MozBorderRadiusTopright && $is_custom("deprecated", "number", "", input.MozBorderRadiusTopright)) && (undefined === input.MozBoxAlign || "-moz-initial" === input.MozBoxAlign || "inherit" === input.MozBoxAlign || "initial" === input.MozBoxAlign || "revert" === input.MozBoxAlign || "revert-layer" === input.MozBoxAlign || "unset" === input.MozBoxAlign || "stretch" === input.MozBoxAlign || "center" === input.MozBoxAlign || "end" === input.MozBoxAlign || "start" === input.MozBoxAlign || "baseline" === input.MozBoxAlign) && (undefined === input.MozBoxDirection || "-moz-initial" === input.MozBoxDirection || "inherit" === input.MozBoxDirection || "initial" === input.MozBoxDirection || "revert" === input.MozBoxDirection || "revert-layer" === input.MozBoxDirection || "unset" === input.MozBoxDirection || "normal" === input.MozBoxDirection || "reverse" === input.MozBoxDirection) && (undefined === input.MozBoxFlex || "string" === typeof input.MozBoxFlex && $is_custom("deprecated", "string", "", input.MozBoxFlex) || "number" === typeof input.MozBoxFlex && $is_custom("deprecated", "number", "", input.MozBoxFlex)) && (undefined === input.MozBoxOrdinalGroup || "string" === typeof input.MozBoxOrdinalGroup && $is_custom("deprecated", "string", "", input.MozBoxOrdinalGroup) || "number" === typeof input.MozBoxOrdinalGroup && $is_custom("deprecated", "number", "", input.MozBoxOrdinalGroup)) && (undefined === input.MozBoxOrient || "-moz-initial" === input.MozBoxOrient || "inherit" === input.MozBoxOrient || "initial" === input.MozBoxOrient || "revert" === input.MozBoxOrient || "revert-layer" === input.MozBoxOrient || "unset" === input.MozBoxOrient || "horizontal" === input.MozBoxOrient || "vertical" === input.MozBoxOrient || "block-axis" === input.MozBoxOrient || "inline-axis" === input.MozBoxOrient) && (undefined === input.MozBoxPack || "-moz-initial" === input.MozBoxPack || "inherit" === input.MozBoxPack || "initial" === input.MozBoxPack || "revert" === input.MozBoxPack || "revert-layer" === input.MozBoxPack || "unset" === input.MozBoxPack || "center" === input.MozBoxPack || "end" === input.MozBoxPack || "start" === input.MozBoxPack || "justify" === input.MozBoxPack) && (undefined === input.MozBoxShadow || "string" === typeof input.MozBoxShadow && $is_custom("deprecated", "string", "", input.MozBoxShadow)) && (undefined === input.MozFloatEdge || "-moz-initial" === input.MozFloatEdge || "inherit" === input.MozFloatEdge || "initial" === input.MozFloatEdge || "revert" === input.MozFloatEdge || "revert-layer" === input.MozFloatEdge || "unset" === input.MozFloatEdge || "border-box" === input.MozFloatEdge || "content-box" === input.MozFloatEdge || "padding-box" === input.MozFloatEdge || "margin-box" === input.MozFloatEdge) && (undefined === input.MozForceBrokenImageIcon || 0 === input.MozForceBrokenImageIcon || 1 === input.MozForceBrokenImageIcon || "string" === typeof input.MozForceBrokenImageIcon && $is_custom("deprecated", "string", "", input.MozForceBrokenImageIcon)) && (undefined === input.MozOpacity || "string" === typeof input.MozOpacity && $is_custom("deprecated", "string", "", input.MozOpacity) || "number" === typeof input.MozOpacity && $is_custom("deprecated", "number", "", input.MozOpacity)) && (undefined === input.MozOutline || "string" === typeof input.MozOutline && $is_custom("deprecated", "string", "", input.MozOutline) || "number" === typeof input.MozOutline && $is_custom("deprecated", "number", "", input.MozOutline)) && (undefined === input.MozOutlineColor || "string" === typeof input.MozOutlineColor && $is_custom("deprecated", "string", "", input.MozOutlineColor)) && (undefined === input.MozOutlineRadius || "string" === typeof input.MozOutlineRadius && $is_custom("deprecated", "string", "", input.MozOutlineRadius) || "number" === typeof input.MozOutlineRadius && $is_custom("deprecated", "number", "", input.MozOutlineRadius)) && (undefined === input.MozOutlineRadiusBottomleft || "string" === typeof input.MozOutlineRadiusBottomleft && $is_custom("deprecated", "string", "", input.MozOutlineRadiusBottomleft) || "number" === typeof input.MozOutlineRadiusBottomleft && $is_custom("deprecated", "number", "", input.MozOutlineRadiusBottomleft)) && (undefined === input.MozOutlineRadiusBottomright || "string" === typeof input.MozOutlineRadiusBottomright && $is_custom("deprecated", "string", "", input.MozOutlineRadiusBottomright) || "number" === typeof input.MozOutlineRadiusBottomright && $is_custom("deprecated", "number", "", input.MozOutlineRadiusBottomright)) && (undefined === input.MozOutlineRadiusTopleft || "string" === typeof input.MozOutlineRadiusTopleft && $is_custom("deprecated", "string", "", input.MozOutlineRadiusTopleft) || "number" === typeof input.MozOutlineRadiusTopleft && $is_custom("deprecated", "number", "", input.MozOutlineRadiusTopleft)) && (undefined === input.MozOutlineRadiusTopright || "string" === typeof input.MozOutlineRadiusTopright && $is_custom("deprecated", "string", "", input.MozOutlineRadiusTopright) || "number" === typeof input.MozOutlineRadiusTopright && $is_custom("deprecated", "number", "", input.MozOutlineRadiusTopright)) && (undefined === input.MozOutlineStyle || "string" === typeof input.MozOutlineStyle && $is_custom("deprecated", "string", "", input.MozOutlineStyle)) && (undefined === input.MozOutlineWidth || "string" === typeof input.MozOutlineWidth && $is_custom("deprecated", "string", "", input.MozOutlineWidth) || "number" === typeof input.MozOutlineWidth && $is_custom("deprecated", "number", "", input.MozOutlineWidth)) && (undefined === input.MozTextAlignLast || "-moz-initial" === input.MozTextAlignLast || "inherit" === input.MozTextAlignLast || "initial" === input.MozTextAlignLast || "revert" === input.MozTextAlignLast || "revert-layer" === input.MozTextAlignLast || "unset" === input.MozTextAlignLast || "auto" === input.MozTextAlignLast || "center" === input.MozTextAlignLast || "end" === input.MozTextAlignLast || "start" === input.MozTextAlignLast || "left" === input.MozTextAlignLast || "right" === input.MozTextAlignLast || "justify" === input.MozTextAlignLast) && (undefined === input.MozTextDecorationColor || "string" === typeof input.MozTextDecorationColor && $is_custom("deprecated", "string", "", input.MozTextDecorationColor)) && (undefined === input.MozTextDecorationLine || "string" === typeof input.MozTextDecorationLine && $is_custom("deprecated", "string", "", input.MozTextDecorationLine)) && (undefined === input.MozTextDecorationStyle || "-moz-initial" === input.MozTextDecorationStyle || "inherit" === input.MozTextDecorationStyle || "initial" === input.MozTextDecorationStyle || "revert" === input.MozTextDecorationStyle || "revert-layer" === input.MozTextDecorationStyle || "unset" === input.MozTextDecorationStyle || "dashed" === input.MozTextDecorationStyle || "dotted" === input.MozTextDecorationStyle || "double" === input.MozTextDecorationStyle || "solid" === input.MozTextDecorationStyle || "wavy" === input.MozTextDecorationStyle) && (undefined === input.MozUserInput || "-moz-initial" === input.MozUserInput || "inherit" === input.MozUserInput || "initial" === input.MozUserInput || "revert" === input.MozUserInput || "revert-layer" === input.MozUserInput || "unset" === input.MozUserInput || "auto" === input.MozUserInput || "none" === input.MozUserInput || "disabled" === input.MozUserInput || "enabled" === input.MozUserInput) && (undefined === input.msImeMode || "-moz-initial" === input.msImeMode || "inherit" === input.msImeMode || "initial" === input.msImeMode || "revert" === input.msImeMode || "revert-layer" === input.msImeMode || "unset" === input.msImeMode || "auto" === input.msImeMode || "normal" === input.msImeMode || "active" === input.msImeMode || "disabled" === input.msImeMode || "inactive" === input.msImeMode) && (undefined === input.msScrollbarTrackColor || "string" === typeof input.msScrollbarTrackColor && $is_custom("deprecated", "string", "", input.msScrollbarTrackColor)) && (undefined === input.OAnimation || "string" === typeof input.OAnimation && $is_custom("deprecated", "string", "", input.OAnimation) || "number" === typeof input.OAnimation && $is_custom("deprecated", "number", "", input.OAnimation)) && (undefined === input.OAnimationDelay || "string" === typeof input.OAnimationDelay && $is_custom("deprecated", "string", "", input.OAnimationDelay)) && (undefined === input.OAnimationDirection || "string" === typeof input.OAnimationDirection && $is_custom("deprecated", "string", "", input.OAnimationDirection)) && (undefined === input.OAnimationDuration || "string" === typeof input.OAnimationDuration && $is_custom("deprecated", "string", "", input.OAnimationDuration)) && (undefined === input.OAnimationFillMode || "string" === typeof input.OAnimationFillMode && $is_custom("deprecated", "string", "", input.OAnimationFillMode)) && (undefined === input.OAnimationIterationCount || "string" === typeof input.OAnimationIterationCount && $is_custom("deprecated", "string", "", input.OAnimationIterationCount) || "number" === typeof input.OAnimationIterationCount && $is_custom("deprecated", "number", "", input.OAnimationIterationCount)) && (undefined === input.OAnimationName || "string" === typeof input.OAnimationName && $is_custom("deprecated", "string", "", input.OAnimationName)) && (undefined === input.OAnimationPlayState || "string" === typeof input.OAnimationPlayState && $is_custom("deprecated", "string", "", input.OAnimationPlayState)) && (undefined === input.OAnimationTimingFunction || "string" === typeof input.OAnimationTimingFunction && $is_custom("deprecated", "string", "", input.OAnimationTimingFunction)) && (undefined === input.OBackgroundSize || "string" === typeof input.OBackgroundSize && $is_custom("deprecated", "string", "", input.OBackgroundSize) || "number" === typeof input.OBackgroundSize && $is_custom("deprecated", "number", "", input.OBackgroundSize)) && (undefined === input.OBorderImage || "string" === typeof input.OBorderImage && $is_custom("deprecated", "string", "", input.OBorderImage) || "number" === typeof input.OBorderImage && $is_custom("deprecated", "number", "", input.OBorderImage)) && (undefined === input.OObjectFit || "-moz-initial" === input.OObjectFit || "inherit" === input.OObjectFit || "initial" === input.OObjectFit || "revert" === input.OObjectFit || "revert-layer" === input.OObjectFit || "unset" === input.OObjectFit || "none" === input.OObjectFit || "contain" === input.OObjectFit || "cover" === input.OObjectFit || "fill" === input.OObjectFit || "scale-down" === input.OObjectFit) && (undefined === input.OObjectPosition || "string" === typeof input.OObjectPosition && $is_custom("deprecated", "string", "", input.OObjectPosition) || "number" === typeof input.OObjectPosition && $is_custom("deprecated", "number", "", input.OObjectPosition)) && (undefined === input.OTabSize || "string" === typeof input.OTabSize && $is_custom("deprecated", "string", "", input.OTabSize) || "number" === typeof input.OTabSize && $is_custom("deprecated", "number", "", input.OTabSize)) && (undefined === input.OTextOverflow || "string" === typeof input.OTextOverflow && $is_custom("deprecated", "string", "", input.OTextOverflow)) && (undefined === input.OTransform || "string" === typeof input.OTransform && $is_custom("deprecated", "string", "", input.OTransform)) && (undefined === input.OTransformOrigin || "string" === typeof input.OTransformOrigin && $is_custom("deprecated", "string", "", input.OTransformOrigin) || "number" === typeof input.OTransformOrigin && $is_custom("deprecated", "number", "", input.OTransformOrigin)) && (undefined === input.OTransition || "string" === typeof input.OTransition && $is_custom("deprecated", "string", "", input.OTransition)) && (undefined === input.OTransitionDelay || "string" === typeof input.OTransitionDelay && $is_custom("deprecated", "string", "", input.OTransitionDelay)) && (undefined === input.OTransitionDuration || "string" === typeof input.OTransitionDuration && $is_custom("deprecated", "string", "", input.OTransitionDuration)) && (undefined === input.OTransitionProperty || "string" === typeof input.OTransitionProperty && $is_custom("deprecated", "string", "", input.OTransitionProperty)) && (undefined === input.OTransitionTimingFunction || "string" === typeof input.OTransitionTimingFunction && $is_custom("deprecated", "string", "", input.OTransitionTimingFunction)) && (undefined === input.WebkitBoxAlign || "-moz-initial" === input.WebkitBoxAlign || "inherit" === input.WebkitBoxAlign || "initial" === input.WebkitBoxAlign || "revert" === input.WebkitBoxAlign || "revert-layer" === input.WebkitBoxAlign || "unset" === input.WebkitBoxAlign || "stretch" === input.WebkitBoxAlign || "center" === input.WebkitBoxAlign || "end" === input.WebkitBoxAlign || "start" === input.WebkitBoxAlign || "baseline" === input.WebkitBoxAlign) && (undefined === input.WebkitBoxDirection || "-moz-initial" === input.WebkitBoxDirection || "inherit" === input.WebkitBoxDirection || "initial" === input.WebkitBoxDirection || "revert" === input.WebkitBoxDirection || "revert-layer" === input.WebkitBoxDirection || "unset" === input.WebkitBoxDirection || "normal" === input.WebkitBoxDirection || "reverse" === input.WebkitBoxDirection) && (undefined === input.WebkitBoxFlex || "string" === typeof input.WebkitBoxFlex && $is_custom("deprecated", "string", "", input.WebkitBoxFlex) || "number" === typeof input.WebkitBoxFlex && $is_custom("deprecated", "number", "", input.WebkitBoxFlex)) && (undefined === input.WebkitBoxFlexGroup || "string" === typeof input.WebkitBoxFlexGroup && $is_custom("deprecated", "string", "", input.WebkitBoxFlexGroup) || "number" === typeof input.WebkitBoxFlexGroup && $is_custom("deprecated", "number", "", input.WebkitBoxFlexGroup)) && (undefined === input.WebkitBoxLines || "-moz-initial" === input.WebkitBoxLines || "inherit" === input.WebkitBoxLines || "initial" === input.WebkitBoxLines || "revert" === input.WebkitBoxLines || "revert-layer" === input.WebkitBoxLines || "unset" === input.WebkitBoxLines || "multiple" === input.WebkitBoxLines || "single" === input.WebkitBoxLines) && (undefined === input.WebkitBoxOrdinalGroup || "string" === typeof input.WebkitBoxOrdinalGroup && $is_custom("deprecated", "string", "", input.WebkitBoxOrdinalGroup) || "number" === typeof input.WebkitBoxOrdinalGroup && $is_custom("deprecated", "number", "", input.WebkitBoxOrdinalGroup)) && (undefined === input.WebkitBoxOrient || "-moz-initial" === input.WebkitBoxOrient || "inherit" === input.WebkitBoxOrient || "initial" === input.WebkitBoxOrient || "revert" === input.WebkitBoxOrient || "revert-layer" === input.WebkitBoxOrient || "unset" === input.WebkitBoxOrient || "horizontal" === input.WebkitBoxOrient || "vertical" === input.WebkitBoxOrient || "block-axis" === input.WebkitBoxOrient || "inline-axis" === input.WebkitBoxOrient) && (undefined === input.WebkitBoxPack || "-moz-initial" === input.WebkitBoxPack || "inherit" === input.WebkitBoxPack || "initial" === input.WebkitBoxPack || "revert" === input.WebkitBoxPack || "revert-layer" === input.WebkitBoxPack || "unset" === input.WebkitBoxPack || "center" === input.WebkitBoxPack || "end" === input.WebkitBoxPack || "start" === input.WebkitBoxPack || "justify" === input.WebkitBoxPack) && (undefined === input.WebkitScrollSnapPointsX || "string" === typeof input.WebkitScrollSnapPointsX && $is_custom("deprecated", "string", "", input.WebkitScrollSnapPointsX)) && (undefined === input.WebkitScrollSnapPointsY || "string" === typeof input.WebkitScrollSnapPointsY && $is_custom("deprecated", "string", "", input.WebkitScrollSnapPointsY)) && (undefined === input.alignmentBaseline || "-moz-initial" === input.alignmentBaseline || "inherit" === input.alignmentBaseline || "initial" === input.alignmentBaseline || "revert" === input.alignmentBaseline || "revert-layer" === input.alignmentBaseline || "unset" === input.alignmentBaseline || "auto" === input.alignmentBaseline || "baseline" === input.alignmentBaseline || "middle" === input.alignmentBaseline || "after-edge" === input.alignmentBaseline || "alphabetic" === input.alignmentBaseline || "before-edge" === input.alignmentBaseline || "central" === input.alignmentBaseline || "hanging" === input.alignmentBaseline || "ideographic" === input.alignmentBaseline || "mathematical" === input.alignmentBaseline || "text-after-edge" === input.alignmentBaseline || "text-before-edge" === input.alignmentBaseline) && (undefined === input.baselineShift || "string" === typeof input.baselineShift || "number" === typeof input.baselineShift) && (undefined === input.clipRule || "-moz-initial" === input.clipRule || "inherit" === input.clipRule || "initial" === input.clipRule || "revert" === input.clipRule || "revert-layer" === input.clipRule || "unset" === input.clipRule || "evenodd" === input.clipRule || "nonzero" === input.clipRule) && (undefined === input.colorInterpolation || "-moz-initial" === input.colorInterpolation || "inherit" === input.colorInterpolation || "initial" === input.colorInterpolation || "revert" === input.colorInterpolation || "revert-layer" === input.colorInterpolation || "unset" === input.colorInterpolation || "auto" === input.colorInterpolation || "linearRGB" === input.colorInterpolation || "sRGB" === input.colorInterpolation) && (undefined === input.colorRendering || "-moz-initial" === input.colorRendering || "inherit" === input.colorRendering || "initial" === input.colorRendering || "revert" === input.colorRendering || "revert-layer" === input.colorRendering || "unset" === input.colorRendering || "auto" === input.colorRendering || "optimizeSpeed" === input.colorRendering || "optimizeQuality" === input.colorRendering) && (undefined === input.dominantBaseline || "-moz-initial" === input.dominantBaseline || "inherit" === input.dominantBaseline || "initial" === input.dominantBaseline || "revert" === input.dominantBaseline || "revert-layer" === input.dominantBaseline || "unset" === input.dominantBaseline || "auto" === input.dominantBaseline || "middle" === input.dominantBaseline || "alphabetic" === input.dominantBaseline || "central" === input.dominantBaseline || "hanging" === input.dominantBaseline || "ideographic" === input.dominantBaseline || "mathematical" === input.dominantBaseline || "text-after-edge" === input.dominantBaseline || "text-before-edge" === input.dominantBaseline || "no-change" === input.dominantBaseline || "reset-size" === input.dominantBaseline || "use-script" === input.dominantBaseline) && (undefined === input.fill || "string" === typeof input.fill) && (undefined === input.fillOpacity || "string" === typeof input.fillOpacity || "number" === typeof input.fillOpacity) && (undefined === input.fillRule || "-moz-initial" === input.fillRule || "inherit" === input.fillRule || "initial" === input.fillRule || "revert" === input.fillRule || "revert-layer" === input.fillRule || "unset" === input.fillRule || "evenodd" === input.fillRule || "nonzero" === input.fillRule) && (undefined === input.floodColor || "string" === typeof input.floodColor) && (undefined === input.floodOpacity || "string" === typeof input.floodOpacity || "number" === typeof input.floodOpacity) && (undefined === input.glyphOrientationVertical || "string" === typeof input.glyphOrientationVertical || "number" === typeof input.glyphOrientationVertical) && (undefined === input.lightingColor || "string" === typeof input.lightingColor) && (undefined === input.marker || "string" === typeof input.marker) && (undefined === input.markerEnd || "string" === typeof input.markerEnd) && (undefined === input.markerMid || "string" === typeof input.markerMid) && (undefined === input.markerStart || "string" === typeof input.markerStart) && (undefined === input.shapeRendering || "-moz-initial" === input.shapeRendering || "inherit" === input.shapeRendering || "initial" === input.shapeRendering || "revert" === input.shapeRendering || "revert-layer" === input.shapeRendering || "unset" === input.shapeRendering || "auto" === input.shapeRendering || "geometricPrecision" === input.shapeRendering || "optimizeSpeed" === input.shapeRendering || "crispEdges" === input.shapeRendering) && (undefined === input.stopColor || "string" === typeof input.stopColor) && (undefined === input.stopOpacity || "string" === typeof input.stopOpacity || "number" === typeof input.stopOpacity) && (undefined === input.stroke || "string" === typeof input.stroke) && (undefined === input.strokeDasharray || "string" === typeof input.strokeDasharray || "number" === typeof input.strokeDasharray) && (undefined === input.strokeDashoffset || "string" === typeof input.strokeDashoffset || "number" === typeof input.strokeDashoffset) && (undefined === input.strokeLinecap || "-moz-initial" === input.strokeLinecap || "inherit" === input.strokeLinecap || "initial" === input.strokeLinecap || "revert" === input.strokeLinecap || "revert-layer" === input.strokeLinecap || "unset" === input.strokeLinecap || "round" === input.strokeLinecap || "butt" === input.strokeLinecap || "square" === input.strokeLinecap) && (undefined === input.strokeLinejoin || "-moz-initial" === input.strokeLinejoin || "inherit" === input.strokeLinejoin || "initial" === input.strokeLinejoin || "revert" === input.strokeLinejoin || "revert-layer" === input.strokeLinejoin || "unset" === input.strokeLinejoin || "round" === input.strokeLinejoin || "bevel" === input.strokeLinejoin || "miter" === input.strokeLinejoin) && (undefined === input.strokeMiterlimit || "string" === typeof input.strokeMiterlimit || "number" === typeof input.strokeMiterlimit) && (undefined === input.strokeOpacity || "string" === typeof input.strokeOpacity || "number" === typeof input.strokeOpacity) && (undefined === input.strokeWidth || "string" === typeof input.strokeWidth || "number" === typeof input.strokeWidth) && (undefined === input.textAnchor || "-moz-initial" === input.textAnchor || "inherit" === input.textAnchor || "initial" === input.textAnchor || "revert" === input.textAnchor || "revert-layer" === input.textAnchor || "unset" === input.textAnchor || "end" === input.textAnchor || "start" === input.textAnchor || "middle" === input.textAnchor) && (undefined === input.vectorEffect || "-moz-initial" === input.vectorEffect || "inherit" === input.vectorEffect || "initial" === input.vectorEffect || "revert" === input.vectorEffect || "revert-layer" === input.vectorEffect || "unset" === input.vectorEffect || "none" === input.vectorEffect || "non-scaling-stroke" === input.vectorEffect) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["accentColor", "alignContent", "alignItems", "alignSelf", "alignTracks", "animationDelay", "animationDirection", "animationDuration", "animationFillMode", "animationIterationCount", "animationName", "animationPlayState", "animationTimeline", "animationTimingFunction", "appearance", "aspectRatio", "backdropFilter", "backfaceVisibility", "backgroundAttachment", "backgroundBlendMode", "backgroundClip", "backgroundColor", "backgroundImage", "backgroundOrigin", "backgroundPositionX", "backgroundPositionY", "backgroundRepeat", "backgroundSize", "blockOverflow", "blockSize", "borderBlockColor", "borderBlockEndColor", "borderBlockEndStyle", "borderBlockEndWidth", "borderBlockStartColor", "borderBlockStartStyle", "borderBlockStartWidth", "borderBlockStyle", "borderBlockWidth", "borderBottomColor", "borderBottomLeftRadius", "borderBottomRightRadius", "borderBottomStyle", "borderBottomWidth", "borderCollapse", "borderEndEndRadius", "borderEndStartRadius", "borderImageOutset", "borderImageRepeat", "borderImageSlice", "borderImageSource", "borderImageWidth", "borderInlineColor", "borderInlineEndColor", "borderInlineEndStyle", "borderInlineEndWidth", "borderInlineStartColor", "borderInlineStartStyle", "borderInlineStartWidth", "borderInlineStyle", "borderInlineWidth", "borderLeftColor", "borderLeftStyle", "borderLeftWidth", "borderRightColor", "borderRightStyle", "borderRightWidth", "borderSpacing", "borderStartEndRadius", "borderStartStartRadius", "borderTopColor", "borderTopLeftRadius", "borderTopRightRadius", "borderTopStyle", "borderTopWidth", "bottom", "boxDecorationBreak", "boxShadow", "boxSizing", "breakAfter", "breakBefore", "breakInside", "captionSide", "caretColor", "clear", "clipPath", "color", "colorAdjust", "colorScheme", "columnCount", "columnFill", "columnGap", "columnRuleColor", "columnRuleStyle", "columnRuleWidth", "columnSpan", "columnWidth", "contain", "content", "contentVisibility", "counterIncrement", "counterReset", "counterSet", "cursor", "direction", "display", "emptyCells", "filter", "flexBasis", "flexDirection", "flexGrow", "flexShrink", "flexWrap", "float", "fontFamily", "fontFeatureSettings", "fontKerning", "fontLanguageOverride", "fontOpticalSizing", "fontSize", "fontSizeAdjust", "fontSmooth", "fontStretch", "fontStyle", "fontSynthesis", "fontVariant", "fontVariantAlternates", "fontVariantCaps", "fontVariantEastAsian", "fontVariantLigatures", "fontVariantNumeric", "fontVariantPosition", "fontVariationSettings", "fontWeight", "forcedColorAdjust", "gridAutoColumns", "gridAutoFlow", "gridAutoRows", "gridColumnEnd", "gridColumnStart", "gridRowEnd", "gridRowStart", "gridTemplateAreas", "gridTemplateColumns", "gridTemplateRows", "hangingPunctuation", "height", "hyphenateCharacter", "hyphens", "imageOrientation", "imageRendering", "imageResolution", "initialLetter", "inlineSize", "inputSecurity", "inset", "insetBlock", "insetBlockEnd", "insetBlockStart", "insetInline", "insetInlineEnd", "insetInlineStart", "isolation", "justifyContent", "justifyItems", "justifySelf", "justifyTracks", "left", "letterSpacing", "lineBreak", "lineHeight", "lineHeightStep", "listStyleImage", "listStylePosition", "listStyleType", "marginBlock", "marginBlockEnd", "marginBlockStart", "marginBottom", "marginInline", "marginInlineEnd", "marginInlineStart", "marginLeft", "marginRight", "marginTop", "maskBorderMode", "maskBorderOutset", "maskBorderRepeat", "maskBorderSlice", "maskBorderSource", "maskBorderWidth", "maskClip", "maskComposite", "maskImage", "maskMode", "maskOrigin", "maskPosition", "maskRepeat", "maskSize", "maskType", "mathStyle", "maxBlockSize", "maxHeight", "maxInlineSize", "maxLines", "maxWidth", "minBlockSize", "minHeight", "minInlineSize", "minWidth", "mixBlendMode", "motionDistance", "motionPath", "motionRotation", "objectFit", "objectPosition", "offsetAnchor", "offsetDistance", "offsetPath", "offsetRotate", "offsetRotation", "opacity", "order", "orphans", "outlineColor", "outlineOffset", "outlineStyle", "outlineWidth", "overflowAnchor", "overflowBlock", "overflowClipBox", "overflowClipMargin", "overflowInline", "overflowWrap", "overflowX", "overflowY", "overscrollBehaviorBlock", "overscrollBehaviorInline", "overscrollBehaviorX", "overscrollBehaviorY", "paddingBlock", "paddingBlockEnd", "paddingBlockStart", "paddingBottom", "paddingInline", "paddingInlineEnd", "paddingInlineStart", "paddingLeft", "paddingRight", "paddingTop", "pageBreakAfter", "pageBreakBefore", "pageBreakInside", "paintOrder", "perspective", "perspectiveOrigin", "placeContent", "pointerEvents", "position", "printColorAdjust", "quotes", "resize", "right", "rotate", "rowGap", "rubyAlign", "rubyMerge", "rubyPosition", "scale", "scrollBehavior", "scrollMargin", "scrollMarginBlock", "scrollMarginBlockEnd", "scrollMarginBlockStart", "scrollMarginBottom", "scrollMarginInline", "scrollMarginInlineEnd", "scrollMarginInlineStart", "scrollMarginLeft", "scrollMarginRight", "scrollMarginTop", "scrollPadding", "scrollPaddingBlock", "scrollPaddingBlockEnd", "scrollPaddingBlockStart", "scrollPaddingBottom", "scrollPaddingInline", "scrollPaddingInlineEnd", "scrollPaddingInlineStart", "scrollPaddingLeft", "scrollPaddingRight", "scrollPaddingTop", "scrollSnapAlign", "scrollSnapMargin", "scrollSnapMarginBottom", "scrollSnapMarginLeft", "scrollSnapMarginRight", "scrollSnapMarginTop", "scrollSnapStop", "scrollSnapType", "scrollbarColor", "scrollbarGutter", "scrollbarWidth", "shapeImageThreshold", "shapeMargin", "shapeOutside", "tabSize", "tableLayout", "textAlign", "textAlignLast", "textCombineUpright", "textDecorationColor", "textDecorationLine", "textDecorationSkip", "textDecorationSkipInk", "textDecorationStyle", "textDecorationThickness", "textDecorationWidth", "textEmphasisColor", "textEmphasisPosition", "textEmphasisStyle", "textIndent", "textJustify", "textOrientation", "textOverflow", "textRendering", "textShadow", "textSizeAdjust", "textTransform", "textUnderlineOffset", "textUnderlinePosition", "top", "touchAction", "transform", "transformBox", "transformOrigin", "transformStyle", "transitionDelay", "transitionDuration", "transitionProperty", "transitionTimingFunction", "translate", "unicodeBidi", "userSelect", "verticalAlign", "visibility", "whiteSpace", "widows", "width", "willChange", "wordBreak", "wordSpacing", "wordWrap", "writingMode", "zIndex", "zoom", "all", "animation", "background", "backgroundPosition", "border", "borderBlock", "borderBlockEnd", "borderBlockStart", "borderBottom", "borderColor", "borderImage", "borderInline", "borderInlineEnd", "borderInlineStart", "borderLeft", "borderRadius", "borderRight", "borderStyle", "borderTop", "borderWidth", "columnRule", "columns", "flex", "flexFlow", "font", "gap", "grid", "gridArea", "gridColumn", "gridRow", "gridTemplate", "lineClamp", "listStyle", "margin", "mask", "maskBorder", "motion", "offset", "outline", "overflow", "overscrollBehavior", "padding", "placeItems", "placeSelf", "textDecoration", "textEmphasis", "transition", "MozAnimationDelay", "MozAnimationDirection", "MozAnimationDuration", "MozAnimationFillMode", "MozAnimationIterationCount", "MozAnimationName", "MozAnimationPlayState", "MozAnimationTimingFunction", "MozAppearance", "MozBackfaceVisibility", "MozBorderBottomColors", "MozBorderEndColor", "MozBorderEndStyle", "MozBorderEndWidth", "MozBorderLeftColors", "MozBorderRightColors", "MozBorderStartColor", "MozBorderStartStyle", "MozBorderTopColors", "MozBoxSizing", "MozColumnCount", "MozColumnFill", "MozColumnGap", "MozColumnRuleColor", "MozColumnRuleStyle", "MozColumnRuleWidth", "MozColumnWidth", "MozContextProperties", "MozFontFeatureSettings", "MozFontLanguageOverride", "MozHyphens", "MozImageRegion", "MozMarginEnd", "MozMarginStart", "MozOrient", "MozOsxFontSmoothing", "MozPaddingEnd", "MozPaddingStart", "MozPerspective", "MozPerspectiveOrigin", "MozStackSizing", "MozTabSize", "MozTextBlink", "MozTextSizeAdjust", "MozTransformOrigin", "MozTransformStyle", "MozTransitionDelay", "MozTransitionDuration", "MozTransitionProperty", "MozTransitionTimingFunction", "MozUserFocus", "MozUserModify", "MozUserSelect", "MozWindowDragging", "MozWindowShadow", "msAccelerator", "msAlignSelf", "msBlockProgression", "msContentZoomChaining", "msContentZoomLimitMax", "msContentZoomLimitMin", "msContentZoomSnapPoints", "msContentZoomSnapType", "msContentZooming", "msFilter", "msFlexDirection", "msFlexPositive", "msFlowFrom", "msFlowInto", "msGridColumns", "msGridRows", "msHighContrastAdjust", "msHyphenateLimitChars", "msHyphenateLimitLines", "msHyphenateLimitZone", "msHyphens", "msImeAlign", "msJustifySelf", "msLineBreak", "msOrder", "msOverflowStyle", "msOverflowX", "msOverflowY", "msScrollChaining", "msScrollLimitXMax", "msScrollLimitXMin", "msScrollLimitYMax", "msScrollLimitYMin", "msScrollRails", "msScrollSnapPointsX", "msScrollSnapPointsY", "msScrollSnapType", "msScrollTranslation", "msScrollbar3dlightColor", "msScrollbarArrowColor", "msScrollbarBaseColor", "msScrollbarDarkshadowColor", "msScrollbarFaceColor", "msScrollbarHighlightColor", "msScrollbarShadowColor", "msTextAutospace", "msTextCombineHorizontal", "msTextOverflow", "msTouchAction", "msTouchSelect", "msTransform", "msTransformOrigin", "msTransitionDelay", "msTransitionDuration", "msTransitionProperty", "msTransitionTimingFunction", "msUserSelect", "msWordBreak", "msWrapFlow", "msWrapMargin", "msWrapThrough", "msWritingMode", "WebkitAlignContent", "WebkitAlignItems", "WebkitAlignSelf", "WebkitAnimationDelay", "WebkitAnimationDirection", "WebkitAnimationDuration", "WebkitAnimationFillMode", "WebkitAnimationIterationCount", "WebkitAnimationName", "WebkitAnimationPlayState", "WebkitAnimationTimingFunction", "WebkitAppearance", "WebkitBackdropFilter", "WebkitBackfaceVisibility", "WebkitBackgroundClip", "WebkitBackgroundOrigin", "WebkitBackgroundSize", "WebkitBorderBeforeColor", "WebkitBorderBeforeStyle", "WebkitBorderBeforeWidth", "WebkitBorderBottomLeftRadius", "WebkitBorderBottomRightRadius", "WebkitBorderImageSlice", "WebkitBorderTopLeftRadius", "WebkitBorderTopRightRadius", "WebkitBoxDecorationBreak", "WebkitBoxReflect", "WebkitBoxShadow", "WebkitBoxSizing", "WebkitClipPath", "WebkitColumnCount", "WebkitColumnFill", "WebkitColumnGap", "WebkitColumnRuleColor", "WebkitColumnRuleStyle", "WebkitColumnRuleWidth", "WebkitColumnSpan", "WebkitColumnWidth", "WebkitFilter", "WebkitFlexBasis", "WebkitFlexDirection", "WebkitFlexGrow", "WebkitFlexShrink", "WebkitFlexWrap", "WebkitFontFeatureSettings", "WebkitFontKerning", "WebkitFontSmoothing", "WebkitFontVariantLigatures", "WebkitHyphenateCharacter", "WebkitHyphens", "WebkitInitialLetter", "WebkitJustifyContent", "WebkitLineBreak", "WebkitLineClamp", "WebkitMarginEnd", "WebkitMarginStart", "WebkitMaskAttachment", "WebkitMaskBoxImageOutset", "WebkitMaskBoxImageRepeat", "WebkitMaskBoxImageSlice", "WebkitMaskBoxImageSource", "WebkitMaskBoxImageWidth", "WebkitMaskClip", "WebkitMaskComposite", "WebkitMaskImage", "WebkitMaskOrigin", "WebkitMaskPosition", "WebkitMaskPositionX", "WebkitMaskPositionY", "WebkitMaskRepeat", "WebkitMaskRepeatX", "WebkitMaskRepeatY", "WebkitMaskSize", "WebkitMaxInlineSize", "WebkitOrder", "WebkitOverflowScrolling", "WebkitPaddingEnd", "WebkitPaddingStart", "WebkitPerspective", "WebkitPerspectiveOrigin", "WebkitPrintColorAdjust", "WebkitRubyPosition", "WebkitScrollSnapType", "WebkitShapeMargin", "WebkitTapHighlightColor", "WebkitTextCombine", "WebkitTextDecorationColor", "WebkitTextDecorationLine", "WebkitTextDecorationSkip", "WebkitTextDecorationStyle", "WebkitTextEmphasisColor", "WebkitTextEmphasisPosition", "WebkitTextEmphasisStyle", "WebkitTextFillColor", "WebkitTextOrientation", "WebkitTextSizeAdjust", "WebkitTextStrokeColor", "WebkitTextStrokeWidth", "WebkitTextUnderlinePosition", "WebkitTouchCallout", "WebkitTransform", "WebkitTransformOrigin", "WebkitTransformStyle", "WebkitTransitionDelay", "WebkitTransitionDuration", "WebkitTransitionProperty", "WebkitTransitionTimingFunction", "WebkitUserModify", "WebkitUserSelect", "WebkitWritingMode", "MozAnimation", "MozBorderImage", "MozColumnRule", "MozColumns", "MozTransition", "msContentZoomLimit", "msContentZoomSnap", "msFlex", "msScrollLimit", "msScrollSnapX", "msScrollSnapY", "msTransition", "WebkitAnimation", "WebkitBorderBefore", "WebkitBorderImage", "WebkitBorderRadius", "WebkitColumnRule", "WebkitColumns", "WebkitFlex", "WebkitFlexFlow", "WebkitMask", "WebkitMaskBoxImage", "WebkitTextEmphasis", "WebkitTextStroke", "WebkitTransition", "azimuth", "boxAlign", "boxDirection", "boxFlex", "boxFlexGroup", "boxLines", "boxOrdinalGroup", "boxOrient", "boxPack", "clip", "gridColumnGap", "gridGap", "gridRowGap", "imeMode", "offsetBlock", "offsetBlockEnd", "offsetBlockStart", "offsetInline", "offsetInlineEnd", "offsetInlineStart", "scrollSnapCoordinate", "scrollSnapDestination", "scrollSnapPointsX", "scrollSnapPointsY", "scrollSnapTypeX", "scrollSnapTypeY", "scrollbarTrackColor", "KhtmlBoxAlign", "KhtmlBoxDirection", "KhtmlBoxFlex", "KhtmlBoxFlexGroup", "KhtmlBoxLines", "KhtmlBoxOrdinalGroup", "KhtmlBoxOrient", "KhtmlBoxPack", "KhtmlLineBreak", "KhtmlOpacity", "KhtmlUserSelect", "MozBackgroundClip", "MozBackgroundInlinePolicy", "MozBackgroundOrigin", "MozBackgroundSize", "MozBinding", "MozBorderRadius", "MozBorderRadiusBottomleft", "MozBorderRadiusBottomright", "MozBorderRadiusTopleft", "MozBorderRadiusTopright", "MozBoxAlign", "MozBoxDirection", "MozBoxFlex", "MozBoxOrdinalGroup", "MozBoxOrient", "MozBoxPack", "MozBoxShadow", "MozFloatEdge", "MozForceBrokenImageIcon", "MozOpacity", "MozOutline", "MozOutlineColor", "MozOutlineRadius", "MozOutlineRadiusBottomleft", "MozOutlineRadiusBottomright", "MozOutlineRadiusTopleft", "MozOutlineRadiusTopright", "MozOutlineStyle", "MozOutlineWidth", "MozTextAlignLast", "MozTextDecorationColor", "MozTextDecorationLine", "MozTextDecorationStyle", "MozUserInput", "msImeMode", "msScrollbarTrackColor", "OAnimation", "OAnimationDelay", "OAnimationDirection", "OAnimationDuration", "OAnimationFillMode", "OAnimationIterationCount", "OAnimationName", "OAnimationPlayState", "OAnimationTimingFunction", "OBackgroundSize", "OBorderImage", "OObjectFit", "OObjectPosition", "OTabSize", "OTextOverflow", "OTransform", "OTransformOrigin", "OTransition", "OTransitionDelay", "OTransitionDuration", "OTransitionProperty", "OTransitionTimingFunction", "WebkitBoxAlign", "WebkitBoxDirection", "WebkitBoxFlex", "WebkitBoxFlexGroup", "WebkitBoxLines", "WebkitBoxOrdinalGroup", "WebkitBoxOrient", "WebkitBoxPack", "WebkitScrollSnapPointsX", "WebkitScrollSnapPointsY", "alignmentBaseline", "baselineShift", "clipRule", "colorInterpolation", "colorRendering", "dominantBaseline", "fill", "fillOpacity", "fillRule", "floodColor", "floodOpacity", "glyphOrientationVertical", "lightingColor", "marker", "markerEnd", "markerMid", "markerStart", "shapeRendering", "stopColor", "stopOpacity", "stroke", "strokeDasharray", "strokeDashoffset", "strokeLinecap", "strokeLinejoin", "strokeMiterlimit", "strokeOpacity", "strokeWidth", "textAnchor", "vectorEffect"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $iu0 = (input, _exceptionable = true) => (() => {
            if (undefined !== input.$blockedAll)
                return $io17(input, true && _exceptionable);
            return $io15(input, true && _exceptionable);
        })();
        return "object" === typeof input && null !== input && false === Array.isArray(input) && $io0(input, true);
    };
    if (false === __is(input)) {
        const $report = typia_1.default.createValidateEquals.report(errors);
        ((input, _path, _exceptionable = true) => {
            const $is_custom = typia_1.default.createValidateEquals.is_custom;
            const $join = typia_1.default.createValidateEquals.join;
            const $vo0 = (input, _path, _exceptionable = true) => [undefined === input.$schema || "string" === typeof input.$schema || $report(_exceptionable, {
                    path: _path + ".$schema",
                    expected: "(string | undefined)",
                    value: input.$schema
                }), undefined === input.configMeta || ("object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category?: string | undefined; ... 16 more ...; group?: Record<...> | undefined; } & { ...; })",
                    value: input.configMeta
                })) && $vo1(input.configMeta, _path + ".configMeta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category?: string | undefined; ... 16 more ...; group?: Record<...> | undefined; } & { ...; })",
                    value: input.configMeta
                }), undefined === input.meta || ("object" === typeof input.meta && null !== input.meta || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category?: string | undefined; ... 16 more ...; group?: Record<...> | undefined; } & { ...; }.o1)",
                    value: input.meta
                })) && $vo21(input.meta, _path + ".meta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(undefined | { name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; category?: string | undefined; ... 16 more ...; group?: Record<...> | undefined; } & { ...; }.o1)",
                    value: input.meta
                }), undefined === input.mpOrigin || "string" === typeof input.mpOrigin || $report(_exceptionable, {
                    path: _path + ".mpOrigin",
                    expected: "(string | undefined)",
                    value: input.mpOrigin
                }), undefined === input.name || "string" === typeof input.name && (214 >= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@maxLength 214)",
                    value: input.name
                })) && (1 <= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@minLength 1)",
                    value: input.name
                })) || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), true, undefined === input.events || (Array.isArray(input.events) && ($is_custom("default", "array", "[]", input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array (@default [])",
                    value: input.events
                })) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                })) && input.events.map((elem, _index1) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo26(elem, _path + ".events[" + _index1 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                }), undefined === input.classes || (Array.isArray(input.classes) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                })) && input.classes.map((elem, _index2) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })) && $vo28(elem, _path + ".classes[" + _index2 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                }), true, undefined === input.methods || (Array.isArray(input.methods) && ($is_custom("default", "array", "[]", input.methods) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "Array (@default [])",
                    value: input.methods
                })) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                })) && input.methods.map((elem, _index3) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })) && $vo29(elem, _path + ".methods[" + _index3 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                }), undefined === input.compConfig || ("object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o15 | undefined)",
                    value: input.compConfig
                })) && $vo30(input.compConfig, _path + ".compConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o15 | undefined)",
                    value: input.compConfig
                }), undefined === input.platforms || (Array.isArray(input.platforms) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                })) && input.platforms.map((elem, _index4) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".platforms[" + _index4 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                }), true, undefined === input.isContainer || "boolean" === typeof input.isContainer || $report(_exceptionable, {
                    path: _path + ".isContainer",
                    expected: "(boolean | undefined)",
                    value: input.isContainer
                }), undefined === input.defaultStyles || ("object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Properties<string | number, string & {}> | undefined)",
                    value: input.defaultStyles
                })) && $vo31(input.defaultStyles, _path + ".defaultStyles", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Properties<string | number, string & {}> | undefined)",
                    value: input.defaultStyles
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$schema", "configMeta", "meta", "mpOrigin", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer", "defaultStyles"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo1 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.componentName || "string" === typeof input.componentName || $report(_exceptionable, {
                    path: _path + ".componentName",
                    expected: "(string | undefined)",
                    value: input.componentName
                }), undefined === input.title || "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "(string | undefined)",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.icon || "string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "(string | undefined)",
                    value: input.icon
                }), undefined === input.category || "string" === typeof input.category || $report(_exceptionable, {
                    path: _path + ".category",
                    expected: "(string | undefined)",
                    value: input.category
                }), undefined === input.componentOrder || "number" === typeof input.componentOrder && (1 <= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@minimum 1)",
                    value: input.componentOrder
                })) && (10000 >= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@maximum 10000)",
                    value: input.componentOrder
                })) || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "(number | undefined)",
                    value: input.componentOrder
                }), undefined === input.platform || (Array.isArray(input.platform) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input.platform
                })) && input.platform.map((elem, _index5) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + ".platform[" + _index5 + "]",
                    expected: "(\"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input.platform
                }), undefined === input.visible || (Array.isArray(input.visible) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                })) && input.visible.map((elem, _index6) => "APP" === elem || "COMPONENT" === elem || $report(_exceptionable, {
                    path: _path + ".visible[" + _index6 + "]",
                    expected: "(\"APP\" | \"COMPONENT\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                }), undefined === input.templates || (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                })) && input.templates.map((elem, _index7) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index7 + "]",
                    expected: "ITemplate",
                    value: elem
                })) && $vo2(elem, _path + ".templates[" + _index7 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index7 + "]",
                    expected: "ITemplate",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                }), undefined === input.deprecated || "boolean" === typeof input.deprecated || $report(_exceptionable, {
                    path: _path + ".deprecated",
                    expected: "(boolean | undefined)",
                    value: input.deprecated
                }), undefined === input.renderMode || (Array.isArray(input.renderMode) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                })) && input.renderMode.map((elem, _index8) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index8 + "]",
                    expected: "IRenderMode",
                    value: elem
                })) && $vo3(elem, _path + ".renderMode[" + _index8 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index8 + "]",
                    expected: "IRenderMode",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                }), undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl)) || $report(_exceptionable, {
                    path: _path + ".docsUrl",
                    expected: "(`http://${string}` | `https://${string}` | undefined)",
                    value: input.docsUrl
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                })) && $vo5(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                }), undefined === input.contextData || ("object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                })) && $vo9(input.contextData, _path + ".contextData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                }), undefined === input.positionConstraint || ("object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                })) && $vo10(input.positionConstraint, _path + ".positionConstraint", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                }), undefined === input.keyWords || (Array.isArray(input.keyWords) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                })) && input.keyWords.map((elem, _index9) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".keyWords[" + _index9 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                }), undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips || $report(_exceptionable, {
                    path: _path + ".propertyPanelTips",
                    expected: "(string | undefined)",
                    value: input.propertyPanelTips
                }), undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips || $report(_exceptionable, {
                    path: _path + ".stylePanelTips",
                    expected: "(string | undefined)",
                    value: input.stylePanelTips
                }), undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll || $report(_exceptionable, {
                    path: _path + ".disableUpgradeAll",
                    expected: "(boolean | undefined)",
                    value: input.disableUpgradeAll
                }), undefined === input.validate || (Array.isArray(input.validate) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                })) && input.validate.map((elem, _index10) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".validate[" + _index10 + "]",
                    expected: "__type.o6",
                    value: elem
                })) && $vo13(elem, _path + ".validate[" + _index10 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validate[" + _index10 + "]",
                    expected: "__type.o6",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                }), undefined === input.inlineStyleForm || ("object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                })) && $vu0(input.inlineStyleForm, _path + ".inlineStyleForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                }), undefined === input.group || ("object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                })) && $vo18(input.group, _path + ".group", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                }), undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o12 | undefined)",
                    value: input.recommendTypes
                })) && $vo20(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o12 | undefined)",
                    value: input.recommendTypes
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "recommendTypes"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo2 = (input, _path, _exceptionable = true) => [undefined === input.to || "string" === typeof input.to || $report(_exceptionable, {
                    path: _path + ".to",
                    expected: "(string | undefined)",
                    value: input.to
                }), undefined === input.when || "string" === typeof input.when || $report(_exceptionable, {
                    path: _path + ".when",
                    expected: "(string | undefined)",
                    value: input.when
                }), undefined === input.body || "string" === typeof input.body || $report(_exceptionable, {
                    path: _path + ".body",
                    expected: "(string | undefined)",
                    value: input.body
                }), undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath) || $report(_exceptionable, {
                    path: _path + ".autoSelectPath",
                    expected: "(`template${string}` | undefined)",
                    value: input.autoSelectPath
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["to", "when", "body", "autoSelectPath"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo3 = (input, _path, _exceptionable = true) => ["string" === typeof input.component || $report(_exceptionable, {
                    path: _path + ".component",
                    expected: "string",
                    value: input.component
                }), "update" === input.renderType || "replace" === input.renderType || $report(_exceptionable, {
                    path: _path + ".renderType",
                    expected: "(\"replace\" | \"update\")",
                    value: input.renderType
                }), undefined === input.props || ("object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                })) && $vo4(input.props, _path + ".props", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                }), undefined === input.materialName || "string" === typeof input.materialName || $report(_exceptionable, {
                    path: _path + ".materialName",
                    expected: "(string | undefined)",
                    value: input.materialName
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo4 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return "string" === typeof value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "string",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo5 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index11) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index11 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }> & Record<\"container\", { ...; }> | undefined)",
                    value: input.extra
                })) && $vo6(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }> & Record<\"container\", { ...; }> | undefined)",
                    value: input.extra
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo6 = (input, _path, _exceptionable = true) => [("object" === typeof input.container && null !== input.container || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                })) && $vo7(input.container, _path + ".container", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["container"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo7 = (input, _path, _exceptionable = true) => ["string" === typeof input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "string",
                    value: input["x-component"]
                }), (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index12) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index12 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                }), "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo8 = (input, _path, _exceptionable = true) => ["container" === input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "\"container\"",
                    value: input["x-component"]
                }), undefined === input["x-component-props"] || (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index13) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index13 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                }), undefined === input["x-index"] || "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "(number | undefined)",
                    value: input["x-index"]
                }), undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"] || $report(_exceptionable, {
                    path: _path + "[\"x-insert-path\"]",
                    expected: "(string | undefined)",
                    value: input["x-insert-path"]
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo9 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo10 = (input, _path, _exceptionable = true) => [undefined === input.allowChildren || (Array.isArray(input.allowChildren) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                })) && input.allowChildren.map((elem, _index14) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index14 + "]",
                    expected: "__type.o4",
                    value: elem
                })) && $vo11(elem, _path + ".allowChildren[" + _index14 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index14 + "]",
                    expected: "__type.o4",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                }), undefined === input.allowParent || (Array.isArray(input.allowParent) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                })) && input.allowParent.map((elem, _index15) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index15 + "]",
                    expected: "__type.o5",
                    value: elem
                })) && $vo12(elem, _path + ".allowParent[" + _index15 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index15 + "]",
                    expected: "__type.o5",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["allowChildren", "allowParent"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo11 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), undefined === input.recursive || "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "(boolean | undefined)",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo12 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "boolean",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo13 = (input, _path, _exceptionable = true) => ["string" === typeof input.rule || $report(_exceptionable, {
                    path: _path + ".rule",
                    expected: "string",
                    value: input.rule
                }), undefined === input.options || ("object" === typeof input.options && null !== input.options || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o7 | undefined)",
                    value: input.options
                })) && $vo14(input.options, _path + ".options", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o7 | undefined)",
                    value: input.options
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["rule", "options"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo14 = (input, _path, _exceptionable = true) => ["string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "string",
                    value: input.description
                }), "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "string",
                    value: input.type
                }), undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.label || "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "(string | undefined)",
                    value: input.label
                }), undefined === input.tooltip || "string" === typeof input.tooltip || $report(_exceptionable, {
                    path: _path + ".tooltip",
                    expected: "(string | undefined)",
                    value: input.tooltip
                }), undefined === input.version || "string" === typeof input.version || $report(_exceptionable, {
                    path: _path + ".version",
                    expected: "(string | undefined)",
                    value: input.version
                }), undefined === input.allowFailure || "boolean" === typeof input.allowFailure || $report(_exceptionable, {
                    path: _path + ".allowFailure",
                    expected: "(boolean | undefined)",
                    value: input.allowFailure
                }), undefined === input.matchedSelectedPlatform || (Array.isArray(input.matchedSelectedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                })) && input.matchedSelectedPlatform.map((elem, _index16) => "h5" === elem || "miniprogram" === elem || "pc" === elem || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform[" + _index16 + "]",
                    expected: "(\"h5\" | \"miniprogram\" | \"pc\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                }), undefined === input.matchedPublishedPlatform || (Array.isArray(input.matchedPublishedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                })) && input.matchedPublishedPlatform.map((elem, _index17) => "miniprogram" === elem || "web" === elem || "all" === elem || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform[" + _index17 + "]",
                    expected: "(\"all\" | \"miniprogram\" | \"web\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                }), true, undefined === input.action || ("object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.action
                })) && $vo9(input.action, _path + ".action", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.action
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo15 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o9",
                            value: value
                        })) && $vo16(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o9",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo16 = (input, _path, _exceptionable = true) => ["boolean" === typeof input.visible || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "boolean",
                    value: input.visible
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["visible"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo17 = (input, _path, _exceptionable = true) => [true === input.$blockedAll || $report(_exceptionable, {
                    path: _path + ".$blockedAll",
                    expected: "true",
                    value: input.$blockedAll
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$blockedAll"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo18 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o11",
                            value: value
                        })) && $vo19(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o11",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo19 = (input, _path, _exceptionable = true) => ["number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), "boolean" === typeof input.expand || $report(_exceptionable, {
                    path: _path + ".expand",
                    expected: "boolean",
                    value: input.expand
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-index", "expand"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo20 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo21 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.componentName || "string" === typeof input.componentName || $report(_exceptionable, {
                    path: _path + ".componentName",
                    expected: "(string | undefined)",
                    value: input.componentName
                }), undefined === input.title || "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "(string | undefined)",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.icon || "string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "(string | undefined)",
                    value: input.icon
                }), undefined === input.category || "string" === typeof input.category || $report(_exceptionable, {
                    path: _path + ".category",
                    expected: "(string | undefined)",
                    value: input.category
                }), undefined === input.componentOrder || "number" === typeof input.componentOrder && (1 <= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@minimum 1)",
                    value: input.componentOrder
                })) && (10000 >= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@maximum 10000)",
                    value: input.componentOrder
                })) || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "(number | undefined)",
                    value: input.componentOrder
                }), undefined === input.platform || (Array.isArray(input.platform) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input.platform
                })) && input.platform.map((elem, _index18) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + ".platform[" + _index18 + "]",
                    expected: "(\"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input.platform
                }), undefined === input.visible || (Array.isArray(input.visible) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                })) && input.visible.map((elem, _index19) => "APP" === elem || "COMPONENT" === elem || $report(_exceptionable, {
                    path: _path + ".visible[" + _index19 + "]",
                    expected: "(\"APP\" | \"COMPONENT\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                }), undefined === input.templates || (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                })) && input.templates.map((elem, _index20) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index20 + "]",
                    expected: "ITemplate",
                    value: elem
                })) && $vo2(elem, _path + ".templates[" + _index20 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index20 + "]",
                    expected: "ITemplate",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                }), undefined === input.deprecated || "boolean" === typeof input.deprecated || $report(_exceptionable, {
                    path: _path + ".deprecated",
                    expected: "(boolean | undefined)",
                    value: input.deprecated
                }), undefined === input.renderMode || (Array.isArray(input.renderMode) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                })) && input.renderMode.map((elem, _index21) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index21 + "]",
                    expected: "IRenderMode",
                    value: elem
                })) && $vo3(elem, _path + ".renderMode[" + _index21 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index21 + "]",
                    expected: "IRenderMode",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                }), undefined === input.docsUrl || "string" === typeof input.docsUrl || $report(_exceptionable, {
                    path: _path + ".docsUrl",
                    expected: "(string | undefined)",
                    value: input.docsUrl
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut | undefined)",
                    value: input.shortcut
                })) && $vo22(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut | undefined)",
                    value: input.shortcut
                }), undefined === input.contextData || ("object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                })) && $vo9(input.contextData, _path + ".contextData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(Record<string, unknown> | undefined)",
                    value: input.contextData
                }), undefined === input.positionConstraint || ("object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                })) && $vo10(input.positionConstraint, _path + ".positionConstraint", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o3 | undefined)",
                    value: input.positionConstraint
                }), undefined === input.keyWords || (Array.isArray(input.keyWords) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                })) && input.keyWords.map((elem, _index22) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".keyWords[" + _index22 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                }), undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips || $report(_exceptionable, {
                    path: _path + ".propertyPanelTips",
                    expected: "(string | undefined)",
                    value: input.propertyPanelTips
                }), undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips || $report(_exceptionable, {
                    path: _path + ".stylePanelTips",
                    expected: "(string | undefined)",
                    value: input.stylePanelTips
                }), undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll || $report(_exceptionable, {
                    path: _path + ".disableUpgradeAll",
                    expected: "(boolean | undefined)",
                    value: input.disableUpgradeAll
                }), undefined === input.validate || (Array.isArray(input.validate) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                })) && input.validate.map((elem, _index23) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".validate[" + _index23 + "]",
                    expected: "__type.o6",
                    value: elem
                })) && $vo13(elem, _path + ".validate[" + _index23 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validate[" + _index23 + "]",
                    expected: "__type.o6",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                }), undefined === input.inlineStyleForm || ("object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                })) && $vu0(input.inlineStyleForm, _path + ".inlineStyleForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o8 | undefined)",
                    value: input.inlineStyleForm
                }), undefined === input.group || ("object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                })) && $vo18(input.group, _path + ".group", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(Record<string, __type> | undefined)",
                    value: input.group
                }), undefined === input.categoryOrder || "number" === typeof input.categoryOrder || $report(_exceptionable, {
                    path: _path + ".categoryOrder",
                    expected: "(number | undefined)",
                    value: input.categoryOrder
                }), true, undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o13 | undefined)",
                    value: input.recommendTypes
                })) && $vo24(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o13 | undefined)",
                    value: input.recommendTypes
                }), undefined === input.selectableBlock || ("object" === typeof input.selectableBlock && null !== input.selectableBlock || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o14 | undefined)",
                    value: input.selectableBlock
                })) && $vo25(input.selectableBlock, _path + ".selectableBlock", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o14 | undefined)",
                    value: input.selectableBlock
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "componentName", "title", "description", "icon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "categoryOrder", "platforms", "recommendTypes", "selectableBlock"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo22 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index24) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index24 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, __type>.o1 | undefined)",
                    value: input.extra
                })) && $vo23(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(Record<string, __type>.o1 | undefined)",
                    value: input.extra
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo23 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo24 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo25 = (input, _path, _exceptionable = true) => [(Array.isArray(input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                })) && input.events.map((elem, _index25) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index25 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo26(elem, _path + ".events[" + _index25 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index25 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["events"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo26 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index26) => "MP" === elem || "WEB" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index26 + "]",
                    expected: "(\"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<XPlatform> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.detail || ("object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(Record<string, any> | undefined)",
                    value: input.detail
                })) && $vo27(input.detail, _path + ".detail", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(Record<string, any> | undefined)",
                    value: input.detail
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo27 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo28 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.selector || "string" === typeof input.selector || $report(_exceptionable, {
                    path: _path + ".selector",
                    expected: "(string | undefined)",
                    value: input.selector
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "selector", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo29 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "string",
                    value: input.label
                }), true, undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index27) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index27 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo30 = (input, _path, _exceptionable = true) => [undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer || $report(_exceptionable, {
                    path: _path + ".isDataContainer",
                    expected: "(boolean | undefined)",
                    value: input.isDataContainer
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["isDataContainer", "componentType"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo31 = (input, _path, _exceptionable = true) => [undefined === input.accentColor || "string" === typeof input.accentColor || $report(_exceptionable, {
                    path: _path + ".accentColor",
                    expected: "(string | undefined)",
                    value: input.accentColor
                }), undefined === input.alignContent || "string" === typeof input.alignContent || $report(_exceptionable, {
                    path: _path + ".alignContent",
                    expected: "(string | undefined)",
                    value: input.alignContent
                }), undefined === input.alignItems || "string" === typeof input.alignItems || $report(_exceptionable, {
                    path: _path + ".alignItems",
                    expected: "(string | undefined)",
                    value: input.alignItems
                }), undefined === input.alignSelf || "string" === typeof input.alignSelf || $report(_exceptionable, {
                    path: _path + ".alignSelf",
                    expected: "(string | undefined)",
                    value: input.alignSelf
                }), undefined === input.alignTracks || "string" === typeof input.alignTracks || $report(_exceptionable, {
                    path: _path + ".alignTracks",
                    expected: "(string | undefined)",
                    value: input.alignTracks
                }), undefined === input.animationDelay || "string" === typeof input.animationDelay || $report(_exceptionable, {
                    path: _path + ".animationDelay",
                    expected: "(string | undefined)",
                    value: input.animationDelay
                }), undefined === input.animationDirection || "string" === typeof input.animationDirection || $report(_exceptionable, {
                    path: _path + ".animationDirection",
                    expected: "(string | undefined)",
                    value: input.animationDirection
                }), undefined === input.animationDuration || "string" === typeof input.animationDuration || $report(_exceptionable, {
                    path: _path + ".animationDuration",
                    expected: "(string | undefined)",
                    value: input.animationDuration
                }), undefined === input.animationFillMode || "string" === typeof input.animationFillMode || $report(_exceptionable, {
                    path: _path + ".animationFillMode",
                    expected: "(string | undefined)",
                    value: input.animationFillMode
                }), undefined === input.animationIterationCount || "string" === typeof input.animationIterationCount || "number" === typeof input.animationIterationCount || $report(_exceptionable, {
                    path: _path + ".animationIterationCount",
                    expected: "(number | string | undefined)",
                    value: input.animationIterationCount
                }), undefined === input.animationName || "string" === typeof input.animationName || $report(_exceptionable, {
                    path: _path + ".animationName",
                    expected: "(string | undefined)",
                    value: input.animationName
                }), undefined === input.animationPlayState || "string" === typeof input.animationPlayState || $report(_exceptionable, {
                    path: _path + ".animationPlayState",
                    expected: "(string | undefined)",
                    value: input.animationPlayState
                }), undefined === input.animationTimeline || "string" === typeof input.animationTimeline || $report(_exceptionable, {
                    path: _path + ".animationTimeline",
                    expected: "(string | undefined)",
                    value: input.animationTimeline
                }), undefined === input.animationTimingFunction || "string" === typeof input.animationTimingFunction || $report(_exceptionable, {
                    path: _path + ".animationTimingFunction",
                    expected: "(string | undefined)",
                    value: input.animationTimingFunction
                }), undefined === input.appearance || "-moz-initial" === input.appearance || "inherit" === input.appearance || "initial" === input.appearance || "revert" === input.appearance || "revert-layer" === input.appearance || "unset" === input.appearance || "auto" === input.appearance || "none" === input.appearance || "button" === input.appearance || "checkbox" === input.appearance || "listbox" === input.appearance || "menulist" === input.appearance || "meter" === input.appearance || "progress-bar" === input.appearance || "push-button" === input.appearance || "radio" === input.appearance || "searchfield" === input.appearance || "slider-horizontal" === input.appearance || "square-button" === input.appearance || "textarea" === input.appearance || "menulist-button" === input.appearance || "textfield" === input.appearance || $report(_exceptionable, {
                    path: _path + ".appearance",
                    expected: "(\"-moz-initial\" | \"auto\" | \"button\" | \"checkbox\" | \"inherit\" | \"initial\" | \"listbox\" | \"menulist\" | \"menulist-button\" | \"meter\" | \"none\" | \"progress-bar\" | \"push-button\" | \"radio\" | \"revert\" | \"revert-layer\" | \"searchfield\" | \"slider-horizontal\" | \"square-button\" | \"textarea\" | \"textfield\" | \"unset\" | undefined)",
                    value: input.appearance
                }), undefined === input.aspectRatio || "string" === typeof input.aspectRatio || $report(_exceptionable, {
                    path: _path + ".aspectRatio",
                    expected: "(string | undefined)",
                    value: input.aspectRatio
                }), undefined === input.backdropFilter || "string" === typeof input.backdropFilter || $report(_exceptionable, {
                    path: _path + ".backdropFilter",
                    expected: "(string | undefined)",
                    value: input.backdropFilter
                }), undefined === input.backfaceVisibility || "-moz-initial" === input.backfaceVisibility || "inherit" === input.backfaceVisibility || "initial" === input.backfaceVisibility || "revert" === input.backfaceVisibility || "revert-layer" === input.backfaceVisibility || "unset" === input.backfaceVisibility || "hidden" === input.backfaceVisibility || "visible" === input.backfaceVisibility || $report(_exceptionable, {
                    path: _path + ".backfaceVisibility",
                    expected: "(\"-moz-initial\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | \"visible\" | undefined)",
                    value: input.backfaceVisibility
                }), undefined === input.backgroundAttachment || "string" === typeof input.backgroundAttachment || $report(_exceptionable, {
                    path: _path + ".backgroundAttachment",
                    expected: "(string | undefined)",
                    value: input.backgroundAttachment
                }), undefined === input.backgroundBlendMode || "string" === typeof input.backgroundBlendMode || $report(_exceptionable, {
                    path: _path + ".backgroundBlendMode",
                    expected: "(string | undefined)",
                    value: input.backgroundBlendMode
                }), undefined === input.backgroundClip || "string" === typeof input.backgroundClip || $report(_exceptionable, {
                    path: _path + ".backgroundClip",
                    expected: "(string | undefined)",
                    value: input.backgroundClip
                }), undefined === input.backgroundColor || "string" === typeof input.backgroundColor || $report(_exceptionable, {
                    path: _path + ".backgroundColor",
                    expected: "(string | undefined)",
                    value: input.backgroundColor
                }), undefined === input.backgroundImage || "string" === typeof input.backgroundImage || $report(_exceptionable, {
                    path: _path + ".backgroundImage",
                    expected: "(string | undefined)",
                    value: input.backgroundImage
                }), undefined === input.backgroundOrigin || "string" === typeof input.backgroundOrigin || $report(_exceptionable, {
                    path: _path + ".backgroundOrigin",
                    expected: "(string | undefined)",
                    value: input.backgroundOrigin
                }), undefined === input.backgroundPositionX || "string" === typeof input.backgroundPositionX || "number" === typeof input.backgroundPositionX || $report(_exceptionable, {
                    path: _path + ".backgroundPositionX",
                    expected: "(number | string | undefined)",
                    value: input.backgroundPositionX
                }), undefined === input.backgroundPositionY || "string" === typeof input.backgroundPositionY || "number" === typeof input.backgroundPositionY || $report(_exceptionable, {
                    path: _path + ".backgroundPositionY",
                    expected: "(number | string | undefined)",
                    value: input.backgroundPositionY
                }), undefined === input.backgroundRepeat || "string" === typeof input.backgroundRepeat || $report(_exceptionable, {
                    path: _path + ".backgroundRepeat",
                    expected: "(string | undefined)",
                    value: input.backgroundRepeat
                }), undefined === input.backgroundSize || "string" === typeof input.backgroundSize || "number" === typeof input.backgroundSize || $report(_exceptionable, {
                    path: _path + ".backgroundSize",
                    expected: "(number | string | undefined)",
                    value: input.backgroundSize
                }), undefined === input.blockOverflow || "string" === typeof input.blockOverflow || $report(_exceptionable, {
                    path: _path + ".blockOverflow",
                    expected: "(string | undefined)",
                    value: input.blockOverflow
                }), undefined === input.blockSize || "string" === typeof input.blockSize || "number" === typeof input.blockSize || $report(_exceptionable, {
                    path: _path + ".blockSize",
                    expected: "(number | string | undefined)",
                    value: input.blockSize
                }), undefined === input.borderBlockColor || "string" === typeof input.borderBlockColor || $report(_exceptionable, {
                    path: _path + ".borderBlockColor",
                    expected: "(string | undefined)",
                    value: input.borderBlockColor
                }), undefined === input.borderBlockEndColor || "string" === typeof input.borderBlockEndColor || $report(_exceptionable, {
                    path: _path + ".borderBlockEndColor",
                    expected: "(string | undefined)",
                    value: input.borderBlockEndColor
                }), undefined === input.borderBlockEndStyle || "-moz-initial" === input.borderBlockEndStyle || "inherit" === input.borderBlockEndStyle || "initial" === input.borderBlockEndStyle || "revert" === input.borderBlockEndStyle || "revert-layer" === input.borderBlockEndStyle || "unset" === input.borderBlockEndStyle || "none" === input.borderBlockEndStyle || "hidden" === input.borderBlockEndStyle || "dashed" === input.borderBlockEndStyle || "dotted" === input.borderBlockEndStyle || "double" === input.borderBlockEndStyle || "groove" === input.borderBlockEndStyle || "inset" === input.borderBlockEndStyle || "outset" === input.borderBlockEndStyle || "ridge" === input.borderBlockEndStyle || "solid" === input.borderBlockEndStyle || $report(_exceptionable, {
                    path: _path + ".borderBlockEndStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderBlockEndStyle
                }), undefined === input.borderBlockEndWidth || "string" === typeof input.borderBlockEndWidth || "number" === typeof input.borderBlockEndWidth || $report(_exceptionable, {
                    path: _path + ".borderBlockEndWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderBlockEndWidth
                }), undefined === input.borderBlockStartColor || "string" === typeof input.borderBlockStartColor || $report(_exceptionable, {
                    path: _path + ".borderBlockStartColor",
                    expected: "(string | undefined)",
                    value: input.borderBlockStartColor
                }), undefined === input.borderBlockStartStyle || "-moz-initial" === input.borderBlockStartStyle || "inherit" === input.borderBlockStartStyle || "initial" === input.borderBlockStartStyle || "revert" === input.borderBlockStartStyle || "revert-layer" === input.borderBlockStartStyle || "unset" === input.borderBlockStartStyle || "none" === input.borderBlockStartStyle || "hidden" === input.borderBlockStartStyle || "dashed" === input.borderBlockStartStyle || "dotted" === input.borderBlockStartStyle || "double" === input.borderBlockStartStyle || "groove" === input.borderBlockStartStyle || "inset" === input.borderBlockStartStyle || "outset" === input.borderBlockStartStyle || "ridge" === input.borderBlockStartStyle || "solid" === input.borderBlockStartStyle || $report(_exceptionable, {
                    path: _path + ".borderBlockStartStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderBlockStartStyle
                }), undefined === input.borderBlockStartWidth || "string" === typeof input.borderBlockStartWidth || "number" === typeof input.borderBlockStartWidth || $report(_exceptionable, {
                    path: _path + ".borderBlockStartWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderBlockStartWidth
                }), undefined === input.borderBlockStyle || "-moz-initial" === input.borderBlockStyle || "inherit" === input.borderBlockStyle || "initial" === input.borderBlockStyle || "revert" === input.borderBlockStyle || "revert-layer" === input.borderBlockStyle || "unset" === input.borderBlockStyle || "none" === input.borderBlockStyle || "hidden" === input.borderBlockStyle || "dashed" === input.borderBlockStyle || "dotted" === input.borderBlockStyle || "double" === input.borderBlockStyle || "groove" === input.borderBlockStyle || "inset" === input.borderBlockStyle || "outset" === input.borderBlockStyle || "ridge" === input.borderBlockStyle || "solid" === input.borderBlockStyle || $report(_exceptionable, {
                    path: _path + ".borderBlockStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderBlockStyle
                }), undefined === input.borderBlockWidth || "string" === typeof input.borderBlockWidth || "number" === typeof input.borderBlockWidth || $report(_exceptionable, {
                    path: _path + ".borderBlockWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderBlockWidth
                }), undefined === input.borderBottomColor || "string" === typeof input.borderBottomColor || $report(_exceptionable, {
                    path: _path + ".borderBottomColor",
                    expected: "(string | undefined)",
                    value: input.borderBottomColor
                }), undefined === input.borderBottomLeftRadius || "string" === typeof input.borderBottomLeftRadius || "number" === typeof input.borderBottomLeftRadius || $report(_exceptionable, {
                    path: _path + ".borderBottomLeftRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderBottomLeftRadius
                }), undefined === input.borderBottomRightRadius || "string" === typeof input.borderBottomRightRadius || "number" === typeof input.borderBottomRightRadius || $report(_exceptionable, {
                    path: _path + ".borderBottomRightRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderBottomRightRadius
                }), undefined === input.borderBottomStyle || "-moz-initial" === input.borderBottomStyle || "inherit" === input.borderBottomStyle || "initial" === input.borderBottomStyle || "revert" === input.borderBottomStyle || "revert-layer" === input.borderBottomStyle || "unset" === input.borderBottomStyle || "none" === input.borderBottomStyle || "hidden" === input.borderBottomStyle || "dashed" === input.borderBottomStyle || "dotted" === input.borderBottomStyle || "double" === input.borderBottomStyle || "groove" === input.borderBottomStyle || "inset" === input.borderBottomStyle || "outset" === input.borderBottomStyle || "ridge" === input.borderBottomStyle || "solid" === input.borderBottomStyle || $report(_exceptionable, {
                    path: _path + ".borderBottomStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderBottomStyle
                }), undefined === input.borderBottomWidth || "string" === typeof input.borderBottomWidth || "number" === typeof input.borderBottomWidth || $report(_exceptionable, {
                    path: _path + ".borderBottomWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderBottomWidth
                }), undefined === input.borderCollapse || "-moz-initial" === input.borderCollapse || "inherit" === input.borderCollapse || "initial" === input.borderCollapse || "revert" === input.borderCollapse || "revert-layer" === input.borderCollapse || "unset" === input.borderCollapse || "collapse" === input.borderCollapse || "separate" === input.borderCollapse || $report(_exceptionable, {
                    path: _path + ".borderCollapse",
                    expected: "(\"-moz-initial\" | \"collapse\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"separate\" | \"unset\" | undefined)",
                    value: input.borderCollapse
                }), undefined === input.borderEndEndRadius || "string" === typeof input.borderEndEndRadius || "number" === typeof input.borderEndEndRadius || $report(_exceptionable, {
                    path: _path + ".borderEndEndRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderEndEndRadius
                }), undefined === input.borderEndStartRadius || "string" === typeof input.borderEndStartRadius || "number" === typeof input.borderEndStartRadius || $report(_exceptionable, {
                    path: _path + ".borderEndStartRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderEndStartRadius
                }), undefined === input.borderImageOutset || "string" === typeof input.borderImageOutset || "number" === typeof input.borderImageOutset || $report(_exceptionable, {
                    path: _path + ".borderImageOutset",
                    expected: "(number | string | undefined)",
                    value: input.borderImageOutset
                }), undefined === input.borderImageRepeat || "string" === typeof input.borderImageRepeat || $report(_exceptionable, {
                    path: _path + ".borderImageRepeat",
                    expected: "(string | undefined)",
                    value: input.borderImageRepeat
                }), undefined === input.borderImageSlice || "string" === typeof input.borderImageSlice || "number" === typeof input.borderImageSlice || $report(_exceptionable, {
                    path: _path + ".borderImageSlice",
                    expected: "(number | string | undefined)",
                    value: input.borderImageSlice
                }), undefined === input.borderImageSource || "string" === typeof input.borderImageSource || $report(_exceptionable, {
                    path: _path + ".borderImageSource",
                    expected: "(string | undefined)",
                    value: input.borderImageSource
                }), undefined === input.borderImageWidth || "string" === typeof input.borderImageWidth || "number" === typeof input.borderImageWidth || $report(_exceptionable, {
                    path: _path + ".borderImageWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderImageWidth
                }), undefined === input.borderInlineColor || "string" === typeof input.borderInlineColor || $report(_exceptionable, {
                    path: _path + ".borderInlineColor",
                    expected: "(string | undefined)",
                    value: input.borderInlineColor
                }), undefined === input.borderInlineEndColor || "string" === typeof input.borderInlineEndColor || $report(_exceptionable, {
                    path: _path + ".borderInlineEndColor",
                    expected: "(string | undefined)",
                    value: input.borderInlineEndColor
                }), undefined === input.borderInlineEndStyle || "-moz-initial" === input.borderInlineEndStyle || "inherit" === input.borderInlineEndStyle || "initial" === input.borderInlineEndStyle || "revert" === input.borderInlineEndStyle || "revert-layer" === input.borderInlineEndStyle || "unset" === input.borderInlineEndStyle || "none" === input.borderInlineEndStyle || "hidden" === input.borderInlineEndStyle || "dashed" === input.borderInlineEndStyle || "dotted" === input.borderInlineEndStyle || "double" === input.borderInlineEndStyle || "groove" === input.borderInlineEndStyle || "inset" === input.borderInlineEndStyle || "outset" === input.borderInlineEndStyle || "ridge" === input.borderInlineEndStyle || "solid" === input.borderInlineEndStyle || $report(_exceptionable, {
                    path: _path + ".borderInlineEndStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderInlineEndStyle
                }), undefined === input.borderInlineEndWidth || "string" === typeof input.borderInlineEndWidth || "number" === typeof input.borderInlineEndWidth || $report(_exceptionable, {
                    path: _path + ".borderInlineEndWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderInlineEndWidth
                }), undefined === input.borderInlineStartColor || "string" === typeof input.borderInlineStartColor || $report(_exceptionable, {
                    path: _path + ".borderInlineStartColor",
                    expected: "(string | undefined)",
                    value: input.borderInlineStartColor
                }), undefined === input.borderInlineStartStyle || "-moz-initial" === input.borderInlineStartStyle || "inherit" === input.borderInlineStartStyle || "initial" === input.borderInlineStartStyle || "revert" === input.borderInlineStartStyle || "revert-layer" === input.borderInlineStartStyle || "unset" === input.borderInlineStartStyle || "none" === input.borderInlineStartStyle || "hidden" === input.borderInlineStartStyle || "dashed" === input.borderInlineStartStyle || "dotted" === input.borderInlineStartStyle || "double" === input.borderInlineStartStyle || "groove" === input.borderInlineStartStyle || "inset" === input.borderInlineStartStyle || "outset" === input.borderInlineStartStyle || "ridge" === input.borderInlineStartStyle || "solid" === input.borderInlineStartStyle || $report(_exceptionable, {
                    path: _path + ".borderInlineStartStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderInlineStartStyle
                }), undefined === input.borderInlineStartWidth || "string" === typeof input.borderInlineStartWidth || "number" === typeof input.borderInlineStartWidth || $report(_exceptionable, {
                    path: _path + ".borderInlineStartWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderInlineStartWidth
                }), undefined === input.borderInlineStyle || "-moz-initial" === input.borderInlineStyle || "inherit" === input.borderInlineStyle || "initial" === input.borderInlineStyle || "revert" === input.borderInlineStyle || "revert-layer" === input.borderInlineStyle || "unset" === input.borderInlineStyle || "none" === input.borderInlineStyle || "hidden" === input.borderInlineStyle || "dashed" === input.borderInlineStyle || "dotted" === input.borderInlineStyle || "double" === input.borderInlineStyle || "groove" === input.borderInlineStyle || "inset" === input.borderInlineStyle || "outset" === input.borderInlineStyle || "ridge" === input.borderInlineStyle || "solid" === input.borderInlineStyle || $report(_exceptionable, {
                    path: _path + ".borderInlineStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderInlineStyle
                }), undefined === input.borderInlineWidth || "string" === typeof input.borderInlineWidth || "number" === typeof input.borderInlineWidth || $report(_exceptionable, {
                    path: _path + ".borderInlineWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderInlineWidth
                }), undefined === input.borderLeftColor || "string" === typeof input.borderLeftColor || $report(_exceptionable, {
                    path: _path + ".borderLeftColor",
                    expected: "(string | undefined)",
                    value: input.borderLeftColor
                }), undefined === input.borderLeftStyle || "-moz-initial" === input.borderLeftStyle || "inherit" === input.borderLeftStyle || "initial" === input.borderLeftStyle || "revert" === input.borderLeftStyle || "revert-layer" === input.borderLeftStyle || "unset" === input.borderLeftStyle || "none" === input.borderLeftStyle || "hidden" === input.borderLeftStyle || "dashed" === input.borderLeftStyle || "dotted" === input.borderLeftStyle || "double" === input.borderLeftStyle || "groove" === input.borderLeftStyle || "inset" === input.borderLeftStyle || "outset" === input.borderLeftStyle || "ridge" === input.borderLeftStyle || "solid" === input.borderLeftStyle || $report(_exceptionable, {
                    path: _path + ".borderLeftStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderLeftStyle
                }), undefined === input.borderLeftWidth || "string" === typeof input.borderLeftWidth || "number" === typeof input.borderLeftWidth || $report(_exceptionable, {
                    path: _path + ".borderLeftWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderLeftWidth
                }), undefined === input.borderRightColor || "string" === typeof input.borderRightColor || $report(_exceptionable, {
                    path: _path + ".borderRightColor",
                    expected: "(string | undefined)",
                    value: input.borderRightColor
                }), undefined === input.borderRightStyle || "-moz-initial" === input.borderRightStyle || "inherit" === input.borderRightStyle || "initial" === input.borderRightStyle || "revert" === input.borderRightStyle || "revert-layer" === input.borderRightStyle || "unset" === input.borderRightStyle || "none" === input.borderRightStyle || "hidden" === input.borderRightStyle || "dashed" === input.borderRightStyle || "dotted" === input.borderRightStyle || "double" === input.borderRightStyle || "groove" === input.borderRightStyle || "inset" === input.borderRightStyle || "outset" === input.borderRightStyle || "ridge" === input.borderRightStyle || "solid" === input.borderRightStyle || $report(_exceptionable, {
                    path: _path + ".borderRightStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderRightStyle
                }), undefined === input.borderRightWidth || "string" === typeof input.borderRightWidth || "number" === typeof input.borderRightWidth || $report(_exceptionable, {
                    path: _path + ".borderRightWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderRightWidth
                }), undefined === input.borderSpacing || "string" === typeof input.borderSpacing || "number" === typeof input.borderSpacing || $report(_exceptionable, {
                    path: _path + ".borderSpacing",
                    expected: "(number | string | undefined)",
                    value: input.borderSpacing
                }), undefined === input.borderStartEndRadius || "string" === typeof input.borderStartEndRadius || "number" === typeof input.borderStartEndRadius || $report(_exceptionable, {
                    path: _path + ".borderStartEndRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderStartEndRadius
                }), undefined === input.borderStartStartRadius || "string" === typeof input.borderStartStartRadius || "number" === typeof input.borderStartStartRadius || $report(_exceptionable, {
                    path: _path + ".borderStartStartRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderStartStartRadius
                }), undefined === input.borderTopColor || "string" === typeof input.borderTopColor || $report(_exceptionable, {
                    path: _path + ".borderTopColor",
                    expected: "(string | undefined)",
                    value: input.borderTopColor
                }), undefined === input.borderTopLeftRadius || "string" === typeof input.borderTopLeftRadius || "number" === typeof input.borderTopLeftRadius || $report(_exceptionable, {
                    path: _path + ".borderTopLeftRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderTopLeftRadius
                }), undefined === input.borderTopRightRadius || "string" === typeof input.borderTopRightRadius || "number" === typeof input.borderTopRightRadius || $report(_exceptionable, {
                    path: _path + ".borderTopRightRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderTopRightRadius
                }), undefined === input.borderTopStyle || "-moz-initial" === input.borderTopStyle || "inherit" === input.borderTopStyle || "initial" === input.borderTopStyle || "revert" === input.borderTopStyle || "revert-layer" === input.borderTopStyle || "unset" === input.borderTopStyle || "none" === input.borderTopStyle || "hidden" === input.borderTopStyle || "dashed" === input.borderTopStyle || "dotted" === input.borderTopStyle || "double" === input.borderTopStyle || "groove" === input.borderTopStyle || "inset" === input.borderTopStyle || "outset" === input.borderTopStyle || "ridge" === input.borderTopStyle || "solid" === input.borderTopStyle || $report(_exceptionable, {
                    path: _path + ".borderTopStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.borderTopStyle
                }), undefined === input.borderTopWidth || "string" === typeof input.borderTopWidth || "number" === typeof input.borderTopWidth || $report(_exceptionable, {
                    path: _path + ".borderTopWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderTopWidth
                }), undefined === input.bottom || "string" === typeof input.bottom || "number" === typeof input.bottom || $report(_exceptionable, {
                    path: _path + ".bottom",
                    expected: "(number | string | undefined)",
                    value: input.bottom
                }), undefined === input.boxDecorationBreak || "-moz-initial" === input.boxDecorationBreak || "inherit" === input.boxDecorationBreak || "initial" === input.boxDecorationBreak || "revert" === input.boxDecorationBreak || "revert-layer" === input.boxDecorationBreak || "unset" === input.boxDecorationBreak || "clone" === input.boxDecorationBreak || "slice" === input.boxDecorationBreak || $report(_exceptionable, {
                    path: _path + ".boxDecorationBreak",
                    expected: "(\"-moz-initial\" | \"clone\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"slice\" | \"unset\" | undefined)",
                    value: input.boxDecorationBreak
                }), undefined === input.boxShadow || "string" === typeof input.boxShadow || $report(_exceptionable, {
                    path: _path + ".boxShadow",
                    expected: "(string | undefined)",
                    value: input.boxShadow
                }), undefined === input.boxSizing || "-moz-initial" === input.boxSizing || "inherit" === input.boxSizing || "initial" === input.boxSizing || "revert" === input.boxSizing || "revert-layer" === input.boxSizing || "unset" === input.boxSizing || "border-box" === input.boxSizing || "content-box" === input.boxSizing || $report(_exceptionable, {
                    path: _path + ".boxSizing",
                    expected: "(\"-moz-initial\" | \"border-box\" | \"content-box\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.boxSizing
                }), undefined === input.breakAfter || "all" === input.breakAfter || "-moz-initial" === input.breakAfter || "inherit" === input.breakAfter || "initial" === input.breakAfter || "revert" === input.breakAfter || "revert-layer" === input.breakAfter || "unset" === input.breakAfter || "auto" === input.breakAfter || "left" === input.breakAfter || "right" === input.breakAfter || "always" === input.breakAfter || "avoid" === input.breakAfter || "avoid-column" === input.breakAfter || "avoid-page" === input.breakAfter || "avoid-region" === input.breakAfter || "column" === input.breakAfter || "page" === input.breakAfter || "recto" === input.breakAfter || "region" === input.breakAfter || "verso" === input.breakAfter || $report(_exceptionable, {
                    path: _path + ".breakAfter",
                    expected: "(\"-moz-initial\" | \"all\" | \"always\" | \"auto\" | \"avoid\" | \"avoid-column\" | \"avoid-page\" | \"avoid-region\" | \"column\" | \"inherit\" | \"initial\" | \"left\" | \"page\" | \"recto\" | \"region\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | \"verso\" | undefined)",
                    value: input.breakAfter
                }), undefined === input.breakBefore || "all" === input.breakBefore || "-moz-initial" === input.breakBefore || "inherit" === input.breakBefore || "initial" === input.breakBefore || "revert" === input.breakBefore || "revert-layer" === input.breakBefore || "unset" === input.breakBefore || "auto" === input.breakBefore || "left" === input.breakBefore || "right" === input.breakBefore || "always" === input.breakBefore || "avoid" === input.breakBefore || "avoid-column" === input.breakBefore || "avoid-page" === input.breakBefore || "avoid-region" === input.breakBefore || "column" === input.breakBefore || "page" === input.breakBefore || "recto" === input.breakBefore || "region" === input.breakBefore || "verso" === input.breakBefore || $report(_exceptionable, {
                    path: _path + ".breakBefore",
                    expected: "(\"-moz-initial\" | \"all\" | \"always\" | \"auto\" | \"avoid\" | \"avoid-column\" | \"avoid-page\" | \"avoid-region\" | \"column\" | \"inherit\" | \"initial\" | \"left\" | \"page\" | \"recto\" | \"region\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | \"verso\" | undefined)",
                    value: input.breakBefore
                }), undefined === input.breakInside || "-moz-initial" === input.breakInside || "inherit" === input.breakInside || "initial" === input.breakInside || "revert" === input.breakInside || "revert-layer" === input.breakInside || "unset" === input.breakInside || "auto" === input.breakInside || "avoid" === input.breakInside || "avoid-column" === input.breakInside || "avoid-page" === input.breakInside || "avoid-region" === input.breakInside || $report(_exceptionable, {
                    path: _path + ".breakInside",
                    expected: "(\"-moz-initial\" | \"auto\" | \"avoid\" | \"avoid-column\" | \"avoid-page\" | \"avoid-region\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.breakInside
                }), undefined === input.captionSide || "-moz-initial" === input.captionSide || "inherit" === input.captionSide || "initial" === input.captionSide || "revert" === input.captionSide || "revert-layer" === input.captionSide || "unset" === input.captionSide || "bottom" === input.captionSide || "top" === input.captionSide || "block-end" === input.captionSide || "block-start" === input.captionSide || "inline-end" === input.captionSide || "inline-start" === input.captionSide || $report(_exceptionable, {
                    path: _path + ".captionSide",
                    expected: "(\"-moz-initial\" | \"block-end\" | \"block-start\" | \"bottom\" | \"inherit\" | \"initial\" | \"inline-end\" | \"inline-start\" | \"revert\" | \"revert-layer\" | \"top\" | \"unset\" | undefined)",
                    value: input.captionSide
                }), undefined === input.caretColor || "string" === typeof input.caretColor || $report(_exceptionable, {
                    path: _path + ".caretColor",
                    expected: "(string | undefined)",
                    value: input.caretColor
                }), undefined === input.clear || "-moz-initial" === input.clear || "inherit" === input.clear || "initial" === input.clear || "revert" === input.clear || "revert-layer" === input.clear || "unset" === input.clear || "both" === input.clear || "none" === input.clear || "left" === input.clear || "right" === input.clear || "inline-end" === input.clear || "inline-start" === input.clear || $report(_exceptionable, {
                    path: _path + ".clear",
                    expected: "(\"-moz-initial\" | \"both\" | \"inherit\" | \"initial\" | \"inline-end\" | \"inline-start\" | \"left\" | \"none\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | undefined)",
                    value: input.clear
                }), undefined === input.clipPath || "string" === typeof input.clipPath || $report(_exceptionable, {
                    path: _path + ".clipPath",
                    expected: "(string | undefined)",
                    value: input.clipPath
                }), undefined === input.color || "string" === typeof input.color || $report(_exceptionable, {
                    path: _path + ".color",
                    expected: "(string | undefined)",
                    value: input.color
                }), undefined === input.colorAdjust || "-moz-initial" === input.colorAdjust || "inherit" === input.colorAdjust || "initial" === input.colorAdjust || "revert" === input.colorAdjust || "revert-layer" === input.colorAdjust || "unset" === input.colorAdjust || "economy" === input.colorAdjust || "exact" === input.colorAdjust || $report(_exceptionable, {
                    path: _path + ".colorAdjust",
                    expected: "(\"-moz-initial\" | \"economy\" | \"exact\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.colorAdjust
                }), undefined === input.colorScheme || "string" === typeof input.colorScheme || $report(_exceptionable, {
                    path: _path + ".colorScheme",
                    expected: "(string | undefined)",
                    value: input.colorScheme
                }), undefined === input.columnCount || "string" === typeof input.columnCount || "number" === typeof input.columnCount || $report(_exceptionable, {
                    path: _path + ".columnCount",
                    expected: "(number | string | undefined)",
                    value: input.columnCount
                }), undefined === input.columnFill || "-moz-initial" === input.columnFill || "inherit" === input.columnFill || "initial" === input.columnFill || "revert" === input.columnFill || "revert-layer" === input.columnFill || "unset" === input.columnFill || "auto" === input.columnFill || "balance" === input.columnFill || "balance-all" === input.columnFill || $report(_exceptionable, {
                    path: _path + ".columnFill",
                    expected: "(\"-moz-initial\" | \"auto\" | \"balance\" | \"balance-all\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.columnFill
                }), undefined === input.columnGap || "string" === typeof input.columnGap || "number" === typeof input.columnGap || $report(_exceptionable, {
                    path: _path + ".columnGap",
                    expected: "(number | string | undefined)",
                    value: input.columnGap
                }), undefined === input.columnRuleColor || "string" === typeof input.columnRuleColor || $report(_exceptionable, {
                    path: _path + ".columnRuleColor",
                    expected: "(string | undefined)",
                    value: input.columnRuleColor
                }), undefined === input.columnRuleStyle || "string" === typeof input.columnRuleStyle || $report(_exceptionable, {
                    path: _path + ".columnRuleStyle",
                    expected: "(string | undefined)",
                    value: input.columnRuleStyle
                }), undefined === input.columnRuleWidth || "string" === typeof input.columnRuleWidth || "number" === typeof input.columnRuleWidth || $report(_exceptionable, {
                    path: _path + ".columnRuleWidth",
                    expected: "(number | string | undefined)",
                    value: input.columnRuleWidth
                }), undefined === input.columnSpan || "all" === input.columnSpan || "-moz-initial" === input.columnSpan || "inherit" === input.columnSpan || "initial" === input.columnSpan || "revert" === input.columnSpan || "revert-layer" === input.columnSpan || "unset" === input.columnSpan || "none" === input.columnSpan || $report(_exceptionable, {
                    path: _path + ".columnSpan",
                    expected: "(\"-moz-initial\" | \"all\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.columnSpan
                }), undefined === input.columnWidth || "string" === typeof input.columnWidth || "number" === typeof input.columnWidth || $report(_exceptionable, {
                    path: _path + ".columnWidth",
                    expected: "(number | string | undefined)",
                    value: input.columnWidth
                }), undefined === input.contain || "string" === typeof input.contain || $report(_exceptionable, {
                    path: _path + ".contain",
                    expected: "(string | undefined)",
                    value: input.contain
                }), undefined === input.content || "string" === typeof input.content || $report(_exceptionable, {
                    path: _path + ".content",
                    expected: "(string | undefined)",
                    value: input.content
                }), undefined === input.contentVisibility || "-moz-initial" === input.contentVisibility || "inherit" === input.contentVisibility || "initial" === input.contentVisibility || "revert" === input.contentVisibility || "revert-layer" === input.contentVisibility || "unset" === input.contentVisibility || "auto" === input.contentVisibility || "hidden" === input.contentVisibility || "visible" === input.contentVisibility || $report(_exceptionable, {
                    path: _path + ".contentVisibility",
                    expected: "(\"-moz-initial\" | \"auto\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | \"visible\" | undefined)",
                    value: input.contentVisibility
                }), undefined === input.counterIncrement || "string" === typeof input.counterIncrement || $report(_exceptionable, {
                    path: _path + ".counterIncrement",
                    expected: "(string | undefined)",
                    value: input.counterIncrement
                }), undefined === input.counterReset || "string" === typeof input.counterReset || $report(_exceptionable, {
                    path: _path + ".counterReset",
                    expected: "(string | undefined)",
                    value: input.counterReset
                }), undefined === input.counterSet || "string" === typeof input.counterSet || $report(_exceptionable, {
                    path: _path + ".counterSet",
                    expected: "(string | undefined)",
                    value: input.counterSet
                }), undefined === input.cursor || "string" === typeof input.cursor || $report(_exceptionable, {
                    path: _path + ".cursor",
                    expected: "(string | undefined)",
                    value: input.cursor
                }), undefined === input.direction || "-moz-initial" === input.direction || "inherit" === input.direction || "initial" === input.direction || "revert" === input.direction || "revert-layer" === input.direction || "unset" === input.direction || "ltr" === input.direction || "rtl" === input.direction || $report(_exceptionable, {
                    path: _path + ".direction",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"ltr\" | \"revert\" | \"revert-layer\" | \"rtl\" | \"unset\" | undefined)",
                    value: input.direction
                }), undefined === input.display || "string" === typeof input.display || $report(_exceptionable, {
                    path: _path + ".display",
                    expected: "(string | undefined)",
                    value: input.display
                }), undefined === input.emptyCells || "-moz-initial" === input.emptyCells || "inherit" === input.emptyCells || "initial" === input.emptyCells || "revert" === input.emptyCells || "revert-layer" === input.emptyCells || "unset" === input.emptyCells || "hide" === input.emptyCells || "show" === input.emptyCells || $report(_exceptionable, {
                    path: _path + ".emptyCells",
                    expected: "(\"-moz-initial\" | \"hide\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"show\" | \"unset\" | undefined)",
                    value: input.emptyCells
                }), undefined === input.filter || "string" === typeof input.filter || $report(_exceptionable, {
                    path: _path + ".filter",
                    expected: "(string | undefined)",
                    value: input.filter
                }), undefined === input.flexBasis || "string" === typeof input.flexBasis || "number" === typeof input.flexBasis || $report(_exceptionable, {
                    path: _path + ".flexBasis",
                    expected: "(number | string | undefined)",
                    value: input.flexBasis
                }), undefined === input.flexDirection || "-moz-initial" === input.flexDirection || "inherit" === input.flexDirection || "initial" === input.flexDirection || "revert" === input.flexDirection || "revert-layer" === input.flexDirection || "unset" === input.flexDirection || "column" === input.flexDirection || "column-reverse" === input.flexDirection || "row" === input.flexDirection || "row-reverse" === input.flexDirection || $report(_exceptionable, {
                    path: _path + ".flexDirection",
                    expected: "(\"-moz-initial\" | \"column\" | \"column-reverse\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"row\" | \"row-reverse\" | \"unset\" | undefined)",
                    value: input.flexDirection
                }), undefined === input.flexGrow || "string" === typeof input.flexGrow || "number" === typeof input.flexGrow || $report(_exceptionable, {
                    path: _path + ".flexGrow",
                    expected: "(number | string | undefined)",
                    value: input.flexGrow
                }), undefined === input.flexShrink || "string" === typeof input.flexShrink || "number" === typeof input.flexShrink || $report(_exceptionable, {
                    path: _path + ".flexShrink",
                    expected: "(number | string | undefined)",
                    value: input.flexShrink
                }), undefined === input.flexWrap || "-moz-initial" === input.flexWrap || "inherit" === input.flexWrap || "initial" === input.flexWrap || "revert" === input.flexWrap || "revert-layer" === input.flexWrap || "unset" === input.flexWrap || "nowrap" === input.flexWrap || "wrap" === input.flexWrap || "wrap-reverse" === input.flexWrap || $report(_exceptionable, {
                    path: _path + ".flexWrap",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"nowrap\" | \"revert\" | \"revert-layer\" | \"unset\" | \"wrap\" | \"wrap-reverse\" | undefined)",
                    value: input.flexWrap
                }), undefined === input.float || "-moz-initial" === input.float || "inherit" === input.float || "initial" === input.float || "revert" === input.float || "revert-layer" === input.float || "unset" === input.float || "none" === input.float || "left" === input.float || "right" === input.float || "inline-end" === input.float || "inline-start" === input.float || $report(_exceptionable, {
                    path: _path + ".float",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"inline-end\" | \"inline-start\" | \"left\" | \"none\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | undefined)",
                    value: input.float
                }), undefined === input.fontFamily || "string" === typeof input.fontFamily || $report(_exceptionable, {
                    path: _path + ".fontFamily",
                    expected: "(string | undefined)",
                    value: input.fontFamily
                }), undefined === input.fontFeatureSettings || "string" === typeof input.fontFeatureSettings || $report(_exceptionable, {
                    path: _path + ".fontFeatureSettings",
                    expected: "(string | undefined)",
                    value: input.fontFeatureSettings
                }), undefined === input.fontKerning || "-moz-initial" === input.fontKerning || "inherit" === input.fontKerning || "initial" === input.fontKerning || "revert" === input.fontKerning || "revert-layer" === input.fontKerning || "unset" === input.fontKerning || "auto" === input.fontKerning || "normal" === input.fontKerning || "none" === input.fontKerning || $report(_exceptionable, {
                    path: _path + ".fontKerning",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.fontKerning
                }), undefined === input.fontLanguageOverride || "string" === typeof input.fontLanguageOverride || $report(_exceptionable, {
                    path: _path + ".fontLanguageOverride",
                    expected: "(string | undefined)",
                    value: input.fontLanguageOverride
                }), undefined === input.fontOpticalSizing || "-moz-initial" === input.fontOpticalSizing || "inherit" === input.fontOpticalSizing || "initial" === input.fontOpticalSizing || "revert" === input.fontOpticalSizing || "revert-layer" === input.fontOpticalSizing || "unset" === input.fontOpticalSizing || "auto" === input.fontOpticalSizing || "none" === input.fontOpticalSizing || $report(_exceptionable, {
                    path: _path + ".fontOpticalSizing",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.fontOpticalSizing
                }), undefined === input.fontSize || "string" === typeof input.fontSize || "number" === typeof input.fontSize || $report(_exceptionable, {
                    path: _path + ".fontSize",
                    expected: "(number | string | undefined)",
                    value: input.fontSize
                }), undefined === input.fontSizeAdjust || "string" === typeof input.fontSizeAdjust || "number" === typeof input.fontSizeAdjust || $report(_exceptionable, {
                    path: _path + ".fontSizeAdjust",
                    expected: "(number | string | undefined)",
                    value: input.fontSizeAdjust
                }), undefined === input.fontSmooth || "string" === typeof input.fontSmooth || "number" === typeof input.fontSmooth || $report(_exceptionable, {
                    path: _path + ".fontSmooth",
                    expected: "(number | string | undefined)",
                    value: input.fontSmooth
                }), undefined === input.fontStretch || "string" === typeof input.fontStretch || $report(_exceptionable, {
                    path: _path + ".fontStretch",
                    expected: "(string | undefined)",
                    value: input.fontStretch
                }), undefined === input.fontStyle || "string" === typeof input.fontStyle || $report(_exceptionable, {
                    path: _path + ".fontStyle",
                    expected: "(string | undefined)",
                    value: input.fontStyle
                }), undefined === input.fontSynthesis || "string" === typeof input.fontSynthesis || $report(_exceptionable, {
                    path: _path + ".fontSynthesis",
                    expected: "(string | undefined)",
                    value: input.fontSynthesis
                }), undefined === input.fontVariant || "string" === typeof input.fontVariant || $report(_exceptionable, {
                    path: _path + ".fontVariant",
                    expected: "(string | undefined)",
                    value: input.fontVariant
                }), undefined === input.fontVariantAlternates || "string" === typeof input.fontVariantAlternates || $report(_exceptionable, {
                    path: _path + ".fontVariantAlternates",
                    expected: "(string | undefined)",
                    value: input.fontVariantAlternates
                }), undefined === input.fontVariantCaps || "-moz-initial" === input.fontVariantCaps || "inherit" === input.fontVariantCaps || "initial" === input.fontVariantCaps || "revert" === input.fontVariantCaps || "revert-layer" === input.fontVariantCaps || "unset" === input.fontVariantCaps || "normal" === input.fontVariantCaps || "small-caps" === input.fontVariantCaps || "all-petite-caps" === input.fontVariantCaps || "all-small-caps" === input.fontVariantCaps || "petite-caps" === input.fontVariantCaps || "titling-caps" === input.fontVariantCaps || "unicase" === input.fontVariantCaps || $report(_exceptionable, {
                    path: _path + ".fontVariantCaps",
                    expected: "(\"-moz-initial\" | \"all-petite-caps\" | \"all-small-caps\" | \"inherit\" | \"initial\" | \"normal\" | \"petite-caps\" | \"revert\" | \"revert-layer\" | \"small-caps\" | \"titling-caps\" | \"unicase\" | \"unset\" | undefined)",
                    value: input.fontVariantCaps
                }), undefined === input.fontVariantEastAsian || "string" === typeof input.fontVariantEastAsian || $report(_exceptionable, {
                    path: _path + ".fontVariantEastAsian",
                    expected: "(string | undefined)",
                    value: input.fontVariantEastAsian
                }), undefined === input.fontVariantLigatures || "string" === typeof input.fontVariantLigatures || $report(_exceptionable, {
                    path: _path + ".fontVariantLigatures",
                    expected: "(string | undefined)",
                    value: input.fontVariantLigatures
                }), undefined === input.fontVariantNumeric || "string" === typeof input.fontVariantNumeric || $report(_exceptionable, {
                    path: _path + ".fontVariantNumeric",
                    expected: "(string | undefined)",
                    value: input.fontVariantNumeric
                }), undefined === input.fontVariantPosition || "-moz-initial" === input.fontVariantPosition || "inherit" === input.fontVariantPosition || "initial" === input.fontVariantPosition || "revert" === input.fontVariantPosition || "revert-layer" === input.fontVariantPosition || "unset" === input.fontVariantPosition || "normal" === input.fontVariantPosition || "sub" === input.fontVariantPosition || "super" === input.fontVariantPosition || $report(_exceptionable, {
                    path: _path + ".fontVariantPosition",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"sub\" | \"super\" | \"unset\" | undefined)",
                    value: input.fontVariantPosition
                }), undefined === input.fontVariationSettings || "string" === typeof input.fontVariationSettings || $report(_exceptionable, {
                    path: _path + ".fontVariationSettings",
                    expected: "(string | undefined)",
                    value: input.fontVariationSettings
                }), undefined === input.fontWeight || "string" === typeof input.fontWeight || "number" === typeof input.fontWeight || $report(_exceptionable, {
                    path: _path + ".fontWeight",
                    expected: "(number | string | undefined)",
                    value: input.fontWeight
                }), undefined === input.forcedColorAdjust || "-moz-initial" === input.forcedColorAdjust || "inherit" === input.forcedColorAdjust || "initial" === input.forcedColorAdjust || "revert" === input.forcedColorAdjust || "revert-layer" === input.forcedColorAdjust || "unset" === input.forcedColorAdjust || "auto" === input.forcedColorAdjust || "none" === input.forcedColorAdjust || $report(_exceptionable, {
                    path: _path + ".forcedColorAdjust",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.forcedColorAdjust
                }), undefined === input.gridAutoColumns || "string" === typeof input.gridAutoColumns || "number" === typeof input.gridAutoColumns || $report(_exceptionable, {
                    path: _path + ".gridAutoColumns",
                    expected: "(number | string | undefined)",
                    value: input.gridAutoColumns
                }), undefined === input.gridAutoFlow || "string" === typeof input.gridAutoFlow || $report(_exceptionable, {
                    path: _path + ".gridAutoFlow",
                    expected: "(string | undefined)",
                    value: input.gridAutoFlow
                }), undefined === input.gridAutoRows || "string" === typeof input.gridAutoRows || "number" === typeof input.gridAutoRows || $report(_exceptionable, {
                    path: _path + ".gridAutoRows",
                    expected: "(number | string | undefined)",
                    value: input.gridAutoRows
                }), undefined === input.gridColumnEnd || "string" === typeof input.gridColumnEnd || "number" === typeof input.gridColumnEnd || $report(_exceptionable, {
                    path: _path + ".gridColumnEnd",
                    expected: "(number | string | undefined)",
                    value: input.gridColumnEnd
                }), undefined === input.gridColumnStart || "string" === typeof input.gridColumnStart || "number" === typeof input.gridColumnStart || $report(_exceptionable, {
                    path: _path + ".gridColumnStart",
                    expected: "(number | string | undefined)",
                    value: input.gridColumnStart
                }), undefined === input.gridRowEnd || "string" === typeof input.gridRowEnd || "number" === typeof input.gridRowEnd || $report(_exceptionable, {
                    path: _path + ".gridRowEnd",
                    expected: "(number | string | undefined)",
                    value: input.gridRowEnd
                }), undefined === input.gridRowStart || "string" === typeof input.gridRowStart || "number" === typeof input.gridRowStart || $report(_exceptionable, {
                    path: _path + ".gridRowStart",
                    expected: "(number | string | undefined)",
                    value: input.gridRowStart
                }), undefined === input.gridTemplateAreas || "string" === typeof input.gridTemplateAreas || $report(_exceptionable, {
                    path: _path + ".gridTemplateAreas",
                    expected: "(string | undefined)",
                    value: input.gridTemplateAreas
                }), undefined === input.gridTemplateColumns || "string" === typeof input.gridTemplateColumns || "number" === typeof input.gridTemplateColumns || $report(_exceptionable, {
                    path: _path + ".gridTemplateColumns",
                    expected: "(number | string | undefined)",
                    value: input.gridTemplateColumns
                }), undefined === input.gridTemplateRows || "string" === typeof input.gridTemplateRows || "number" === typeof input.gridTemplateRows || $report(_exceptionable, {
                    path: _path + ".gridTemplateRows",
                    expected: "(number | string | undefined)",
                    value: input.gridTemplateRows
                }), undefined === input.hangingPunctuation || "string" === typeof input.hangingPunctuation || $report(_exceptionable, {
                    path: _path + ".hangingPunctuation",
                    expected: "(string | undefined)",
                    value: input.hangingPunctuation
                }), undefined === input.height || "string" === typeof input.height || "number" === typeof input.height || $report(_exceptionable, {
                    path: _path + ".height",
                    expected: "(number | string | undefined)",
                    value: input.height
                }), undefined === input.hyphenateCharacter || "string" === typeof input.hyphenateCharacter || $report(_exceptionable, {
                    path: _path + ".hyphenateCharacter",
                    expected: "(string | undefined)",
                    value: input.hyphenateCharacter
                }), undefined === input.hyphens || "-moz-initial" === input.hyphens || "inherit" === input.hyphens || "initial" === input.hyphens || "revert" === input.hyphens || "revert-layer" === input.hyphens || "unset" === input.hyphens || "auto" === input.hyphens || "none" === input.hyphens || "manual" === input.hyphens || $report(_exceptionable, {
                    path: _path + ".hyphens",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"manual\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.hyphens
                }), undefined === input.imageOrientation || "string" === typeof input.imageOrientation || $report(_exceptionable, {
                    path: _path + ".imageOrientation",
                    expected: "(string | undefined)",
                    value: input.imageOrientation
                }), undefined === input.imageRendering || "-moz-initial" === input.imageRendering || "inherit" === input.imageRendering || "initial" === input.imageRendering || "revert" === input.imageRendering || "revert-layer" === input.imageRendering || "unset" === input.imageRendering || "auto" === input.imageRendering || "-moz-crisp-edges" === input.imageRendering || "-webkit-optimize-contrast" === input.imageRendering || "crisp-edges" === input.imageRendering || "pixelated" === input.imageRendering || $report(_exceptionable, {
                    path: _path + ".imageRendering",
                    expected: "(\"-moz-crisp-edges\" | \"-moz-initial\" | \"-webkit-optimize-contrast\" | \"auto\" | \"crisp-edges\" | \"inherit\" | \"initial\" | \"pixelated\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.imageRendering
                }), undefined === input.imageResolution || "string" === typeof input.imageResolution || $report(_exceptionable, {
                    path: _path + ".imageResolution",
                    expected: "(string | undefined)",
                    value: input.imageResolution
                }), undefined === input.initialLetter || "string" === typeof input.initialLetter || "number" === typeof input.initialLetter || $report(_exceptionable, {
                    path: _path + ".initialLetter",
                    expected: "(number | string | undefined)",
                    value: input.initialLetter
                }), undefined === input.inlineSize || "string" === typeof input.inlineSize || "number" === typeof input.inlineSize || $report(_exceptionable, {
                    path: _path + ".inlineSize",
                    expected: "(number | string | undefined)",
                    value: input.inlineSize
                }), undefined === input.inputSecurity || "-moz-initial" === input.inputSecurity || "inherit" === input.inputSecurity || "initial" === input.inputSecurity || "revert" === input.inputSecurity || "revert-layer" === input.inputSecurity || "unset" === input.inputSecurity || "auto" === input.inputSecurity || "none" === input.inputSecurity || $report(_exceptionable, {
                    path: _path + ".inputSecurity",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.inputSecurity
                }), undefined === input.inset || "string" === typeof input.inset || "number" === typeof input.inset || $report(_exceptionable, {
                    path: _path + ".inset",
                    expected: "(number | string | undefined)",
                    value: input.inset
                }), undefined === input.insetBlock || "string" === typeof input.insetBlock || "number" === typeof input.insetBlock || $report(_exceptionable, {
                    path: _path + ".insetBlock",
                    expected: "(number | string | undefined)",
                    value: input.insetBlock
                }), undefined === input.insetBlockEnd || "string" === typeof input.insetBlockEnd || "number" === typeof input.insetBlockEnd || $report(_exceptionable, {
                    path: _path + ".insetBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.insetBlockEnd
                }), undefined === input.insetBlockStart || "string" === typeof input.insetBlockStart || "number" === typeof input.insetBlockStart || $report(_exceptionable, {
                    path: _path + ".insetBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.insetBlockStart
                }), undefined === input.insetInline || "string" === typeof input.insetInline || "number" === typeof input.insetInline || $report(_exceptionable, {
                    path: _path + ".insetInline",
                    expected: "(number | string | undefined)",
                    value: input.insetInline
                }), undefined === input.insetInlineEnd || "string" === typeof input.insetInlineEnd || "number" === typeof input.insetInlineEnd || $report(_exceptionable, {
                    path: _path + ".insetInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.insetInlineEnd
                }), undefined === input.insetInlineStart || "string" === typeof input.insetInlineStart || "number" === typeof input.insetInlineStart || $report(_exceptionable, {
                    path: _path + ".insetInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.insetInlineStart
                }), undefined === input.isolation || "-moz-initial" === input.isolation || "inherit" === input.isolation || "initial" === input.isolation || "revert" === input.isolation || "revert-layer" === input.isolation || "unset" === input.isolation || "auto" === input.isolation || "isolate" === input.isolation || $report(_exceptionable, {
                    path: _path + ".isolation",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"isolate\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.isolation
                }), undefined === input.justifyContent || "string" === typeof input.justifyContent || $report(_exceptionable, {
                    path: _path + ".justifyContent",
                    expected: "(string | undefined)",
                    value: input.justifyContent
                }), undefined === input.justifyItems || "string" === typeof input.justifyItems || $report(_exceptionable, {
                    path: _path + ".justifyItems",
                    expected: "(string | undefined)",
                    value: input.justifyItems
                }), undefined === input.justifySelf || "string" === typeof input.justifySelf || $report(_exceptionable, {
                    path: _path + ".justifySelf",
                    expected: "(string | undefined)",
                    value: input.justifySelf
                }), undefined === input.justifyTracks || "string" === typeof input.justifyTracks || $report(_exceptionable, {
                    path: _path + ".justifyTracks",
                    expected: "(string | undefined)",
                    value: input.justifyTracks
                }), undefined === input.left || "string" === typeof input.left || "number" === typeof input.left || $report(_exceptionable, {
                    path: _path + ".left",
                    expected: "(number | string | undefined)",
                    value: input.left
                }), undefined === input.letterSpacing || "string" === typeof input.letterSpacing || "number" === typeof input.letterSpacing || $report(_exceptionable, {
                    path: _path + ".letterSpacing",
                    expected: "(number | string | undefined)",
                    value: input.letterSpacing
                }), undefined === input.lineBreak || "-moz-initial" === input.lineBreak || "inherit" === input.lineBreak || "initial" === input.lineBreak || "revert" === input.lineBreak || "revert-layer" === input.lineBreak || "unset" === input.lineBreak || "auto" === input.lineBreak || "normal" === input.lineBreak || "strict" === input.lineBreak || "anywhere" === input.lineBreak || "loose" === input.lineBreak || $report(_exceptionable, {
                    path: _path + ".lineBreak",
                    expected: "(\"-moz-initial\" | \"anywhere\" | \"auto\" | \"inherit\" | \"initial\" | \"loose\" | \"normal\" | \"revert\" | \"revert-layer\" | \"strict\" | \"unset\" | undefined)",
                    value: input.lineBreak
                }), undefined === input.lineHeight || "string" === typeof input.lineHeight || "number" === typeof input.lineHeight || $report(_exceptionable, {
                    path: _path + ".lineHeight",
                    expected: "(number | string | undefined)",
                    value: input.lineHeight
                }), undefined === input.lineHeightStep || "string" === typeof input.lineHeightStep || "number" === typeof input.lineHeightStep || $report(_exceptionable, {
                    path: _path + ".lineHeightStep",
                    expected: "(number | string | undefined)",
                    value: input.lineHeightStep
                }), undefined === input.listStyleImage || "string" === typeof input.listStyleImage || $report(_exceptionable, {
                    path: _path + ".listStyleImage",
                    expected: "(string | undefined)",
                    value: input.listStyleImage
                }), undefined === input.listStylePosition || "-moz-initial" === input.listStylePosition || "inherit" === input.listStylePosition || "initial" === input.listStylePosition || "revert" === input.listStylePosition || "revert-layer" === input.listStylePosition || "unset" === input.listStylePosition || "inside" === input.listStylePosition || "outside" === input.listStylePosition || $report(_exceptionable, {
                    path: _path + ".listStylePosition",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"inside\" | \"outside\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.listStylePosition
                }), undefined === input.listStyleType || "string" === typeof input.listStyleType || $report(_exceptionable, {
                    path: _path + ".listStyleType",
                    expected: "(string | undefined)",
                    value: input.listStyleType
                }), undefined === input.marginBlock || "string" === typeof input.marginBlock || "number" === typeof input.marginBlock || $report(_exceptionable, {
                    path: _path + ".marginBlock",
                    expected: "(number | string | undefined)",
                    value: input.marginBlock
                }), undefined === input.marginBlockEnd || "string" === typeof input.marginBlockEnd || "number" === typeof input.marginBlockEnd || $report(_exceptionable, {
                    path: _path + ".marginBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.marginBlockEnd
                }), undefined === input.marginBlockStart || "string" === typeof input.marginBlockStart || "number" === typeof input.marginBlockStart || $report(_exceptionable, {
                    path: _path + ".marginBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.marginBlockStart
                }), undefined === input.marginBottom || "string" === typeof input.marginBottom || "number" === typeof input.marginBottom || $report(_exceptionable, {
                    path: _path + ".marginBottom",
                    expected: "(number | string | undefined)",
                    value: input.marginBottom
                }), undefined === input.marginInline || "string" === typeof input.marginInline || "number" === typeof input.marginInline || $report(_exceptionable, {
                    path: _path + ".marginInline",
                    expected: "(number | string | undefined)",
                    value: input.marginInline
                }), undefined === input.marginInlineEnd || "string" === typeof input.marginInlineEnd || "number" === typeof input.marginInlineEnd || $report(_exceptionable, {
                    path: _path + ".marginInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.marginInlineEnd
                }), undefined === input.marginInlineStart || "string" === typeof input.marginInlineStart || "number" === typeof input.marginInlineStart || $report(_exceptionable, {
                    path: _path + ".marginInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.marginInlineStart
                }), undefined === input.marginLeft || "string" === typeof input.marginLeft || "number" === typeof input.marginLeft || $report(_exceptionable, {
                    path: _path + ".marginLeft",
                    expected: "(number | string | undefined)",
                    value: input.marginLeft
                }), undefined === input.marginRight || "string" === typeof input.marginRight || "number" === typeof input.marginRight || $report(_exceptionable, {
                    path: _path + ".marginRight",
                    expected: "(number | string | undefined)",
                    value: input.marginRight
                }), undefined === input.marginTop || "string" === typeof input.marginTop || "number" === typeof input.marginTop || $report(_exceptionable, {
                    path: _path + ".marginTop",
                    expected: "(number | string | undefined)",
                    value: input.marginTop
                }), undefined === input.maskBorderMode || "-moz-initial" === input.maskBorderMode || "inherit" === input.maskBorderMode || "initial" === input.maskBorderMode || "revert" === input.maskBorderMode || "revert-layer" === input.maskBorderMode || "unset" === input.maskBorderMode || "alpha" === input.maskBorderMode || "luminance" === input.maskBorderMode || $report(_exceptionable, {
                    path: _path + ".maskBorderMode",
                    expected: "(\"-moz-initial\" | \"alpha\" | \"inherit\" | \"initial\" | \"luminance\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.maskBorderMode
                }), undefined === input.maskBorderOutset || "string" === typeof input.maskBorderOutset || "number" === typeof input.maskBorderOutset || $report(_exceptionable, {
                    path: _path + ".maskBorderOutset",
                    expected: "(number | string | undefined)",
                    value: input.maskBorderOutset
                }), undefined === input.maskBorderRepeat || "string" === typeof input.maskBorderRepeat || $report(_exceptionable, {
                    path: _path + ".maskBorderRepeat",
                    expected: "(string | undefined)",
                    value: input.maskBorderRepeat
                }), undefined === input.maskBorderSlice || "string" === typeof input.maskBorderSlice || "number" === typeof input.maskBorderSlice || $report(_exceptionable, {
                    path: _path + ".maskBorderSlice",
                    expected: "(number | string | undefined)",
                    value: input.maskBorderSlice
                }), undefined === input.maskBorderSource || "string" === typeof input.maskBorderSource || $report(_exceptionable, {
                    path: _path + ".maskBorderSource",
                    expected: "(string | undefined)",
                    value: input.maskBorderSource
                }), undefined === input.maskBorderWidth || "string" === typeof input.maskBorderWidth || "number" === typeof input.maskBorderWidth || $report(_exceptionable, {
                    path: _path + ".maskBorderWidth",
                    expected: "(number | string | undefined)",
                    value: input.maskBorderWidth
                }), undefined === input.maskClip || "string" === typeof input.maskClip || $report(_exceptionable, {
                    path: _path + ".maskClip",
                    expected: "(string | undefined)",
                    value: input.maskClip
                }), undefined === input.maskComposite || "string" === typeof input.maskComposite || $report(_exceptionable, {
                    path: _path + ".maskComposite",
                    expected: "(string | undefined)",
                    value: input.maskComposite
                }), undefined === input.maskImage || "string" === typeof input.maskImage || $report(_exceptionable, {
                    path: _path + ".maskImage",
                    expected: "(string | undefined)",
                    value: input.maskImage
                }), undefined === input.maskMode || "string" === typeof input.maskMode || $report(_exceptionable, {
                    path: _path + ".maskMode",
                    expected: "(string | undefined)",
                    value: input.maskMode
                }), undefined === input.maskOrigin || "string" === typeof input.maskOrigin || $report(_exceptionable, {
                    path: _path + ".maskOrigin",
                    expected: "(string | undefined)",
                    value: input.maskOrigin
                }), undefined === input.maskPosition || "string" === typeof input.maskPosition || "number" === typeof input.maskPosition || $report(_exceptionable, {
                    path: _path + ".maskPosition",
                    expected: "(number | string | undefined)",
                    value: input.maskPosition
                }), undefined === input.maskRepeat || "string" === typeof input.maskRepeat || $report(_exceptionable, {
                    path: _path + ".maskRepeat",
                    expected: "(string | undefined)",
                    value: input.maskRepeat
                }), undefined === input.maskSize || "string" === typeof input.maskSize || "number" === typeof input.maskSize || $report(_exceptionable, {
                    path: _path + ".maskSize",
                    expected: "(number | string | undefined)",
                    value: input.maskSize
                }), undefined === input.maskType || "-moz-initial" === input.maskType || "inherit" === input.maskType || "initial" === input.maskType || "revert" === input.maskType || "revert-layer" === input.maskType || "unset" === input.maskType || "alpha" === input.maskType || "luminance" === input.maskType || $report(_exceptionable, {
                    path: _path + ".maskType",
                    expected: "(\"-moz-initial\" | \"alpha\" | \"inherit\" | \"initial\" | \"luminance\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.maskType
                }), undefined === input.mathStyle || "-moz-initial" === input.mathStyle || "inherit" === input.mathStyle || "initial" === input.mathStyle || "revert" === input.mathStyle || "revert-layer" === input.mathStyle || "unset" === input.mathStyle || "normal" === input.mathStyle || "compact" === input.mathStyle || $report(_exceptionable, {
                    path: _path + ".mathStyle",
                    expected: "(\"-moz-initial\" | \"compact\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.mathStyle
                }), undefined === input.maxBlockSize || "string" === typeof input.maxBlockSize || "number" === typeof input.maxBlockSize || $report(_exceptionable, {
                    path: _path + ".maxBlockSize",
                    expected: "(number | string | undefined)",
                    value: input.maxBlockSize
                }), undefined === input.maxHeight || "string" === typeof input.maxHeight || "number" === typeof input.maxHeight || $report(_exceptionable, {
                    path: _path + ".maxHeight",
                    expected: "(number | string | undefined)",
                    value: input.maxHeight
                }), undefined === input.maxInlineSize || "string" === typeof input.maxInlineSize || "number" === typeof input.maxInlineSize || $report(_exceptionable, {
                    path: _path + ".maxInlineSize",
                    expected: "(number | string | undefined)",
                    value: input.maxInlineSize
                }), undefined === input.maxLines || "string" === typeof input.maxLines || "number" === typeof input.maxLines || $report(_exceptionable, {
                    path: _path + ".maxLines",
                    expected: "(number | string | undefined)",
                    value: input.maxLines
                }), undefined === input.maxWidth || "string" === typeof input.maxWidth || "number" === typeof input.maxWidth || $report(_exceptionable, {
                    path: _path + ".maxWidth",
                    expected: "(number | string | undefined)",
                    value: input.maxWidth
                }), undefined === input.minBlockSize || "string" === typeof input.minBlockSize || "number" === typeof input.minBlockSize || $report(_exceptionable, {
                    path: _path + ".minBlockSize",
                    expected: "(number | string | undefined)",
                    value: input.minBlockSize
                }), undefined === input.minHeight || "string" === typeof input.minHeight || "number" === typeof input.minHeight || $report(_exceptionable, {
                    path: _path + ".minHeight",
                    expected: "(number | string | undefined)",
                    value: input.minHeight
                }), undefined === input.minInlineSize || "string" === typeof input.minInlineSize || "number" === typeof input.minInlineSize || $report(_exceptionable, {
                    path: _path + ".minInlineSize",
                    expected: "(number | string | undefined)",
                    value: input.minInlineSize
                }), undefined === input.minWidth || "string" === typeof input.minWidth || "number" === typeof input.minWidth || $report(_exceptionable, {
                    path: _path + ".minWidth",
                    expected: "(number | string | undefined)",
                    value: input.minWidth
                }), undefined === input.mixBlendMode || "-moz-initial" === input.mixBlendMode || "inherit" === input.mixBlendMode || "initial" === input.mixBlendMode || "revert" === input.mixBlendMode || "revert-layer" === input.mixBlendMode || "unset" === input.mixBlendMode || "normal" === input.mixBlendMode || "color" === input.mixBlendMode || "color-burn" === input.mixBlendMode || "color-dodge" === input.mixBlendMode || "darken" === input.mixBlendMode || "difference" === input.mixBlendMode || "exclusion" === input.mixBlendMode || "hard-light" === input.mixBlendMode || "hue" === input.mixBlendMode || "lighten" === input.mixBlendMode || "luminosity" === input.mixBlendMode || "multiply" === input.mixBlendMode || "overlay" === input.mixBlendMode || "saturation" === input.mixBlendMode || "screen" === input.mixBlendMode || "soft-light" === input.mixBlendMode || "plus-lighter" === input.mixBlendMode || $report(_exceptionable, {
                    path: _path + ".mixBlendMode",
                    expected: "(\"-moz-initial\" | \"color\" | \"color-burn\" | \"color-dodge\" | \"darken\" | \"difference\" | \"exclusion\" | \"hard-light\" | \"hue\" | \"inherit\" | \"initial\" | \"lighten\" | \"luminosity\" | \"multiply\" | \"normal\" | \"overlay\" | \"plus-lighter\" | \"revert\" | \"revert-layer\" | \"saturation\" | \"screen\" | \"soft-light\" | \"unset\" | undefined)",
                    value: input.mixBlendMode
                }), undefined === input.motionDistance || "string" === typeof input.motionDistance || "number" === typeof input.motionDistance || $report(_exceptionable, {
                    path: _path + ".motionDistance",
                    expected: "(number | string | undefined)",
                    value: input.motionDistance
                }), undefined === input.motionPath || "string" === typeof input.motionPath || $report(_exceptionable, {
                    path: _path + ".motionPath",
                    expected: "(string | undefined)",
                    value: input.motionPath
                }), undefined === input.motionRotation || "string" === typeof input.motionRotation || $report(_exceptionable, {
                    path: _path + ".motionRotation",
                    expected: "(string | undefined)",
                    value: input.motionRotation
                }), undefined === input.objectFit || "-moz-initial" === input.objectFit || "inherit" === input.objectFit || "initial" === input.objectFit || "revert" === input.objectFit || "revert-layer" === input.objectFit || "unset" === input.objectFit || "none" === input.objectFit || "contain" === input.objectFit || "cover" === input.objectFit || "fill" === input.objectFit || "scale-down" === input.objectFit || $report(_exceptionable, {
                    path: _path + ".objectFit",
                    expected: "(\"-moz-initial\" | \"contain\" | \"cover\" | \"fill\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"scale-down\" | \"unset\" | undefined)",
                    value: input.objectFit
                }), undefined === input.objectPosition || "string" === typeof input.objectPosition || "number" === typeof input.objectPosition || $report(_exceptionable, {
                    path: _path + ".objectPosition",
                    expected: "(number | string | undefined)",
                    value: input.objectPosition
                }), undefined === input.offsetAnchor || "string" === typeof input.offsetAnchor || "number" === typeof input.offsetAnchor || $report(_exceptionable, {
                    path: _path + ".offsetAnchor",
                    expected: "(number | string | undefined)",
                    value: input.offsetAnchor
                }), undefined === input.offsetDistance || "string" === typeof input.offsetDistance || "number" === typeof input.offsetDistance || $report(_exceptionable, {
                    path: _path + ".offsetDistance",
                    expected: "(number | string | undefined)",
                    value: input.offsetDistance
                }), undefined === input.offsetPath || "string" === typeof input.offsetPath || $report(_exceptionable, {
                    path: _path + ".offsetPath",
                    expected: "(string | undefined)",
                    value: input.offsetPath
                }), undefined === input.offsetRotate || "string" === typeof input.offsetRotate || $report(_exceptionable, {
                    path: _path + ".offsetRotate",
                    expected: "(string | undefined)",
                    value: input.offsetRotate
                }), undefined === input.offsetRotation || "string" === typeof input.offsetRotation || $report(_exceptionable, {
                    path: _path + ".offsetRotation",
                    expected: "(string | undefined)",
                    value: input.offsetRotation
                }), undefined === input.opacity || "string" === typeof input.opacity || "number" === typeof input.opacity || $report(_exceptionable, {
                    path: _path + ".opacity",
                    expected: "(number | string | undefined)",
                    value: input.opacity
                }), undefined === input.order || "string" === typeof input.order || "number" === typeof input.order || $report(_exceptionable, {
                    path: _path + ".order",
                    expected: "(number | string | undefined)",
                    value: input.order
                }), undefined === input.orphans || "string" === typeof input.orphans || "number" === typeof input.orphans || $report(_exceptionable, {
                    path: _path + ".orphans",
                    expected: "(number | string | undefined)",
                    value: input.orphans
                }), undefined === input.outlineColor || "string" === typeof input.outlineColor || $report(_exceptionable, {
                    path: _path + ".outlineColor",
                    expected: "(string | undefined)",
                    value: input.outlineColor
                }), undefined === input.outlineOffset || "string" === typeof input.outlineOffset || "number" === typeof input.outlineOffset || $report(_exceptionable, {
                    path: _path + ".outlineOffset",
                    expected: "(number | string | undefined)",
                    value: input.outlineOffset
                }), undefined === input.outlineStyle || "string" === typeof input.outlineStyle || $report(_exceptionable, {
                    path: _path + ".outlineStyle",
                    expected: "(string | undefined)",
                    value: input.outlineStyle
                }), undefined === input.outlineWidth || "string" === typeof input.outlineWidth || "number" === typeof input.outlineWidth || $report(_exceptionable, {
                    path: _path + ".outlineWidth",
                    expected: "(number | string | undefined)",
                    value: input.outlineWidth
                }), undefined === input.overflowAnchor || "-moz-initial" === input.overflowAnchor || "inherit" === input.overflowAnchor || "initial" === input.overflowAnchor || "revert" === input.overflowAnchor || "revert-layer" === input.overflowAnchor || "unset" === input.overflowAnchor || "auto" === input.overflowAnchor || "none" === input.overflowAnchor || $report(_exceptionable, {
                    path: _path + ".overflowAnchor",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overflowAnchor
                }), undefined === input.overflowBlock || "-moz-initial" === input.overflowBlock || "inherit" === input.overflowBlock || "initial" === input.overflowBlock || "revert" === input.overflowBlock || "revert-layer" === input.overflowBlock || "unset" === input.overflowBlock || "auto" === input.overflowBlock || "hidden" === input.overflowBlock || "visible" === input.overflowBlock || "scroll" === input.overflowBlock || "clip" === input.overflowBlock || $report(_exceptionable, {
                    path: _path + ".overflowBlock",
                    expected: "(\"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.overflowBlock
                }), undefined === input.overflowClipBox || "-moz-initial" === input.overflowClipBox || "inherit" === input.overflowClipBox || "initial" === input.overflowClipBox || "revert" === input.overflowClipBox || "revert-layer" === input.overflowClipBox || "unset" === input.overflowClipBox || "content-box" === input.overflowClipBox || "padding-box" === input.overflowClipBox || $report(_exceptionable, {
                    path: _path + ".overflowClipBox",
                    expected: "(\"-moz-initial\" | \"content-box\" | \"inherit\" | \"initial\" | \"padding-box\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overflowClipBox
                }), undefined === input.overflowClipMargin || "string" === typeof input.overflowClipMargin || "number" === typeof input.overflowClipMargin || $report(_exceptionable, {
                    path: _path + ".overflowClipMargin",
                    expected: "(number | string | undefined)",
                    value: input.overflowClipMargin
                }), undefined === input.overflowInline || "-moz-initial" === input.overflowInline || "inherit" === input.overflowInline || "initial" === input.overflowInline || "revert" === input.overflowInline || "revert-layer" === input.overflowInline || "unset" === input.overflowInline || "auto" === input.overflowInline || "hidden" === input.overflowInline || "visible" === input.overflowInline || "scroll" === input.overflowInline || "clip" === input.overflowInline || $report(_exceptionable, {
                    path: _path + ".overflowInline",
                    expected: "(\"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.overflowInline
                }), undefined === input.overflowWrap || "-moz-initial" === input.overflowWrap || "inherit" === input.overflowWrap || "initial" === input.overflowWrap || "revert" === input.overflowWrap || "revert-layer" === input.overflowWrap || "unset" === input.overflowWrap || "normal" === input.overflowWrap || "anywhere" === input.overflowWrap || "break-word" === input.overflowWrap || $report(_exceptionable, {
                    path: _path + ".overflowWrap",
                    expected: "(\"-moz-initial\" | \"anywhere\" | \"break-word\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overflowWrap
                }), undefined === input.overflowX || "-moz-initial" === input.overflowX || "inherit" === input.overflowX || "initial" === input.overflowX || "revert" === input.overflowX || "revert-layer" === input.overflowX || "unset" === input.overflowX || "auto" === input.overflowX || "hidden" === input.overflowX || "visible" === input.overflowX || "scroll" === input.overflowX || "clip" === input.overflowX || "-moz-hidden-unscrollable" === input.overflowX || $report(_exceptionable, {
                    path: _path + ".overflowX",
                    expected: "(\"-moz-hidden-unscrollable\" | \"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.overflowX
                }), undefined === input.overflowY || "-moz-initial" === input.overflowY || "inherit" === input.overflowY || "initial" === input.overflowY || "revert" === input.overflowY || "revert-layer" === input.overflowY || "unset" === input.overflowY || "auto" === input.overflowY || "hidden" === input.overflowY || "visible" === input.overflowY || "scroll" === input.overflowY || "clip" === input.overflowY || "-moz-hidden-unscrollable" === input.overflowY || $report(_exceptionable, {
                    path: _path + ".overflowY",
                    expected: "(\"-moz-hidden-unscrollable\" | \"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.overflowY
                }), undefined === input.overscrollBehaviorBlock || "-moz-initial" === input.overscrollBehaviorBlock || "inherit" === input.overscrollBehaviorBlock || "initial" === input.overscrollBehaviorBlock || "revert" === input.overscrollBehaviorBlock || "revert-layer" === input.overscrollBehaviorBlock || "unset" === input.overscrollBehaviorBlock || "auto" === input.overscrollBehaviorBlock || "none" === input.overscrollBehaviorBlock || "contain" === input.overscrollBehaviorBlock || $report(_exceptionable, {
                    path: _path + ".overscrollBehaviorBlock",
                    expected: "(\"-moz-initial\" | \"auto\" | \"contain\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overscrollBehaviorBlock
                }), undefined === input.overscrollBehaviorInline || "-moz-initial" === input.overscrollBehaviorInline || "inherit" === input.overscrollBehaviorInline || "initial" === input.overscrollBehaviorInline || "revert" === input.overscrollBehaviorInline || "revert-layer" === input.overscrollBehaviorInline || "unset" === input.overscrollBehaviorInline || "auto" === input.overscrollBehaviorInline || "none" === input.overscrollBehaviorInline || "contain" === input.overscrollBehaviorInline || $report(_exceptionable, {
                    path: _path + ".overscrollBehaviorInline",
                    expected: "(\"-moz-initial\" | \"auto\" | \"contain\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overscrollBehaviorInline
                }), undefined === input.overscrollBehaviorX || "-moz-initial" === input.overscrollBehaviorX || "inherit" === input.overscrollBehaviorX || "initial" === input.overscrollBehaviorX || "revert" === input.overscrollBehaviorX || "revert-layer" === input.overscrollBehaviorX || "unset" === input.overscrollBehaviorX || "auto" === input.overscrollBehaviorX || "none" === input.overscrollBehaviorX || "contain" === input.overscrollBehaviorX || $report(_exceptionable, {
                    path: _path + ".overscrollBehaviorX",
                    expected: "(\"-moz-initial\" | \"auto\" | \"contain\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overscrollBehaviorX
                }), undefined === input.overscrollBehaviorY || "-moz-initial" === input.overscrollBehaviorY || "inherit" === input.overscrollBehaviorY || "initial" === input.overscrollBehaviorY || "revert" === input.overscrollBehaviorY || "revert-layer" === input.overscrollBehaviorY || "unset" === input.overscrollBehaviorY || "auto" === input.overscrollBehaviorY || "none" === input.overscrollBehaviorY || "contain" === input.overscrollBehaviorY || $report(_exceptionable, {
                    path: _path + ".overscrollBehaviorY",
                    expected: "(\"-moz-initial\" | \"auto\" | \"contain\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.overscrollBehaviorY
                }), undefined === input.paddingBlock || "string" === typeof input.paddingBlock || "number" === typeof input.paddingBlock || $report(_exceptionable, {
                    path: _path + ".paddingBlock",
                    expected: "(number | string | undefined)",
                    value: input.paddingBlock
                }), undefined === input.paddingBlockEnd || "string" === typeof input.paddingBlockEnd || "number" === typeof input.paddingBlockEnd || $report(_exceptionable, {
                    path: _path + ".paddingBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.paddingBlockEnd
                }), undefined === input.paddingBlockStart || "string" === typeof input.paddingBlockStart || "number" === typeof input.paddingBlockStart || $report(_exceptionable, {
                    path: _path + ".paddingBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.paddingBlockStart
                }), undefined === input.paddingBottom || "string" === typeof input.paddingBottom || "number" === typeof input.paddingBottom || $report(_exceptionable, {
                    path: _path + ".paddingBottom",
                    expected: "(number | string | undefined)",
                    value: input.paddingBottom
                }), undefined === input.paddingInline || "string" === typeof input.paddingInline || "number" === typeof input.paddingInline || $report(_exceptionable, {
                    path: _path + ".paddingInline",
                    expected: "(number | string | undefined)",
                    value: input.paddingInline
                }), undefined === input.paddingInlineEnd || "string" === typeof input.paddingInlineEnd || "number" === typeof input.paddingInlineEnd || $report(_exceptionable, {
                    path: _path + ".paddingInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.paddingInlineEnd
                }), undefined === input.paddingInlineStart || "string" === typeof input.paddingInlineStart || "number" === typeof input.paddingInlineStart || $report(_exceptionable, {
                    path: _path + ".paddingInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.paddingInlineStart
                }), undefined === input.paddingLeft || "string" === typeof input.paddingLeft || "number" === typeof input.paddingLeft || $report(_exceptionable, {
                    path: _path + ".paddingLeft",
                    expected: "(number | string | undefined)",
                    value: input.paddingLeft
                }), undefined === input.paddingRight || "string" === typeof input.paddingRight || "number" === typeof input.paddingRight || $report(_exceptionable, {
                    path: _path + ".paddingRight",
                    expected: "(number | string | undefined)",
                    value: input.paddingRight
                }), undefined === input.paddingTop || "string" === typeof input.paddingTop || "number" === typeof input.paddingTop || $report(_exceptionable, {
                    path: _path + ".paddingTop",
                    expected: "(number | string | undefined)",
                    value: input.paddingTop
                }), undefined === input.pageBreakAfter || "-moz-initial" === input.pageBreakAfter || "inherit" === input.pageBreakAfter || "initial" === input.pageBreakAfter || "revert" === input.pageBreakAfter || "revert-layer" === input.pageBreakAfter || "unset" === input.pageBreakAfter || "auto" === input.pageBreakAfter || "left" === input.pageBreakAfter || "right" === input.pageBreakAfter || "always" === input.pageBreakAfter || "avoid" === input.pageBreakAfter || "recto" === input.pageBreakAfter || "verso" === input.pageBreakAfter || $report(_exceptionable, {
                    path: _path + ".pageBreakAfter",
                    expected: "(\"-moz-initial\" | \"always\" | \"auto\" | \"avoid\" | \"inherit\" | \"initial\" | \"left\" | \"recto\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | \"verso\" | undefined)",
                    value: input.pageBreakAfter
                }), undefined === input.pageBreakBefore || "-moz-initial" === input.pageBreakBefore || "inherit" === input.pageBreakBefore || "initial" === input.pageBreakBefore || "revert" === input.pageBreakBefore || "revert-layer" === input.pageBreakBefore || "unset" === input.pageBreakBefore || "auto" === input.pageBreakBefore || "left" === input.pageBreakBefore || "right" === input.pageBreakBefore || "always" === input.pageBreakBefore || "avoid" === input.pageBreakBefore || "recto" === input.pageBreakBefore || "verso" === input.pageBreakBefore || $report(_exceptionable, {
                    path: _path + ".pageBreakBefore",
                    expected: "(\"-moz-initial\" | \"always\" | \"auto\" | \"avoid\" | \"inherit\" | \"initial\" | \"left\" | \"recto\" | \"revert\" | \"revert-layer\" | \"right\" | \"unset\" | \"verso\" | undefined)",
                    value: input.pageBreakBefore
                }), undefined === input.pageBreakInside || "-moz-initial" === input.pageBreakInside || "inherit" === input.pageBreakInside || "initial" === input.pageBreakInside || "revert" === input.pageBreakInside || "revert-layer" === input.pageBreakInside || "unset" === input.pageBreakInside || "auto" === input.pageBreakInside || "avoid" === input.pageBreakInside || $report(_exceptionable, {
                    path: _path + ".pageBreakInside",
                    expected: "(\"-moz-initial\" | \"auto\" | \"avoid\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.pageBreakInside
                }), undefined === input.paintOrder || "string" === typeof input.paintOrder || $report(_exceptionable, {
                    path: _path + ".paintOrder",
                    expected: "(string | undefined)",
                    value: input.paintOrder
                }), undefined === input.perspective || "string" === typeof input.perspective || "number" === typeof input.perspective || $report(_exceptionable, {
                    path: _path + ".perspective",
                    expected: "(number | string | undefined)",
                    value: input.perspective
                }), undefined === input.perspectiveOrigin || "string" === typeof input.perspectiveOrigin || "number" === typeof input.perspectiveOrigin || $report(_exceptionable, {
                    path: _path + ".perspectiveOrigin",
                    expected: "(number | string | undefined)",
                    value: input.perspectiveOrigin
                }), undefined === input.placeContent || "string" === typeof input.placeContent || $report(_exceptionable, {
                    path: _path + ".placeContent",
                    expected: "(string | undefined)",
                    value: input.placeContent
                }), undefined === input.pointerEvents || "all" === input.pointerEvents || "-moz-initial" === input.pointerEvents || "inherit" === input.pointerEvents || "initial" === input.pointerEvents || "revert" === input.pointerEvents || "revert-layer" === input.pointerEvents || "unset" === input.pointerEvents || "auto" === input.pointerEvents || "none" === input.pointerEvents || "visible" === input.pointerEvents || "fill" === input.pointerEvents || "stroke" === input.pointerEvents || "painted" === input.pointerEvents || "visibleFill" === input.pointerEvents || "visiblePainted" === input.pointerEvents || "visibleStroke" === input.pointerEvents || $report(_exceptionable, {
                    path: _path + ".pointerEvents",
                    expected: "(\"-moz-initial\" | \"all\" | \"auto\" | \"fill\" | \"inherit\" | \"initial\" | \"none\" | \"painted\" | \"revert\" | \"revert-layer\" | \"stroke\" | \"unset\" | \"visible\" | \"visibleFill\" | \"visiblePainted\" | \"visibleStroke\" | undefined)",
                    value: input.pointerEvents
                }), undefined === input.position || "-moz-initial" === input.position || "inherit" === input.position || "initial" === input.position || "revert" === input.position || "revert-layer" === input.position || "unset" === input.position || "fixed" === input.position || "-webkit-sticky" === input.position || "absolute" === input.position || "relative" === input.position || "static" === input.position || "sticky" === input.position || $report(_exceptionable, {
                    path: _path + ".position",
                    expected: "(\"-moz-initial\" | \"-webkit-sticky\" | \"absolute\" | \"fixed\" | \"inherit\" | \"initial\" | \"relative\" | \"revert\" | \"revert-layer\" | \"static\" | \"sticky\" | \"unset\" | undefined)",
                    value: input.position
                }), undefined === input.printColorAdjust || "-moz-initial" === input.printColorAdjust || "inherit" === input.printColorAdjust || "initial" === input.printColorAdjust || "revert" === input.printColorAdjust || "revert-layer" === input.printColorAdjust || "unset" === input.printColorAdjust || "economy" === input.printColorAdjust || "exact" === input.printColorAdjust || $report(_exceptionable, {
                    path: _path + ".printColorAdjust",
                    expected: "(\"-moz-initial\" | \"economy\" | \"exact\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.printColorAdjust
                }), undefined === input.quotes || "string" === typeof input.quotes || $report(_exceptionable, {
                    path: _path + ".quotes",
                    expected: "(string | undefined)",
                    value: input.quotes
                }), undefined === input.resize || "-moz-initial" === input.resize || "inherit" === input.resize || "initial" === input.resize || "revert" === input.resize || "revert-layer" === input.resize || "unset" === input.resize || "both" === input.resize || "none" === input.resize || "block" === input.resize || "inline" === input.resize || "horizontal" === input.resize || "vertical" === input.resize || $report(_exceptionable, {
                    path: _path + ".resize",
                    expected: "(\"-moz-initial\" | \"block\" | \"both\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.resize
                }), undefined === input.right || "string" === typeof input.right || "number" === typeof input.right || $report(_exceptionable, {
                    path: _path + ".right",
                    expected: "(number | string | undefined)",
                    value: input.right
                }), undefined === input.rotate || "string" === typeof input.rotate || $report(_exceptionable, {
                    path: _path + ".rotate",
                    expected: "(string | undefined)",
                    value: input.rotate
                }), undefined === input.rowGap || "string" === typeof input.rowGap || "number" === typeof input.rowGap || $report(_exceptionable, {
                    path: _path + ".rowGap",
                    expected: "(number | string | undefined)",
                    value: input.rowGap
                }), undefined === input.rubyAlign || "-moz-initial" === input.rubyAlign || "inherit" === input.rubyAlign || "initial" === input.rubyAlign || "revert" === input.rubyAlign || "revert-layer" === input.rubyAlign || "unset" === input.rubyAlign || "space-around" === input.rubyAlign || "space-between" === input.rubyAlign || "center" === input.rubyAlign || "start" === input.rubyAlign || $report(_exceptionable, {
                    path: _path + ".rubyAlign",
                    expected: "(\"-moz-initial\" | \"center\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"space-around\" | \"space-between\" | \"start\" | \"unset\" | undefined)",
                    value: input.rubyAlign
                }), undefined === input.rubyMerge || "-moz-initial" === input.rubyMerge || "inherit" === input.rubyMerge || "initial" === input.rubyMerge || "revert" === input.rubyMerge || "revert-layer" === input.rubyMerge || "unset" === input.rubyMerge || "auto" === input.rubyMerge || "collapse" === input.rubyMerge || "separate" === input.rubyMerge || $report(_exceptionable, {
                    path: _path + ".rubyMerge",
                    expected: "(\"-moz-initial\" | \"auto\" | \"collapse\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"separate\" | \"unset\" | undefined)",
                    value: input.rubyMerge
                }), undefined === input.rubyPosition || "string" === typeof input.rubyPosition || $report(_exceptionable, {
                    path: _path + ".rubyPosition",
                    expected: "(string | undefined)",
                    value: input.rubyPosition
                }), undefined === input.scale || "string" === typeof input.scale || "number" === typeof input.scale || $report(_exceptionable, {
                    path: _path + ".scale",
                    expected: "(number | string | undefined)",
                    value: input.scale
                }), undefined === input.scrollBehavior || "-moz-initial" === input.scrollBehavior || "inherit" === input.scrollBehavior || "initial" === input.scrollBehavior || "revert" === input.scrollBehavior || "revert-layer" === input.scrollBehavior || "unset" === input.scrollBehavior || "auto" === input.scrollBehavior || "smooth" === input.scrollBehavior || $report(_exceptionable, {
                    path: _path + ".scrollBehavior",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"smooth\" | \"unset\" | undefined)",
                    value: input.scrollBehavior
                }), undefined === input.scrollMargin || "string" === typeof input.scrollMargin || "number" === typeof input.scrollMargin || $report(_exceptionable, {
                    path: _path + ".scrollMargin",
                    expected: "(number | string | undefined)",
                    value: input.scrollMargin
                }), undefined === input.scrollMarginBlock || "string" === typeof input.scrollMarginBlock || "number" === typeof input.scrollMarginBlock || $report(_exceptionable, {
                    path: _path + ".scrollMarginBlock",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginBlock
                }), undefined === input.scrollMarginBlockEnd || "string" === typeof input.scrollMarginBlockEnd || "number" === typeof input.scrollMarginBlockEnd || $report(_exceptionable, {
                    path: _path + ".scrollMarginBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginBlockEnd
                }), undefined === input.scrollMarginBlockStart || "string" === typeof input.scrollMarginBlockStart || "number" === typeof input.scrollMarginBlockStart || $report(_exceptionable, {
                    path: _path + ".scrollMarginBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginBlockStart
                }), undefined === input.scrollMarginBottom || "string" === typeof input.scrollMarginBottom || "number" === typeof input.scrollMarginBottom || $report(_exceptionable, {
                    path: _path + ".scrollMarginBottom",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginBottom
                }), undefined === input.scrollMarginInline || "string" === typeof input.scrollMarginInline || "number" === typeof input.scrollMarginInline || $report(_exceptionable, {
                    path: _path + ".scrollMarginInline",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginInline
                }), undefined === input.scrollMarginInlineEnd || "string" === typeof input.scrollMarginInlineEnd || "number" === typeof input.scrollMarginInlineEnd || $report(_exceptionable, {
                    path: _path + ".scrollMarginInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginInlineEnd
                }), undefined === input.scrollMarginInlineStart || "string" === typeof input.scrollMarginInlineStart || "number" === typeof input.scrollMarginInlineStart || $report(_exceptionable, {
                    path: _path + ".scrollMarginInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginInlineStart
                }), undefined === input.scrollMarginLeft || "string" === typeof input.scrollMarginLeft || "number" === typeof input.scrollMarginLeft || $report(_exceptionable, {
                    path: _path + ".scrollMarginLeft",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginLeft
                }), undefined === input.scrollMarginRight || "string" === typeof input.scrollMarginRight || "number" === typeof input.scrollMarginRight || $report(_exceptionable, {
                    path: _path + ".scrollMarginRight",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginRight
                }), undefined === input.scrollMarginTop || "string" === typeof input.scrollMarginTop || "number" === typeof input.scrollMarginTop || $report(_exceptionable, {
                    path: _path + ".scrollMarginTop",
                    expected: "(number | string | undefined)",
                    value: input.scrollMarginTop
                }), undefined === input.scrollPadding || "string" === typeof input.scrollPadding || "number" === typeof input.scrollPadding || $report(_exceptionable, {
                    path: _path + ".scrollPadding",
                    expected: "(number | string | undefined)",
                    value: input.scrollPadding
                }), undefined === input.scrollPaddingBlock || "string" === typeof input.scrollPaddingBlock || "number" === typeof input.scrollPaddingBlock || $report(_exceptionable, {
                    path: _path + ".scrollPaddingBlock",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingBlock
                }), undefined === input.scrollPaddingBlockEnd || "string" === typeof input.scrollPaddingBlockEnd || "number" === typeof input.scrollPaddingBlockEnd || $report(_exceptionable, {
                    path: _path + ".scrollPaddingBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingBlockEnd
                }), undefined === input.scrollPaddingBlockStart || "string" === typeof input.scrollPaddingBlockStart || "number" === typeof input.scrollPaddingBlockStart || $report(_exceptionable, {
                    path: _path + ".scrollPaddingBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingBlockStart
                }), undefined === input.scrollPaddingBottom || "string" === typeof input.scrollPaddingBottom || "number" === typeof input.scrollPaddingBottom || $report(_exceptionable, {
                    path: _path + ".scrollPaddingBottom",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingBottom
                }), undefined === input.scrollPaddingInline || "string" === typeof input.scrollPaddingInline || "number" === typeof input.scrollPaddingInline || $report(_exceptionable, {
                    path: _path + ".scrollPaddingInline",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingInline
                }), undefined === input.scrollPaddingInlineEnd || "string" === typeof input.scrollPaddingInlineEnd || "number" === typeof input.scrollPaddingInlineEnd || $report(_exceptionable, {
                    path: _path + ".scrollPaddingInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingInlineEnd
                }), undefined === input.scrollPaddingInlineStart || "string" === typeof input.scrollPaddingInlineStart || "number" === typeof input.scrollPaddingInlineStart || $report(_exceptionable, {
                    path: _path + ".scrollPaddingInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingInlineStart
                }), undefined === input.scrollPaddingLeft || "string" === typeof input.scrollPaddingLeft || "number" === typeof input.scrollPaddingLeft || $report(_exceptionable, {
                    path: _path + ".scrollPaddingLeft",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingLeft
                }), undefined === input.scrollPaddingRight || "string" === typeof input.scrollPaddingRight || "number" === typeof input.scrollPaddingRight || $report(_exceptionable, {
                    path: _path + ".scrollPaddingRight",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingRight
                }), undefined === input.scrollPaddingTop || "string" === typeof input.scrollPaddingTop || "number" === typeof input.scrollPaddingTop || $report(_exceptionable, {
                    path: _path + ".scrollPaddingTop",
                    expected: "(number | string | undefined)",
                    value: input.scrollPaddingTop
                }), undefined === input.scrollSnapAlign || "string" === typeof input.scrollSnapAlign || $report(_exceptionable, {
                    path: _path + ".scrollSnapAlign",
                    expected: "(string | undefined)",
                    value: input.scrollSnapAlign
                }), undefined === input.scrollSnapMargin || "string" === typeof input.scrollSnapMargin || "number" === typeof input.scrollSnapMargin || $report(_exceptionable, {
                    path: _path + ".scrollSnapMargin",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapMargin
                }), undefined === input.scrollSnapMarginBottom || "string" === typeof input.scrollSnapMarginBottom || "number" === typeof input.scrollSnapMarginBottom || $report(_exceptionable, {
                    path: _path + ".scrollSnapMarginBottom",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapMarginBottom
                }), undefined === input.scrollSnapMarginLeft || "string" === typeof input.scrollSnapMarginLeft || "number" === typeof input.scrollSnapMarginLeft || $report(_exceptionable, {
                    path: _path + ".scrollSnapMarginLeft",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapMarginLeft
                }), undefined === input.scrollSnapMarginRight || "string" === typeof input.scrollSnapMarginRight || "number" === typeof input.scrollSnapMarginRight || $report(_exceptionable, {
                    path: _path + ".scrollSnapMarginRight",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapMarginRight
                }), undefined === input.scrollSnapMarginTop || "string" === typeof input.scrollSnapMarginTop || "number" === typeof input.scrollSnapMarginTop || $report(_exceptionable, {
                    path: _path + ".scrollSnapMarginTop",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapMarginTop
                }), undefined === input.scrollSnapStop || "-moz-initial" === input.scrollSnapStop || "inherit" === input.scrollSnapStop || "initial" === input.scrollSnapStop || "revert" === input.scrollSnapStop || "revert-layer" === input.scrollSnapStop || "unset" === input.scrollSnapStop || "normal" === input.scrollSnapStop || "always" === input.scrollSnapStop || $report(_exceptionable, {
                    path: _path + ".scrollSnapStop",
                    expected: "(\"-moz-initial\" | \"always\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.scrollSnapStop
                }), undefined === input.scrollSnapType || "string" === typeof input.scrollSnapType || $report(_exceptionable, {
                    path: _path + ".scrollSnapType",
                    expected: "(string | undefined)",
                    value: input.scrollSnapType
                }), undefined === input.scrollbarColor || "string" === typeof input.scrollbarColor || $report(_exceptionable, {
                    path: _path + ".scrollbarColor",
                    expected: "(string | undefined)",
                    value: input.scrollbarColor
                }), undefined === input.scrollbarGutter || "string" === typeof input.scrollbarGutter || $report(_exceptionable, {
                    path: _path + ".scrollbarGutter",
                    expected: "(string | undefined)",
                    value: input.scrollbarGutter
                }), undefined === input.scrollbarWidth || "-moz-initial" === input.scrollbarWidth || "inherit" === input.scrollbarWidth || "initial" === input.scrollbarWidth || "revert" === input.scrollbarWidth || "revert-layer" === input.scrollbarWidth || "unset" === input.scrollbarWidth || "auto" === input.scrollbarWidth || "none" === input.scrollbarWidth || "thin" === input.scrollbarWidth || $report(_exceptionable, {
                    path: _path + ".scrollbarWidth",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"thin\" | \"unset\" | undefined)",
                    value: input.scrollbarWidth
                }), undefined === input.shapeImageThreshold || "string" === typeof input.shapeImageThreshold || "number" === typeof input.shapeImageThreshold || $report(_exceptionable, {
                    path: _path + ".shapeImageThreshold",
                    expected: "(number | string | undefined)",
                    value: input.shapeImageThreshold
                }), undefined === input.shapeMargin || "string" === typeof input.shapeMargin || "number" === typeof input.shapeMargin || $report(_exceptionable, {
                    path: _path + ".shapeMargin",
                    expected: "(number | string | undefined)",
                    value: input.shapeMargin
                }), undefined === input.shapeOutside || "string" === typeof input.shapeOutside || $report(_exceptionable, {
                    path: _path + ".shapeOutside",
                    expected: "(string | undefined)",
                    value: input.shapeOutside
                }), undefined === input.tabSize || "string" === typeof input.tabSize || "number" === typeof input.tabSize || $report(_exceptionable, {
                    path: _path + ".tabSize",
                    expected: "(number | string | undefined)",
                    value: input.tabSize
                }), undefined === input.tableLayout || "-moz-initial" === input.tableLayout || "inherit" === input.tableLayout || "initial" === input.tableLayout || "revert" === input.tableLayout || "revert-layer" === input.tableLayout || "unset" === input.tableLayout || "auto" === input.tableLayout || "fixed" === input.tableLayout || $report(_exceptionable, {
                    path: _path + ".tableLayout",
                    expected: "(\"-moz-initial\" | \"auto\" | \"fixed\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.tableLayout
                }), undefined === input.textAlign || "-moz-initial" === input.textAlign || "inherit" === input.textAlign || "initial" === input.textAlign || "revert" === input.textAlign || "revert-layer" === input.textAlign || "unset" === input.textAlign || "center" === input.textAlign || "end" === input.textAlign || "start" === input.textAlign || "left" === input.textAlign || "right" === input.textAlign || "justify" === input.textAlign || "match-parent" === input.textAlign || $report(_exceptionable, {
                    path: _path + ".textAlign",
                    expected: "(\"-moz-initial\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"left\" | \"match-parent\" | \"revert\" | \"revert-layer\" | \"right\" | \"start\" | \"unset\" | undefined)",
                    value: input.textAlign
                }), undefined === input.textAlignLast || "-moz-initial" === input.textAlignLast || "inherit" === input.textAlignLast || "initial" === input.textAlignLast || "revert" === input.textAlignLast || "revert-layer" === input.textAlignLast || "unset" === input.textAlignLast || "auto" === input.textAlignLast || "center" === input.textAlignLast || "end" === input.textAlignLast || "start" === input.textAlignLast || "left" === input.textAlignLast || "right" === input.textAlignLast || "justify" === input.textAlignLast || $report(_exceptionable, {
                    path: _path + ".textAlignLast",
                    expected: "(\"-moz-initial\" | \"auto\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"left\" | \"revert\" | \"revert-layer\" | \"right\" | \"start\" | \"unset\" | undefined)",
                    value: input.textAlignLast
                }), undefined === input.textCombineUpright || "string" === typeof input.textCombineUpright || $report(_exceptionable, {
                    path: _path + ".textCombineUpright",
                    expected: "(string | undefined)",
                    value: input.textCombineUpright
                }), undefined === input.textDecorationColor || "string" === typeof input.textDecorationColor || $report(_exceptionable, {
                    path: _path + ".textDecorationColor",
                    expected: "(string | undefined)",
                    value: input.textDecorationColor
                }), undefined === input.textDecorationLine || "string" === typeof input.textDecorationLine || $report(_exceptionable, {
                    path: _path + ".textDecorationLine",
                    expected: "(string | undefined)",
                    value: input.textDecorationLine
                }), undefined === input.textDecorationSkip || "string" === typeof input.textDecorationSkip || $report(_exceptionable, {
                    path: _path + ".textDecorationSkip",
                    expected: "(string | undefined)",
                    value: input.textDecorationSkip
                }), undefined === input.textDecorationSkipInk || "all" === input.textDecorationSkipInk || "-moz-initial" === input.textDecorationSkipInk || "inherit" === input.textDecorationSkipInk || "initial" === input.textDecorationSkipInk || "revert" === input.textDecorationSkipInk || "revert-layer" === input.textDecorationSkipInk || "unset" === input.textDecorationSkipInk || "auto" === input.textDecorationSkipInk || "none" === input.textDecorationSkipInk || $report(_exceptionable, {
                    path: _path + ".textDecorationSkipInk",
                    expected: "(\"-moz-initial\" | \"all\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.textDecorationSkipInk
                }), undefined === input.textDecorationStyle || "-moz-initial" === input.textDecorationStyle || "inherit" === input.textDecorationStyle || "initial" === input.textDecorationStyle || "revert" === input.textDecorationStyle || "revert-layer" === input.textDecorationStyle || "unset" === input.textDecorationStyle || "dashed" === input.textDecorationStyle || "dotted" === input.textDecorationStyle || "double" === input.textDecorationStyle || "solid" === input.textDecorationStyle || "wavy" === input.textDecorationStyle || $report(_exceptionable, {
                    path: _path + ".textDecorationStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"solid\" | \"unset\" | \"wavy\" | undefined)",
                    value: input.textDecorationStyle
                }), undefined === input.textDecorationThickness || "string" === typeof input.textDecorationThickness || "number" === typeof input.textDecorationThickness || $report(_exceptionable, {
                    path: _path + ".textDecorationThickness",
                    expected: "(number | string | undefined)",
                    value: input.textDecorationThickness
                }), undefined === input.textDecorationWidth || "string" === typeof input.textDecorationWidth || "number" === typeof input.textDecorationWidth || $report(_exceptionable, {
                    path: _path + ".textDecorationWidth",
                    expected: "(number | string | undefined)",
                    value: input.textDecorationWidth
                }), undefined === input.textEmphasisColor || "string" === typeof input.textEmphasisColor || $report(_exceptionable, {
                    path: _path + ".textEmphasisColor",
                    expected: "(string | undefined)",
                    value: input.textEmphasisColor
                }), undefined === input.textEmphasisPosition || "string" === typeof input.textEmphasisPosition || $report(_exceptionable, {
                    path: _path + ".textEmphasisPosition",
                    expected: "(string | undefined)",
                    value: input.textEmphasisPosition
                }), undefined === input.textEmphasisStyle || "string" === typeof input.textEmphasisStyle || $report(_exceptionable, {
                    path: _path + ".textEmphasisStyle",
                    expected: "(string | undefined)",
                    value: input.textEmphasisStyle
                }), undefined === input.textIndent || "string" === typeof input.textIndent || "number" === typeof input.textIndent || $report(_exceptionable, {
                    path: _path + ".textIndent",
                    expected: "(number | string | undefined)",
                    value: input.textIndent
                }), undefined === input.textJustify || "-moz-initial" === input.textJustify || "inherit" === input.textJustify || "initial" === input.textJustify || "revert" === input.textJustify || "revert-layer" === input.textJustify || "unset" === input.textJustify || "auto" === input.textJustify || "none" === input.textJustify || "inter-character" === input.textJustify || "inter-word" === input.textJustify || $report(_exceptionable, {
                    path: _path + ".textJustify",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"inter-character\" | \"inter-word\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.textJustify
                }), undefined === input.textOrientation || "-moz-initial" === input.textOrientation || "inherit" === input.textOrientation || "initial" === input.textOrientation || "revert" === input.textOrientation || "revert-layer" === input.textOrientation || "unset" === input.textOrientation || "mixed" === input.textOrientation || "sideways" === input.textOrientation || "upright" === input.textOrientation || $report(_exceptionable, {
                    path: _path + ".textOrientation",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mixed\" | \"revert\" | \"revert-layer\" | \"sideways\" | \"unset\" | \"upright\" | undefined)",
                    value: input.textOrientation
                }), undefined === input.textOverflow || "string" === typeof input.textOverflow || $report(_exceptionable, {
                    path: _path + ".textOverflow",
                    expected: "(string | undefined)",
                    value: input.textOverflow
                }), undefined === input.textRendering || "-moz-initial" === input.textRendering || "inherit" === input.textRendering || "initial" === input.textRendering || "revert" === input.textRendering || "revert-layer" === input.textRendering || "unset" === input.textRendering || "auto" === input.textRendering || "geometricPrecision" === input.textRendering || "optimizeLegibility" === input.textRendering || "optimizeSpeed" === input.textRendering || $report(_exceptionable, {
                    path: _path + ".textRendering",
                    expected: "(\"-moz-initial\" | \"auto\" | \"geometricPrecision\" | \"inherit\" | \"initial\" | \"optimizeLegibility\" | \"optimizeSpeed\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.textRendering
                }), undefined === input.textShadow || "string" === typeof input.textShadow || $report(_exceptionable, {
                    path: _path + ".textShadow",
                    expected: "(string | undefined)",
                    value: input.textShadow
                }), undefined === input.textSizeAdjust || "string" === typeof input.textSizeAdjust || $report(_exceptionable, {
                    path: _path + ".textSizeAdjust",
                    expected: "(string | undefined)",
                    value: input.textSizeAdjust
                }), undefined === input.textTransform || "-moz-initial" === input.textTransform || "inherit" === input.textTransform || "initial" === input.textTransform || "revert" === input.textTransform || "revert-layer" === input.textTransform || "unset" === input.textTransform || "none" === input.textTransform || "full-width" === input.textTransform || "capitalize" === input.textTransform || "full-size-kana" === input.textTransform || "lowercase" === input.textTransform || "uppercase" === input.textTransform || $report(_exceptionable, {
                    path: _path + ".textTransform",
                    expected: "(\"-moz-initial\" | \"capitalize\" | \"full-size-kana\" | \"full-width\" | \"inherit\" | \"initial\" | \"lowercase\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | \"uppercase\" | undefined)",
                    value: input.textTransform
                }), undefined === input.textUnderlineOffset || "string" === typeof input.textUnderlineOffset || "number" === typeof input.textUnderlineOffset || $report(_exceptionable, {
                    path: _path + ".textUnderlineOffset",
                    expected: "(number | string | undefined)",
                    value: input.textUnderlineOffset
                }), undefined === input.textUnderlinePosition || "string" === typeof input.textUnderlinePosition || $report(_exceptionable, {
                    path: _path + ".textUnderlinePosition",
                    expected: "(string | undefined)",
                    value: input.textUnderlinePosition
                }), undefined === input.top || "string" === typeof input.top || "number" === typeof input.top || $report(_exceptionable, {
                    path: _path + ".top",
                    expected: "(number | string | undefined)",
                    value: input.top
                }), undefined === input.touchAction || "string" === typeof input.touchAction || $report(_exceptionable, {
                    path: _path + ".touchAction",
                    expected: "(string | undefined)",
                    value: input.touchAction
                }), undefined === input.transform || "string" === typeof input.transform || $report(_exceptionable, {
                    path: _path + ".transform",
                    expected: "(string | undefined)",
                    value: input.transform
                }), undefined === input.transformBox || "-moz-initial" === input.transformBox || "inherit" === input.transformBox || "initial" === input.transformBox || "revert" === input.transformBox || "revert-layer" === input.transformBox || "unset" === input.transformBox || "border-box" === input.transformBox || "content-box" === input.transformBox || "fill-box" === input.transformBox || "stroke-box" === input.transformBox || "view-box" === input.transformBox || $report(_exceptionable, {
                    path: _path + ".transformBox",
                    expected: "(\"-moz-initial\" | \"border-box\" | \"content-box\" | \"fill-box\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"stroke-box\" | \"unset\" | \"view-box\" | undefined)",
                    value: input.transformBox
                }), undefined === input.transformOrigin || "string" === typeof input.transformOrigin || "number" === typeof input.transformOrigin || $report(_exceptionable, {
                    path: _path + ".transformOrigin",
                    expected: "(number | string | undefined)",
                    value: input.transformOrigin
                }), undefined === input.transformStyle || "-moz-initial" === input.transformStyle || "inherit" === input.transformStyle || "initial" === input.transformStyle || "revert" === input.transformStyle || "revert-layer" === input.transformStyle || "unset" === input.transformStyle || "flat" === input.transformStyle || "preserve-3d" === input.transformStyle || $report(_exceptionable, {
                    path: _path + ".transformStyle",
                    expected: "(\"-moz-initial\" | \"flat\" | \"inherit\" | \"initial\" | \"preserve-3d\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.transformStyle
                }), undefined === input.transitionDelay || "string" === typeof input.transitionDelay || $report(_exceptionable, {
                    path: _path + ".transitionDelay",
                    expected: "(string | undefined)",
                    value: input.transitionDelay
                }), undefined === input.transitionDuration || "string" === typeof input.transitionDuration || $report(_exceptionable, {
                    path: _path + ".transitionDuration",
                    expected: "(string | undefined)",
                    value: input.transitionDuration
                }), undefined === input.transitionProperty || "string" === typeof input.transitionProperty || $report(_exceptionable, {
                    path: _path + ".transitionProperty",
                    expected: "(string | undefined)",
                    value: input.transitionProperty
                }), undefined === input.transitionTimingFunction || "string" === typeof input.transitionTimingFunction || $report(_exceptionable, {
                    path: _path + ".transitionTimingFunction",
                    expected: "(string | undefined)",
                    value: input.transitionTimingFunction
                }), undefined === input.translate || "string" === typeof input.translate || "number" === typeof input.translate || $report(_exceptionable, {
                    path: _path + ".translate",
                    expected: "(number | string | undefined)",
                    value: input.translate
                }), undefined === input.unicodeBidi || "-moz-initial" === input.unicodeBidi || "inherit" === input.unicodeBidi || "initial" === input.unicodeBidi || "revert" === input.unicodeBidi || "revert-layer" === input.unicodeBidi || "unset" === input.unicodeBidi || "normal" === input.unicodeBidi || "isolate" === input.unicodeBidi || "-moz-isolate" === input.unicodeBidi || "-moz-isolate-override" === input.unicodeBidi || "-moz-plaintext" === input.unicodeBidi || "-webkit-isolate" === input.unicodeBidi || "-webkit-isolate-override" === input.unicodeBidi || "-webkit-plaintext" === input.unicodeBidi || "bidi-override" === input.unicodeBidi || "embed" === input.unicodeBidi || "isolate-override" === input.unicodeBidi || "plaintext" === input.unicodeBidi || $report(_exceptionable, {
                    path: _path + ".unicodeBidi",
                    expected: "(\"-moz-initial\" | \"-moz-isolate\" | \"-moz-isolate-override\" | \"-moz-plaintext\" | \"-webkit-isolate\" | \"-webkit-isolate-override\" | \"-webkit-plaintext\" | \"bidi-override\" | \"embed\" | \"inherit\" | \"initial\" | \"isolate\" | \"isolate-override\" | \"normal\" | \"plaintext\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.unicodeBidi
                }), undefined === input.userSelect || "all" === input.userSelect || "-moz-initial" === input.userSelect || "inherit" === input.userSelect || "initial" === input.userSelect || "revert" === input.userSelect || "revert-layer" === input.userSelect || "unset" === input.userSelect || "auto" === input.userSelect || "none" === input.userSelect || "contain" === input.userSelect || "text" === input.userSelect || "-moz-none" === input.userSelect || "element" === input.userSelect || $report(_exceptionable, {
                    path: _path + ".userSelect",
                    expected: "(\"-moz-initial\" | \"-moz-none\" | \"all\" | \"auto\" | \"contain\" | \"element\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"text\" | \"unset\" | undefined)",
                    value: input.userSelect
                }), undefined === input.verticalAlign || "string" === typeof input.verticalAlign || "number" === typeof input.verticalAlign || $report(_exceptionable, {
                    path: _path + ".verticalAlign",
                    expected: "(number | string | undefined)",
                    value: input.verticalAlign
                }), undefined === input.visibility || "-moz-initial" === input.visibility || "inherit" === input.visibility || "initial" === input.visibility || "revert" === input.visibility || "revert-layer" === input.visibility || "unset" === input.visibility || "hidden" === input.visibility || "visible" === input.visibility || "collapse" === input.visibility || $report(_exceptionable, {
                    path: _path + ".visibility",
                    expected: "(\"-moz-initial\" | \"collapse\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | \"visible\" | undefined)",
                    value: input.visibility
                }), undefined === input.whiteSpace || "-moz-initial" === input.whiteSpace || "inherit" === input.whiteSpace || "initial" === input.whiteSpace || "revert" === input.whiteSpace || "revert-layer" === input.whiteSpace || "unset" === input.whiteSpace || "normal" === input.whiteSpace || "nowrap" === input.whiteSpace || "-moz-pre-wrap" === input.whiteSpace || "break-spaces" === input.whiteSpace || "pre" === input.whiteSpace || "pre-line" === input.whiteSpace || "pre-wrap" === input.whiteSpace || $report(_exceptionable, {
                    path: _path + ".whiteSpace",
                    expected: "(\"-moz-initial\" | \"-moz-pre-wrap\" | \"break-spaces\" | \"inherit\" | \"initial\" | \"normal\" | \"nowrap\" | \"pre\" | \"pre-line\" | \"pre-wrap\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.whiteSpace
                }), undefined === input.widows || "string" === typeof input.widows || "number" === typeof input.widows || $report(_exceptionable, {
                    path: _path + ".widows",
                    expected: "(number | string | undefined)",
                    value: input.widows
                }), undefined === input.width || "string" === typeof input.width || "number" === typeof input.width || $report(_exceptionable, {
                    path: _path + ".width",
                    expected: "(number | string | undefined)",
                    value: input.width
                }), undefined === input.willChange || "string" === typeof input.willChange || $report(_exceptionable, {
                    path: _path + ".willChange",
                    expected: "(string | undefined)",
                    value: input.willChange
                }), undefined === input.wordBreak || "-moz-initial" === input.wordBreak || "inherit" === input.wordBreak || "initial" === input.wordBreak || "revert" === input.wordBreak || "revert-layer" === input.wordBreak || "unset" === input.wordBreak || "normal" === input.wordBreak || "break-word" === input.wordBreak || "break-all" === input.wordBreak || "keep-all" === input.wordBreak || $report(_exceptionable, {
                    path: _path + ".wordBreak",
                    expected: "(\"-moz-initial\" | \"break-all\" | \"break-word\" | \"inherit\" | \"initial\" | \"keep-all\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.wordBreak
                }), undefined === input.wordSpacing || "string" === typeof input.wordSpacing || "number" === typeof input.wordSpacing || $report(_exceptionable, {
                    path: _path + ".wordSpacing",
                    expected: "(number | string | undefined)",
                    value: input.wordSpacing
                }), undefined === input.wordWrap || "-moz-initial" === input.wordWrap || "inherit" === input.wordWrap || "initial" === input.wordWrap || "revert" === input.wordWrap || "revert-layer" === input.wordWrap || "unset" === input.wordWrap || "normal" === input.wordWrap || "break-word" === input.wordWrap || $report(_exceptionable, {
                    path: _path + ".wordWrap",
                    expected: "(\"-moz-initial\" | \"break-word\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.wordWrap
                }), undefined === input.writingMode || "-moz-initial" === input.writingMode || "inherit" === input.writingMode || "initial" === input.writingMode || "revert" === input.writingMode || "revert-layer" === input.writingMode || "unset" === input.writingMode || "horizontal-tb" === input.writingMode || "sideways-lr" === input.writingMode || "sideways-rl" === input.writingMode || "vertical-lr" === input.writingMode || "vertical-rl" === input.writingMode || $report(_exceptionable, {
                    path: _path + ".writingMode",
                    expected: "(\"-moz-initial\" | \"horizontal-tb\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"sideways-lr\" | \"sideways-rl\" | \"unset\" | \"vertical-lr\" | \"vertical-rl\" | undefined)",
                    value: input.writingMode
                }), undefined === input.zIndex || "string" === typeof input.zIndex || "number" === typeof input.zIndex || $report(_exceptionable, {
                    path: _path + ".zIndex",
                    expected: "(number | string | undefined)",
                    value: input.zIndex
                }), undefined === input.zoom || "string" === typeof input.zoom || "number" === typeof input.zoom || $report(_exceptionable, {
                    path: _path + ".zoom",
                    expected: "(number | string | undefined)",
                    value: input.zoom
                }), undefined === input.all || "-moz-initial" === input.all || "inherit" === input.all || "initial" === input.all || "revert" === input.all || "revert-layer" === input.all || "unset" === input.all || $report(_exceptionable, {
                    path: _path + ".all",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.all
                }), undefined === input.animation || "string" === typeof input.animation || "number" === typeof input.animation || $report(_exceptionable, {
                    path: _path + ".animation",
                    expected: "(number | string | undefined)",
                    value: input.animation
                }), undefined === input.background || "string" === typeof input.background || "number" === typeof input.background || $report(_exceptionable, {
                    path: _path + ".background",
                    expected: "(number | string | undefined)",
                    value: input.background
                }), undefined === input.backgroundPosition || "string" === typeof input.backgroundPosition || "number" === typeof input.backgroundPosition || $report(_exceptionable, {
                    path: _path + ".backgroundPosition",
                    expected: "(number | string | undefined)",
                    value: input.backgroundPosition
                }), undefined === input.border || "string" === typeof input.border || "number" === typeof input.border || $report(_exceptionable, {
                    path: _path + ".border",
                    expected: "(number | string | undefined)",
                    value: input.border
                }), undefined === input.borderBlock || "string" === typeof input.borderBlock || "number" === typeof input.borderBlock || $report(_exceptionable, {
                    path: _path + ".borderBlock",
                    expected: "(number | string | undefined)",
                    value: input.borderBlock
                }), undefined === input.borderBlockEnd || "string" === typeof input.borderBlockEnd || "number" === typeof input.borderBlockEnd || $report(_exceptionable, {
                    path: _path + ".borderBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.borderBlockEnd
                }), undefined === input.borderBlockStart || "string" === typeof input.borderBlockStart || "number" === typeof input.borderBlockStart || $report(_exceptionable, {
                    path: _path + ".borderBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.borderBlockStart
                }), undefined === input.borderBottom || "string" === typeof input.borderBottom || "number" === typeof input.borderBottom || $report(_exceptionable, {
                    path: _path + ".borderBottom",
                    expected: "(number | string | undefined)",
                    value: input.borderBottom
                }), undefined === input.borderColor || "string" === typeof input.borderColor || $report(_exceptionable, {
                    path: _path + ".borderColor",
                    expected: "(string | undefined)",
                    value: input.borderColor
                }), undefined === input.borderImage || "string" === typeof input.borderImage || "number" === typeof input.borderImage || $report(_exceptionable, {
                    path: _path + ".borderImage",
                    expected: "(number | string | undefined)",
                    value: input.borderImage
                }), undefined === input.borderInline || "string" === typeof input.borderInline || "number" === typeof input.borderInline || $report(_exceptionable, {
                    path: _path + ".borderInline",
                    expected: "(number | string | undefined)",
                    value: input.borderInline
                }), undefined === input.borderInlineEnd || "string" === typeof input.borderInlineEnd || "number" === typeof input.borderInlineEnd || $report(_exceptionable, {
                    path: _path + ".borderInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.borderInlineEnd
                }), undefined === input.borderInlineStart || "string" === typeof input.borderInlineStart || "number" === typeof input.borderInlineStart || $report(_exceptionable, {
                    path: _path + ".borderInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.borderInlineStart
                }), undefined === input.borderLeft || "string" === typeof input.borderLeft || "number" === typeof input.borderLeft || $report(_exceptionable, {
                    path: _path + ".borderLeft",
                    expected: "(number | string | undefined)",
                    value: input.borderLeft
                }), undefined === input.borderRadius || "string" === typeof input.borderRadius || "number" === typeof input.borderRadius || $report(_exceptionable, {
                    path: _path + ".borderRadius",
                    expected: "(number | string | undefined)",
                    value: input.borderRadius
                }), undefined === input.borderRight || "string" === typeof input.borderRight || "number" === typeof input.borderRight || $report(_exceptionable, {
                    path: _path + ".borderRight",
                    expected: "(number | string | undefined)",
                    value: input.borderRight
                }), undefined === input.borderStyle || "string" === typeof input.borderStyle || $report(_exceptionable, {
                    path: _path + ".borderStyle",
                    expected: "(string | undefined)",
                    value: input.borderStyle
                }), undefined === input.borderTop || "string" === typeof input.borderTop || "number" === typeof input.borderTop || $report(_exceptionable, {
                    path: _path + ".borderTop",
                    expected: "(number | string | undefined)",
                    value: input.borderTop
                }), undefined === input.borderWidth || "string" === typeof input.borderWidth || "number" === typeof input.borderWidth || $report(_exceptionable, {
                    path: _path + ".borderWidth",
                    expected: "(number | string | undefined)",
                    value: input.borderWidth
                }), undefined === input.columnRule || "string" === typeof input.columnRule || "number" === typeof input.columnRule || $report(_exceptionable, {
                    path: _path + ".columnRule",
                    expected: "(number | string | undefined)",
                    value: input.columnRule
                }), undefined === input.columns || "string" === typeof input.columns || "number" === typeof input.columns || $report(_exceptionable, {
                    path: _path + ".columns",
                    expected: "(number | string | undefined)",
                    value: input.columns
                }), undefined === input.flex || "string" === typeof input.flex || "number" === typeof input.flex || $report(_exceptionable, {
                    path: _path + ".flex",
                    expected: "(number | string | undefined)",
                    value: input.flex
                }), undefined === input.flexFlow || "string" === typeof input.flexFlow || $report(_exceptionable, {
                    path: _path + ".flexFlow",
                    expected: "(string | undefined)",
                    value: input.flexFlow
                }), undefined === input.font || "string" === typeof input.font || $report(_exceptionable, {
                    path: _path + ".font",
                    expected: "(string | undefined)",
                    value: input.font
                }), undefined === input.gap || "string" === typeof input.gap || "number" === typeof input.gap || $report(_exceptionable, {
                    path: _path + ".gap",
                    expected: "(number | string | undefined)",
                    value: input.gap
                }), undefined === input.grid || "string" === typeof input.grid || $report(_exceptionable, {
                    path: _path + ".grid",
                    expected: "(string | undefined)",
                    value: input.grid
                }), undefined === input.gridArea || "string" === typeof input.gridArea || "number" === typeof input.gridArea || $report(_exceptionable, {
                    path: _path + ".gridArea",
                    expected: "(number | string | undefined)",
                    value: input.gridArea
                }), undefined === input.gridColumn || "string" === typeof input.gridColumn || "number" === typeof input.gridColumn || $report(_exceptionable, {
                    path: _path + ".gridColumn",
                    expected: "(number | string | undefined)",
                    value: input.gridColumn
                }), undefined === input.gridRow || "string" === typeof input.gridRow || "number" === typeof input.gridRow || $report(_exceptionable, {
                    path: _path + ".gridRow",
                    expected: "(number | string | undefined)",
                    value: input.gridRow
                }), undefined === input.gridTemplate || "string" === typeof input.gridTemplate || $report(_exceptionable, {
                    path: _path + ".gridTemplate",
                    expected: "(string | undefined)",
                    value: input.gridTemplate
                }), undefined === input.lineClamp || "string" === typeof input.lineClamp || "number" === typeof input.lineClamp || $report(_exceptionable, {
                    path: _path + ".lineClamp",
                    expected: "(number | string | undefined)",
                    value: input.lineClamp
                }), undefined === input.listStyle || "string" === typeof input.listStyle || $report(_exceptionable, {
                    path: _path + ".listStyle",
                    expected: "(string | undefined)",
                    value: input.listStyle
                }), undefined === input.margin || "string" === typeof input.margin || "number" === typeof input.margin || $report(_exceptionable, {
                    path: _path + ".margin",
                    expected: "(number | string | undefined)",
                    value: input.margin
                }), undefined === input.mask || "string" === typeof input.mask || "number" === typeof input.mask || $report(_exceptionable, {
                    path: _path + ".mask",
                    expected: "(number | string | undefined)",
                    value: input.mask
                }), undefined === input.maskBorder || "string" === typeof input.maskBorder || "number" === typeof input.maskBorder || $report(_exceptionable, {
                    path: _path + ".maskBorder",
                    expected: "(number | string | undefined)",
                    value: input.maskBorder
                }), undefined === input.motion || "string" === typeof input.motion || "number" === typeof input.motion || $report(_exceptionable, {
                    path: _path + ".motion",
                    expected: "(number | string | undefined)",
                    value: input.motion
                }), undefined === input.offset || "string" === typeof input.offset || "number" === typeof input.offset || $report(_exceptionable, {
                    path: _path + ".offset",
                    expected: "(number | string | undefined)",
                    value: input.offset
                }), undefined === input.outline || "string" === typeof input.outline || "number" === typeof input.outline || $report(_exceptionable, {
                    path: _path + ".outline",
                    expected: "(number | string | undefined)",
                    value: input.outline
                }), undefined === input.overflow || "string" === typeof input.overflow || $report(_exceptionable, {
                    path: _path + ".overflow",
                    expected: "(string | undefined)",
                    value: input.overflow
                }), undefined === input.overscrollBehavior || "string" === typeof input.overscrollBehavior || $report(_exceptionable, {
                    path: _path + ".overscrollBehavior",
                    expected: "(string | undefined)",
                    value: input.overscrollBehavior
                }), undefined === input.padding || "string" === typeof input.padding || "number" === typeof input.padding || $report(_exceptionable, {
                    path: _path + ".padding",
                    expected: "(number | string | undefined)",
                    value: input.padding
                }), undefined === input.placeItems || "string" === typeof input.placeItems || $report(_exceptionable, {
                    path: _path + ".placeItems",
                    expected: "(string | undefined)",
                    value: input.placeItems
                }), undefined === input.placeSelf || "string" === typeof input.placeSelf || $report(_exceptionable, {
                    path: _path + ".placeSelf",
                    expected: "(string | undefined)",
                    value: input.placeSelf
                }), undefined === input.textDecoration || "string" === typeof input.textDecoration || "number" === typeof input.textDecoration || $report(_exceptionable, {
                    path: _path + ".textDecoration",
                    expected: "(number | string | undefined)",
                    value: input.textDecoration
                }), undefined === input.textEmphasis || "string" === typeof input.textEmphasis || $report(_exceptionable, {
                    path: _path + ".textEmphasis",
                    expected: "(string | undefined)",
                    value: input.textEmphasis
                }), undefined === input.transition || "string" === typeof input.transition || $report(_exceptionable, {
                    path: _path + ".transition",
                    expected: "(string | undefined)",
                    value: input.transition
                }), undefined === input.MozAnimationDelay || "string" === typeof input.MozAnimationDelay || $report(_exceptionable, {
                    path: _path + ".MozAnimationDelay",
                    expected: "(string | undefined)",
                    value: input.MozAnimationDelay
                }), undefined === input.MozAnimationDirection || "string" === typeof input.MozAnimationDirection || $report(_exceptionable, {
                    path: _path + ".MozAnimationDirection",
                    expected: "(string | undefined)",
                    value: input.MozAnimationDirection
                }), undefined === input.MozAnimationDuration || "string" === typeof input.MozAnimationDuration || $report(_exceptionable, {
                    path: _path + ".MozAnimationDuration",
                    expected: "(string | undefined)",
                    value: input.MozAnimationDuration
                }), undefined === input.MozAnimationFillMode || "string" === typeof input.MozAnimationFillMode || $report(_exceptionable, {
                    path: _path + ".MozAnimationFillMode",
                    expected: "(string | undefined)",
                    value: input.MozAnimationFillMode
                }), undefined === input.MozAnimationIterationCount || "string" === typeof input.MozAnimationIterationCount || "number" === typeof input.MozAnimationIterationCount || $report(_exceptionable, {
                    path: _path + ".MozAnimationIterationCount",
                    expected: "(number | string | undefined)",
                    value: input.MozAnimationIterationCount
                }), undefined === input.MozAnimationName || "string" === typeof input.MozAnimationName || $report(_exceptionable, {
                    path: _path + ".MozAnimationName",
                    expected: "(string | undefined)",
                    value: input.MozAnimationName
                }), undefined === input.MozAnimationPlayState || "string" === typeof input.MozAnimationPlayState || $report(_exceptionable, {
                    path: _path + ".MozAnimationPlayState",
                    expected: "(string | undefined)",
                    value: input.MozAnimationPlayState
                }), undefined === input.MozAnimationTimingFunction || "string" === typeof input.MozAnimationTimingFunction || $report(_exceptionable, {
                    path: _path + ".MozAnimationTimingFunction",
                    expected: "(string | undefined)",
                    value: input.MozAnimationTimingFunction
                }), undefined === input.MozAppearance || "-moz-initial" === input.MozAppearance || "inherit" === input.MozAppearance || "initial" === input.MozAppearance || "revert" === input.MozAppearance || "revert-layer" === input.MozAppearance || "unset" === input.MozAppearance || "none" === input.MozAppearance || "button" === input.MozAppearance || "checkbox" === input.MozAppearance || "listbox" === input.MozAppearance || "menulist" === input.MozAppearance || "radio" === input.MozAppearance || "searchfield" === input.MozAppearance || "menulist-button" === input.MozAppearance || "textfield" === input.MozAppearance || "-moz-mac-unified-toolbar" === input.MozAppearance || "-moz-win-borderless-glass" === input.MozAppearance || "-moz-win-browsertabbar-toolbox" === input.MozAppearance || "-moz-win-communications-toolbox" === input.MozAppearance || "-moz-win-communicationstext" === input.MozAppearance || "-moz-win-exclude-glass" === input.MozAppearance || "-moz-win-glass" === input.MozAppearance || "-moz-win-media-toolbox" === input.MozAppearance || "-moz-win-mediatext" === input.MozAppearance || "-moz-window-button-box" === input.MozAppearance || "-moz-window-button-box-maximized" === input.MozAppearance || "-moz-window-button-close" === input.MozAppearance || "-moz-window-button-maximize" === input.MozAppearance || "-moz-window-button-minimize" === input.MozAppearance || "-moz-window-button-restore" === input.MozAppearance || "-moz-window-frame-bottom" === input.MozAppearance || "-moz-window-frame-left" === input.MozAppearance || "-moz-window-frame-right" === input.MozAppearance || "-moz-window-titlebar" === input.MozAppearance || "-moz-window-titlebar-maximized" === input.MozAppearance || "button-arrow-down" === input.MozAppearance || "button-arrow-next" === input.MozAppearance || "button-arrow-previous" === input.MozAppearance || "button-arrow-up" === input.MozAppearance || "button-bevel" === input.MozAppearance || "button-focus" === input.MozAppearance || "caret" === input.MozAppearance || "checkbox-container" === input.MozAppearance || "checkbox-label" === input.MozAppearance || "checkmenuitem" === input.MozAppearance || "dualbutton" === input.MozAppearance || "groupbox" === input.MozAppearance || "listitem" === input.MozAppearance || "menuarrow" === input.MozAppearance || "menubar" === input.MozAppearance || "menucheckbox" === input.MozAppearance || "menuimage" === input.MozAppearance || "menuitem" === input.MozAppearance || "menuitemtext" === input.MozAppearance || "menulist-text" === input.MozAppearance || "menulist-textfield" === input.MozAppearance || "menupopup" === input.MozAppearance || "menuradio" === input.MozAppearance || "menuseparator" === input.MozAppearance || "meterbar" === input.MozAppearance || "meterchunk" === input.MozAppearance || "progressbar" === input.MozAppearance || "progressbar-vertical" === input.MozAppearance || "progresschunk" === input.MozAppearance || "progresschunk-vertical" === input.MozAppearance || "radio-container" === input.MozAppearance || "radio-label" === input.MozAppearance || "radiomenuitem" === input.MozAppearance || "range" === input.MozAppearance || "range-thumb" === input.MozAppearance || "resizer" === input.MozAppearance || "resizerpanel" === input.MozAppearance || "scale-horizontal" === input.MozAppearance || "scale-vertical" === input.MozAppearance || "scalethumb-horizontal" === input.MozAppearance || "scalethumb-vertical" === input.MozAppearance || "scalethumbend" === input.MozAppearance || "scalethumbstart" === input.MozAppearance || "scalethumbtick" === input.MozAppearance || "scrollbarbutton-down" === input.MozAppearance || "scrollbarbutton-left" === input.MozAppearance || "scrollbarbutton-right" === input.MozAppearance || "scrollbarbutton-up" === input.MozAppearance || "scrollbarthumb-horizontal" === input.MozAppearance || "scrollbarthumb-vertical" === input.MozAppearance || "scrollbartrack-horizontal" === input.MozAppearance || "scrollbartrack-vertical" === input.MozAppearance || "separator" === input.MozAppearance || "sheet" === input.MozAppearance || "spinner" === input.MozAppearance || "spinner-downbutton" === input.MozAppearance || "spinner-textfield" === input.MozAppearance || "spinner-upbutton" === input.MozAppearance || "splitter" === input.MozAppearance || "statusbar" === input.MozAppearance || "statusbarpanel" === input.MozAppearance || "tab" === input.MozAppearance || "tab-scroll-arrow-back" === input.MozAppearance || "tab-scroll-arrow-forward" === input.MozAppearance || "tabpanel" === input.MozAppearance || "tabpanels" === input.MozAppearance || "textfield-multiline" === input.MozAppearance || "toolbar" === input.MozAppearance || "toolbarbutton" === input.MozAppearance || "toolbarbutton-dropdown" === input.MozAppearance || "toolbargripper" === input.MozAppearance || "toolbox" === input.MozAppearance || "tooltip" === input.MozAppearance || "treeheader" === input.MozAppearance || "treeheadercell" === input.MozAppearance || "treeheadersortarrow" === input.MozAppearance || "treeitem" === input.MozAppearance || "treeline" === input.MozAppearance || "treetwisty" === input.MozAppearance || "treetwistyopen" === input.MozAppearance || "treeview" === input.MozAppearance || $report(_exceptionable, {
                    path: _path + ".MozAppearance",
                    expected: "(\"-moz-initial\" | \"-moz-mac-unified-toolbar\" | \"-moz-win-borderless-glass\" | \"-moz-win-browsertabbar-toolbox\" | \"-moz-win-communications-toolbox\" | \"-moz-win-communicationstext\" | \"-moz-win-exclude-glass\" | \"-moz-win-glass\" | \"-moz-win-media-toolbox\" | \"-moz-win-mediatext\" | \"-moz-window-button-box\" | \"-moz-window-button-box-maximized\" | \"-moz-window-button-close\" | \"-moz-window-button-maximize\" | \"-moz-window-button-minimize\" | \"-moz-window-button-restore\" | \"-moz-window-frame-bottom\" | \"-moz-window-frame-left\" | \"-moz-window-frame-right\" | \"-moz-window-titlebar\" | \"-moz-window-titlebar-maximized\" | \"button\" | \"button-arrow-down\" | \"button-arrow-next\" | \"button-arrow-previous\" | \"button-arrow-up\" | \"button-bevel\" | \"button-focus\" | \"caret\" | \"checkbox\" | \"checkbox-container\" | \"checkbox-label\" | \"checkmenuitem\" | \"dualbutton\" | \"groupbox\" | \"inherit\" | \"initial\" | \"listbox\" | \"listitem\" | \"menuarrow\" | \"menubar\" | \"menucheckbox\" | \"menuimage\" | \"menuitem\" | \"menuitemtext\" | \"menulist\" | \"menulist-button\" | \"menulist-text\" | \"menulist-textfield\" | \"menupopup\" | \"menuradio\" | \"menuseparator\" | \"meterbar\" | \"meterchunk\" | \"none\" | \"progressbar\" | \"progressbar-vertical\" | \"progresschunk\" | \"progresschunk-vertical\" | \"radio\" | \"radio-container\" | \"radio-label\" | \"radiomenuitem\" | \"range\" | \"range-thumb\" | \"resizer\" | \"resizerpanel\" | \"revert\" | \"revert-layer\" | \"scale-horizontal\" | \"scale-vertical\" | \"scalethumb-horizontal\" | \"scalethumb-vertical\" | \"scalethumbend\" | \"scalethumbstart\" | \"scalethumbtick\" | \"scrollbarbutton-down\" | \"scrollbarbutton-left\" | \"scrollbarbutton-right\" | \"scrollbarbutton-up\" | \"scrollbarthumb-horizontal\" | \"scrollbarthumb-vertical\" | \"scrollbartrack-horizontal\" | \"scrollbartrack-vertical\" | \"searchfield\" | \"separator\" | \"sheet\" | \"spinner\" | \"spinner-downbutton\" | \"spinner-textfield\" | \"spinner-upbutton\" | \"splitter\" | \"statusbar\" | \"statusbarpanel\" | \"tab\" | \"tab-scroll-arrow-back\" | \"tab-scroll-arrow-forward\" | \"tabpanel\" | \"tabpanels\" | \"textfield\" | \"textfield-multiline\" | \"toolbar\" | \"toolbarbutton\" | \"toolbarbutton-dropdown\" | \"toolbargripper\" | \"toolbox\" | \"tooltip\" | \"treeheader\" | \"treeheadercell\" | \"treeheadersortarrow\" | \"treeitem\" | \"treeline\" | \"treetwisty\" | \"treetwistyopen\" | \"treeview\" | \"unset\" | undefined)",
                    value: input.MozAppearance
                }), undefined === input.MozBackfaceVisibility || "-moz-initial" === input.MozBackfaceVisibility || "inherit" === input.MozBackfaceVisibility || "initial" === input.MozBackfaceVisibility || "revert" === input.MozBackfaceVisibility || "revert-layer" === input.MozBackfaceVisibility || "unset" === input.MozBackfaceVisibility || "hidden" === input.MozBackfaceVisibility || "visible" === input.MozBackfaceVisibility || $report(_exceptionable, {
                    path: _path + ".MozBackfaceVisibility",
                    expected: "(\"-moz-initial\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | \"visible\" | undefined)",
                    value: input.MozBackfaceVisibility
                }), undefined === input.MozBorderBottomColors || "string" === typeof input.MozBorderBottomColors || $report(_exceptionable, {
                    path: _path + ".MozBorderBottomColors",
                    expected: "(string | undefined)",
                    value: input.MozBorderBottomColors
                }), undefined === input.MozBorderEndColor || "string" === typeof input.MozBorderEndColor || $report(_exceptionable, {
                    path: _path + ".MozBorderEndColor",
                    expected: "(string | undefined)",
                    value: input.MozBorderEndColor
                }), undefined === input.MozBorderEndStyle || "-moz-initial" === input.MozBorderEndStyle || "inherit" === input.MozBorderEndStyle || "initial" === input.MozBorderEndStyle || "revert" === input.MozBorderEndStyle || "revert-layer" === input.MozBorderEndStyle || "unset" === input.MozBorderEndStyle || "none" === input.MozBorderEndStyle || "hidden" === input.MozBorderEndStyle || "dashed" === input.MozBorderEndStyle || "dotted" === input.MozBorderEndStyle || "double" === input.MozBorderEndStyle || "groove" === input.MozBorderEndStyle || "inset" === input.MozBorderEndStyle || "outset" === input.MozBorderEndStyle || "ridge" === input.MozBorderEndStyle || "solid" === input.MozBorderEndStyle || $report(_exceptionable, {
                    path: _path + ".MozBorderEndStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.MozBorderEndStyle
                }), undefined === input.MozBorderEndWidth || "string" === typeof input.MozBorderEndWidth || "number" === typeof input.MozBorderEndWidth || $report(_exceptionable, {
                    path: _path + ".MozBorderEndWidth",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderEndWidth
                }), undefined === input.MozBorderLeftColors || "string" === typeof input.MozBorderLeftColors || $report(_exceptionable, {
                    path: _path + ".MozBorderLeftColors",
                    expected: "(string | undefined)",
                    value: input.MozBorderLeftColors
                }), undefined === input.MozBorderRightColors || "string" === typeof input.MozBorderRightColors || $report(_exceptionable, {
                    path: _path + ".MozBorderRightColors",
                    expected: "(string | undefined)",
                    value: input.MozBorderRightColors
                }), undefined === input.MozBorderStartColor || "string" === typeof input.MozBorderStartColor || $report(_exceptionable, {
                    path: _path + ".MozBorderStartColor",
                    expected: "(string | undefined)",
                    value: input.MozBorderStartColor
                }), undefined === input.MozBorderStartStyle || "-moz-initial" === input.MozBorderStartStyle || "inherit" === input.MozBorderStartStyle || "initial" === input.MozBorderStartStyle || "revert" === input.MozBorderStartStyle || "revert-layer" === input.MozBorderStartStyle || "unset" === input.MozBorderStartStyle || "none" === input.MozBorderStartStyle || "hidden" === input.MozBorderStartStyle || "dashed" === input.MozBorderStartStyle || "dotted" === input.MozBorderStartStyle || "double" === input.MozBorderStartStyle || "groove" === input.MozBorderStartStyle || "inset" === input.MozBorderStartStyle || "outset" === input.MozBorderStartStyle || "ridge" === input.MozBorderStartStyle || "solid" === input.MozBorderStartStyle || $report(_exceptionable, {
                    path: _path + ".MozBorderStartStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"groove\" | \"hidden\" | \"inherit\" | \"initial\" | \"inset\" | \"none\" | \"outset\" | \"revert\" | \"revert-layer\" | \"ridge\" | \"solid\" | \"unset\" | undefined)",
                    value: input.MozBorderStartStyle
                }), undefined === input.MozBorderTopColors || "string" === typeof input.MozBorderTopColors || $report(_exceptionable, {
                    path: _path + ".MozBorderTopColors",
                    expected: "(string | undefined)",
                    value: input.MozBorderTopColors
                }), undefined === input.MozBoxSizing || "-moz-initial" === input.MozBoxSizing || "inherit" === input.MozBoxSizing || "initial" === input.MozBoxSizing || "revert" === input.MozBoxSizing || "revert-layer" === input.MozBoxSizing || "unset" === input.MozBoxSizing || "border-box" === input.MozBoxSizing || "content-box" === input.MozBoxSizing || $report(_exceptionable, {
                    path: _path + ".MozBoxSizing",
                    expected: "(\"-moz-initial\" | \"border-box\" | \"content-box\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozBoxSizing
                }), undefined === input.MozColumnCount || "string" === typeof input.MozColumnCount || "number" === typeof input.MozColumnCount || $report(_exceptionable, {
                    path: _path + ".MozColumnCount",
                    expected: "(number | string | undefined)",
                    value: input.MozColumnCount
                }), undefined === input.MozColumnFill || "-moz-initial" === input.MozColumnFill || "inherit" === input.MozColumnFill || "initial" === input.MozColumnFill || "revert" === input.MozColumnFill || "revert-layer" === input.MozColumnFill || "unset" === input.MozColumnFill || "auto" === input.MozColumnFill || "balance" === input.MozColumnFill || "balance-all" === input.MozColumnFill || $report(_exceptionable, {
                    path: _path + ".MozColumnFill",
                    expected: "(\"-moz-initial\" | \"auto\" | \"balance\" | \"balance-all\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozColumnFill
                }), undefined === input.MozColumnGap || "string" === typeof input.MozColumnGap || "number" === typeof input.MozColumnGap || $report(_exceptionable, {
                    path: _path + ".MozColumnGap",
                    expected: "(number | string | undefined)",
                    value: input.MozColumnGap
                }), undefined === input.MozColumnRuleColor || "string" === typeof input.MozColumnRuleColor || $report(_exceptionable, {
                    path: _path + ".MozColumnRuleColor",
                    expected: "(string | undefined)",
                    value: input.MozColumnRuleColor
                }), undefined === input.MozColumnRuleStyle || "string" === typeof input.MozColumnRuleStyle || $report(_exceptionable, {
                    path: _path + ".MozColumnRuleStyle",
                    expected: "(string | undefined)",
                    value: input.MozColumnRuleStyle
                }), undefined === input.MozColumnRuleWidth || "string" === typeof input.MozColumnRuleWidth || "number" === typeof input.MozColumnRuleWidth || $report(_exceptionable, {
                    path: _path + ".MozColumnRuleWidth",
                    expected: "(number | string | undefined)",
                    value: input.MozColumnRuleWidth
                }), undefined === input.MozColumnWidth || "string" === typeof input.MozColumnWidth || "number" === typeof input.MozColumnWidth || $report(_exceptionable, {
                    path: _path + ".MozColumnWidth",
                    expected: "(number | string | undefined)",
                    value: input.MozColumnWidth
                }), undefined === input.MozContextProperties || "string" === typeof input.MozContextProperties || $report(_exceptionable, {
                    path: _path + ".MozContextProperties",
                    expected: "(string | undefined)",
                    value: input.MozContextProperties
                }), undefined === input.MozFontFeatureSettings || "string" === typeof input.MozFontFeatureSettings || $report(_exceptionable, {
                    path: _path + ".MozFontFeatureSettings",
                    expected: "(string | undefined)",
                    value: input.MozFontFeatureSettings
                }), undefined === input.MozFontLanguageOverride || "string" === typeof input.MozFontLanguageOverride || $report(_exceptionable, {
                    path: _path + ".MozFontLanguageOverride",
                    expected: "(string | undefined)",
                    value: input.MozFontLanguageOverride
                }), undefined === input.MozHyphens || "-moz-initial" === input.MozHyphens || "inherit" === input.MozHyphens || "initial" === input.MozHyphens || "revert" === input.MozHyphens || "revert-layer" === input.MozHyphens || "unset" === input.MozHyphens || "auto" === input.MozHyphens || "none" === input.MozHyphens || "manual" === input.MozHyphens || $report(_exceptionable, {
                    path: _path + ".MozHyphens",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"manual\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozHyphens
                }), undefined === input.MozImageRegion || "string" === typeof input.MozImageRegion || $report(_exceptionable, {
                    path: _path + ".MozImageRegion",
                    expected: "(string | undefined)",
                    value: input.MozImageRegion
                }), undefined === input.MozMarginEnd || "string" === typeof input.MozMarginEnd || "number" === typeof input.MozMarginEnd || $report(_exceptionable, {
                    path: _path + ".MozMarginEnd",
                    expected: "(number | string | undefined)",
                    value: input.MozMarginEnd
                }), undefined === input.MozMarginStart || "string" === typeof input.MozMarginStart || "number" === typeof input.MozMarginStart || $report(_exceptionable, {
                    path: _path + ".MozMarginStart",
                    expected: "(number | string | undefined)",
                    value: input.MozMarginStart
                }), undefined === input.MozOrient || "-moz-initial" === input.MozOrient || "inherit" === input.MozOrient || "initial" === input.MozOrient || "revert" === input.MozOrient || "revert-layer" === input.MozOrient || "unset" === input.MozOrient || "block" === input.MozOrient || "inline" === input.MozOrient || "horizontal" === input.MozOrient || "vertical" === input.MozOrient || $report(_exceptionable, {
                    path: _path + ".MozOrient",
                    expected: "(\"-moz-initial\" | \"block\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.MozOrient
                }), undefined === input.MozOsxFontSmoothing || "string" === typeof input.MozOsxFontSmoothing || "number" === typeof input.MozOsxFontSmoothing || $report(_exceptionable, {
                    path: _path + ".MozOsxFontSmoothing",
                    expected: "(number | string | undefined)",
                    value: input.MozOsxFontSmoothing
                }), undefined === input.MozPaddingEnd || "string" === typeof input.MozPaddingEnd || "number" === typeof input.MozPaddingEnd || $report(_exceptionable, {
                    path: _path + ".MozPaddingEnd",
                    expected: "(number | string | undefined)",
                    value: input.MozPaddingEnd
                }), undefined === input.MozPaddingStart || "string" === typeof input.MozPaddingStart || "number" === typeof input.MozPaddingStart || $report(_exceptionable, {
                    path: _path + ".MozPaddingStart",
                    expected: "(number | string | undefined)",
                    value: input.MozPaddingStart
                }), undefined === input.MozPerspective || "string" === typeof input.MozPerspective || "number" === typeof input.MozPerspective || $report(_exceptionable, {
                    path: _path + ".MozPerspective",
                    expected: "(number | string | undefined)",
                    value: input.MozPerspective
                }), undefined === input.MozPerspectiveOrigin || "string" === typeof input.MozPerspectiveOrigin || "number" === typeof input.MozPerspectiveOrigin || $report(_exceptionable, {
                    path: _path + ".MozPerspectiveOrigin",
                    expected: "(number | string | undefined)",
                    value: input.MozPerspectiveOrigin
                }), undefined === input.MozStackSizing || "-moz-initial" === input.MozStackSizing || "inherit" === input.MozStackSizing || "initial" === input.MozStackSizing || "revert" === input.MozStackSizing || "revert-layer" === input.MozStackSizing || "unset" === input.MozStackSizing || "ignore" === input.MozStackSizing || "stretch-to-fit" === input.MozStackSizing || $report(_exceptionable, {
                    path: _path + ".MozStackSizing",
                    expected: "(\"-moz-initial\" | \"ignore\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"stretch-to-fit\" | \"unset\" | undefined)",
                    value: input.MozStackSizing
                }), undefined === input.MozTabSize || "string" === typeof input.MozTabSize || "number" === typeof input.MozTabSize || $report(_exceptionable, {
                    path: _path + ".MozTabSize",
                    expected: "(number | string | undefined)",
                    value: input.MozTabSize
                }), undefined === input.MozTextBlink || "-moz-initial" === input.MozTextBlink || "inherit" === input.MozTextBlink || "initial" === input.MozTextBlink || "revert" === input.MozTextBlink || "revert-layer" === input.MozTextBlink || "unset" === input.MozTextBlink || "none" === input.MozTextBlink || "blink" === input.MozTextBlink || $report(_exceptionable, {
                    path: _path + ".MozTextBlink",
                    expected: "(\"-moz-initial\" | \"blink\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozTextBlink
                }), undefined === input.MozTextSizeAdjust || "string" === typeof input.MozTextSizeAdjust || $report(_exceptionable, {
                    path: _path + ".MozTextSizeAdjust",
                    expected: "(string | undefined)",
                    value: input.MozTextSizeAdjust
                }), undefined === input.MozTransformOrigin || "string" === typeof input.MozTransformOrigin || "number" === typeof input.MozTransformOrigin || $report(_exceptionable, {
                    path: _path + ".MozTransformOrigin",
                    expected: "(number | string | undefined)",
                    value: input.MozTransformOrigin
                }), undefined === input.MozTransformStyle || "-moz-initial" === input.MozTransformStyle || "inherit" === input.MozTransformStyle || "initial" === input.MozTransformStyle || "revert" === input.MozTransformStyle || "revert-layer" === input.MozTransformStyle || "unset" === input.MozTransformStyle || "flat" === input.MozTransformStyle || "preserve-3d" === input.MozTransformStyle || $report(_exceptionable, {
                    path: _path + ".MozTransformStyle",
                    expected: "(\"-moz-initial\" | \"flat\" | \"inherit\" | \"initial\" | \"preserve-3d\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozTransformStyle
                }), undefined === input.MozTransitionDelay || "string" === typeof input.MozTransitionDelay || $report(_exceptionable, {
                    path: _path + ".MozTransitionDelay",
                    expected: "(string | undefined)",
                    value: input.MozTransitionDelay
                }), undefined === input.MozTransitionDuration || "string" === typeof input.MozTransitionDuration || $report(_exceptionable, {
                    path: _path + ".MozTransitionDuration",
                    expected: "(string | undefined)",
                    value: input.MozTransitionDuration
                }), undefined === input.MozTransitionProperty || "string" === typeof input.MozTransitionProperty || $report(_exceptionable, {
                    path: _path + ".MozTransitionProperty",
                    expected: "(string | undefined)",
                    value: input.MozTransitionProperty
                }), undefined === input.MozTransitionTimingFunction || "string" === typeof input.MozTransitionTimingFunction || $report(_exceptionable, {
                    path: _path + ".MozTransitionTimingFunction",
                    expected: "(string | undefined)",
                    value: input.MozTransitionTimingFunction
                }), undefined === input.MozUserFocus || "-moz-initial" === input.MozUserFocus || "inherit" === input.MozUserFocus || "initial" === input.MozUserFocus || "revert" === input.MozUserFocus || "revert-layer" === input.MozUserFocus || "unset" === input.MozUserFocus || "normal" === input.MozUserFocus || "none" === input.MozUserFocus || "ignore" === input.MozUserFocus || "select-after" === input.MozUserFocus || "select-all" === input.MozUserFocus || "select-before" === input.MozUserFocus || "select-menu" === input.MozUserFocus || "select-same" === input.MozUserFocus || $report(_exceptionable, {
                    path: _path + ".MozUserFocus",
                    expected: "(\"-moz-initial\" | \"ignore\" | \"inherit\" | \"initial\" | \"none\" | \"normal\" | \"revert\" | \"revert-layer\" | \"select-after\" | \"select-all\" | \"select-before\" | \"select-menu\" | \"select-same\" | \"unset\" | undefined)",
                    value: input.MozUserFocus
                }), undefined === input.MozUserModify || "-moz-initial" === input.MozUserModify || "inherit" === input.MozUserModify || "initial" === input.MozUserModify || "revert" === input.MozUserModify || "revert-layer" === input.MozUserModify || "unset" === input.MozUserModify || "read-only" === input.MozUserModify || "read-write" === input.MozUserModify || "write-only" === input.MozUserModify || $report(_exceptionable, {
                    path: _path + ".MozUserModify",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"read-only\" | \"read-write\" | \"revert\" | \"revert-layer\" | \"unset\" | \"write-only\" | undefined)",
                    value: input.MozUserModify
                }), undefined === input.MozUserSelect || "all" === input.MozUserSelect || "-moz-initial" === input.MozUserSelect || "inherit" === input.MozUserSelect || "initial" === input.MozUserSelect || "revert" === input.MozUserSelect || "revert-layer" === input.MozUserSelect || "unset" === input.MozUserSelect || "auto" === input.MozUserSelect || "none" === input.MozUserSelect || "contain" === input.MozUserSelect || "text" === input.MozUserSelect || "-moz-none" === input.MozUserSelect || "element" === input.MozUserSelect || $report(_exceptionable, {
                    path: _path + ".MozUserSelect",
                    expected: "(\"-moz-initial\" | \"-moz-none\" | \"all\" | \"auto\" | \"contain\" | \"element\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"text\" | \"unset\" | undefined)",
                    value: input.MozUserSelect
                }), undefined === input.MozWindowDragging || "-moz-initial" === input.MozWindowDragging || "inherit" === input.MozWindowDragging || "initial" === input.MozWindowDragging || "revert" === input.MozWindowDragging || "revert-layer" === input.MozWindowDragging || "unset" === input.MozWindowDragging || "drag" === input.MozWindowDragging || "no-drag" === input.MozWindowDragging || $report(_exceptionable, {
                    path: _path + ".MozWindowDragging",
                    expected: "(\"-moz-initial\" | \"drag\" | \"inherit\" | \"initial\" | \"no-drag\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozWindowDragging
                }), undefined === input.MozWindowShadow || "-moz-initial" === input.MozWindowShadow || "inherit" === input.MozWindowShadow || "initial" === input.MozWindowShadow || "revert" === input.MozWindowShadow || "revert-layer" === input.MozWindowShadow || "unset" === input.MozWindowShadow || "none" === input.MozWindowShadow || "default" === input.MozWindowShadow || "menu" === input.MozWindowShadow || "sheet" === input.MozWindowShadow || "tooltip" === input.MozWindowShadow || $report(_exceptionable, {
                    path: _path + ".MozWindowShadow",
                    expected: "(\"-moz-initial\" | \"default\" | \"inherit\" | \"initial\" | \"menu\" | \"none\" | \"revert\" | \"revert-layer\" | \"sheet\" | \"tooltip\" | \"unset\" | undefined)",
                    value: input.MozWindowShadow
                }), undefined === input.msAccelerator || "-moz-initial" === input.msAccelerator || "inherit" === input.msAccelerator || "initial" === input.msAccelerator || "revert" === input.msAccelerator || "revert-layer" === input.msAccelerator || "unset" === input.msAccelerator || "false" === input.msAccelerator || "true" === input.msAccelerator || $report(_exceptionable, {
                    path: _path + ".msAccelerator",
                    expected: "(\"-moz-initial\" | \"false\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"true\" | \"unset\" | undefined)",
                    value: input.msAccelerator
                }), undefined === input.msAlignSelf || "string" === typeof input.msAlignSelf || $report(_exceptionable, {
                    path: _path + ".msAlignSelf",
                    expected: "(string | undefined)",
                    value: input.msAlignSelf
                }), undefined === input.msBlockProgression || "-moz-initial" === input.msBlockProgression || "inherit" === input.msBlockProgression || "initial" === input.msBlockProgression || "revert" === input.msBlockProgression || "revert-layer" === input.msBlockProgression || "unset" === input.msBlockProgression || "bt" === input.msBlockProgression || "lr" === input.msBlockProgression || "rl" === input.msBlockProgression || "tb" === input.msBlockProgression || $report(_exceptionable, {
                    path: _path + ".msBlockProgression",
                    expected: "(\"-moz-initial\" | \"bt\" | \"inherit\" | \"initial\" | \"lr\" | \"revert\" | \"revert-layer\" | \"rl\" | \"tb\" | \"unset\" | undefined)",
                    value: input.msBlockProgression
                }), undefined === input.msContentZoomChaining || "-moz-initial" === input.msContentZoomChaining || "inherit" === input.msContentZoomChaining || "initial" === input.msContentZoomChaining || "revert" === input.msContentZoomChaining || "revert-layer" === input.msContentZoomChaining || "unset" === input.msContentZoomChaining || "none" === input.msContentZoomChaining || "chained" === input.msContentZoomChaining || $report(_exceptionable, {
                    path: _path + ".msContentZoomChaining",
                    expected: "(\"-moz-initial\" | \"chained\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msContentZoomChaining
                }), undefined === input.msContentZoomLimitMax || "string" === typeof input.msContentZoomLimitMax || $report(_exceptionable, {
                    path: _path + ".msContentZoomLimitMax",
                    expected: "(string | undefined)",
                    value: input.msContentZoomLimitMax
                }), undefined === input.msContentZoomLimitMin || "string" === typeof input.msContentZoomLimitMin || $report(_exceptionable, {
                    path: _path + ".msContentZoomLimitMin",
                    expected: "(string | undefined)",
                    value: input.msContentZoomLimitMin
                }), undefined === input.msContentZoomSnapPoints || "string" === typeof input.msContentZoomSnapPoints || $report(_exceptionable, {
                    path: _path + ".msContentZoomSnapPoints",
                    expected: "(string | undefined)",
                    value: input.msContentZoomSnapPoints
                }), undefined === input.msContentZoomSnapType || "-moz-initial" === input.msContentZoomSnapType || "inherit" === input.msContentZoomSnapType || "initial" === input.msContentZoomSnapType || "revert" === input.msContentZoomSnapType || "revert-layer" === input.msContentZoomSnapType || "unset" === input.msContentZoomSnapType || "none" === input.msContentZoomSnapType || "mandatory" === input.msContentZoomSnapType || "proximity" === input.msContentZoomSnapType || $report(_exceptionable, {
                    path: _path + ".msContentZoomSnapType",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mandatory\" | \"none\" | \"proximity\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msContentZoomSnapType
                }), undefined === input.msContentZooming || "-moz-initial" === input.msContentZooming || "inherit" === input.msContentZooming || "initial" === input.msContentZooming || "revert" === input.msContentZooming || "revert-layer" === input.msContentZooming || "unset" === input.msContentZooming || "none" === input.msContentZooming || "zoom" === input.msContentZooming || $report(_exceptionable, {
                    path: _path + ".msContentZooming",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | \"zoom\" | undefined)",
                    value: input.msContentZooming
                }), undefined === input.msFilter || "string" === typeof input.msFilter || $report(_exceptionable, {
                    path: _path + ".msFilter",
                    expected: "(string | undefined)",
                    value: input.msFilter
                }), undefined === input.msFlexDirection || "-moz-initial" === input.msFlexDirection || "inherit" === input.msFlexDirection || "initial" === input.msFlexDirection || "revert" === input.msFlexDirection || "revert-layer" === input.msFlexDirection || "unset" === input.msFlexDirection || "column" === input.msFlexDirection || "column-reverse" === input.msFlexDirection || "row" === input.msFlexDirection || "row-reverse" === input.msFlexDirection || $report(_exceptionable, {
                    path: _path + ".msFlexDirection",
                    expected: "(\"-moz-initial\" | \"column\" | \"column-reverse\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"row\" | \"row-reverse\" | \"unset\" | undefined)",
                    value: input.msFlexDirection
                }), undefined === input.msFlexPositive || "string" === typeof input.msFlexPositive || "number" === typeof input.msFlexPositive || $report(_exceptionable, {
                    path: _path + ".msFlexPositive",
                    expected: "(number | string | undefined)",
                    value: input.msFlexPositive
                }), undefined === input.msFlowFrom || "string" === typeof input.msFlowFrom || $report(_exceptionable, {
                    path: _path + ".msFlowFrom",
                    expected: "(string | undefined)",
                    value: input.msFlowFrom
                }), undefined === input.msFlowInto || "string" === typeof input.msFlowInto || $report(_exceptionable, {
                    path: _path + ".msFlowInto",
                    expected: "(string | undefined)",
                    value: input.msFlowInto
                }), undefined === input.msGridColumns || "string" === typeof input.msGridColumns || "number" === typeof input.msGridColumns || $report(_exceptionable, {
                    path: _path + ".msGridColumns",
                    expected: "(number | string | undefined)",
                    value: input.msGridColumns
                }), undefined === input.msGridRows || "string" === typeof input.msGridRows || "number" === typeof input.msGridRows || $report(_exceptionable, {
                    path: _path + ".msGridRows",
                    expected: "(number | string | undefined)",
                    value: input.msGridRows
                }), undefined === input.msHighContrastAdjust || "-moz-initial" === input.msHighContrastAdjust || "inherit" === input.msHighContrastAdjust || "initial" === input.msHighContrastAdjust || "revert" === input.msHighContrastAdjust || "revert-layer" === input.msHighContrastAdjust || "unset" === input.msHighContrastAdjust || "auto" === input.msHighContrastAdjust || "none" === input.msHighContrastAdjust || $report(_exceptionable, {
                    path: _path + ".msHighContrastAdjust",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msHighContrastAdjust
                }), undefined === input.msHyphenateLimitChars || "string" === typeof input.msHyphenateLimitChars || "number" === typeof input.msHyphenateLimitChars || $report(_exceptionable, {
                    path: _path + ".msHyphenateLimitChars",
                    expected: "(number | string | undefined)",
                    value: input.msHyphenateLimitChars
                }), undefined === input.msHyphenateLimitLines || "string" === typeof input.msHyphenateLimitLines || "number" === typeof input.msHyphenateLimitLines || $report(_exceptionable, {
                    path: _path + ".msHyphenateLimitLines",
                    expected: "(number | string | undefined)",
                    value: input.msHyphenateLimitLines
                }), undefined === input.msHyphenateLimitZone || "string" === typeof input.msHyphenateLimitZone || "number" === typeof input.msHyphenateLimitZone || $report(_exceptionable, {
                    path: _path + ".msHyphenateLimitZone",
                    expected: "(number | string | undefined)",
                    value: input.msHyphenateLimitZone
                }), undefined === input.msHyphens || "-moz-initial" === input.msHyphens || "inherit" === input.msHyphens || "initial" === input.msHyphens || "revert" === input.msHyphens || "revert-layer" === input.msHyphens || "unset" === input.msHyphens || "auto" === input.msHyphens || "none" === input.msHyphens || "manual" === input.msHyphens || $report(_exceptionable, {
                    path: _path + ".msHyphens",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"manual\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msHyphens
                }), undefined === input.msImeAlign || "-moz-initial" === input.msImeAlign || "inherit" === input.msImeAlign || "initial" === input.msImeAlign || "revert" === input.msImeAlign || "revert-layer" === input.msImeAlign || "unset" === input.msImeAlign || "auto" === input.msImeAlign || "after" === input.msImeAlign || $report(_exceptionable, {
                    path: _path + ".msImeAlign",
                    expected: "(\"-moz-initial\" | \"after\" | \"auto\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msImeAlign
                }), undefined === input.msJustifySelf || "string" === typeof input.msJustifySelf || $report(_exceptionable, {
                    path: _path + ".msJustifySelf",
                    expected: "(string | undefined)",
                    value: input.msJustifySelf
                }), undefined === input.msLineBreak || "-moz-initial" === input.msLineBreak || "inherit" === input.msLineBreak || "initial" === input.msLineBreak || "revert" === input.msLineBreak || "revert-layer" === input.msLineBreak || "unset" === input.msLineBreak || "auto" === input.msLineBreak || "normal" === input.msLineBreak || "strict" === input.msLineBreak || "anywhere" === input.msLineBreak || "loose" === input.msLineBreak || $report(_exceptionable, {
                    path: _path + ".msLineBreak",
                    expected: "(\"-moz-initial\" | \"anywhere\" | \"auto\" | \"inherit\" | \"initial\" | \"loose\" | \"normal\" | \"revert\" | \"revert-layer\" | \"strict\" | \"unset\" | undefined)",
                    value: input.msLineBreak
                }), undefined === input.msOrder || "string" === typeof input.msOrder || "number" === typeof input.msOrder || $report(_exceptionable, {
                    path: _path + ".msOrder",
                    expected: "(number | string | undefined)",
                    value: input.msOrder
                }), undefined === input.msOverflowStyle || "-moz-initial" === input.msOverflowStyle || "inherit" === input.msOverflowStyle || "initial" === input.msOverflowStyle || "revert" === input.msOverflowStyle || "revert-layer" === input.msOverflowStyle || "unset" === input.msOverflowStyle || "auto" === input.msOverflowStyle || "none" === input.msOverflowStyle || "-ms-autohiding-scrollbar" === input.msOverflowStyle || "scrollbar" === input.msOverflowStyle || $report(_exceptionable, {
                    path: _path + ".msOverflowStyle",
                    expected: "(\"-moz-initial\" | \"-ms-autohiding-scrollbar\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"scrollbar\" | \"unset\" | undefined)",
                    value: input.msOverflowStyle
                }), undefined === input.msOverflowX || "-moz-initial" === input.msOverflowX || "inherit" === input.msOverflowX || "initial" === input.msOverflowX || "revert" === input.msOverflowX || "revert-layer" === input.msOverflowX || "unset" === input.msOverflowX || "auto" === input.msOverflowX || "hidden" === input.msOverflowX || "visible" === input.msOverflowX || "scroll" === input.msOverflowX || "clip" === input.msOverflowX || "-moz-hidden-unscrollable" === input.msOverflowX || $report(_exceptionable, {
                    path: _path + ".msOverflowX",
                    expected: "(\"-moz-hidden-unscrollable\" | \"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.msOverflowX
                }), undefined === input.msOverflowY || "-moz-initial" === input.msOverflowY || "inherit" === input.msOverflowY || "initial" === input.msOverflowY || "revert" === input.msOverflowY || "revert-layer" === input.msOverflowY || "unset" === input.msOverflowY || "auto" === input.msOverflowY || "hidden" === input.msOverflowY || "visible" === input.msOverflowY || "scroll" === input.msOverflowY || "clip" === input.msOverflowY || "-moz-hidden-unscrollable" === input.msOverflowY || $report(_exceptionable, {
                    path: _path + ".msOverflowY",
                    expected: "(\"-moz-hidden-unscrollable\" | \"-moz-initial\" | \"auto\" | \"clip\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"scroll\" | \"unset\" | \"visible\" | undefined)",
                    value: input.msOverflowY
                }), undefined === input.msScrollChaining || "-moz-initial" === input.msScrollChaining || "inherit" === input.msScrollChaining || "initial" === input.msScrollChaining || "revert" === input.msScrollChaining || "revert-layer" === input.msScrollChaining || "unset" === input.msScrollChaining || "none" === input.msScrollChaining || "chained" === input.msScrollChaining || $report(_exceptionable, {
                    path: _path + ".msScrollChaining",
                    expected: "(\"-moz-initial\" | \"chained\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msScrollChaining
                }), undefined === input.msScrollLimitXMax || "string" === typeof input.msScrollLimitXMax || "number" === typeof input.msScrollLimitXMax || $report(_exceptionable, {
                    path: _path + ".msScrollLimitXMax",
                    expected: "(number | string | undefined)",
                    value: input.msScrollLimitXMax
                }), undefined === input.msScrollLimitXMin || "string" === typeof input.msScrollLimitXMin || "number" === typeof input.msScrollLimitXMin || $report(_exceptionable, {
                    path: _path + ".msScrollLimitXMin",
                    expected: "(number | string | undefined)",
                    value: input.msScrollLimitXMin
                }), undefined === input.msScrollLimitYMax || "string" === typeof input.msScrollLimitYMax || "number" === typeof input.msScrollLimitYMax || $report(_exceptionable, {
                    path: _path + ".msScrollLimitYMax",
                    expected: "(number | string | undefined)",
                    value: input.msScrollLimitYMax
                }), undefined === input.msScrollLimitYMin || "string" === typeof input.msScrollLimitYMin || "number" === typeof input.msScrollLimitYMin || $report(_exceptionable, {
                    path: _path + ".msScrollLimitYMin",
                    expected: "(number | string | undefined)",
                    value: input.msScrollLimitYMin
                }), undefined === input.msScrollRails || "-moz-initial" === input.msScrollRails || "inherit" === input.msScrollRails || "initial" === input.msScrollRails || "revert" === input.msScrollRails || "revert-layer" === input.msScrollRails || "unset" === input.msScrollRails || "none" === input.msScrollRails || "railed" === input.msScrollRails || $report(_exceptionable, {
                    path: _path + ".msScrollRails",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"none\" | \"railed\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msScrollRails
                }), undefined === input.msScrollSnapPointsX || "string" === typeof input.msScrollSnapPointsX || $report(_exceptionable, {
                    path: _path + ".msScrollSnapPointsX",
                    expected: "(string | undefined)",
                    value: input.msScrollSnapPointsX
                }), undefined === input.msScrollSnapPointsY || "string" === typeof input.msScrollSnapPointsY || $report(_exceptionable, {
                    path: _path + ".msScrollSnapPointsY",
                    expected: "(string | undefined)",
                    value: input.msScrollSnapPointsY
                }), undefined === input.msScrollSnapType || "-moz-initial" === input.msScrollSnapType || "inherit" === input.msScrollSnapType || "initial" === input.msScrollSnapType || "revert" === input.msScrollSnapType || "revert-layer" === input.msScrollSnapType || "unset" === input.msScrollSnapType || "none" === input.msScrollSnapType || "mandatory" === input.msScrollSnapType || "proximity" === input.msScrollSnapType || $report(_exceptionable, {
                    path: _path + ".msScrollSnapType",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mandatory\" | \"none\" | \"proximity\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msScrollSnapType
                }), undefined === input.msScrollTranslation || "-moz-initial" === input.msScrollTranslation || "inherit" === input.msScrollTranslation || "initial" === input.msScrollTranslation || "revert" === input.msScrollTranslation || "revert-layer" === input.msScrollTranslation || "unset" === input.msScrollTranslation || "none" === input.msScrollTranslation || "vertical-to-horizontal" === input.msScrollTranslation || $report(_exceptionable, {
                    path: _path + ".msScrollTranslation",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical-to-horizontal\" | undefined)",
                    value: input.msScrollTranslation
                }), undefined === input.msScrollbar3dlightColor || "string" === typeof input.msScrollbar3dlightColor || $report(_exceptionable, {
                    path: _path + ".msScrollbar3dlightColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbar3dlightColor
                }), undefined === input.msScrollbarArrowColor || "string" === typeof input.msScrollbarArrowColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarArrowColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarArrowColor
                }), undefined === input.msScrollbarBaseColor || "string" === typeof input.msScrollbarBaseColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarBaseColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarBaseColor
                }), undefined === input.msScrollbarDarkshadowColor || "string" === typeof input.msScrollbarDarkshadowColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarDarkshadowColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarDarkshadowColor
                }), undefined === input.msScrollbarFaceColor || "string" === typeof input.msScrollbarFaceColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarFaceColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarFaceColor
                }), undefined === input.msScrollbarHighlightColor || "string" === typeof input.msScrollbarHighlightColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarHighlightColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarHighlightColor
                }), undefined === input.msScrollbarShadowColor || "string" === typeof input.msScrollbarShadowColor || $report(_exceptionable, {
                    path: _path + ".msScrollbarShadowColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarShadowColor
                }), undefined === input.msTextAutospace || "-moz-initial" === input.msTextAutospace || "inherit" === input.msTextAutospace || "initial" === input.msTextAutospace || "revert" === input.msTextAutospace || "revert-layer" === input.msTextAutospace || "unset" === input.msTextAutospace || "none" === input.msTextAutospace || "ideograph-alpha" === input.msTextAutospace || "ideograph-numeric" === input.msTextAutospace || "ideograph-parenthesis" === input.msTextAutospace || "ideograph-space" === input.msTextAutospace || $report(_exceptionable, {
                    path: _path + ".msTextAutospace",
                    expected: "(\"-moz-initial\" | \"ideograph-alpha\" | \"ideograph-numeric\" | \"ideograph-parenthesis\" | \"ideograph-space\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msTextAutospace
                }), undefined === input.msTextCombineHorizontal || "string" === typeof input.msTextCombineHorizontal || $report(_exceptionable, {
                    path: _path + ".msTextCombineHorizontal",
                    expected: "(string | undefined)",
                    value: input.msTextCombineHorizontal
                }), undefined === input.msTextOverflow || "string" === typeof input.msTextOverflow || $report(_exceptionable, {
                    path: _path + ".msTextOverflow",
                    expected: "(string | undefined)",
                    value: input.msTextOverflow
                }), undefined === input.msTouchAction || "string" === typeof input.msTouchAction || $report(_exceptionable, {
                    path: _path + ".msTouchAction",
                    expected: "(string | undefined)",
                    value: input.msTouchAction
                }), undefined === input.msTouchSelect || "-moz-initial" === input.msTouchSelect || "inherit" === input.msTouchSelect || "initial" === input.msTouchSelect || "revert" === input.msTouchSelect || "revert-layer" === input.msTouchSelect || "unset" === input.msTouchSelect || "none" === input.msTouchSelect || "grippers" === input.msTouchSelect || $report(_exceptionable, {
                    path: _path + ".msTouchSelect",
                    expected: "(\"-moz-initial\" | \"grippers\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msTouchSelect
                }), undefined === input.msTransform || "string" === typeof input.msTransform || $report(_exceptionable, {
                    path: _path + ".msTransform",
                    expected: "(string | undefined)",
                    value: input.msTransform
                }), undefined === input.msTransformOrigin || "string" === typeof input.msTransformOrigin || "number" === typeof input.msTransformOrigin || $report(_exceptionable, {
                    path: _path + ".msTransformOrigin",
                    expected: "(number | string | undefined)",
                    value: input.msTransformOrigin
                }), undefined === input.msTransitionDelay || "string" === typeof input.msTransitionDelay || $report(_exceptionable, {
                    path: _path + ".msTransitionDelay",
                    expected: "(string | undefined)",
                    value: input.msTransitionDelay
                }), undefined === input.msTransitionDuration || "string" === typeof input.msTransitionDuration || $report(_exceptionable, {
                    path: _path + ".msTransitionDuration",
                    expected: "(string | undefined)",
                    value: input.msTransitionDuration
                }), undefined === input.msTransitionProperty || "string" === typeof input.msTransitionProperty || $report(_exceptionable, {
                    path: _path + ".msTransitionProperty",
                    expected: "(string | undefined)",
                    value: input.msTransitionProperty
                }), undefined === input.msTransitionTimingFunction || "string" === typeof input.msTransitionTimingFunction || $report(_exceptionable, {
                    path: _path + ".msTransitionTimingFunction",
                    expected: "(string | undefined)",
                    value: input.msTransitionTimingFunction
                }), undefined === input.msUserSelect || "-moz-initial" === input.msUserSelect || "inherit" === input.msUserSelect || "initial" === input.msUserSelect || "revert" === input.msUserSelect || "revert-layer" === input.msUserSelect || "unset" === input.msUserSelect || "none" === input.msUserSelect || "text" === input.msUserSelect || "element" === input.msUserSelect || $report(_exceptionable, {
                    path: _path + ".msUserSelect",
                    expected: "(\"-moz-initial\" | \"element\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"text\" | \"unset\" | undefined)",
                    value: input.msUserSelect
                }), undefined === input.msWordBreak || "-moz-initial" === input.msWordBreak || "inherit" === input.msWordBreak || "initial" === input.msWordBreak || "revert" === input.msWordBreak || "revert-layer" === input.msWordBreak || "unset" === input.msWordBreak || "normal" === input.msWordBreak || "break-word" === input.msWordBreak || "break-all" === input.msWordBreak || "keep-all" === input.msWordBreak || $report(_exceptionable, {
                    path: _path + ".msWordBreak",
                    expected: "(\"-moz-initial\" | \"break-all\" | \"break-word\" | \"inherit\" | \"initial\" | \"keep-all\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msWordBreak
                }), undefined === input.msWrapFlow || "-moz-initial" === input.msWrapFlow || "inherit" === input.msWrapFlow || "initial" === input.msWrapFlow || "revert" === input.msWrapFlow || "revert-layer" === input.msWrapFlow || "unset" === input.msWrapFlow || "auto" === input.msWrapFlow || "end" === input.msWrapFlow || "start" === input.msWrapFlow || "both" === input.msWrapFlow || "clear" === input.msWrapFlow || "maximum" === input.msWrapFlow || $report(_exceptionable, {
                    path: _path + ".msWrapFlow",
                    expected: "(\"-moz-initial\" | \"auto\" | \"both\" | \"clear\" | \"end\" | \"inherit\" | \"initial\" | \"maximum\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.msWrapFlow
                }), undefined === input.msWrapMargin || "string" === typeof input.msWrapMargin || "number" === typeof input.msWrapMargin || $report(_exceptionable, {
                    path: _path + ".msWrapMargin",
                    expected: "(number | string | undefined)",
                    value: input.msWrapMargin
                }), undefined === input.msWrapThrough || "-moz-initial" === input.msWrapThrough || "inherit" === input.msWrapThrough || "initial" === input.msWrapThrough || "revert" === input.msWrapThrough || "revert-layer" === input.msWrapThrough || "unset" === input.msWrapThrough || "none" === input.msWrapThrough || "wrap" === input.msWrapThrough || $report(_exceptionable, {
                    path: _path + ".msWrapThrough",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | \"wrap\" | undefined)",
                    value: input.msWrapThrough
                }), undefined === input.msWritingMode || "-moz-initial" === input.msWritingMode || "inherit" === input.msWritingMode || "initial" === input.msWritingMode || "revert" === input.msWritingMode || "revert-layer" === input.msWritingMode || "unset" === input.msWritingMode || "horizontal-tb" === input.msWritingMode || "sideways-lr" === input.msWritingMode || "sideways-rl" === input.msWritingMode || "vertical-lr" === input.msWritingMode || "vertical-rl" === input.msWritingMode || $report(_exceptionable, {
                    path: _path + ".msWritingMode",
                    expected: "(\"-moz-initial\" | \"horizontal-tb\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"sideways-lr\" | \"sideways-rl\" | \"unset\" | \"vertical-lr\" | \"vertical-rl\" | undefined)",
                    value: input.msWritingMode
                }), undefined === input.WebkitAlignContent || "string" === typeof input.WebkitAlignContent || $report(_exceptionable, {
                    path: _path + ".WebkitAlignContent",
                    expected: "(string | undefined)",
                    value: input.WebkitAlignContent
                }), undefined === input.WebkitAlignItems || "string" === typeof input.WebkitAlignItems || $report(_exceptionable, {
                    path: _path + ".WebkitAlignItems",
                    expected: "(string | undefined)",
                    value: input.WebkitAlignItems
                }), undefined === input.WebkitAlignSelf || "string" === typeof input.WebkitAlignSelf || $report(_exceptionable, {
                    path: _path + ".WebkitAlignSelf",
                    expected: "(string | undefined)",
                    value: input.WebkitAlignSelf
                }), undefined === input.WebkitAnimationDelay || "string" === typeof input.WebkitAnimationDelay || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationDelay",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationDelay
                }), undefined === input.WebkitAnimationDirection || "string" === typeof input.WebkitAnimationDirection || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationDirection",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationDirection
                }), undefined === input.WebkitAnimationDuration || "string" === typeof input.WebkitAnimationDuration || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationDuration",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationDuration
                }), undefined === input.WebkitAnimationFillMode || "string" === typeof input.WebkitAnimationFillMode || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationFillMode",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationFillMode
                }), undefined === input.WebkitAnimationIterationCount || "string" === typeof input.WebkitAnimationIterationCount || "number" === typeof input.WebkitAnimationIterationCount || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationIterationCount",
                    expected: "(number | string | undefined)",
                    value: input.WebkitAnimationIterationCount
                }), undefined === input.WebkitAnimationName || "string" === typeof input.WebkitAnimationName || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationName",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationName
                }), undefined === input.WebkitAnimationPlayState || "string" === typeof input.WebkitAnimationPlayState || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationPlayState",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationPlayState
                }), undefined === input.WebkitAnimationTimingFunction || "string" === typeof input.WebkitAnimationTimingFunction || $report(_exceptionable, {
                    path: _path + ".WebkitAnimationTimingFunction",
                    expected: "(string | undefined)",
                    value: input.WebkitAnimationTimingFunction
                }), undefined === input.WebkitAppearance || "-moz-initial" === input.WebkitAppearance || "inherit" === input.WebkitAppearance || "initial" === input.WebkitAppearance || "revert" === input.WebkitAppearance || "revert-layer" === input.WebkitAppearance || "unset" === input.WebkitAppearance || "none" === input.WebkitAppearance || "button" === input.WebkitAppearance || "checkbox" === input.WebkitAppearance || "listbox" === input.WebkitAppearance || "menulist" === input.WebkitAppearance || "meter" === input.WebkitAppearance || "progress-bar" === input.WebkitAppearance || "push-button" === input.WebkitAppearance || "radio" === input.WebkitAppearance || "searchfield" === input.WebkitAppearance || "slider-horizontal" === input.WebkitAppearance || "square-button" === input.WebkitAppearance || "textarea" === input.WebkitAppearance || "menulist-button" === input.WebkitAppearance || "textfield" === input.WebkitAppearance || "button-bevel" === input.WebkitAppearance || "caret" === input.WebkitAppearance || "listitem" === input.WebkitAppearance || "menulist-text" === input.WebkitAppearance || "menulist-textfield" === input.WebkitAppearance || "-apple-pay-button" === input.WebkitAppearance || "default-button" === input.WebkitAppearance || "inner-spin-button" === input.WebkitAppearance || "media-controls-background" === input.WebkitAppearance || "media-controls-fullscreen-background" === input.WebkitAppearance || "media-current-time-display" === input.WebkitAppearance || "media-enter-fullscreen-button" === input.WebkitAppearance || "media-exit-fullscreen-button" === input.WebkitAppearance || "media-fullscreen-button" === input.WebkitAppearance || "media-mute-button" === input.WebkitAppearance || "media-overlay-play-button" === input.WebkitAppearance || "media-play-button" === input.WebkitAppearance || "media-seek-back-button" === input.WebkitAppearance || "media-seek-forward-button" === input.WebkitAppearance || "media-slider" === input.WebkitAppearance || "media-sliderthumb" === input.WebkitAppearance || "media-time-remaining-display" === input.WebkitAppearance || "media-toggle-closed-captions-button" === input.WebkitAppearance || "media-volume-slider" === input.WebkitAppearance || "media-volume-slider-container" === input.WebkitAppearance || "media-volume-sliderthumb" === input.WebkitAppearance || "progress-bar-value" === input.WebkitAppearance || "searchfield-cancel-button" === input.WebkitAppearance || "searchfield-decoration" === input.WebkitAppearance || "searchfield-results-button" === input.WebkitAppearance || "searchfield-results-decoration" === input.WebkitAppearance || "slider-vertical" === input.WebkitAppearance || "sliderthumb-horizontal" === input.WebkitAppearance || "sliderthumb-vertical" === input.WebkitAppearance || $report(_exceptionable, {
                    path: _path + ".WebkitAppearance",
                    expected: "(\"-apple-pay-button\" | \"-moz-initial\" | \"button\" | \"button-bevel\" | \"caret\" | \"checkbox\" | \"default-button\" | \"inherit\" | \"initial\" | \"inner-spin-button\" | \"listbox\" | \"listitem\" | \"media-controls-background\" | \"media-controls-fullscreen-background\" | \"media-current-time-display\" | \"media-enter-fullscreen-button\" | \"media-exit-fullscreen-button\" | \"media-fullscreen-button\" | \"media-mute-button\" | \"media-overlay-play-button\" | \"media-play-button\" | \"media-seek-back-button\" | \"media-seek-forward-button\" | \"media-slider\" | \"media-sliderthumb\" | \"media-time-remaining-display\" | \"media-toggle-closed-captions-button\" | \"media-volume-slider\" | \"media-volume-slider-container\" | \"media-volume-sliderthumb\" | \"menulist\" | \"menulist-button\" | \"menulist-text\" | \"menulist-textfield\" | \"meter\" | \"none\" | \"progress-bar\" | \"progress-bar-value\" | \"push-button\" | \"radio\" | \"revert\" | \"revert-layer\" | \"searchfield\" | \"searchfield-cancel-button\" | \"searchfield-decoration\" | \"searchfield-results-button\" | \"searchfield-results-decoration\" | \"slider-horizontal\" | \"slider-vertical\" | \"sliderthumb-horizontal\" | \"sliderthumb-vertical\" | \"square-button\" | \"textarea\" | \"textfield\" | \"unset\" | undefined)",
                    value: input.WebkitAppearance
                }), undefined === input.WebkitBackdropFilter || "string" === typeof input.WebkitBackdropFilter || $report(_exceptionable, {
                    path: _path + ".WebkitBackdropFilter",
                    expected: "(string | undefined)",
                    value: input.WebkitBackdropFilter
                }), undefined === input.WebkitBackfaceVisibility || "-moz-initial" === input.WebkitBackfaceVisibility || "inherit" === input.WebkitBackfaceVisibility || "initial" === input.WebkitBackfaceVisibility || "revert" === input.WebkitBackfaceVisibility || "revert-layer" === input.WebkitBackfaceVisibility || "unset" === input.WebkitBackfaceVisibility || "hidden" === input.WebkitBackfaceVisibility || "visible" === input.WebkitBackfaceVisibility || $report(_exceptionable, {
                    path: _path + ".WebkitBackfaceVisibility",
                    expected: "(\"-moz-initial\" | \"hidden\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | \"visible\" | undefined)",
                    value: input.WebkitBackfaceVisibility
                }), undefined === input.WebkitBackgroundClip || "string" === typeof input.WebkitBackgroundClip || $report(_exceptionable, {
                    path: _path + ".WebkitBackgroundClip",
                    expected: "(string | undefined)",
                    value: input.WebkitBackgroundClip
                }), undefined === input.WebkitBackgroundOrigin || "string" === typeof input.WebkitBackgroundOrigin || $report(_exceptionable, {
                    path: _path + ".WebkitBackgroundOrigin",
                    expected: "(string | undefined)",
                    value: input.WebkitBackgroundOrigin
                }), undefined === input.WebkitBackgroundSize || "string" === typeof input.WebkitBackgroundSize || "number" === typeof input.WebkitBackgroundSize || $report(_exceptionable, {
                    path: _path + ".WebkitBackgroundSize",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBackgroundSize
                }), undefined === input.WebkitBorderBeforeColor || "string" === typeof input.WebkitBorderBeforeColor || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBeforeColor",
                    expected: "(string | undefined)",
                    value: input.WebkitBorderBeforeColor
                }), undefined === input.WebkitBorderBeforeStyle || "string" === typeof input.WebkitBorderBeforeStyle || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBeforeStyle",
                    expected: "(string | undefined)",
                    value: input.WebkitBorderBeforeStyle
                }), undefined === input.WebkitBorderBeforeWidth || "string" === typeof input.WebkitBorderBeforeWidth || "number" === typeof input.WebkitBorderBeforeWidth || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBeforeWidth",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderBeforeWidth
                }), undefined === input.WebkitBorderBottomLeftRadius || "string" === typeof input.WebkitBorderBottomLeftRadius || "number" === typeof input.WebkitBorderBottomLeftRadius || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBottomLeftRadius",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderBottomLeftRadius
                }), undefined === input.WebkitBorderBottomRightRadius || "string" === typeof input.WebkitBorderBottomRightRadius || "number" === typeof input.WebkitBorderBottomRightRadius || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBottomRightRadius",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderBottomRightRadius
                }), undefined === input.WebkitBorderImageSlice || "string" === typeof input.WebkitBorderImageSlice || "number" === typeof input.WebkitBorderImageSlice || $report(_exceptionable, {
                    path: _path + ".WebkitBorderImageSlice",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderImageSlice
                }), undefined === input.WebkitBorderTopLeftRadius || "string" === typeof input.WebkitBorderTopLeftRadius || "number" === typeof input.WebkitBorderTopLeftRadius || $report(_exceptionable, {
                    path: _path + ".WebkitBorderTopLeftRadius",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderTopLeftRadius
                }), undefined === input.WebkitBorderTopRightRadius || "string" === typeof input.WebkitBorderTopRightRadius || "number" === typeof input.WebkitBorderTopRightRadius || $report(_exceptionable, {
                    path: _path + ".WebkitBorderTopRightRadius",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderTopRightRadius
                }), undefined === input.WebkitBoxDecorationBreak || "-moz-initial" === input.WebkitBoxDecorationBreak || "inherit" === input.WebkitBoxDecorationBreak || "initial" === input.WebkitBoxDecorationBreak || "revert" === input.WebkitBoxDecorationBreak || "revert-layer" === input.WebkitBoxDecorationBreak || "unset" === input.WebkitBoxDecorationBreak || "clone" === input.WebkitBoxDecorationBreak || "slice" === input.WebkitBoxDecorationBreak || $report(_exceptionable, {
                    path: _path + ".WebkitBoxDecorationBreak",
                    expected: "(\"-moz-initial\" | \"clone\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"slice\" | \"unset\" | undefined)",
                    value: input.WebkitBoxDecorationBreak
                }), undefined === input.WebkitBoxReflect || "string" === typeof input.WebkitBoxReflect || "number" === typeof input.WebkitBoxReflect || $report(_exceptionable, {
                    path: _path + ".WebkitBoxReflect",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBoxReflect
                }), undefined === input.WebkitBoxShadow || "string" === typeof input.WebkitBoxShadow || $report(_exceptionable, {
                    path: _path + ".WebkitBoxShadow",
                    expected: "(string | undefined)",
                    value: input.WebkitBoxShadow
                }), undefined === input.WebkitBoxSizing || "-moz-initial" === input.WebkitBoxSizing || "inherit" === input.WebkitBoxSizing || "initial" === input.WebkitBoxSizing || "revert" === input.WebkitBoxSizing || "revert-layer" === input.WebkitBoxSizing || "unset" === input.WebkitBoxSizing || "border-box" === input.WebkitBoxSizing || "content-box" === input.WebkitBoxSizing || $report(_exceptionable, {
                    path: _path + ".WebkitBoxSizing",
                    expected: "(\"-moz-initial\" | \"border-box\" | \"content-box\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitBoxSizing
                }), undefined === input.WebkitClipPath || "string" === typeof input.WebkitClipPath || $report(_exceptionable, {
                    path: _path + ".WebkitClipPath",
                    expected: "(string | undefined)",
                    value: input.WebkitClipPath
                }), undefined === input.WebkitColumnCount || "string" === typeof input.WebkitColumnCount || "number" === typeof input.WebkitColumnCount || $report(_exceptionable, {
                    path: _path + ".WebkitColumnCount",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumnCount
                }), undefined === input.WebkitColumnFill || "-moz-initial" === input.WebkitColumnFill || "inherit" === input.WebkitColumnFill || "initial" === input.WebkitColumnFill || "revert" === input.WebkitColumnFill || "revert-layer" === input.WebkitColumnFill || "unset" === input.WebkitColumnFill || "auto" === input.WebkitColumnFill || "balance" === input.WebkitColumnFill || "balance-all" === input.WebkitColumnFill || $report(_exceptionable, {
                    path: _path + ".WebkitColumnFill",
                    expected: "(\"-moz-initial\" | \"auto\" | \"balance\" | \"balance-all\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitColumnFill
                }), undefined === input.WebkitColumnGap || "string" === typeof input.WebkitColumnGap || "number" === typeof input.WebkitColumnGap || $report(_exceptionable, {
                    path: _path + ".WebkitColumnGap",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumnGap
                }), undefined === input.WebkitColumnRuleColor || "string" === typeof input.WebkitColumnRuleColor || $report(_exceptionable, {
                    path: _path + ".WebkitColumnRuleColor",
                    expected: "(string | undefined)",
                    value: input.WebkitColumnRuleColor
                }), undefined === input.WebkitColumnRuleStyle || "string" === typeof input.WebkitColumnRuleStyle || $report(_exceptionable, {
                    path: _path + ".WebkitColumnRuleStyle",
                    expected: "(string | undefined)",
                    value: input.WebkitColumnRuleStyle
                }), undefined === input.WebkitColumnRuleWidth || "string" === typeof input.WebkitColumnRuleWidth || "number" === typeof input.WebkitColumnRuleWidth || $report(_exceptionable, {
                    path: _path + ".WebkitColumnRuleWidth",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumnRuleWidth
                }), undefined === input.WebkitColumnSpan || "all" === input.WebkitColumnSpan || "-moz-initial" === input.WebkitColumnSpan || "inherit" === input.WebkitColumnSpan || "initial" === input.WebkitColumnSpan || "revert" === input.WebkitColumnSpan || "revert-layer" === input.WebkitColumnSpan || "unset" === input.WebkitColumnSpan || "none" === input.WebkitColumnSpan || $report(_exceptionable, {
                    path: _path + ".WebkitColumnSpan",
                    expected: "(\"-moz-initial\" | \"all\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitColumnSpan
                }), undefined === input.WebkitColumnWidth || "string" === typeof input.WebkitColumnWidth || "number" === typeof input.WebkitColumnWidth || $report(_exceptionable, {
                    path: _path + ".WebkitColumnWidth",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumnWidth
                }), undefined === input.WebkitFilter || "string" === typeof input.WebkitFilter || $report(_exceptionable, {
                    path: _path + ".WebkitFilter",
                    expected: "(string | undefined)",
                    value: input.WebkitFilter
                }), undefined === input.WebkitFlexBasis || "string" === typeof input.WebkitFlexBasis || "number" === typeof input.WebkitFlexBasis || $report(_exceptionable, {
                    path: _path + ".WebkitFlexBasis",
                    expected: "(number | string | undefined)",
                    value: input.WebkitFlexBasis
                }), undefined === input.WebkitFlexDirection || "-moz-initial" === input.WebkitFlexDirection || "inherit" === input.WebkitFlexDirection || "initial" === input.WebkitFlexDirection || "revert" === input.WebkitFlexDirection || "revert-layer" === input.WebkitFlexDirection || "unset" === input.WebkitFlexDirection || "column" === input.WebkitFlexDirection || "column-reverse" === input.WebkitFlexDirection || "row" === input.WebkitFlexDirection || "row-reverse" === input.WebkitFlexDirection || $report(_exceptionable, {
                    path: _path + ".WebkitFlexDirection",
                    expected: "(\"-moz-initial\" | \"column\" | \"column-reverse\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"row\" | \"row-reverse\" | \"unset\" | undefined)",
                    value: input.WebkitFlexDirection
                }), undefined === input.WebkitFlexGrow || "string" === typeof input.WebkitFlexGrow || "number" === typeof input.WebkitFlexGrow || $report(_exceptionable, {
                    path: _path + ".WebkitFlexGrow",
                    expected: "(number | string | undefined)",
                    value: input.WebkitFlexGrow
                }), undefined === input.WebkitFlexShrink || "string" === typeof input.WebkitFlexShrink || "number" === typeof input.WebkitFlexShrink || $report(_exceptionable, {
                    path: _path + ".WebkitFlexShrink",
                    expected: "(number | string | undefined)",
                    value: input.WebkitFlexShrink
                }), undefined === input.WebkitFlexWrap || "-moz-initial" === input.WebkitFlexWrap || "inherit" === input.WebkitFlexWrap || "initial" === input.WebkitFlexWrap || "revert" === input.WebkitFlexWrap || "revert-layer" === input.WebkitFlexWrap || "unset" === input.WebkitFlexWrap || "nowrap" === input.WebkitFlexWrap || "wrap" === input.WebkitFlexWrap || "wrap-reverse" === input.WebkitFlexWrap || $report(_exceptionable, {
                    path: _path + ".WebkitFlexWrap",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"nowrap\" | \"revert\" | \"revert-layer\" | \"unset\" | \"wrap\" | \"wrap-reverse\" | undefined)",
                    value: input.WebkitFlexWrap
                }), undefined === input.WebkitFontFeatureSettings || "string" === typeof input.WebkitFontFeatureSettings || $report(_exceptionable, {
                    path: _path + ".WebkitFontFeatureSettings",
                    expected: "(string | undefined)",
                    value: input.WebkitFontFeatureSettings
                }), undefined === input.WebkitFontKerning || "-moz-initial" === input.WebkitFontKerning || "inherit" === input.WebkitFontKerning || "initial" === input.WebkitFontKerning || "revert" === input.WebkitFontKerning || "revert-layer" === input.WebkitFontKerning || "unset" === input.WebkitFontKerning || "auto" === input.WebkitFontKerning || "normal" === input.WebkitFontKerning || "none" === input.WebkitFontKerning || $report(_exceptionable, {
                    path: _path + ".WebkitFontKerning",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"none\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitFontKerning
                }), undefined === input.WebkitFontSmoothing || "string" === typeof input.WebkitFontSmoothing || "number" === typeof input.WebkitFontSmoothing || $report(_exceptionable, {
                    path: _path + ".WebkitFontSmoothing",
                    expected: "(number | string | undefined)",
                    value: input.WebkitFontSmoothing
                }), undefined === input.WebkitFontVariantLigatures || "string" === typeof input.WebkitFontVariantLigatures || $report(_exceptionable, {
                    path: _path + ".WebkitFontVariantLigatures",
                    expected: "(string | undefined)",
                    value: input.WebkitFontVariantLigatures
                }), undefined === input.WebkitHyphenateCharacter || "string" === typeof input.WebkitHyphenateCharacter || $report(_exceptionable, {
                    path: _path + ".WebkitHyphenateCharacter",
                    expected: "(string | undefined)",
                    value: input.WebkitHyphenateCharacter
                }), undefined === input.WebkitHyphens || "-moz-initial" === input.WebkitHyphens || "inherit" === input.WebkitHyphens || "initial" === input.WebkitHyphens || "revert" === input.WebkitHyphens || "revert-layer" === input.WebkitHyphens || "unset" === input.WebkitHyphens || "auto" === input.WebkitHyphens || "none" === input.WebkitHyphens || "manual" === input.WebkitHyphens || $report(_exceptionable, {
                    path: _path + ".WebkitHyphens",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"manual\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitHyphens
                }), undefined === input.WebkitInitialLetter || "string" === typeof input.WebkitInitialLetter || "number" === typeof input.WebkitInitialLetter || $report(_exceptionable, {
                    path: _path + ".WebkitInitialLetter",
                    expected: "(number | string | undefined)",
                    value: input.WebkitInitialLetter
                }), undefined === input.WebkitJustifyContent || "string" === typeof input.WebkitJustifyContent || $report(_exceptionable, {
                    path: _path + ".WebkitJustifyContent",
                    expected: "(string | undefined)",
                    value: input.WebkitJustifyContent
                }), undefined === input.WebkitLineBreak || "-moz-initial" === input.WebkitLineBreak || "inherit" === input.WebkitLineBreak || "initial" === input.WebkitLineBreak || "revert" === input.WebkitLineBreak || "revert-layer" === input.WebkitLineBreak || "unset" === input.WebkitLineBreak || "auto" === input.WebkitLineBreak || "normal" === input.WebkitLineBreak || "strict" === input.WebkitLineBreak || "anywhere" === input.WebkitLineBreak || "loose" === input.WebkitLineBreak || $report(_exceptionable, {
                    path: _path + ".WebkitLineBreak",
                    expected: "(\"-moz-initial\" | \"anywhere\" | \"auto\" | \"inherit\" | \"initial\" | \"loose\" | \"normal\" | \"revert\" | \"revert-layer\" | \"strict\" | \"unset\" | undefined)",
                    value: input.WebkitLineBreak
                }), undefined === input.WebkitLineClamp || "string" === typeof input.WebkitLineClamp || "number" === typeof input.WebkitLineClamp || $report(_exceptionable, {
                    path: _path + ".WebkitLineClamp",
                    expected: "(number | string | undefined)",
                    value: input.WebkitLineClamp
                }), undefined === input.WebkitMarginEnd || "string" === typeof input.WebkitMarginEnd || "number" === typeof input.WebkitMarginEnd || $report(_exceptionable, {
                    path: _path + ".WebkitMarginEnd",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMarginEnd
                }), undefined === input.WebkitMarginStart || "string" === typeof input.WebkitMarginStart || "number" === typeof input.WebkitMarginStart || $report(_exceptionable, {
                    path: _path + ".WebkitMarginStart",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMarginStart
                }), undefined === input.WebkitMaskAttachment || "string" === typeof input.WebkitMaskAttachment || $report(_exceptionable, {
                    path: _path + ".WebkitMaskAttachment",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskAttachment
                }), undefined === input.WebkitMaskBoxImageOutset || "string" === typeof input.WebkitMaskBoxImageOutset || "number" === typeof input.WebkitMaskBoxImageOutset || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImageOutset",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskBoxImageOutset
                }), undefined === input.WebkitMaskBoxImageRepeat || "string" === typeof input.WebkitMaskBoxImageRepeat || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImageRepeat",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskBoxImageRepeat
                }), undefined === input.WebkitMaskBoxImageSlice || "string" === typeof input.WebkitMaskBoxImageSlice || "number" === typeof input.WebkitMaskBoxImageSlice || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImageSlice",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskBoxImageSlice
                }), undefined === input.WebkitMaskBoxImageSource || "string" === typeof input.WebkitMaskBoxImageSource || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImageSource",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskBoxImageSource
                }), undefined === input.WebkitMaskBoxImageWidth || "string" === typeof input.WebkitMaskBoxImageWidth || "number" === typeof input.WebkitMaskBoxImageWidth || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImageWidth",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskBoxImageWidth
                }), undefined === input.WebkitMaskClip || "string" === typeof input.WebkitMaskClip || $report(_exceptionable, {
                    path: _path + ".WebkitMaskClip",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskClip
                }), undefined === input.WebkitMaskComposite || "string" === typeof input.WebkitMaskComposite || $report(_exceptionable, {
                    path: _path + ".WebkitMaskComposite",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskComposite
                }), undefined === input.WebkitMaskImage || "string" === typeof input.WebkitMaskImage || $report(_exceptionable, {
                    path: _path + ".WebkitMaskImage",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskImage
                }), undefined === input.WebkitMaskOrigin || "string" === typeof input.WebkitMaskOrigin || $report(_exceptionable, {
                    path: _path + ".WebkitMaskOrigin",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskOrigin
                }), undefined === input.WebkitMaskPosition || "string" === typeof input.WebkitMaskPosition || "number" === typeof input.WebkitMaskPosition || $report(_exceptionable, {
                    path: _path + ".WebkitMaskPosition",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskPosition
                }), undefined === input.WebkitMaskPositionX || "string" === typeof input.WebkitMaskPositionX || "number" === typeof input.WebkitMaskPositionX || $report(_exceptionable, {
                    path: _path + ".WebkitMaskPositionX",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskPositionX
                }), undefined === input.WebkitMaskPositionY || "string" === typeof input.WebkitMaskPositionY || "number" === typeof input.WebkitMaskPositionY || $report(_exceptionable, {
                    path: _path + ".WebkitMaskPositionY",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskPositionY
                }), undefined === input.WebkitMaskRepeat || "string" === typeof input.WebkitMaskRepeat || $report(_exceptionable, {
                    path: _path + ".WebkitMaskRepeat",
                    expected: "(string | undefined)",
                    value: input.WebkitMaskRepeat
                }), undefined === input.WebkitMaskRepeatX || "-moz-initial" === input.WebkitMaskRepeatX || "inherit" === input.WebkitMaskRepeatX || "initial" === input.WebkitMaskRepeatX || "revert" === input.WebkitMaskRepeatX || "revert-layer" === input.WebkitMaskRepeatX || "unset" === input.WebkitMaskRepeatX || "no-repeat" === input.WebkitMaskRepeatX || "repeat" === input.WebkitMaskRepeatX || "round" === input.WebkitMaskRepeatX || "space" === input.WebkitMaskRepeatX || $report(_exceptionable, {
                    path: _path + ".WebkitMaskRepeatX",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"no-repeat\" | \"repeat\" | \"revert\" | \"revert-layer\" | \"round\" | \"space\" | \"unset\" | undefined)",
                    value: input.WebkitMaskRepeatX
                }), undefined === input.WebkitMaskRepeatY || "-moz-initial" === input.WebkitMaskRepeatY || "inherit" === input.WebkitMaskRepeatY || "initial" === input.WebkitMaskRepeatY || "revert" === input.WebkitMaskRepeatY || "revert-layer" === input.WebkitMaskRepeatY || "unset" === input.WebkitMaskRepeatY || "no-repeat" === input.WebkitMaskRepeatY || "repeat" === input.WebkitMaskRepeatY || "round" === input.WebkitMaskRepeatY || "space" === input.WebkitMaskRepeatY || $report(_exceptionable, {
                    path: _path + ".WebkitMaskRepeatY",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"no-repeat\" | \"repeat\" | \"revert\" | \"revert-layer\" | \"round\" | \"space\" | \"unset\" | undefined)",
                    value: input.WebkitMaskRepeatY
                }), undefined === input.WebkitMaskSize || "string" === typeof input.WebkitMaskSize || "number" === typeof input.WebkitMaskSize || $report(_exceptionable, {
                    path: _path + ".WebkitMaskSize",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskSize
                }), undefined === input.WebkitMaxInlineSize || "string" === typeof input.WebkitMaxInlineSize || "number" === typeof input.WebkitMaxInlineSize || $report(_exceptionable, {
                    path: _path + ".WebkitMaxInlineSize",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaxInlineSize
                }), undefined === input.WebkitOrder || "string" === typeof input.WebkitOrder || "number" === typeof input.WebkitOrder || $report(_exceptionable, {
                    path: _path + ".WebkitOrder",
                    expected: "(number | string | undefined)",
                    value: input.WebkitOrder
                }), undefined === input.WebkitOverflowScrolling || "-moz-initial" === input.WebkitOverflowScrolling || "inherit" === input.WebkitOverflowScrolling || "initial" === input.WebkitOverflowScrolling || "revert" === input.WebkitOverflowScrolling || "revert-layer" === input.WebkitOverflowScrolling || "unset" === input.WebkitOverflowScrolling || "auto" === input.WebkitOverflowScrolling || "touch" === input.WebkitOverflowScrolling || $report(_exceptionable, {
                    path: _path + ".WebkitOverflowScrolling",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"touch\" | \"unset\" | undefined)",
                    value: input.WebkitOverflowScrolling
                }), undefined === input.WebkitPaddingEnd || "string" === typeof input.WebkitPaddingEnd || "number" === typeof input.WebkitPaddingEnd || $report(_exceptionable, {
                    path: _path + ".WebkitPaddingEnd",
                    expected: "(number | string | undefined)",
                    value: input.WebkitPaddingEnd
                }), undefined === input.WebkitPaddingStart || "string" === typeof input.WebkitPaddingStart || "number" === typeof input.WebkitPaddingStart || $report(_exceptionable, {
                    path: _path + ".WebkitPaddingStart",
                    expected: "(number | string | undefined)",
                    value: input.WebkitPaddingStart
                }), undefined === input.WebkitPerspective || "string" === typeof input.WebkitPerspective || "number" === typeof input.WebkitPerspective || $report(_exceptionable, {
                    path: _path + ".WebkitPerspective",
                    expected: "(number | string | undefined)",
                    value: input.WebkitPerspective
                }), undefined === input.WebkitPerspectiveOrigin || "string" === typeof input.WebkitPerspectiveOrigin || "number" === typeof input.WebkitPerspectiveOrigin || $report(_exceptionable, {
                    path: _path + ".WebkitPerspectiveOrigin",
                    expected: "(number | string | undefined)",
                    value: input.WebkitPerspectiveOrigin
                }), undefined === input.WebkitPrintColorAdjust || "-moz-initial" === input.WebkitPrintColorAdjust || "inherit" === input.WebkitPrintColorAdjust || "initial" === input.WebkitPrintColorAdjust || "revert" === input.WebkitPrintColorAdjust || "revert-layer" === input.WebkitPrintColorAdjust || "unset" === input.WebkitPrintColorAdjust || "economy" === input.WebkitPrintColorAdjust || "exact" === input.WebkitPrintColorAdjust || $report(_exceptionable, {
                    path: _path + ".WebkitPrintColorAdjust",
                    expected: "(\"-moz-initial\" | \"economy\" | \"exact\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitPrintColorAdjust
                }), undefined === input.WebkitRubyPosition || "string" === typeof input.WebkitRubyPosition || $report(_exceptionable, {
                    path: _path + ".WebkitRubyPosition",
                    expected: "(string | undefined)",
                    value: input.WebkitRubyPosition
                }), undefined === input.WebkitScrollSnapType || "string" === typeof input.WebkitScrollSnapType || $report(_exceptionable, {
                    path: _path + ".WebkitScrollSnapType",
                    expected: "(string | undefined)",
                    value: input.WebkitScrollSnapType
                }), undefined === input.WebkitShapeMargin || "string" === typeof input.WebkitShapeMargin || "number" === typeof input.WebkitShapeMargin || $report(_exceptionable, {
                    path: _path + ".WebkitShapeMargin",
                    expected: "(number | string | undefined)",
                    value: input.WebkitShapeMargin
                }), undefined === input.WebkitTapHighlightColor || "string" === typeof input.WebkitTapHighlightColor || $report(_exceptionable, {
                    path: _path + ".WebkitTapHighlightColor",
                    expected: "(string | undefined)",
                    value: input.WebkitTapHighlightColor
                }), undefined === input.WebkitTextCombine || "string" === typeof input.WebkitTextCombine || $report(_exceptionable, {
                    path: _path + ".WebkitTextCombine",
                    expected: "(string | undefined)",
                    value: input.WebkitTextCombine
                }), undefined === input.WebkitTextDecorationColor || "string" === typeof input.WebkitTextDecorationColor || $report(_exceptionable, {
                    path: _path + ".WebkitTextDecorationColor",
                    expected: "(string | undefined)",
                    value: input.WebkitTextDecorationColor
                }), undefined === input.WebkitTextDecorationLine || "string" === typeof input.WebkitTextDecorationLine || $report(_exceptionable, {
                    path: _path + ".WebkitTextDecorationLine",
                    expected: "(string | undefined)",
                    value: input.WebkitTextDecorationLine
                }), undefined === input.WebkitTextDecorationSkip || "string" === typeof input.WebkitTextDecorationSkip || $report(_exceptionable, {
                    path: _path + ".WebkitTextDecorationSkip",
                    expected: "(string | undefined)",
                    value: input.WebkitTextDecorationSkip
                }), undefined === input.WebkitTextDecorationStyle || "-moz-initial" === input.WebkitTextDecorationStyle || "inherit" === input.WebkitTextDecorationStyle || "initial" === input.WebkitTextDecorationStyle || "revert" === input.WebkitTextDecorationStyle || "revert-layer" === input.WebkitTextDecorationStyle || "unset" === input.WebkitTextDecorationStyle || "dashed" === input.WebkitTextDecorationStyle || "dotted" === input.WebkitTextDecorationStyle || "double" === input.WebkitTextDecorationStyle || "solid" === input.WebkitTextDecorationStyle || "wavy" === input.WebkitTextDecorationStyle || $report(_exceptionable, {
                    path: _path + ".WebkitTextDecorationStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"solid\" | \"unset\" | \"wavy\" | undefined)",
                    value: input.WebkitTextDecorationStyle
                }), undefined === input.WebkitTextEmphasisColor || "string" === typeof input.WebkitTextEmphasisColor || $report(_exceptionable, {
                    path: _path + ".WebkitTextEmphasisColor",
                    expected: "(string | undefined)",
                    value: input.WebkitTextEmphasisColor
                }), undefined === input.WebkitTextEmphasisPosition || "string" === typeof input.WebkitTextEmphasisPosition || $report(_exceptionable, {
                    path: _path + ".WebkitTextEmphasisPosition",
                    expected: "(string | undefined)",
                    value: input.WebkitTextEmphasisPosition
                }), undefined === input.WebkitTextEmphasisStyle || "string" === typeof input.WebkitTextEmphasisStyle || $report(_exceptionable, {
                    path: _path + ".WebkitTextEmphasisStyle",
                    expected: "(string | undefined)",
                    value: input.WebkitTextEmphasisStyle
                }), undefined === input.WebkitTextFillColor || "string" === typeof input.WebkitTextFillColor || $report(_exceptionable, {
                    path: _path + ".WebkitTextFillColor",
                    expected: "(string | undefined)",
                    value: input.WebkitTextFillColor
                }), undefined === input.WebkitTextOrientation || "-moz-initial" === input.WebkitTextOrientation || "inherit" === input.WebkitTextOrientation || "initial" === input.WebkitTextOrientation || "revert" === input.WebkitTextOrientation || "revert-layer" === input.WebkitTextOrientation || "unset" === input.WebkitTextOrientation || "mixed" === input.WebkitTextOrientation || "sideways" === input.WebkitTextOrientation || "upright" === input.WebkitTextOrientation || $report(_exceptionable, {
                    path: _path + ".WebkitTextOrientation",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mixed\" | \"revert\" | \"revert-layer\" | \"sideways\" | \"unset\" | \"upright\" | undefined)",
                    value: input.WebkitTextOrientation
                }), undefined === input.WebkitTextSizeAdjust || "string" === typeof input.WebkitTextSizeAdjust || $report(_exceptionable, {
                    path: _path + ".WebkitTextSizeAdjust",
                    expected: "(string | undefined)",
                    value: input.WebkitTextSizeAdjust
                }), undefined === input.WebkitTextStrokeColor || "string" === typeof input.WebkitTextStrokeColor || $report(_exceptionable, {
                    path: _path + ".WebkitTextStrokeColor",
                    expected: "(string | undefined)",
                    value: input.WebkitTextStrokeColor
                }), undefined === input.WebkitTextStrokeWidth || "string" === typeof input.WebkitTextStrokeWidth || "number" === typeof input.WebkitTextStrokeWidth || $report(_exceptionable, {
                    path: _path + ".WebkitTextStrokeWidth",
                    expected: "(number | string | undefined)",
                    value: input.WebkitTextStrokeWidth
                }), undefined === input.WebkitTextUnderlinePosition || "string" === typeof input.WebkitTextUnderlinePosition || $report(_exceptionable, {
                    path: _path + ".WebkitTextUnderlinePosition",
                    expected: "(string | undefined)",
                    value: input.WebkitTextUnderlinePosition
                }), undefined === input.WebkitTouchCallout || "-moz-initial" === input.WebkitTouchCallout || "inherit" === input.WebkitTouchCallout || "initial" === input.WebkitTouchCallout || "revert" === input.WebkitTouchCallout || "revert-layer" === input.WebkitTouchCallout || "unset" === input.WebkitTouchCallout || "none" === input.WebkitTouchCallout || "default" === input.WebkitTouchCallout || $report(_exceptionable, {
                    path: _path + ".WebkitTouchCallout",
                    expected: "(\"-moz-initial\" | \"default\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitTouchCallout
                }), undefined === input.WebkitTransform || "string" === typeof input.WebkitTransform || $report(_exceptionable, {
                    path: _path + ".WebkitTransform",
                    expected: "(string | undefined)",
                    value: input.WebkitTransform
                }), undefined === input.WebkitTransformOrigin || "string" === typeof input.WebkitTransformOrigin || "number" === typeof input.WebkitTransformOrigin || $report(_exceptionable, {
                    path: _path + ".WebkitTransformOrigin",
                    expected: "(number | string | undefined)",
                    value: input.WebkitTransformOrigin
                }), undefined === input.WebkitTransformStyle || "-moz-initial" === input.WebkitTransformStyle || "inherit" === input.WebkitTransformStyle || "initial" === input.WebkitTransformStyle || "revert" === input.WebkitTransformStyle || "revert-layer" === input.WebkitTransformStyle || "unset" === input.WebkitTransformStyle || "flat" === input.WebkitTransformStyle || "preserve-3d" === input.WebkitTransformStyle || $report(_exceptionable, {
                    path: _path + ".WebkitTransformStyle",
                    expected: "(\"-moz-initial\" | \"flat\" | \"inherit\" | \"initial\" | \"preserve-3d\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitTransformStyle
                }), undefined === input.WebkitTransitionDelay || "string" === typeof input.WebkitTransitionDelay || $report(_exceptionable, {
                    path: _path + ".WebkitTransitionDelay",
                    expected: "(string | undefined)",
                    value: input.WebkitTransitionDelay
                }), undefined === input.WebkitTransitionDuration || "string" === typeof input.WebkitTransitionDuration || $report(_exceptionable, {
                    path: _path + ".WebkitTransitionDuration",
                    expected: "(string | undefined)",
                    value: input.WebkitTransitionDuration
                }), undefined === input.WebkitTransitionProperty || "string" === typeof input.WebkitTransitionProperty || $report(_exceptionable, {
                    path: _path + ".WebkitTransitionProperty",
                    expected: "(string | undefined)",
                    value: input.WebkitTransitionProperty
                }), undefined === input.WebkitTransitionTimingFunction || "string" === typeof input.WebkitTransitionTimingFunction || $report(_exceptionable, {
                    path: _path + ".WebkitTransitionTimingFunction",
                    expected: "(string | undefined)",
                    value: input.WebkitTransitionTimingFunction
                }), undefined === input.WebkitUserModify || "-moz-initial" === input.WebkitUserModify || "inherit" === input.WebkitUserModify || "initial" === input.WebkitUserModify || "revert" === input.WebkitUserModify || "revert-layer" === input.WebkitUserModify || "unset" === input.WebkitUserModify || "read-only" === input.WebkitUserModify || "read-write" === input.WebkitUserModify || "read-write-plaintext-only" === input.WebkitUserModify || $report(_exceptionable, {
                    path: _path + ".WebkitUserModify",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"read-only\" | \"read-write\" | \"read-write-plaintext-only\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitUserModify
                }), undefined === input.WebkitUserSelect || "all" === input.WebkitUserSelect || "-moz-initial" === input.WebkitUserSelect || "inherit" === input.WebkitUserSelect || "initial" === input.WebkitUserSelect || "revert" === input.WebkitUserSelect || "revert-layer" === input.WebkitUserSelect || "unset" === input.WebkitUserSelect || "auto" === input.WebkitUserSelect || "none" === input.WebkitUserSelect || "contain" === input.WebkitUserSelect || "text" === input.WebkitUserSelect || "-moz-none" === input.WebkitUserSelect || "element" === input.WebkitUserSelect || $report(_exceptionable, {
                    path: _path + ".WebkitUserSelect",
                    expected: "(\"-moz-initial\" | \"-moz-none\" | \"all\" | \"auto\" | \"contain\" | \"element\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"text\" | \"unset\" | undefined)",
                    value: input.WebkitUserSelect
                }), undefined === input.WebkitWritingMode || "-moz-initial" === input.WebkitWritingMode || "inherit" === input.WebkitWritingMode || "initial" === input.WebkitWritingMode || "revert" === input.WebkitWritingMode || "revert-layer" === input.WebkitWritingMode || "unset" === input.WebkitWritingMode || "horizontal-tb" === input.WebkitWritingMode || "sideways-lr" === input.WebkitWritingMode || "sideways-rl" === input.WebkitWritingMode || "vertical-lr" === input.WebkitWritingMode || "vertical-rl" === input.WebkitWritingMode || $report(_exceptionable, {
                    path: _path + ".WebkitWritingMode",
                    expected: "(\"-moz-initial\" | \"horizontal-tb\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"sideways-lr\" | \"sideways-rl\" | \"unset\" | \"vertical-lr\" | \"vertical-rl\" | undefined)",
                    value: input.WebkitWritingMode
                }), undefined === input.MozAnimation || "string" === typeof input.MozAnimation || "number" === typeof input.MozAnimation || $report(_exceptionable, {
                    path: _path + ".MozAnimation",
                    expected: "(number | string | undefined)",
                    value: input.MozAnimation
                }), undefined === input.MozBorderImage || "string" === typeof input.MozBorderImage || "number" === typeof input.MozBorderImage || $report(_exceptionable, {
                    path: _path + ".MozBorderImage",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderImage
                }), undefined === input.MozColumnRule || "string" === typeof input.MozColumnRule || "number" === typeof input.MozColumnRule || $report(_exceptionable, {
                    path: _path + ".MozColumnRule",
                    expected: "(number | string | undefined)",
                    value: input.MozColumnRule
                }), undefined === input.MozColumns || "string" === typeof input.MozColumns || "number" === typeof input.MozColumns || $report(_exceptionable, {
                    path: _path + ".MozColumns",
                    expected: "(number | string | undefined)",
                    value: input.MozColumns
                }), undefined === input.MozTransition || "string" === typeof input.MozTransition || $report(_exceptionable, {
                    path: _path + ".MozTransition",
                    expected: "(string | undefined)",
                    value: input.MozTransition
                }), undefined === input.msContentZoomLimit || "string" === typeof input.msContentZoomLimit || $report(_exceptionable, {
                    path: _path + ".msContentZoomLimit",
                    expected: "(string | undefined)",
                    value: input.msContentZoomLimit
                }), undefined === input.msContentZoomSnap || "string" === typeof input.msContentZoomSnap || $report(_exceptionable, {
                    path: _path + ".msContentZoomSnap",
                    expected: "(string | undefined)",
                    value: input.msContentZoomSnap
                }), undefined === input.msFlex || "string" === typeof input.msFlex || "number" === typeof input.msFlex || $report(_exceptionable, {
                    path: _path + ".msFlex",
                    expected: "(number | string | undefined)",
                    value: input.msFlex
                }), undefined === input.msScrollLimit || "string" === typeof input.msScrollLimit || $report(_exceptionable, {
                    path: _path + ".msScrollLimit",
                    expected: "(string | undefined)",
                    value: input.msScrollLimit
                }), undefined === input.msScrollSnapX || "string" === typeof input.msScrollSnapX || $report(_exceptionable, {
                    path: _path + ".msScrollSnapX",
                    expected: "(string | undefined)",
                    value: input.msScrollSnapX
                }), undefined === input.msScrollSnapY || "string" === typeof input.msScrollSnapY || $report(_exceptionable, {
                    path: _path + ".msScrollSnapY",
                    expected: "(string | undefined)",
                    value: input.msScrollSnapY
                }), undefined === input.msTransition || "string" === typeof input.msTransition || $report(_exceptionable, {
                    path: _path + ".msTransition",
                    expected: "(string | undefined)",
                    value: input.msTransition
                }), undefined === input.WebkitAnimation || "string" === typeof input.WebkitAnimation || "number" === typeof input.WebkitAnimation || $report(_exceptionable, {
                    path: _path + ".WebkitAnimation",
                    expected: "(number | string | undefined)",
                    value: input.WebkitAnimation
                }), undefined === input.WebkitBorderBefore || "string" === typeof input.WebkitBorderBefore || "number" === typeof input.WebkitBorderBefore || $report(_exceptionable, {
                    path: _path + ".WebkitBorderBefore",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderBefore
                }), undefined === input.WebkitBorderImage || "string" === typeof input.WebkitBorderImage || "number" === typeof input.WebkitBorderImage || $report(_exceptionable, {
                    path: _path + ".WebkitBorderImage",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderImage
                }), undefined === input.WebkitBorderRadius || "string" === typeof input.WebkitBorderRadius || "number" === typeof input.WebkitBorderRadius || $report(_exceptionable, {
                    path: _path + ".WebkitBorderRadius",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBorderRadius
                }), undefined === input.WebkitColumnRule || "string" === typeof input.WebkitColumnRule || "number" === typeof input.WebkitColumnRule || $report(_exceptionable, {
                    path: _path + ".WebkitColumnRule",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumnRule
                }), undefined === input.WebkitColumns || "string" === typeof input.WebkitColumns || "number" === typeof input.WebkitColumns || $report(_exceptionable, {
                    path: _path + ".WebkitColumns",
                    expected: "(number | string | undefined)",
                    value: input.WebkitColumns
                }), undefined === input.WebkitFlex || "string" === typeof input.WebkitFlex || "number" === typeof input.WebkitFlex || $report(_exceptionable, {
                    path: _path + ".WebkitFlex",
                    expected: "(number | string | undefined)",
                    value: input.WebkitFlex
                }), undefined === input.WebkitFlexFlow || "string" === typeof input.WebkitFlexFlow || $report(_exceptionable, {
                    path: _path + ".WebkitFlexFlow",
                    expected: "(string | undefined)",
                    value: input.WebkitFlexFlow
                }), undefined === input.WebkitMask || "string" === typeof input.WebkitMask || "number" === typeof input.WebkitMask || $report(_exceptionable, {
                    path: _path + ".WebkitMask",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMask
                }), undefined === input.WebkitMaskBoxImage || "string" === typeof input.WebkitMaskBoxImage || "number" === typeof input.WebkitMaskBoxImage || $report(_exceptionable, {
                    path: _path + ".WebkitMaskBoxImage",
                    expected: "(number | string | undefined)",
                    value: input.WebkitMaskBoxImage
                }), undefined === input.WebkitTextEmphasis || "string" === typeof input.WebkitTextEmphasis || $report(_exceptionable, {
                    path: _path + ".WebkitTextEmphasis",
                    expected: "(string | undefined)",
                    value: input.WebkitTextEmphasis
                }), undefined === input.WebkitTextStroke || "string" === typeof input.WebkitTextStroke || "number" === typeof input.WebkitTextStroke || $report(_exceptionable, {
                    path: _path + ".WebkitTextStroke",
                    expected: "(number | string | undefined)",
                    value: input.WebkitTextStroke
                }), undefined === input.WebkitTransition || "string" === typeof input.WebkitTransition || $report(_exceptionable, {
                    path: _path + ".WebkitTransition",
                    expected: "(string | undefined)",
                    value: input.WebkitTransition
                }), undefined === input.azimuth || "string" === typeof input.azimuth && ($is_custom("deprecated", "string", "", input.azimuth) || $report(_exceptionable, {
                    path: _path + ".azimuth",
                    expected: "string (@deprecated)",
                    value: input.azimuth
                })) || $report(_exceptionable, {
                    path: _path + ".azimuth",
                    expected: "(string | undefined)",
                    value: input.azimuth
                }), undefined === input.boxAlign || "-moz-initial" === input.boxAlign || "inherit" === input.boxAlign || "initial" === input.boxAlign || "revert" === input.boxAlign || "revert-layer" === input.boxAlign || "unset" === input.boxAlign || "stretch" === input.boxAlign || "center" === input.boxAlign || "end" === input.boxAlign || "start" === input.boxAlign || "baseline" === input.boxAlign || $report(_exceptionable, {
                    path: _path + ".boxAlign",
                    expected: "(\"-moz-initial\" | \"baseline\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"start\" | \"stretch\" | \"unset\" | undefined)",
                    value: input.boxAlign
                }), undefined === input.boxDirection || "-moz-initial" === input.boxDirection || "inherit" === input.boxDirection || "initial" === input.boxDirection || "revert" === input.boxDirection || "revert-layer" === input.boxDirection || "unset" === input.boxDirection || "normal" === input.boxDirection || "reverse" === input.boxDirection || $report(_exceptionable, {
                    path: _path + ".boxDirection",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"normal\" | \"reverse\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.boxDirection
                }), undefined === input.boxFlex || "string" === typeof input.boxFlex && ($is_custom("deprecated", "string", "", input.boxFlex) || $report(_exceptionable, {
                    path: _path + ".boxFlex",
                    expected: "string (@deprecated)",
                    value: input.boxFlex
                })) || "number" === typeof input.boxFlex && ($is_custom("deprecated", "number", "", input.boxFlex) || $report(_exceptionable, {
                    path: _path + ".boxFlex",
                    expected: "number (@deprecated)",
                    value: input.boxFlex
                })) || $report(_exceptionable, {
                    path: _path + ".boxFlex",
                    expected: "(number | string | undefined)",
                    value: input.boxFlex
                }), undefined === input.boxFlexGroup || "string" === typeof input.boxFlexGroup && ($is_custom("deprecated", "string", "", input.boxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".boxFlexGroup",
                    expected: "string (@deprecated)",
                    value: input.boxFlexGroup
                })) || "number" === typeof input.boxFlexGroup && ($is_custom("deprecated", "number", "", input.boxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".boxFlexGroup",
                    expected: "number (@deprecated)",
                    value: input.boxFlexGroup
                })) || $report(_exceptionable, {
                    path: _path + ".boxFlexGroup",
                    expected: "(number | string | undefined)",
                    value: input.boxFlexGroup
                }), undefined === input.boxLines || "-moz-initial" === input.boxLines || "inherit" === input.boxLines || "initial" === input.boxLines || "revert" === input.boxLines || "revert-layer" === input.boxLines || "unset" === input.boxLines || "multiple" === input.boxLines || "single" === input.boxLines || $report(_exceptionable, {
                    path: _path + ".boxLines",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"multiple\" | \"revert\" | \"revert-layer\" | \"single\" | \"unset\" | undefined)",
                    value: input.boxLines
                }), undefined === input.boxOrdinalGroup || "string" === typeof input.boxOrdinalGroup && ($is_custom("deprecated", "string", "", input.boxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".boxOrdinalGroup",
                    expected: "string (@deprecated)",
                    value: input.boxOrdinalGroup
                })) || "number" === typeof input.boxOrdinalGroup && ($is_custom("deprecated", "number", "", input.boxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".boxOrdinalGroup",
                    expected: "number (@deprecated)",
                    value: input.boxOrdinalGroup
                })) || $report(_exceptionable, {
                    path: _path + ".boxOrdinalGroup",
                    expected: "(number | string | undefined)",
                    value: input.boxOrdinalGroup
                }), undefined === input.boxOrient || "-moz-initial" === input.boxOrient || "inherit" === input.boxOrient || "initial" === input.boxOrient || "revert" === input.boxOrient || "revert-layer" === input.boxOrient || "unset" === input.boxOrient || "horizontal" === input.boxOrient || "vertical" === input.boxOrient || "block-axis" === input.boxOrient || "inline-axis" === input.boxOrient || $report(_exceptionable, {
                    path: _path + ".boxOrient",
                    expected: "(\"-moz-initial\" | \"block-axis\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline-axis\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.boxOrient
                }), undefined === input.boxPack || "-moz-initial" === input.boxPack || "inherit" === input.boxPack || "initial" === input.boxPack || "revert" === input.boxPack || "revert-layer" === input.boxPack || "unset" === input.boxPack || "center" === input.boxPack || "end" === input.boxPack || "start" === input.boxPack || "justify" === input.boxPack || $report(_exceptionable, {
                    path: _path + ".boxPack",
                    expected: "(\"-moz-initial\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.boxPack
                }), undefined === input.clip || "string" === typeof input.clip && ($is_custom("deprecated", "string", "", input.clip) || $report(_exceptionable, {
                    path: _path + ".clip",
                    expected: "string (@deprecated)",
                    value: input.clip
                })) || $report(_exceptionable, {
                    path: _path + ".clip",
                    expected: "(string | undefined)",
                    value: input.clip
                }), undefined === input.gridColumnGap || "string" === typeof input.gridColumnGap && ($is_custom("deprecated", "string", "", input.gridColumnGap) || $report(_exceptionable, {
                    path: _path + ".gridColumnGap",
                    expected: "string (@deprecated)",
                    value: input.gridColumnGap
                })) || "number" === typeof input.gridColumnGap && ($is_custom("deprecated", "number", "", input.gridColumnGap) || $report(_exceptionable, {
                    path: _path + ".gridColumnGap",
                    expected: "number (@deprecated)",
                    value: input.gridColumnGap
                })) || $report(_exceptionable, {
                    path: _path + ".gridColumnGap",
                    expected: "(number | string | undefined)",
                    value: input.gridColumnGap
                }), undefined === input.gridGap || "string" === typeof input.gridGap && ($is_custom("deprecated", "string", "", input.gridGap) || $report(_exceptionable, {
                    path: _path + ".gridGap",
                    expected: "string (@deprecated)",
                    value: input.gridGap
                })) || "number" === typeof input.gridGap && ($is_custom("deprecated", "number", "", input.gridGap) || $report(_exceptionable, {
                    path: _path + ".gridGap",
                    expected: "number (@deprecated)",
                    value: input.gridGap
                })) || $report(_exceptionable, {
                    path: _path + ".gridGap",
                    expected: "(number | string | undefined)",
                    value: input.gridGap
                }), undefined === input.gridRowGap || "string" === typeof input.gridRowGap && ($is_custom("deprecated", "string", "", input.gridRowGap) || $report(_exceptionable, {
                    path: _path + ".gridRowGap",
                    expected: "string (@deprecated)",
                    value: input.gridRowGap
                })) || "number" === typeof input.gridRowGap && ($is_custom("deprecated", "number", "", input.gridRowGap) || $report(_exceptionable, {
                    path: _path + ".gridRowGap",
                    expected: "number (@deprecated)",
                    value: input.gridRowGap
                })) || $report(_exceptionable, {
                    path: _path + ".gridRowGap",
                    expected: "(number | string | undefined)",
                    value: input.gridRowGap
                }), undefined === input.imeMode || "-moz-initial" === input.imeMode || "inherit" === input.imeMode || "initial" === input.imeMode || "revert" === input.imeMode || "revert-layer" === input.imeMode || "unset" === input.imeMode || "auto" === input.imeMode || "normal" === input.imeMode || "active" === input.imeMode || "disabled" === input.imeMode || "inactive" === input.imeMode || $report(_exceptionable, {
                    path: _path + ".imeMode",
                    expected: "(\"-moz-initial\" | \"active\" | \"auto\" | \"disabled\" | \"inactive\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.imeMode
                }), undefined === input.offsetBlock || "string" === typeof input.offsetBlock && ($is_custom("deprecated", "string", "", input.offsetBlock) || $report(_exceptionable, {
                    path: _path + ".offsetBlock",
                    expected: "string (@deprecated)",
                    value: input.offsetBlock
                })) || "number" === typeof input.offsetBlock && ($is_custom("deprecated", "number", "", input.offsetBlock) || $report(_exceptionable, {
                    path: _path + ".offsetBlock",
                    expected: "number (@deprecated)",
                    value: input.offsetBlock
                })) || $report(_exceptionable, {
                    path: _path + ".offsetBlock",
                    expected: "(number | string | undefined)",
                    value: input.offsetBlock
                }), undefined === input.offsetBlockEnd || "string" === typeof input.offsetBlockEnd && ($is_custom("deprecated", "string", "", input.offsetBlockEnd) || $report(_exceptionable, {
                    path: _path + ".offsetBlockEnd",
                    expected: "string (@deprecated)",
                    value: input.offsetBlockEnd
                })) || "number" === typeof input.offsetBlockEnd && ($is_custom("deprecated", "number", "", input.offsetBlockEnd) || $report(_exceptionable, {
                    path: _path + ".offsetBlockEnd",
                    expected: "number (@deprecated)",
                    value: input.offsetBlockEnd
                })) || $report(_exceptionable, {
                    path: _path + ".offsetBlockEnd",
                    expected: "(number | string | undefined)",
                    value: input.offsetBlockEnd
                }), undefined === input.offsetBlockStart || "string" === typeof input.offsetBlockStart && ($is_custom("deprecated", "string", "", input.offsetBlockStart) || $report(_exceptionable, {
                    path: _path + ".offsetBlockStart",
                    expected: "string (@deprecated)",
                    value: input.offsetBlockStart
                })) || "number" === typeof input.offsetBlockStart && ($is_custom("deprecated", "number", "", input.offsetBlockStart) || $report(_exceptionable, {
                    path: _path + ".offsetBlockStart",
                    expected: "number (@deprecated)",
                    value: input.offsetBlockStart
                })) || $report(_exceptionable, {
                    path: _path + ".offsetBlockStart",
                    expected: "(number | string | undefined)",
                    value: input.offsetBlockStart
                }), undefined === input.offsetInline || "string" === typeof input.offsetInline && ($is_custom("deprecated", "string", "", input.offsetInline) || $report(_exceptionable, {
                    path: _path + ".offsetInline",
                    expected: "string (@deprecated)",
                    value: input.offsetInline
                })) || "number" === typeof input.offsetInline && ($is_custom("deprecated", "number", "", input.offsetInline) || $report(_exceptionable, {
                    path: _path + ".offsetInline",
                    expected: "number (@deprecated)",
                    value: input.offsetInline
                })) || $report(_exceptionable, {
                    path: _path + ".offsetInline",
                    expected: "(number | string | undefined)",
                    value: input.offsetInline
                }), undefined === input.offsetInlineEnd || "string" === typeof input.offsetInlineEnd && ($is_custom("deprecated", "string", "", input.offsetInlineEnd) || $report(_exceptionable, {
                    path: _path + ".offsetInlineEnd",
                    expected: "string (@deprecated)",
                    value: input.offsetInlineEnd
                })) || "number" === typeof input.offsetInlineEnd && ($is_custom("deprecated", "number", "", input.offsetInlineEnd) || $report(_exceptionable, {
                    path: _path + ".offsetInlineEnd",
                    expected: "number (@deprecated)",
                    value: input.offsetInlineEnd
                })) || $report(_exceptionable, {
                    path: _path + ".offsetInlineEnd",
                    expected: "(number | string | undefined)",
                    value: input.offsetInlineEnd
                }), undefined === input.offsetInlineStart || "string" === typeof input.offsetInlineStart && ($is_custom("deprecated", "string", "", input.offsetInlineStart) || $report(_exceptionable, {
                    path: _path + ".offsetInlineStart",
                    expected: "string (@deprecated)",
                    value: input.offsetInlineStart
                })) || "number" === typeof input.offsetInlineStart && ($is_custom("deprecated", "number", "", input.offsetInlineStart) || $report(_exceptionable, {
                    path: _path + ".offsetInlineStart",
                    expected: "number (@deprecated)",
                    value: input.offsetInlineStart
                })) || $report(_exceptionable, {
                    path: _path + ".offsetInlineStart",
                    expected: "(number | string | undefined)",
                    value: input.offsetInlineStart
                }), undefined === input.scrollSnapCoordinate || "string" === typeof input.scrollSnapCoordinate && ($is_custom("deprecated", "string", "", input.scrollSnapCoordinate) || $report(_exceptionable, {
                    path: _path + ".scrollSnapCoordinate",
                    expected: "string (@deprecated)",
                    value: input.scrollSnapCoordinate
                })) || "number" === typeof input.scrollSnapCoordinate && ($is_custom("deprecated", "number", "", input.scrollSnapCoordinate) || $report(_exceptionable, {
                    path: _path + ".scrollSnapCoordinate",
                    expected: "number (@deprecated)",
                    value: input.scrollSnapCoordinate
                })) || $report(_exceptionable, {
                    path: _path + ".scrollSnapCoordinate",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapCoordinate
                }), undefined === input.scrollSnapDestination || "string" === typeof input.scrollSnapDestination && ($is_custom("deprecated", "string", "", input.scrollSnapDestination) || $report(_exceptionable, {
                    path: _path + ".scrollSnapDestination",
                    expected: "string (@deprecated)",
                    value: input.scrollSnapDestination
                })) || "number" === typeof input.scrollSnapDestination && ($is_custom("deprecated", "number", "", input.scrollSnapDestination) || $report(_exceptionable, {
                    path: _path + ".scrollSnapDestination",
                    expected: "number (@deprecated)",
                    value: input.scrollSnapDestination
                })) || $report(_exceptionable, {
                    path: _path + ".scrollSnapDestination",
                    expected: "(number | string | undefined)",
                    value: input.scrollSnapDestination
                }), undefined === input.scrollSnapPointsX || "string" === typeof input.scrollSnapPointsX && ($is_custom("deprecated", "string", "", input.scrollSnapPointsX) || $report(_exceptionable, {
                    path: _path + ".scrollSnapPointsX",
                    expected: "string (@deprecated)",
                    value: input.scrollSnapPointsX
                })) || $report(_exceptionable, {
                    path: _path + ".scrollSnapPointsX",
                    expected: "(string | undefined)",
                    value: input.scrollSnapPointsX
                }), undefined === input.scrollSnapPointsY || "string" === typeof input.scrollSnapPointsY && ($is_custom("deprecated", "string", "", input.scrollSnapPointsY) || $report(_exceptionable, {
                    path: _path + ".scrollSnapPointsY",
                    expected: "string (@deprecated)",
                    value: input.scrollSnapPointsY
                })) || $report(_exceptionable, {
                    path: _path + ".scrollSnapPointsY",
                    expected: "(string | undefined)",
                    value: input.scrollSnapPointsY
                }), undefined === input.scrollSnapTypeX || "-moz-initial" === input.scrollSnapTypeX || "inherit" === input.scrollSnapTypeX || "initial" === input.scrollSnapTypeX || "revert" === input.scrollSnapTypeX || "revert-layer" === input.scrollSnapTypeX || "unset" === input.scrollSnapTypeX || "none" === input.scrollSnapTypeX || "mandatory" === input.scrollSnapTypeX || "proximity" === input.scrollSnapTypeX || $report(_exceptionable, {
                    path: _path + ".scrollSnapTypeX",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mandatory\" | \"none\" | \"proximity\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.scrollSnapTypeX
                }), undefined === input.scrollSnapTypeY || "-moz-initial" === input.scrollSnapTypeY || "inherit" === input.scrollSnapTypeY || "initial" === input.scrollSnapTypeY || "revert" === input.scrollSnapTypeY || "revert-layer" === input.scrollSnapTypeY || "unset" === input.scrollSnapTypeY || "none" === input.scrollSnapTypeY || "mandatory" === input.scrollSnapTypeY || "proximity" === input.scrollSnapTypeY || $report(_exceptionable, {
                    path: _path + ".scrollSnapTypeY",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"mandatory\" | \"none\" | \"proximity\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.scrollSnapTypeY
                }), undefined === input.scrollbarTrackColor || "string" === typeof input.scrollbarTrackColor && ($is_custom("deprecated", "string", "", input.scrollbarTrackColor) || $report(_exceptionable, {
                    path: _path + ".scrollbarTrackColor",
                    expected: "string (@deprecated)",
                    value: input.scrollbarTrackColor
                })) || $report(_exceptionable, {
                    path: _path + ".scrollbarTrackColor",
                    expected: "(string | undefined)",
                    value: input.scrollbarTrackColor
                }), undefined === input.KhtmlBoxAlign || "-moz-initial" === input.KhtmlBoxAlign || "inherit" === input.KhtmlBoxAlign || "initial" === input.KhtmlBoxAlign || "revert" === input.KhtmlBoxAlign || "revert-layer" === input.KhtmlBoxAlign || "unset" === input.KhtmlBoxAlign || "stretch" === input.KhtmlBoxAlign || "center" === input.KhtmlBoxAlign || "end" === input.KhtmlBoxAlign || "start" === input.KhtmlBoxAlign || "baseline" === input.KhtmlBoxAlign || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxAlign",
                    expected: "(\"-moz-initial\" | \"baseline\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"start\" | \"stretch\" | \"unset\" | undefined)",
                    value: input.KhtmlBoxAlign
                }), undefined === input.KhtmlBoxDirection || "-moz-initial" === input.KhtmlBoxDirection || "inherit" === input.KhtmlBoxDirection || "initial" === input.KhtmlBoxDirection || "revert" === input.KhtmlBoxDirection || "revert-layer" === input.KhtmlBoxDirection || "unset" === input.KhtmlBoxDirection || "normal" === input.KhtmlBoxDirection || "reverse" === input.KhtmlBoxDirection || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxDirection",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"normal\" | \"reverse\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.KhtmlBoxDirection
                }), undefined === input.KhtmlBoxFlex || "string" === typeof input.KhtmlBoxFlex && ($is_custom("deprecated", "string", "", input.KhtmlBoxFlex) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlex",
                    expected: "string (@deprecated)",
                    value: input.KhtmlBoxFlex
                })) || "number" === typeof input.KhtmlBoxFlex && ($is_custom("deprecated", "number", "", input.KhtmlBoxFlex) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlex",
                    expected: "number (@deprecated)",
                    value: input.KhtmlBoxFlex
                })) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlex",
                    expected: "(number | string | undefined)",
                    value: input.KhtmlBoxFlex
                }), undefined === input.KhtmlBoxFlexGroup || "string" === typeof input.KhtmlBoxFlexGroup && ($is_custom("deprecated", "string", "", input.KhtmlBoxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlexGroup",
                    expected: "string (@deprecated)",
                    value: input.KhtmlBoxFlexGroup
                })) || "number" === typeof input.KhtmlBoxFlexGroup && ($is_custom("deprecated", "number", "", input.KhtmlBoxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlexGroup",
                    expected: "number (@deprecated)",
                    value: input.KhtmlBoxFlexGroup
                })) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxFlexGroup",
                    expected: "(number | string | undefined)",
                    value: input.KhtmlBoxFlexGroup
                }), undefined === input.KhtmlBoxLines || "-moz-initial" === input.KhtmlBoxLines || "inherit" === input.KhtmlBoxLines || "initial" === input.KhtmlBoxLines || "revert" === input.KhtmlBoxLines || "revert-layer" === input.KhtmlBoxLines || "unset" === input.KhtmlBoxLines || "multiple" === input.KhtmlBoxLines || "single" === input.KhtmlBoxLines || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxLines",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"multiple\" | \"revert\" | \"revert-layer\" | \"single\" | \"unset\" | undefined)",
                    value: input.KhtmlBoxLines
                }), undefined === input.KhtmlBoxOrdinalGroup || "string" === typeof input.KhtmlBoxOrdinalGroup && ($is_custom("deprecated", "string", "", input.KhtmlBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxOrdinalGroup",
                    expected: "string (@deprecated)",
                    value: input.KhtmlBoxOrdinalGroup
                })) || "number" === typeof input.KhtmlBoxOrdinalGroup && ($is_custom("deprecated", "number", "", input.KhtmlBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxOrdinalGroup",
                    expected: "number (@deprecated)",
                    value: input.KhtmlBoxOrdinalGroup
                })) || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxOrdinalGroup",
                    expected: "(number | string | undefined)",
                    value: input.KhtmlBoxOrdinalGroup
                }), undefined === input.KhtmlBoxOrient || "-moz-initial" === input.KhtmlBoxOrient || "inherit" === input.KhtmlBoxOrient || "initial" === input.KhtmlBoxOrient || "revert" === input.KhtmlBoxOrient || "revert-layer" === input.KhtmlBoxOrient || "unset" === input.KhtmlBoxOrient || "horizontal" === input.KhtmlBoxOrient || "vertical" === input.KhtmlBoxOrient || "block-axis" === input.KhtmlBoxOrient || "inline-axis" === input.KhtmlBoxOrient || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxOrient",
                    expected: "(\"-moz-initial\" | \"block-axis\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline-axis\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.KhtmlBoxOrient
                }), undefined === input.KhtmlBoxPack || "-moz-initial" === input.KhtmlBoxPack || "inherit" === input.KhtmlBoxPack || "initial" === input.KhtmlBoxPack || "revert" === input.KhtmlBoxPack || "revert-layer" === input.KhtmlBoxPack || "unset" === input.KhtmlBoxPack || "center" === input.KhtmlBoxPack || "end" === input.KhtmlBoxPack || "start" === input.KhtmlBoxPack || "justify" === input.KhtmlBoxPack || $report(_exceptionable, {
                    path: _path + ".KhtmlBoxPack",
                    expected: "(\"-moz-initial\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.KhtmlBoxPack
                }), undefined === input.KhtmlLineBreak || "-moz-initial" === input.KhtmlLineBreak || "inherit" === input.KhtmlLineBreak || "initial" === input.KhtmlLineBreak || "revert" === input.KhtmlLineBreak || "revert-layer" === input.KhtmlLineBreak || "unset" === input.KhtmlLineBreak || "auto" === input.KhtmlLineBreak || "normal" === input.KhtmlLineBreak || "strict" === input.KhtmlLineBreak || "anywhere" === input.KhtmlLineBreak || "loose" === input.KhtmlLineBreak || $report(_exceptionable, {
                    path: _path + ".KhtmlLineBreak",
                    expected: "(\"-moz-initial\" | \"anywhere\" | \"auto\" | \"inherit\" | \"initial\" | \"loose\" | \"normal\" | \"revert\" | \"revert-layer\" | \"strict\" | \"unset\" | undefined)",
                    value: input.KhtmlLineBreak
                }), undefined === input.KhtmlOpacity || "string" === typeof input.KhtmlOpacity && ($is_custom("deprecated", "string", "", input.KhtmlOpacity) || $report(_exceptionable, {
                    path: _path + ".KhtmlOpacity",
                    expected: "string (@deprecated)",
                    value: input.KhtmlOpacity
                })) || "number" === typeof input.KhtmlOpacity && ($is_custom("deprecated", "number", "", input.KhtmlOpacity) || $report(_exceptionable, {
                    path: _path + ".KhtmlOpacity",
                    expected: "number (@deprecated)",
                    value: input.KhtmlOpacity
                })) || $report(_exceptionable, {
                    path: _path + ".KhtmlOpacity",
                    expected: "(number | string | undefined)",
                    value: input.KhtmlOpacity
                }), undefined === input.KhtmlUserSelect || "all" === input.KhtmlUserSelect || "-moz-initial" === input.KhtmlUserSelect || "inherit" === input.KhtmlUserSelect || "initial" === input.KhtmlUserSelect || "revert" === input.KhtmlUserSelect || "revert-layer" === input.KhtmlUserSelect || "unset" === input.KhtmlUserSelect || "auto" === input.KhtmlUserSelect || "none" === input.KhtmlUserSelect || "contain" === input.KhtmlUserSelect || "text" === input.KhtmlUserSelect || "-moz-none" === input.KhtmlUserSelect || "element" === input.KhtmlUserSelect || $report(_exceptionable, {
                    path: _path + ".KhtmlUserSelect",
                    expected: "(\"-moz-initial\" | \"-moz-none\" | \"all\" | \"auto\" | \"contain\" | \"element\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"text\" | \"unset\" | undefined)",
                    value: input.KhtmlUserSelect
                }), undefined === input.MozBackgroundClip || "string" === typeof input.MozBackgroundClip && ($is_custom("deprecated", "string", "", input.MozBackgroundClip) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundClip",
                    expected: "string (@deprecated)",
                    value: input.MozBackgroundClip
                })) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundClip",
                    expected: "(string | undefined)",
                    value: input.MozBackgroundClip
                }), undefined === input.MozBackgroundInlinePolicy || "-moz-initial" === input.MozBackgroundInlinePolicy || "inherit" === input.MozBackgroundInlinePolicy || "initial" === input.MozBackgroundInlinePolicy || "revert" === input.MozBackgroundInlinePolicy || "revert-layer" === input.MozBackgroundInlinePolicy || "unset" === input.MozBackgroundInlinePolicy || "clone" === input.MozBackgroundInlinePolicy || "slice" === input.MozBackgroundInlinePolicy || $report(_exceptionable, {
                    path: _path + ".MozBackgroundInlinePolicy",
                    expected: "(\"-moz-initial\" | \"clone\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"slice\" | \"unset\" | undefined)",
                    value: input.MozBackgroundInlinePolicy
                }), undefined === input.MozBackgroundOrigin || "string" === typeof input.MozBackgroundOrigin && ($is_custom("deprecated", "string", "", input.MozBackgroundOrigin) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundOrigin",
                    expected: "string (@deprecated)",
                    value: input.MozBackgroundOrigin
                })) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundOrigin",
                    expected: "(string | undefined)",
                    value: input.MozBackgroundOrigin
                }), undefined === input.MozBackgroundSize || "string" === typeof input.MozBackgroundSize && ($is_custom("deprecated", "string", "", input.MozBackgroundSize) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundSize",
                    expected: "string (@deprecated)",
                    value: input.MozBackgroundSize
                })) || "number" === typeof input.MozBackgroundSize && ($is_custom("deprecated", "number", "", input.MozBackgroundSize) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundSize",
                    expected: "number (@deprecated)",
                    value: input.MozBackgroundSize
                })) || $report(_exceptionable, {
                    path: _path + ".MozBackgroundSize",
                    expected: "(number | string | undefined)",
                    value: input.MozBackgroundSize
                }), undefined === input.MozBinding || "string" === typeof input.MozBinding && ($is_custom("deprecated", "string", "", input.MozBinding) || $report(_exceptionable, {
                    path: _path + ".MozBinding",
                    expected: "string (@deprecated)",
                    value: input.MozBinding
                })) || $report(_exceptionable, {
                    path: _path + ".MozBinding",
                    expected: "(string | undefined)",
                    value: input.MozBinding
                }), undefined === input.MozBorderRadius || "string" === typeof input.MozBorderRadius && ($is_custom("deprecated", "string", "", input.MozBorderRadius) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadius",
                    expected: "string (@deprecated)",
                    value: input.MozBorderRadius
                })) || "number" === typeof input.MozBorderRadius && ($is_custom("deprecated", "number", "", input.MozBorderRadius) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadius",
                    expected: "number (@deprecated)",
                    value: input.MozBorderRadius
                })) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadius",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderRadius
                }), undefined === input.MozBorderRadiusBottomleft || "string" === typeof input.MozBorderRadiusBottomleft && ($is_custom("deprecated", "string", "", input.MozBorderRadiusBottomleft) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomleft",
                    expected: "string (@deprecated)",
                    value: input.MozBorderRadiusBottomleft
                })) || "number" === typeof input.MozBorderRadiusBottomleft && ($is_custom("deprecated", "number", "", input.MozBorderRadiusBottomleft) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomleft",
                    expected: "number (@deprecated)",
                    value: input.MozBorderRadiusBottomleft
                })) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomleft",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderRadiusBottomleft
                }), undefined === input.MozBorderRadiusBottomright || "string" === typeof input.MozBorderRadiusBottomright && ($is_custom("deprecated", "string", "", input.MozBorderRadiusBottomright) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomright",
                    expected: "string (@deprecated)",
                    value: input.MozBorderRadiusBottomright
                })) || "number" === typeof input.MozBorderRadiusBottomright && ($is_custom("deprecated", "number", "", input.MozBorderRadiusBottomright) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomright",
                    expected: "number (@deprecated)",
                    value: input.MozBorderRadiusBottomright
                })) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusBottomright",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderRadiusBottomright
                }), undefined === input.MozBorderRadiusTopleft || "string" === typeof input.MozBorderRadiusTopleft && ($is_custom("deprecated", "string", "", input.MozBorderRadiusTopleft) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopleft",
                    expected: "string (@deprecated)",
                    value: input.MozBorderRadiusTopleft
                })) || "number" === typeof input.MozBorderRadiusTopleft && ($is_custom("deprecated", "number", "", input.MozBorderRadiusTopleft) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopleft",
                    expected: "number (@deprecated)",
                    value: input.MozBorderRadiusTopleft
                })) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopleft",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderRadiusTopleft
                }), undefined === input.MozBorderRadiusTopright || "string" === typeof input.MozBorderRadiusTopright && ($is_custom("deprecated", "string", "", input.MozBorderRadiusTopright) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopright",
                    expected: "string (@deprecated)",
                    value: input.MozBorderRadiusTopright
                })) || "number" === typeof input.MozBorderRadiusTopright && ($is_custom("deprecated", "number", "", input.MozBorderRadiusTopright) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopright",
                    expected: "number (@deprecated)",
                    value: input.MozBorderRadiusTopright
                })) || $report(_exceptionable, {
                    path: _path + ".MozBorderRadiusTopright",
                    expected: "(number | string | undefined)",
                    value: input.MozBorderRadiusTopright
                }), undefined === input.MozBoxAlign || "-moz-initial" === input.MozBoxAlign || "inherit" === input.MozBoxAlign || "initial" === input.MozBoxAlign || "revert" === input.MozBoxAlign || "revert-layer" === input.MozBoxAlign || "unset" === input.MozBoxAlign || "stretch" === input.MozBoxAlign || "center" === input.MozBoxAlign || "end" === input.MozBoxAlign || "start" === input.MozBoxAlign || "baseline" === input.MozBoxAlign || $report(_exceptionable, {
                    path: _path + ".MozBoxAlign",
                    expected: "(\"-moz-initial\" | \"baseline\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"start\" | \"stretch\" | \"unset\" | undefined)",
                    value: input.MozBoxAlign
                }), undefined === input.MozBoxDirection || "-moz-initial" === input.MozBoxDirection || "inherit" === input.MozBoxDirection || "initial" === input.MozBoxDirection || "revert" === input.MozBoxDirection || "revert-layer" === input.MozBoxDirection || "unset" === input.MozBoxDirection || "normal" === input.MozBoxDirection || "reverse" === input.MozBoxDirection || $report(_exceptionable, {
                    path: _path + ".MozBoxDirection",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"normal\" | \"reverse\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozBoxDirection
                }), undefined === input.MozBoxFlex || "string" === typeof input.MozBoxFlex && ($is_custom("deprecated", "string", "", input.MozBoxFlex) || $report(_exceptionable, {
                    path: _path + ".MozBoxFlex",
                    expected: "string (@deprecated)",
                    value: input.MozBoxFlex
                })) || "number" === typeof input.MozBoxFlex && ($is_custom("deprecated", "number", "", input.MozBoxFlex) || $report(_exceptionable, {
                    path: _path + ".MozBoxFlex",
                    expected: "number (@deprecated)",
                    value: input.MozBoxFlex
                })) || $report(_exceptionable, {
                    path: _path + ".MozBoxFlex",
                    expected: "(number | string | undefined)",
                    value: input.MozBoxFlex
                }), undefined === input.MozBoxOrdinalGroup || "string" === typeof input.MozBoxOrdinalGroup && ($is_custom("deprecated", "string", "", input.MozBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".MozBoxOrdinalGroup",
                    expected: "string (@deprecated)",
                    value: input.MozBoxOrdinalGroup
                })) || "number" === typeof input.MozBoxOrdinalGroup && ($is_custom("deprecated", "number", "", input.MozBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".MozBoxOrdinalGroup",
                    expected: "number (@deprecated)",
                    value: input.MozBoxOrdinalGroup
                })) || $report(_exceptionable, {
                    path: _path + ".MozBoxOrdinalGroup",
                    expected: "(number | string | undefined)",
                    value: input.MozBoxOrdinalGroup
                }), undefined === input.MozBoxOrient || "-moz-initial" === input.MozBoxOrient || "inherit" === input.MozBoxOrient || "initial" === input.MozBoxOrient || "revert" === input.MozBoxOrient || "revert-layer" === input.MozBoxOrient || "unset" === input.MozBoxOrient || "horizontal" === input.MozBoxOrient || "vertical" === input.MozBoxOrient || "block-axis" === input.MozBoxOrient || "inline-axis" === input.MozBoxOrient || $report(_exceptionable, {
                    path: _path + ".MozBoxOrient",
                    expected: "(\"-moz-initial\" | \"block-axis\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline-axis\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.MozBoxOrient
                }), undefined === input.MozBoxPack || "-moz-initial" === input.MozBoxPack || "inherit" === input.MozBoxPack || "initial" === input.MozBoxPack || "revert" === input.MozBoxPack || "revert-layer" === input.MozBoxPack || "unset" === input.MozBoxPack || "center" === input.MozBoxPack || "end" === input.MozBoxPack || "start" === input.MozBoxPack || "justify" === input.MozBoxPack || $report(_exceptionable, {
                    path: _path + ".MozBoxPack",
                    expected: "(\"-moz-initial\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.MozBoxPack
                }), undefined === input.MozBoxShadow || "string" === typeof input.MozBoxShadow && ($is_custom("deprecated", "string", "", input.MozBoxShadow) || $report(_exceptionable, {
                    path: _path + ".MozBoxShadow",
                    expected: "string (@deprecated)",
                    value: input.MozBoxShadow
                })) || $report(_exceptionable, {
                    path: _path + ".MozBoxShadow",
                    expected: "(string | undefined)",
                    value: input.MozBoxShadow
                }), undefined === input.MozFloatEdge || "-moz-initial" === input.MozFloatEdge || "inherit" === input.MozFloatEdge || "initial" === input.MozFloatEdge || "revert" === input.MozFloatEdge || "revert-layer" === input.MozFloatEdge || "unset" === input.MozFloatEdge || "border-box" === input.MozFloatEdge || "content-box" === input.MozFloatEdge || "padding-box" === input.MozFloatEdge || "margin-box" === input.MozFloatEdge || $report(_exceptionable, {
                    path: _path + ".MozFloatEdge",
                    expected: "(\"-moz-initial\" | \"border-box\" | \"content-box\" | \"inherit\" | \"initial\" | \"margin-box\" | \"padding-box\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozFloatEdge
                }), undefined === input.MozForceBrokenImageIcon || 0 === input.MozForceBrokenImageIcon || 1 === input.MozForceBrokenImageIcon || "string" === typeof input.MozForceBrokenImageIcon && ($is_custom("deprecated", "string", "", input.MozForceBrokenImageIcon) || $report(_exceptionable, {
                    path: _path + ".MozForceBrokenImageIcon",
                    expected: "string (@deprecated)",
                    value: input.MozForceBrokenImageIcon
                })) || $report(_exceptionable, {
                    path: _path + ".MozForceBrokenImageIcon",
                    expected: "(0 | 1 | string | undefined)",
                    value: input.MozForceBrokenImageIcon
                }), undefined === input.MozOpacity || "string" === typeof input.MozOpacity && ($is_custom("deprecated", "string", "", input.MozOpacity) || $report(_exceptionable, {
                    path: _path + ".MozOpacity",
                    expected: "string (@deprecated)",
                    value: input.MozOpacity
                })) || "number" === typeof input.MozOpacity && ($is_custom("deprecated", "number", "", input.MozOpacity) || $report(_exceptionable, {
                    path: _path + ".MozOpacity",
                    expected: "number (@deprecated)",
                    value: input.MozOpacity
                })) || $report(_exceptionable, {
                    path: _path + ".MozOpacity",
                    expected: "(number | string | undefined)",
                    value: input.MozOpacity
                }), undefined === input.MozOutline || "string" === typeof input.MozOutline && ($is_custom("deprecated", "string", "", input.MozOutline) || $report(_exceptionable, {
                    path: _path + ".MozOutline",
                    expected: "string (@deprecated)",
                    value: input.MozOutline
                })) || "number" === typeof input.MozOutline && ($is_custom("deprecated", "number", "", input.MozOutline) || $report(_exceptionable, {
                    path: _path + ".MozOutline",
                    expected: "number (@deprecated)",
                    value: input.MozOutline
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutline",
                    expected: "(number | string | undefined)",
                    value: input.MozOutline
                }), undefined === input.MozOutlineColor || "string" === typeof input.MozOutlineColor && ($is_custom("deprecated", "string", "", input.MozOutlineColor) || $report(_exceptionable, {
                    path: _path + ".MozOutlineColor",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineColor
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineColor",
                    expected: "(string | undefined)",
                    value: input.MozOutlineColor
                }), undefined === input.MozOutlineRadius || "string" === typeof input.MozOutlineRadius && ($is_custom("deprecated", "string", "", input.MozOutlineRadius) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadius",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineRadius
                })) || "number" === typeof input.MozOutlineRadius && ($is_custom("deprecated", "number", "", input.MozOutlineRadius) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadius",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineRadius
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadius",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineRadius
                }), undefined === input.MozOutlineRadiusBottomleft || "string" === typeof input.MozOutlineRadiusBottomleft && ($is_custom("deprecated", "string", "", input.MozOutlineRadiusBottomleft) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomleft",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineRadiusBottomleft
                })) || "number" === typeof input.MozOutlineRadiusBottomleft && ($is_custom("deprecated", "number", "", input.MozOutlineRadiusBottomleft) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomleft",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineRadiusBottomleft
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomleft",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineRadiusBottomleft
                }), undefined === input.MozOutlineRadiusBottomright || "string" === typeof input.MozOutlineRadiusBottomright && ($is_custom("deprecated", "string", "", input.MozOutlineRadiusBottomright) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomright",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineRadiusBottomright
                })) || "number" === typeof input.MozOutlineRadiusBottomright && ($is_custom("deprecated", "number", "", input.MozOutlineRadiusBottomright) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomright",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineRadiusBottomright
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusBottomright",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineRadiusBottomright
                }), undefined === input.MozOutlineRadiusTopleft || "string" === typeof input.MozOutlineRadiusTopleft && ($is_custom("deprecated", "string", "", input.MozOutlineRadiusTopleft) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopleft",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineRadiusTopleft
                })) || "number" === typeof input.MozOutlineRadiusTopleft && ($is_custom("deprecated", "number", "", input.MozOutlineRadiusTopleft) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopleft",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineRadiusTopleft
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopleft",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineRadiusTopleft
                }), undefined === input.MozOutlineRadiusTopright || "string" === typeof input.MozOutlineRadiusTopright && ($is_custom("deprecated", "string", "", input.MozOutlineRadiusTopright) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopright",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineRadiusTopright
                })) || "number" === typeof input.MozOutlineRadiusTopright && ($is_custom("deprecated", "number", "", input.MozOutlineRadiusTopright) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopright",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineRadiusTopright
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineRadiusTopright",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineRadiusTopright
                }), undefined === input.MozOutlineStyle || "string" === typeof input.MozOutlineStyle && ($is_custom("deprecated", "string", "", input.MozOutlineStyle) || $report(_exceptionable, {
                    path: _path + ".MozOutlineStyle",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineStyle
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineStyle",
                    expected: "(string | undefined)",
                    value: input.MozOutlineStyle
                }), undefined === input.MozOutlineWidth || "string" === typeof input.MozOutlineWidth && ($is_custom("deprecated", "string", "", input.MozOutlineWidth) || $report(_exceptionable, {
                    path: _path + ".MozOutlineWidth",
                    expected: "string (@deprecated)",
                    value: input.MozOutlineWidth
                })) || "number" === typeof input.MozOutlineWidth && ($is_custom("deprecated", "number", "", input.MozOutlineWidth) || $report(_exceptionable, {
                    path: _path + ".MozOutlineWidth",
                    expected: "number (@deprecated)",
                    value: input.MozOutlineWidth
                })) || $report(_exceptionable, {
                    path: _path + ".MozOutlineWidth",
                    expected: "(number | string | undefined)",
                    value: input.MozOutlineWidth
                }), undefined === input.MozTextAlignLast || "-moz-initial" === input.MozTextAlignLast || "inherit" === input.MozTextAlignLast || "initial" === input.MozTextAlignLast || "revert" === input.MozTextAlignLast || "revert-layer" === input.MozTextAlignLast || "unset" === input.MozTextAlignLast || "auto" === input.MozTextAlignLast || "center" === input.MozTextAlignLast || "end" === input.MozTextAlignLast || "start" === input.MozTextAlignLast || "left" === input.MozTextAlignLast || "right" === input.MozTextAlignLast || "justify" === input.MozTextAlignLast || $report(_exceptionable, {
                    path: _path + ".MozTextAlignLast",
                    expected: "(\"-moz-initial\" | \"auto\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"left\" | \"revert\" | \"revert-layer\" | \"right\" | \"start\" | \"unset\" | undefined)",
                    value: input.MozTextAlignLast
                }), undefined === input.MozTextDecorationColor || "string" === typeof input.MozTextDecorationColor && ($is_custom("deprecated", "string", "", input.MozTextDecorationColor) || $report(_exceptionable, {
                    path: _path + ".MozTextDecorationColor",
                    expected: "string (@deprecated)",
                    value: input.MozTextDecorationColor
                })) || $report(_exceptionable, {
                    path: _path + ".MozTextDecorationColor",
                    expected: "(string | undefined)",
                    value: input.MozTextDecorationColor
                }), undefined === input.MozTextDecorationLine || "string" === typeof input.MozTextDecorationLine && ($is_custom("deprecated", "string", "", input.MozTextDecorationLine) || $report(_exceptionable, {
                    path: _path + ".MozTextDecorationLine",
                    expected: "string (@deprecated)",
                    value: input.MozTextDecorationLine
                })) || $report(_exceptionable, {
                    path: _path + ".MozTextDecorationLine",
                    expected: "(string | undefined)",
                    value: input.MozTextDecorationLine
                }), undefined === input.MozTextDecorationStyle || "-moz-initial" === input.MozTextDecorationStyle || "inherit" === input.MozTextDecorationStyle || "initial" === input.MozTextDecorationStyle || "revert" === input.MozTextDecorationStyle || "revert-layer" === input.MozTextDecorationStyle || "unset" === input.MozTextDecorationStyle || "dashed" === input.MozTextDecorationStyle || "dotted" === input.MozTextDecorationStyle || "double" === input.MozTextDecorationStyle || "solid" === input.MozTextDecorationStyle || "wavy" === input.MozTextDecorationStyle || $report(_exceptionable, {
                    path: _path + ".MozTextDecorationStyle",
                    expected: "(\"-moz-initial\" | \"dashed\" | \"dotted\" | \"double\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"solid\" | \"unset\" | \"wavy\" | undefined)",
                    value: input.MozTextDecorationStyle
                }), undefined === input.MozUserInput || "-moz-initial" === input.MozUserInput || "inherit" === input.MozUserInput || "initial" === input.MozUserInput || "revert" === input.MozUserInput || "revert-layer" === input.MozUserInput || "unset" === input.MozUserInput || "auto" === input.MozUserInput || "none" === input.MozUserInput || "disabled" === input.MozUserInput || "enabled" === input.MozUserInput || $report(_exceptionable, {
                    path: _path + ".MozUserInput",
                    expected: "(\"-moz-initial\" | \"auto\" | \"disabled\" | \"enabled\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.MozUserInput
                }), undefined === input.msImeMode || "-moz-initial" === input.msImeMode || "inherit" === input.msImeMode || "initial" === input.msImeMode || "revert" === input.msImeMode || "revert-layer" === input.msImeMode || "unset" === input.msImeMode || "auto" === input.msImeMode || "normal" === input.msImeMode || "active" === input.msImeMode || "disabled" === input.msImeMode || "inactive" === input.msImeMode || $report(_exceptionable, {
                    path: _path + ".msImeMode",
                    expected: "(\"-moz-initial\" | \"active\" | \"auto\" | \"disabled\" | \"inactive\" | \"inherit\" | \"initial\" | \"normal\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.msImeMode
                }), undefined === input.msScrollbarTrackColor || "string" === typeof input.msScrollbarTrackColor && ($is_custom("deprecated", "string", "", input.msScrollbarTrackColor) || $report(_exceptionable, {
                    path: _path + ".msScrollbarTrackColor",
                    expected: "string (@deprecated)",
                    value: input.msScrollbarTrackColor
                })) || $report(_exceptionable, {
                    path: _path + ".msScrollbarTrackColor",
                    expected: "(string | undefined)",
                    value: input.msScrollbarTrackColor
                }), undefined === input.OAnimation || "string" === typeof input.OAnimation && ($is_custom("deprecated", "string", "", input.OAnimation) || $report(_exceptionable, {
                    path: _path + ".OAnimation",
                    expected: "string (@deprecated)",
                    value: input.OAnimation
                })) || "number" === typeof input.OAnimation && ($is_custom("deprecated", "number", "", input.OAnimation) || $report(_exceptionable, {
                    path: _path + ".OAnimation",
                    expected: "number (@deprecated)",
                    value: input.OAnimation
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimation",
                    expected: "(number | string | undefined)",
                    value: input.OAnimation
                }), undefined === input.OAnimationDelay || "string" === typeof input.OAnimationDelay && ($is_custom("deprecated", "string", "", input.OAnimationDelay) || $report(_exceptionable, {
                    path: _path + ".OAnimationDelay",
                    expected: "string (@deprecated)",
                    value: input.OAnimationDelay
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationDelay",
                    expected: "(string | undefined)",
                    value: input.OAnimationDelay
                }), undefined === input.OAnimationDirection || "string" === typeof input.OAnimationDirection && ($is_custom("deprecated", "string", "", input.OAnimationDirection) || $report(_exceptionable, {
                    path: _path + ".OAnimationDirection",
                    expected: "string (@deprecated)",
                    value: input.OAnimationDirection
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationDirection",
                    expected: "(string | undefined)",
                    value: input.OAnimationDirection
                }), undefined === input.OAnimationDuration || "string" === typeof input.OAnimationDuration && ($is_custom("deprecated", "string", "", input.OAnimationDuration) || $report(_exceptionable, {
                    path: _path + ".OAnimationDuration",
                    expected: "string (@deprecated)",
                    value: input.OAnimationDuration
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationDuration",
                    expected: "(string | undefined)",
                    value: input.OAnimationDuration
                }), undefined === input.OAnimationFillMode || "string" === typeof input.OAnimationFillMode && ($is_custom("deprecated", "string", "", input.OAnimationFillMode) || $report(_exceptionable, {
                    path: _path + ".OAnimationFillMode",
                    expected: "string (@deprecated)",
                    value: input.OAnimationFillMode
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationFillMode",
                    expected: "(string | undefined)",
                    value: input.OAnimationFillMode
                }), undefined === input.OAnimationIterationCount || "string" === typeof input.OAnimationIterationCount && ($is_custom("deprecated", "string", "", input.OAnimationIterationCount) || $report(_exceptionable, {
                    path: _path + ".OAnimationIterationCount",
                    expected: "string (@deprecated)",
                    value: input.OAnimationIterationCount
                })) || "number" === typeof input.OAnimationIterationCount && ($is_custom("deprecated", "number", "", input.OAnimationIterationCount) || $report(_exceptionable, {
                    path: _path + ".OAnimationIterationCount",
                    expected: "number (@deprecated)",
                    value: input.OAnimationIterationCount
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationIterationCount",
                    expected: "(number | string | undefined)",
                    value: input.OAnimationIterationCount
                }), undefined === input.OAnimationName || "string" === typeof input.OAnimationName && ($is_custom("deprecated", "string", "", input.OAnimationName) || $report(_exceptionable, {
                    path: _path + ".OAnimationName",
                    expected: "string (@deprecated)",
                    value: input.OAnimationName
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationName",
                    expected: "(string | undefined)",
                    value: input.OAnimationName
                }), undefined === input.OAnimationPlayState || "string" === typeof input.OAnimationPlayState && ($is_custom("deprecated", "string", "", input.OAnimationPlayState) || $report(_exceptionable, {
                    path: _path + ".OAnimationPlayState",
                    expected: "string (@deprecated)",
                    value: input.OAnimationPlayState
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationPlayState",
                    expected: "(string | undefined)",
                    value: input.OAnimationPlayState
                }), undefined === input.OAnimationTimingFunction || "string" === typeof input.OAnimationTimingFunction && ($is_custom("deprecated", "string", "", input.OAnimationTimingFunction) || $report(_exceptionable, {
                    path: _path + ".OAnimationTimingFunction",
                    expected: "string (@deprecated)",
                    value: input.OAnimationTimingFunction
                })) || $report(_exceptionable, {
                    path: _path + ".OAnimationTimingFunction",
                    expected: "(string | undefined)",
                    value: input.OAnimationTimingFunction
                }), undefined === input.OBackgroundSize || "string" === typeof input.OBackgroundSize && ($is_custom("deprecated", "string", "", input.OBackgroundSize) || $report(_exceptionable, {
                    path: _path + ".OBackgroundSize",
                    expected: "string (@deprecated)",
                    value: input.OBackgroundSize
                })) || "number" === typeof input.OBackgroundSize && ($is_custom("deprecated", "number", "", input.OBackgroundSize) || $report(_exceptionable, {
                    path: _path + ".OBackgroundSize",
                    expected: "number (@deprecated)",
                    value: input.OBackgroundSize
                })) || $report(_exceptionable, {
                    path: _path + ".OBackgroundSize",
                    expected: "(number | string | undefined)",
                    value: input.OBackgroundSize
                }), undefined === input.OBorderImage || "string" === typeof input.OBorderImage && ($is_custom("deprecated", "string", "", input.OBorderImage) || $report(_exceptionable, {
                    path: _path + ".OBorderImage",
                    expected: "string (@deprecated)",
                    value: input.OBorderImage
                })) || "number" === typeof input.OBorderImage && ($is_custom("deprecated", "number", "", input.OBorderImage) || $report(_exceptionable, {
                    path: _path + ".OBorderImage",
                    expected: "number (@deprecated)",
                    value: input.OBorderImage
                })) || $report(_exceptionable, {
                    path: _path + ".OBorderImage",
                    expected: "(number | string | undefined)",
                    value: input.OBorderImage
                }), undefined === input.OObjectFit || "-moz-initial" === input.OObjectFit || "inherit" === input.OObjectFit || "initial" === input.OObjectFit || "revert" === input.OObjectFit || "revert-layer" === input.OObjectFit || "unset" === input.OObjectFit || "none" === input.OObjectFit || "contain" === input.OObjectFit || "cover" === input.OObjectFit || "fill" === input.OObjectFit || "scale-down" === input.OObjectFit || $report(_exceptionable, {
                    path: _path + ".OObjectFit",
                    expected: "(\"-moz-initial\" | \"contain\" | \"cover\" | \"fill\" | \"inherit\" | \"initial\" | \"none\" | \"revert\" | \"revert-layer\" | \"scale-down\" | \"unset\" | undefined)",
                    value: input.OObjectFit
                }), undefined === input.OObjectPosition || "string" === typeof input.OObjectPosition && ($is_custom("deprecated", "string", "", input.OObjectPosition) || $report(_exceptionable, {
                    path: _path + ".OObjectPosition",
                    expected: "string (@deprecated)",
                    value: input.OObjectPosition
                })) || "number" === typeof input.OObjectPosition && ($is_custom("deprecated", "number", "", input.OObjectPosition) || $report(_exceptionable, {
                    path: _path + ".OObjectPosition",
                    expected: "number (@deprecated)",
                    value: input.OObjectPosition
                })) || $report(_exceptionable, {
                    path: _path + ".OObjectPosition",
                    expected: "(number | string | undefined)",
                    value: input.OObjectPosition
                }), undefined === input.OTabSize || "string" === typeof input.OTabSize && ($is_custom("deprecated", "string", "", input.OTabSize) || $report(_exceptionable, {
                    path: _path + ".OTabSize",
                    expected: "string (@deprecated)",
                    value: input.OTabSize
                })) || "number" === typeof input.OTabSize && ($is_custom("deprecated", "number", "", input.OTabSize) || $report(_exceptionable, {
                    path: _path + ".OTabSize",
                    expected: "number (@deprecated)",
                    value: input.OTabSize
                })) || $report(_exceptionable, {
                    path: _path + ".OTabSize",
                    expected: "(number | string | undefined)",
                    value: input.OTabSize
                }), undefined === input.OTextOverflow || "string" === typeof input.OTextOverflow && ($is_custom("deprecated", "string", "", input.OTextOverflow) || $report(_exceptionable, {
                    path: _path + ".OTextOverflow",
                    expected: "string (@deprecated)",
                    value: input.OTextOverflow
                })) || $report(_exceptionable, {
                    path: _path + ".OTextOverflow",
                    expected: "(string | undefined)",
                    value: input.OTextOverflow
                }), undefined === input.OTransform || "string" === typeof input.OTransform && ($is_custom("deprecated", "string", "", input.OTransform) || $report(_exceptionable, {
                    path: _path + ".OTransform",
                    expected: "string (@deprecated)",
                    value: input.OTransform
                })) || $report(_exceptionable, {
                    path: _path + ".OTransform",
                    expected: "(string | undefined)",
                    value: input.OTransform
                }), undefined === input.OTransformOrigin || "string" === typeof input.OTransformOrigin && ($is_custom("deprecated", "string", "", input.OTransformOrigin) || $report(_exceptionable, {
                    path: _path + ".OTransformOrigin",
                    expected: "string (@deprecated)",
                    value: input.OTransformOrigin
                })) || "number" === typeof input.OTransformOrigin && ($is_custom("deprecated", "number", "", input.OTransformOrigin) || $report(_exceptionable, {
                    path: _path + ".OTransformOrigin",
                    expected: "number (@deprecated)",
                    value: input.OTransformOrigin
                })) || $report(_exceptionable, {
                    path: _path + ".OTransformOrigin",
                    expected: "(number | string | undefined)",
                    value: input.OTransformOrigin
                }), undefined === input.OTransition || "string" === typeof input.OTransition && ($is_custom("deprecated", "string", "", input.OTransition) || $report(_exceptionable, {
                    path: _path + ".OTransition",
                    expected: "string (@deprecated)",
                    value: input.OTransition
                })) || $report(_exceptionable, {
                    path: _path + ".OTransition",
                    expected: "(string | undefined)",
                    value: input.OTransition
                }), undefined === input.OTransitionDelay || "string" === typeof input.OTransitionDelay && ($is_custom("deprecated", "string", "", input.OTransitionDelay) || $report(_exceptionable, {
                    path: _path + ".OTransitionDelay",
                    expected: "string (@deprecated)",
                    value: input.OTransitionDelay
                })) || $report(_exceptionable, {
                    path: _path + ".OTransitionDelay",
                    expected: "(string | undefined)",
                    value: input.OTransitionDelay
                }), undefined === input.OTransitionDuration || "string" === typeof input.OTransitionDuration && ($is_custom("deprecated", "string", "", input.OTransitionDuration) || $report(_exceptionable, {
                    path: _path + ".OTransitionDuration",
                    expected: "string (@deprecated)",
                    value: input.OTransitionDuration
                })) || $report(_exceptionable, {
                    path: _path + ".OTransitionDuration",
                    expected: "(string | undefined)",
                    value: input.OTransitionDuration
                }), undefined === input.OTransitionProperty || "string" === typeof input.OTransitionProperty && ($is_custom("deprecated", "string", "", input.OTransitionProperty) || $report(_exceptionable, {
                    path: _path + ".OTransitionProperty",
                    expected: "string (@deprecated)",
                    value: input.OTransitionProperty
                })) || $report(_exceptionable, {
                    path: _path + ".OTransitionProperty",
                    expected: "(string | undefined)",
                    value: input.OTransitionProperty
                }), undefined === input.OTransitionTimingFunction || "string" === typeof input.OTransitionTimingFunction && ($is_custom("deprecated", "string", "", input.OTransitionTimingFunction) || $report(_exceptionable, {
                    path: _path + ".OTransitionTimingFunction",
                    expected: "string (@deprecated)",
                    value: input.OTransitionTimingFunction
                })) || $report(_exceptionable, {
                    path: _path + ".OTransitionTimingFunction",
                    expected: "(string | undefined)",
                    value: input.OTransitionTimingFunction
                }), undefined === input.WebkitBoxAlign || "-moz-initial" === input.WebkitBoxAlign || "inherit" === input.WebkitBoxAlign || "initial" === input.WebkitBoxAlign || "revert" === input.WebkitBoxAlign || "revert-layer" === input.WebkitBoxAlign || "unset" === input.WebkitBoxAlign || "stretch" === input.WebkitBoxAlign || "center" === input.WebkitBoxAlign || "end" === input.WebkitBoxAlign || "start" === input.WebkitBoxAlign || "baseline" === input.WebkitBoxAlign || $report(_exceptionable, {
                    path: _path + ".WebkitBoxAlign",
                    expected: "(\"-moz-initial\" | \"baseline\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"start\" | \"stretch\" | \"unset\" | undefined)",
                    value: input.WebkitBoxAlign
                }), undefined === input.WebkitBoxDirection || "-moz-initial" === input.WebkitBoxDirection || "inherit" === input.WebkitBoxDirection || "initial" === input.WebkitBoxDirection || "revert" === input.WebkitBoxDirection || "revert-layer" === input.WebkitBoxDirection || "unset" === input.WebkitBoxDirection || "normal" === input.WebkitBoxDirection || "reverse" === input.WebkitBoxDirection || $report(_exceptionable, {
                    path: _path + ".WebkitBoxDirection",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"normal\" | \"reverse\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.WebkitBoxDirection
                }), undefined === input.WebkitBoxFlex || "string" === typeof input.WebkitBoxFlex && ($is_custom("deprecated", "string", "", input.WebkitBoxFlex) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlex",
                    expected: "string (@deprecated)",
                    value: input.WebkitBoxFlex
                })) || "number" === typeof input.WebkitBoxFlex && ($is_custom("deprecated", "number", "", input.WebkitBoxFlex) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlex",
                    expected: "number (@deprecated)",
                    value: input.WebkitBoxFlex
                })) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlex",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBoxFlex
                }), undefined === input.WebkitBoxFlexGroup || "string" === typeof input.WebkitBoxFlexGroup && ($is_custom("deprecated", "string", "", input.WebkitBoxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlexGroup",
                    expected: "string (@deprecated)",
                    value: input.WebkitBoxFlexGroup
                })) || "number" === typeof input.WebkitBoxFlexGroup && ($is_custom("deprecated", "number", "", input.WebkitBoxFlexGroup) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlexGroup",
                    expected: "number (@deprecated)",
                    value: input.WebkitBoxFlexGroup
                })) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxFlexGroup",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBoxFlexGroup
                }), undefined === input.WebkitBoxLines || "-moz-initial" === input.WebkitBoxLines || "inherit" === input.WebkitBoxLines || "initial" === input.WebkitBoxLines || "revert" === input.WebkitBoxLines || "revert-layer" === input.WebkitBoxLines || "unset" === input.WebkitBoxLines || "multiple" === input.WebkitBoxLines || "single" === input.WebkitBoxLines || $report(_exceptionable, {
                    path: _path + ".WebkitBoxLines",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"multiple\" | \"revert\" | \"revert-layer\" | \"single\" | \"unset\" | undefined)",
                    value: input.WebkitBoxLines
                }), undefined === input.WebkitBoxOrdinalGroup || "string" === typeof input.WebkitBoxOrdinalGroup && ($is_custom("deprecated", "string", "", input.WebkitBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxOrdinalGroup",
                    expected: "string (@deprecated)",
                    value: input.WebkitBoxOrdinalGroup
                })) || "number" === typeof input.WebkitBoxOrdinalGroup && ($is_custom("deprecated", "number", "", input.WebkitBoxOrdinalGroup) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxOrdinalGroup",
                    expected: "number (@deprecated)",
                    value: input.WebkitBoxOrdinalGroup
                })) || $report(_exceptionable, {
                    path: _path + ".WebkitBoxOrdinalGroup",
                    expected: "(number | string | undefined)",
                    value: input.WebkitBoxOrdinalGroup
                }), undefined === input.WebkitBoxOrient || "-moz-initial" === input.WebkitBoxOrient || "inherit" === input.WebkitBoxOrient || "initial" === input.WebkitBoxOrient || "revert" === input.WebkitBoxOrient || "revert-layer" === input.WebkitBoxOrient || "unset" === input.WebkitBoxOrient || "horizontal" === input.WebkitBoxOrient || "vertical" === input.WebkitBoxOrient || "block-axis" === input.WebkitBoxOrient || "inline-axis" === input.WebkitBoxOrient || $report(_exceptionable, {
                    path: _path + ".WebkitBoxOrient",
                    expected: "(\"-moz-initial\" | \"block-axis\" | \"horizontal\" | \"inherit\" | \"initial\" | \"inline-axis\" | \"revert\" | \"revert-layer\" | \"unset\" | \"vertical\" | undefined)",
                    value: input.WebkitBoxOrient
                }), undefined === input.WebkitBoxPack || "-moz-initial" === input.WebkitBoxPack || "inherit" === input.WebkitBoxPack || "initial" === input.WebkitBoxPack || "revert" === input.WebkitBoxPack || "revert-layer" === input.WebkitBoxPack || "unset" === input.WebkitBoxPack || "center" === input.WebkitBoxPack || "end" === input.WebkitBoxPack || "start" === input.WebkitBoxPack || "justify" === input.WebkitBoxPack || $report(_exceptionable, {
                    path: _path + ".WebkitBoxPack",
                    expected: "(\"-moz-initial\" | \"center\" | \"end\" | \"inherit\" | \"initial\" | \"justify\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.WebkitBoxPack
                }), undefined === input.WebkitScrollSnapPointsX || "string" === typeof input.WebkitScrollSnapPointsX && ($is_custom("deprecated", "string", "", input.WebkitScrollSnapPointsX) || $report(_exceptionable, {
                    path: _path + ".WebkitScrollSnapPointsX",
                    expected: "string (@deprecated)",
                    value: input.WebkitScrollSnapPointsX
                })) || $report(_exceptionable, {
                    path: _path + ".WebkitScrollSnapPointsX",
                    expected: "(string | undefined)",
                    value: input.WebkitScrollSnapPointsX
                }), undefined === input.WebkitScrollSnapPointsY || "string" === typeof input.WebkitScrollSnapPointsY && ($is_custom("deprecated", "string", "", input.WebkitScrollSnapPointsY) || $report(_exceptionable, {
                    path: _path + ".WebkitScrollSnapPointsY",
                    expected: "string (@deprecated)",
                    value: input.WebkitScrollSnapPointsY
                })) || $report(_exceptionable, {
                    path: _path + ".WebkitScrollSnapPointsY",
                    expected: "(string | undefined)",
                    value: input.WebkitScrollSnapPointsY
                }), undefined === input.alignmentBaseline || "-moz-initial" === input.alignmentBaseline || "inherit" === input.alignmentBaseline || "initial" === input.alignmentBaseline || "revert" === input.alignmentBaseline || "revert-layer" === input.alignmentBaseline || "unset" === input.alignmentBaseline || "auto" === input.alignmentBaseline || "baseline" === input.alignmentBaseline || "middle" === input.alignmentBaseline || "after-edge" === input.alignmentBaseline || "alphabetic" === input.alignmentBaseline || "before-edge" === input.alignmentBaseline || "central" === input.alignmentBaseline || "hanging" === input.alignmentBaseline || "ideographic" === input.alignmentBaseline || "mathematical" === input.alignmentBaseline || "text-after-edge" === input.alignmentBaseline || "text-before-edge" === input.alignmentBaseline || $report(_exceptionable, {
                    path: _path + ".alignmentBaseline",
                    expected: "(\"-moz-initial\" | \"after-edge\" | \"alphabetic\" | \"auto\" | \"baseline\" | \"before-edge\" | \"central\" | \"hanging\" | \"ideographic\" | \"inherit\" | \"initial\" | \"mathematical\" | \"middle\" | \"revert\" | \"revert-layer\" | \"text-after-edge\" | \"text-before-edge\" | \"unset\" | undefined)",
                    value: input.alignmentBaseline
                }), undefined === input.baselineShift || "string" === typeof input.baselineShift || "number" === typeof input.baselineShift || $report(_exceptionable, {
                    path: _path + ".baselineShift",
                    expected: "(number | string | undefined)",
                    value: input.baselineShift
                }), undefined === input.clipRule || "-moz-initial" === input.clipRule || "inherit" === input.clipRule || "initial" === input.clipRule || "revert" === input.clipRule || "revert-layer" === input.clipRule || "unset" === input.clipRule || "evenodd" === input.clipRule || "nonzero" === input.clipRule || $report(_exceptionable, {
                    path: _path + ".clipRule",
                    expected: "(\"-moz-initial\" | \"evenodd\" | \"inherit\" | \"initial\" | \"nonzero\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.clipRule
                }), undefined === input.colorInterpolation || "-moz-initial" === input.colorInterpolation || "inherit" === input.colorInterpolation || "initial" === input.colorInterpolation || "revert" === input.colorInterpolation || "revert-layer" === input.colorInterpolation || "unset" === input.colorInterpolation || "auto" === input.colorInterpolation || "linearRGB" === input.colorInterpolation || "sRGB" === input.colorInterpolation || $report(_exceptionable, {
                    path: _path + ".colorInterpolation",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"linearRGB\" | \"revert\" | \"revert-layer\" | \"sRGB\" | \"unset\" | undefined)",
                    value: input.colorInterpolation
                }), undefined === input.colorRendering || "-moz-initial" === input.colorRendering || "inherit" === input.colorRendering || "initial" === input.colorRendering || "revert" === input.colorRendering || "revert-layer" === input.colorRendering || "unset" === input.colorRendering || "auto" === input.colorRendering || "optimizeSpeed" === input.colorRendering || "optimizeQuality" === input.colorRendering || $report(_exceptionable, {
                    path: _path + ".colorRendering",
                    expected: "(\"-moz-initial\" | \"auto\" | \"inherit\" | \"initial\" | \"optimizeQuality\" | \"optimizeSpeed\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.colorRendering
                }), undefined === input.dominantBaseline || "-moz-initial" === input.dominantBaseline || "inherit" === input.dominantBaseline || "initial" === input.dominantBaseline || "revert" === input.dominantBaseline || "revert-layer" === input.dominantBaseline || "unset" === input.dominantBaseline || "auto" === input.dominantBaseline || "middle" === input.dominantBaseline || "alphabetic" === input.dominantBaseline || "central" === input.dominantBaseline || "hanging" === input.dominantBaseline || "ideographic" === input.dominantBaseline || "mathematical" === input.dominantBaseline || "text-after-edge" === input.dominantBaseline || "text-before-edge" === input.dominantBaseline || "no-change" === input.dominantBaseline || "reset-size" === input.dominantBaseline || "use-script" === input.dominantBaseline || $report(_exceptionable, {
                    path: _path + ".dominantBaseline",
                    expected: "(\"-moz-initial\" | \"alphabetic\" | \"auto\" | \"central\" | \"hanging\" | \"ideographic\" | \"inherit\" | \"initial\" | \"mathematical\" | \"middle\" | \"no-change\" | \"reset-size\" | \"revert\" | \"revert-layer\" | \"text-after-edge\" | \"text-before-edge\" | \"unset\" | \"use-script\" | undefined)",
                    value: input.dominantBaseline
                }), undefined === input.fill || "string" === typeof input.fill || $report(_exceptionable, {
                    path: _path + ".fill",
                    expected: "(string | undefined)",
                    value: input.fill
                }), undefined === input.fillOpacity || "string" === typeof input.fillOpacity || "number" === typeof input.fillOpacity || $report(_exceptionable, {
                    path: _path + ".fillOpacity",
                    expected: "(number | string | undefined)",
                    value: input.fillOpacity
                }), undefined === input.fillRule || "-moz-initial" === input.fillRule || "inherit" === input.fillRule || "initial" === input.fillRule || "revert" === input.fillRule || "revert-layer" === input.fillRule || "unset" === input.fillRule || "evenodd" === input.fillRule || "nonzero" === input.fillRule || $report(_exceptionable, {
                    path: _path + ".fillRule",
                    expected: "(\"-moz-initial\" | \"evenodd\" | \"inherit\" | \"initial\" | \"nonzero\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.fillRule
                }), undefined === input.floodColor || "string" === typeof input.floodColor || $report(_exceptionable, {
                    path: _path + ".floodColor",
                    expected: "(string | undefined)",
                    value: input.floodColor
                }), undefined === input.floodOpacity || "string" === typeof input.floodOpacity || "number" === typeof input.floodOpacity || $report(_exceptionable, {
                    path: _path + ".floodOpacity",
                    expected: "(number | string | undefined)",
                    value: input.floodOpacity
                }), undefined === input.glyphOrientationVertical || "string" === typeof input.glyphOrientationVertical || "number" === typeof input.glyphOrientationVertical || $report(_exceptionable, {
                    path: _path + ".glyphOrientationVertical",
                    expected: "(number | string | undefined)",
                    value: input.glyphOrientationVertical
                }), undefined === input.lightingColor || "string" === typeof input.lightingColor || $report(_exceptionable, {
                    path: _path + ".lightingColor",
                    expected: "(string | undefined)",
                    value: input.lightingColor
                }), undefined === input.marker || "string" === typeof input.marker || $report(_exceptionable, {
                    path: _path + ".marker",
                    expected: "(string | undefined)",
                    value: input.marker
                }), undefined === input.markerEnd || "string" === typeof input.markerEnd || $report(_exceptionable, {
                    path: _path + ".markerEnd",
                    expected: "(string | undefined)",
                    value: input.markerEnd
                }), undefined === input.markerMid || "string" === typeof input.markerMid || $report(_exceptionable, {
                    path: _path + ".markerMid",
                    expected: "(string | undefined)",
                    value: input.markerMid
                }), undefined === input.markerStart || "string" === typeof input.markerStart || $report(_exceptionable, {
                    path: _path + ".markerStart",
                    expected: "(string | undefined)",
                    value: input.markerStart
                }), undefined === input.shapeRendering || "-moz-initial" === input.shapeRendering || "inherit" === input.shapeRendering || "initial" === input.shapeRendering || "revert" === input.shapeRendering || "revert-layer" === input.shapeRendering || "unset" === input.shapeRendering || "auto" === input.shapeRendering || "geometricPrecision" === input.shapeRendering || "optimizeSpeed" === input.shapeRendering || "crispEdges" === input.shapeRendering || $report(_exceptionable, {
                    path: _path + ".shapeRendering",
                    expected: "(\"-moz-initial\" | \"auto\" | \"crispEdges\" | \"geometricPrecision\" | \"inherit\" | \"initial\" | \"optimizeSpeed\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.shapeRendering
                }), undefined === input.stopColor || "string" === typeof input.stopColor || $report(_exceptionable, {
                    path: _path + ".stopColor",
                    expected: "(string | undefined)",
                    value: input.stopColor
                }), undefined === input.stopOpacity || "string" === typeof input.stopOpacity || "number" === typeof input.stopOpacity || $report(_exceptionable, {
                    path: _path + ".stopOpacity",
                    expected: "(number | string | undefined)",
                    value: input.stopOpacity
                }), undefined === input.stroke || "string" === typeof input.stroke || $report(_exceptionable, {
                    path: _path + ".stroke",
                    expected: "(string | undefined)",
                    value: input.stroke
                }), undefined === input.strokeDasharray || "string" === typeof input.strokeDasharray || "number" === typeof input.strokeDasharray || $report(_exceptionable, {
                    path: _path + ".strokeDasharray",
                    expected: "(number | string | undefined)",
                    value: input.strokeDasharray
                }), undefined === input.strokeDashoffset || "string" === typeof input.strokeDashoffset || "number" === typeof input.strokeDashoffset || $report(_exceptionable, {
                    path: _path + ".strokeDashoffset",
                    expected: "(number | string | undefined)",
                    value: input.strokeDashoffset
                }), undefined === input.strokeLinecap || "-moz-initial" === input.strokeLinecap || "inherit" === input.strokeLinecap || "initial" === input.strokeLinecap || "revert" === input.strokeLinecap || "revert-layer" === input.strokeLinecap || "unset" === input.strokeLinecap || "round" === input.strokeLinecap || "butt" === input.strokeLinecap || "square" === input.strokeLinecap || $report(_exceptionable, {
                    path: _path + ".strokeLinecap",
                    expected: "(\"-moz-initial\" | \"butt\" | \"inherit\" | \"initial\" | \"revert\" | \"revert-layer\" | \"round\" | \"square\" | \"unset\" | undefined)",
                    value: input.strokeLinecap
                }), undefined === input.strokeLinejoin || "-moz-initial" === input.strokeLinejoin || "inherit" === input.strokeLinejoin || "initial" === input.strokeLinejoin || "revert" === input.strokeLinejoin || "revert-layer" === input.strokeLinejoin || "unset" === input.strokeLinejoin || "round" === input.strokeLinejoin || "bevel" === input.strokeLinejoin || "miter" === input.strokeLinejoin || $report(_exceptionable, {
                    path: _path + ".strokeLinejoin",
                    expected: "(\"-moz-initial\" | \"bevel\" | \"inherit\" | \"initial\" | \"miter\" | \"revert\" | \"revert-layer\" | \"round\" | \"unset\" | undefined)",
                    value: input.strokeLinejoin
                }), undefined === input.strokeMiterlimit || "string" === typeof input.strokeMiterlimit || "number" === typeof input.strokeMiterlimit || $report(_exceptionable, {
                    path: _path + ".strokeMiterlimit",
                    expected: "(number | string | undefined)",
                    value: input.strokeMiterlimit
                }), undefined === input.strokeOpacity || "string" === typeof input.strokeOpacity || "number" === typeof input.strokeOpacity || $report(_exceptionable, {
                    path: _path + ".strokeOpacity",
                    expected: "(number | string | undefined)",
                    value: input.strokeOpacity
                }), undefined === input.strokeWidth || "string" === typeof input.strokeWidth || "number" === typeof input.strokeWidth || $report(_exceptionable, {
                    path: _path + ".strokeWidth",
                    expected: "(number | string | undefined)",
                    value: input.strokeWidth
                }), undefined === input.textAnchor || "-moz-initial" === input.textAnchor || "inherit" === input.textAnchor || "initial" === input.textAnchor || "revert" === input.textAnchor || "revert-layer" === input.textAnchor || "unset" === input.textAnchor || "end" === input.textAnchor || "start" === input.textAnchor || "middle" === input.textAnchor || $report(_exceptionable, {
                    path: _path + ".textAnchor",
                    expected: "(\"-moz-initial\" | \"end\" | \"inherit\" | \"initial\" | \"middle\" | \"revert\" | \"revert-layer\" | \"start\" | \"unset\" | undefined)",
                    value: input.textAnchor
                }), undefined === input.vectorEffect || "-moz-initial" === input.vectorEffect || "inherit" === input.vectorEffect || "initial" === input.vectorEffect || "revert" === input.vectorEffect || "revert-layer" === input.vectorEffect || "unset" === input.vectorEffect || "none" === input.vectorEffect || "non-scaling-stroke" === input.vectorEffect || $report(_exceptionable, {
                    path: _path + ".vectorEffect",
                    expected: "(\"-moz-initial\" | \"inherit\" | \"initial\" | \"non-scaling-stroke\" | \"none\" | \"revert\" | \"revert-layer\" | \"unset\" | undefined)",
                    value: input.vectorEffect
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["accentColor", "alignContent", "alignItems", "alignSelf", "alignTracks", "animationDelay", "animationDirection", "animationDuration", "animationFillMode", "animationIterationCount", "animationName", "animationPlayState", "animationTimeline", "animationTimingFunction", "appearance", "aspectRatio", "backdropFilter", "backfaceVisibility", "backgroundAttachment", "backgroundBlendMode", "backgroundClip", "backgroundColor", "backgroundImage", "backgroundOrigin", "backgroundPositionX", "backgroundPositionY", "backgroundRepeat", "backgroundSize", "blockOverflow", "blockSize", "borderBlockColor", "borderBlockEndColor", "borderBlockEndStyle", "borderBlockEndWidth", "borderBlockStartColor", "borderBlockStartStyle", "borderBlockStartWidth", "borderBlockStyle", "borderBlockWidth", "borderBottomColor", "borderBottomLeftRadius", "borderBottomRightRadius", "borderBottomStyle", "borderBottomWidth", "borderCollapse", "borderEndEndRadius", "borderEndStartRadius", "borderImageOutset", "borderImageRepeat", "borderImageSlice", "borderImageSource", "borderImageWidth", "borderInlineColor", "borderInlineEndColor", "borderInlineEndStyle", "borderInlineEndWidth", "borderInlineStartColor", "borderInlineStartStyle", "borderInlineStartWidth", "borderInlineStyle", "borderInlineWidth", "borderLeftColor", "borderLeftStyle", "borderLeftWidth", "borderRightColor", "borderRightStyle", "borderRightWidth", "borderSpacing", "borderStartEndRadius", "borderStartStartRadius", "borderTopColor", "borderTopLeftRadius", "borderTopRightRadius", "borderTopStyle", "borderTopWidth", "bottom", "boxDecorationBreak", "boxShadow", "boxSizing", "breakAfter", "breakBefore", "breakInside", "captionSide", "caretColor", "clear", "clipPath", "color", "colorAdjust", "colorScheme", "columnCount", "columnFill", "columnGap", "columnRuleColor", "columnRuleStyle", "columnRuleWidth", "columnSpan", "columnWidth", "contain", "content", "contentVisibility", "counterIncrement", "counterReset", "counterSet", "cursor", "direction", "display", "emptyCells", "filter", "flexBasis", "flexDirection", "flexGrow", "flexShrink", "flexWrap", "float", "fontFamily", "fontFeatureSettings", "fontKerning", "fontLanguageOverride", "fontOpticalSizing", "fontSize", "fontSizeAdjust", "fontSmooth", "fontStretch", "fontStyle", "fontSynthesis", "fontVariant", "fontVariantAlternates", "fontVariantCaps", "fontVariantEastAsian", "fontVariantLigatures", "fontVariantNumeric", "fontVariantPosition", "fontVariationSettings", "fontWeight", "forcedColorAdjust", "gridAutoColumns", "gridAutoFlow", "gridAutoRows", "gridColumnEnd", "gridColumnStart", "gridRowEnd", "gridRowStart", "gridTemplateAreas", "gridTemplateColumns", "gridTemplateRows", "hangingPunctuation", "height", "hyphenateCharacter", "hyphens", "imageOrientation", "imageRendering", "imageResolution", "initialLetter", "inlineSize", "inputSecurity", "inset", "insetBlock", "insetBlockEnd", "insetBlockStart", "insetInline", "insetInlineEnd", "insetInlineStart", "isolation", "justifyContent", "justifyItems", "justifySelf", "justifyTracks", "left", "letterSpacing", "lineBreak", "lineHeight", "lineHeightStep", "listStyleImage", "listStylePosition", "listStyleType", "marginBlock", "marginBlockEnd", "marginBlockStart", "marginBottom", "marginInline", "marginInlineEnd", "marginInlineStart", "marginLeft", "marginRight", "marginTop", "maskBorderMode", "maskBorderOutset", "maskBorderRepeat", "maskBorderSlice", "maskBorderSource", "maskBorderWidth", "maskClip", "maskComposite", "maskImage", "maskMode", "maskOrigin", "maskPosition", "maskRepeat", "maskSize", "maskType", "mathStyle", "maxBlockSize", "maxHeight", "maxInlineSize", "maxLines", "maxWidth", "minBlockSize", "minHeight", "minInlineSize", "minWidth", "mixBlendMode", "motionDistance", "motionPath", "motionRotation", "objectFit", "objectPosition", "offsetAnchor", "offsetDistance", "offsetPath", "offsetRotate", "offsetRotation", "opacity", "order", "orphans", "outlineColor", "outlineOffset", "outlineStyle", "outlineWidth", "overflowAnchor", "overflowBlock", "overflowClipBox", "overflowClipMargin", "overflowInline", "overflowWrap", "overflowX", "overflowY", "overscrollBehaviorBlock", "overscrollBehaviorInline", "overscrollBehaviorX", "overscrollBehaviorY", "paddingBlock", "paddingBlockEnd", "paddingBlockStart", "paddingBottom", "paddingInline", "paddingInlineEnd", "paddingInlineStart", "paddingLeft", "paddingRight", "paddingTop", "pageBreakAfter", "pageBreakBefore", "pageBreakInside", "paintOrder", "perspective", "perspectiveOrigin", "placeContent", "pointerEvents", "position", "printColorAdjust", "quotes", "resize", "right", "rotate", "rowGap", "rubyAlign", "rubyMerge", "rubyPosition", "scale", "scrollBehavior", "scrollMargin", "scrollMarginBlock", "scrollMarginBlockEnd", "scrollMarginBlockStart", "scrollMarginBottom", "scrollMarginInline", "scrollMarginInlineEnd", "scrollMarginInlineStart", "scrollMarginLeft", "scrollMarginRight", "scrollMarginTop", "scrollPadding", "scrollPaddingBlock", "scrollPaddingBlockEnd", "scrollPaddingBlockStart", "scrollPaddingBottom", "scrollPaddingInline", "scrollPaddingInlineEnd", "scrollPaddingInlineStart", "scrollPaddingLeft", "scrollPaddingRight", "scrollPaddingTop", "scrollSnapAlign", "scrollSnapMargin", "scrollSnapMarginBottom", "scrollSnapMarginLeft", "scrollSnapMarginRight", "scrollSnapMarginTop", "scrollSnapStop", "scrollSnapType", "scrollbarColor", "scrollbarGutter", "scrollbarWidth", "shapeImageThreshold", "shapeMargin", "shapeOutside", "tabSize", "tableLayout", "textAlign", "textAlignLast", "textCombineUpright", "textDecorationColor", "textDecorationLine", "textDecorationSkip", "textDecorationSkipInk", "textDecorationStyle", "textDecorationThickness", "textDecorationWidth", "textEmphasisColor", "textEmphasisPosition", "textEmphasisStyle", "textIndent", "textJustify", "textOrientation", "textOverflow", "textRendering", "textShadow", "textSizeAdjust", "textTransform", "textUnderlineOffset", "textUnderlinePosition", "top", "touchAction", "transform", "transformBox", "transformOrigin", "transformStyle", "transitionDelay", "transitionDuration", "transitionProperty", "transitionTimingFunction", "translate", "unicodeBidi", "userSelect", "verticalAlign", "visibility", "whiteSpace", "widows", "width", "willChange", "wordBreak", "wordSpacing", "wordWrap", "writingMode", "zIndex", "zoom", "all", "animation", "background", "backgroundPosition", "border", "borderBlock", "borderBlockEnd", "borderBlockStart", "borderBottom", "borderColor", "borderImage", "borderInline", "borderInlineEnd", "borderInlineStart", "borderLeft", "borderRadius", "borderRight", "borderStyle", "borderTop", "borderWidth", "columnRule", "columns", "flex", "flexFlow", "font", "gap", "grid", "gridArea", "gridColumn", "gridRow", "gridTemplate", "lineClamp", "listStyle", "margin", "mask", "maskBorder", "motion", "offset", "outline", "overflow", "overscrollBehavior", "padding", "placeItems", "placeSelf", "textDecoration", "textEmphasis", "transition", "MozAnimationDelay", "MozAnimationDirection", "MozAnimationDuration", "MozAnimationFillMode", "MozAnimationIterationCount", "MozAnimationName", "MozAnimationPlayState", "MozAnimationTimingFunction", "MozAppearance", "MozBackfaceVisibility", "MozBorderBottomColors", "MozBorderEndColor", "MozBorderEndStyle", "MozBorderEndWidth", "MozBorderLeftColors", "MozBorderRightColors", "MozBorderStartColor", "MozBorderStartStyle", "MozBorderTopColors", "MozBoxSizing", "MozColumnCount", "MozColumnFill", "MozColumnGap", "MozColumnRuleColor", "MozColumnRuleStyle", "MozColumnRuleWidth", "MozColumnWidth", "MozContextProperties", "MozFontFeatureSettings", "MozFontLanguageOverride", "MozHyphens", "MozImageRegion", "MozMarginEnd", "MozMarginStart", "MozOrient", "MozOsxFontSmoothing", "MozPaddingEnd", "MozPaddingStart", "MozPerspective", "MozPerspectiveOrigin", "MozStackSizing", "MozTabSize", "MozTextBlink", "MozTextSizeAdjust", "MozTransformOrigin", "MozTransformStyle", "MozTransitionDelay", "MozTransitionDuration", "MozTransitionProperty", "MozTransitionTimingFunction", "MozUserFocus", "MozUserModify", "MozUserSelect", "MozWindowDragging", "MozWindowShadow", "msAccelerator", "msAlignSelf", "msBlockProgression", "msContentZoomChaining", "msContentZoomLimitMax", "msContentZoomLimitMin", "msContentZoomSnapPoints", "msContentZoomSnapType", "msContentZooming", "msFilter", "msFlexDirection", "msFlexPositive", "msFlowFrom", "msFlowInto", "msGridColumns", "msGridRows", "msHighContrastAdjust", "msHyphenateLimitChars", "msHyphenateLimitLines", "msHyphenateLimitZone", "msHyphens", "msImeAlign", "msJustifySelf", "msLineBreak", "msOrder", "msOverflowStyle", "msOverflowX", "msOverflowY", "msScrollChaining", "msScrollLimitXMax", "msScrollLimitXMin", "msScrollLimitYMax", "msScrollLimitYMin", "msScrollRails", "msScrollSnapPointsX", "msScrollSnapPointsY", "msScrollSnapType", "msScrollTranslation", "msScrollbar3dlightColor", "msScrollbarArrowColor", "msScrollbarBaseColor", "msScrollbarDarkshadowColor", "msScrollbarFaceColor", "msScrollbarHighlightColor", "msScrollbarShadowColor", "msTextAutospace", "msTextCombineHorizontal", "msTextOverflow", "msTouchAction", "msTouchSelect", "msTransform", "msTransformOrigin", "msTransitionDelay", "msTransitionDuration", "msTransitionProperty", "msTransitionTimingFunction", "msUserSelect", "msWordBreak", "msWrapFlow", "msWrapMargin", "msWrapThrough", "msWritingMode", "WebkitAlignContent", "WebkitAlignItems", "WebkitAlignSelf", "WebkitAnimationDelay", "WebkitAnimationDirection", "WebkitAnimationDuration", "WebkitAnimationFillMode", "WebkitAnimationIterationCount", "WebkitAnimationName", "WebkitAnimationPlayState", "WebkitAnimationTimingFunction", "WebkitAppearance", "WebkitBackdropFilter", "WebkitBackfaceVisibility", "WebkitBackgroundClip", "WebkitBackgroundOrigin", "WebkitBackgroundSize", "WebkitBorderBeforeColor", "WebkitBorderBeforeStyle", "WebkitBorderBeforeWidth", "WebkitBorderBottomLeftRadius", "WebkitBorderBottomRightRadius", "WebkitBorderImageSlice", "WebkitBorderTopLeftRadius", "WebkitBorderTopRightRadius", "WebkitBoxDecorationBreak", "WebkitBoxReflect", "WebkitBoxShadow", "WebkitBoxSizing", "WebkitClipPath", "WebkitColumnCount", "WebkitColumnFill", "WebkitColumnGap", "WebkitColumnRuleColor", "WebkitColumnRuleStyle", "WebkitColumnRuleWidth", "WebkitColumnSpan", "WebkitColumnWidth", "WebkitFilter", "WebkitFlexBasis", "WebkitFlexDirection", "WebkitFlexGrow", "WebkitFlexShrink", "WebkitFlexWrap", "WebkitFontFeatureSettings", "WebkitFontKerning", "WebkitFontSmoothing", "WebkitFontVariantLigatures", "WebkitHyphenateCharacter", "WebkitHyphens", "WebkitInitialLetter", "WebkitJustifyContent", "WebkitLineBreak", "WebkitLineClamp", "WebkitMarginEnd", "WebkitMarginStart", "WebkitMaskAttachment", "WebkitMaskBoxImageOutset", "WebkitMaskBoxImageRepeat", "WebkitMaskBoxImageSlice", "WebkitMaskBoxImageSource", "WebkitMaskBoxImageWidth", "WebkitMaskClip", "WebkitMaskComposite", "WebkitMaskImage", "WebkitMaskOrigin", "WebkitMaskPosition", "WebkitMaskPositionX", "WebkitMaskPositionY", "WebkitMaskRepeat", "WebkitMaskRepeatX", "WebkitMaskRepeatY", "WebkitMaskSize", "WebkitMaxInlineSize", "WebkitOrder", "WebkitOverflowScrolling", "WebkitPaddingEnd", "WebkitPaddingStart", "WebkitPerspective", "WebkitPerspectiveOrigin", "WebkitPrintColorAdjust", "WebkitRubyPosition", "WebkitScrollSnapType", "WebkitShapeMargin", "WebkitTapHighlightColor", "WebkitTextCombine", "WebkitTextDecorationColor", "WebkitTextDecorationLine", "WebkitTextDecorationSkip", "WebkitTextDecorationStyle", "WebkitTextEmphasisColor", "WebkitTextEmphasisPosition", "WebkitTextEmphasisStyle", "WebkitTextFillColor", "WebkitTextOrientation", "WebkitTextSizeAdjust", "WebkitTextStrokeColor", "WebkitTextStrokeWidth", "WebkitTextUnderlinePosition", "WebkitTouchCallout", "WebkitTransform", "WebkitTransformOrigin", "WebkitTransformStyle", "WebkitTransitionDelay", "WebkitTransitionDuration", "WebkitTransitionProperty", "WebkitTransitionTimingFunction", "WebkitUserModify", "WebkitUserSelect", "WebkitWritingMode", "MozAnimation", "MozBorderImage", "MozColumnRule", "MozColumns", "MozTransition", "msContentZoomLimit", "msContentZoomSnap", "msFlex", "msScrollLimit", "msScrollSnapX", "msScrollSnapY", "msTransition", "WebkitAnimation", "WebkitBorderBefore", "WebkitBorderImage", "WebkitBorderRadius", "WebkitColumnRule", "WebkitColumns", "WebkitFlex", "WebkitFlexFlow", "WebkitMask", "WebkitMaskBoxImage", "WebkitTextEmphasis", "WebkitTextStroke", "WebkitTransition", "azimuth", "boxAlign", "boxDirection", "boxFlex", "boxFlexGroup", "boxLines", "boxOrdinalGroup", "boxOrient", "boxPack", "clip", "gridColumnGap", "gridGap", "gridRowGap", "imeMode", "offsetBlock", "offsetBlockEnd", "offsetBlockStart", "offsetInline", "offsetInlineEnd", "offsetInlineStart", "scrollSnapCoordinate", "scrollSnapDestination", "scrollSnapPointsX", "scrollSnapPointsY", "scrollSnapTypeX", "scrollSnapTypeY", "scrollbarTrackColor", "KhtmlBoxAlign", "KhtmlBoxDirection", "KhtmlBoxFlex", "KhtmlBoxFlexGroup", "KhtmlBoxLines", "KhtmlBoxOrdinalGroup", "KhtmlBoxOrient", "KhtmlBoxPack", "KhtmlLineBreak", "KhtmlOpacity", "KhtmlUserSelect", "MozBackgroundClip", "MozBackgroundInlinePolicy", "MozBackgroundOrigin", "MozBackgroundSize", "MozBinding", "MozBorderRadius", "MozBorderRadiusBottomleft", "MozBorderRadiusBottomright", "MozBorderRadiusTopleft", "MozBorderRadiusTopright", "MozBoxAlign", "MozBoxDirection", "MozBoxFlex", "MozBoxOrdinalGroup", "MozBoxOrient", "MozBoxPack", "MozBoxShadow", "MozFloatEdge", "MozForceBrokenImageIcon", "MozOpacity", "MozOutline", "MozOutlineColor", "MozOutlineRadius", "MozOutlineRadiusBottomleft", "MozOutlineRadiusBottomright", "MozOutlineRadiusTopleft", "MozOutlineRadiusTopright", "MozOutlineStyle", "MozOutlineWidth", "MozTextAlignLast", "MozTextDecorationColor", "MozTextDecorationLine", "MozTextDecorationStyle", "MozUserInput", "msImeMode", "msScrollbarTrackColor", "OAnimation", "OAnimationDelay", "OAnimationDirection", "OAnimationDuration", "OAnimationFillMode", "OAnimationIterationCount", "OAnimationName", "OAnimationPlayState", "OAnimationTimingFunction", "OBackgroundSize", "OBorderImage", "OObjectFit", "OObjectPosition", "OTabSize", "OTextOverflow", "OTransform", "OTransformOrigin", "OTransition", "OTransitionDelay", "OTransitionDuration", "OTransitionProperty", "OTransitionTimingFunction", "WebkitBoxAlign", "WebkitBoxDirection", "WebkitBoxFlex", "WebkitBoxFlexGroup", "WebkitBoxLines", "WebkitBoxOrdinalGroup", "WebkitBoxOrient", "WebkitBoxPack", "WebkitScrollSnapPointsX", "WebkitScrollSnapPointsY", "alignmentBaseline", "baselineShift", "clipRule", "colorInterpolation", "colorRendering", "dominantBaseline", "fill", "fillOpacity", "fillRule", "floodColor", "floodOpacity", "glyphOrientationVertical", "lightingColor", "marker", "markerEnd", "markerMid", "markerStart", "shapeRendering", "stopColor", "stopOpacity", "stroke", "strokeDasharray", "strokeDashoffset", "strokeLinecap", "strokeLinejoin", "strokeMiterlimit", "strokeOpacity", "strokeWidth", "textAnchor", "vectorEffect"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vu0 = (input, _path, _exceptionable = true) => (() => {
                if (undefined !== input.$blockedAll)
                    return $vo17(input, _path, true && _exceptionable);
                return $vo15(input, _path, true && _exceptionable);
            })();
            return ("object" === typeof input && null !== input && false === Array.isArray(input) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            })) && $vo0(input, _path + "", true) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            });
        })(input, "$input", true);
    }
    const success = 0 === errors.length;
    return {
        success,
        errors,
        data: success ? input : undefined
    };
};
exports.check = check;
